!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 136

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1284)
  integer, parameter :: nGC_MMW_GF = 1
  integer, parameter :: nGC_MTA = 2
  integer, parameter :: nGC_31 = 3
  integer, parameter :: nGC_77 = 4
  integer, parameter :: nGC_30 = 5
  integer, parameter :: nGC_4149 = 6
  integer, parameter :: nGC_4148 = 7
  integer, parameter :: nGC_4024 = 8
  integer, parameter :: nGC_MHP = 9
  integer, parameter :: nGC_4026 = 10
  integer, parameter :: nGC_4027 = 11
  integer, parameter :: nGC_36 = 12
  integer, parameter :: nGC_32 = 13
  integer, parameter :: nGC_276 = 14
  integer, parameter :: nGC_MZ_GF = 15
  integer, parameter :: nGC_28 = 16
  integer, parameter :: nGC_29 = 17
  integer, parameter :: nGC_20 = 18
  integer, parameter :: nGC_21 = 19
  integer, parameter :: nGC_26 = 20
  integer, parameter :: nGC_27 = 21
  integer, parameter :: nGC_24 = 22
  integer, parameter :: nGC_25 = 23
  integer, parameter :: nGC_4091 = 24
  integer, parameter :: nGC_4090 = 25
  integer, parameter :: nGC_4093 = 26
  integer, parameter :: nGC_4095 = 27
  integer, parameter :: nGC_4094 = 28
  integer, parameter :: nGC_4097 = 29
  integer, parameter :: nGC_4098 = 30
  integer, parameter :: nGC_91 = 31
  integer, parameter :: nGC_37 = 32
  integer, parameter :: nGC_82 = 33
  integer, parameter :: nGC_8539 = 34
  integer, parameter :: nGC_70 = 35
  integer, parameter :: nGC_4066 = 36
  integer, parameter :: nGC_80 = 37
  integer, parameter :: nGC_75 = 38
  integer, parameter :: nGC_74 = 39
  integer, parameter :: nGC_4176 = 40
  integer, parameter :: nGC_76 = 41
  integer, parameter :: nGC_10 = 42
  integer, parameter :: nGC_71 = 43
  integer, parameter :: nGC_4060 = 44
  integer, parameter :: nGC_4061 = 45
  integer, parameter :: nGC_4062 = 46
  integer, parameter :: nGC_4063 = 47
  integer, parameter :: nGC_4064 = 48
  integer, parameter :: nGC_73 = 49
  integer, parameter :: nGC_4067 = 50
  integer, parameter :: nGC_4068 = 51
  integer, parameter :: nGC_4069 = 52
  integer, parameter :: nGC_72 = 53
  integer, parameter :: nGC_I = 54
  integer, parameter :: nGC_230 = 55
  integer, parameter :: nGC_238 = 56
  integer, parameter :: nGC_4667 = 57
  integer, parameter :: nGC_4664 = 58
  integer, parameter :: nGC_4665 = 59
  integer, parameter :: nGC_4662 = 60
  integer, parameter :: nGC_4663 = 61
  integer, parameter :: nGC_4660 = 62
  integer, parameter :: nGC_4661 = 63
  integer, parameter :: nGC_4668 = 64
  integer, parameter :: nGC_4669 = 65
  integer, parameter :: nGC_4524 = 66
  integer, parameter :: nGC_4527 = 67
  integer, parameter :: nGC_4521 = 68
  integer, parameter :: nGC_4118 = 69
  integer, parameter :: nGC_4119 = 70
  integer, parameter :: nGC_4111 = 71
  integer, parameter :: nGC_3 = 72
  integer, parameter :: nGC_1 = 73
  integer, parameter :: nGC_7 = 74
  integer, parameter :: nGC_6 = 75
  integer, parameter :: nGC_5 = 76
  integer, parameter :: nGC_4 = 77
  integer, parameter :: nGC_9 = 78
  integer, parameter :: nGC_8 = 79
  integer, parameter :: nGC_6644 = 80
  integer, parameter :: nGC_260 = 81
  integer, parameter :: nGC_4592 = 82
  integer, parameter :: nGC_4596 = 83
  integer, parameter :: nGC_17 = 84
  integer, parameter :: nGC_16 = 85
  integer, parameter :: nGC_6905 = 86
  integer, parameter :: nGC_15 = 87
  integer, parameter :: nGC_53 = 88
  integer, parameter :: nGC_52 = 89
  integer, parameter :: nGC_51 = 90
  integer, parameter :: nGC_50 = 91
  integer, parameter :: nGC_57 = 92
  integer, parameter :: nGC_56 = 93
  integer, parameter :: nGC_55 = 94
  integer, parameter :: nGC_54 = 95
  integer, parameter :: nGC_13 = 96
  integer, parameter :: nGC_59 = 97
  integer, parameter :: nGC_58 = 98
  integer, parameter :: nGC_4123 = 99
  integer, parameter :: nGC_46 = 100
  integer, parameter :: nGC_12 = 101
  integer, parameter :: nGC_4666 = 102
  integer, parameter :: nGC_47 = 103
  integer, parameter :: nGC_11 = 104
  integer, parameter :: nGC_40 = 105
  integer, parameter :: nGC_8090 = 106
  integer, parameter :: nGC_MC = 107
  integer, parameter :: nGC_4549 = 108
  integer, parameter :: nGC_4673 = 109
  integer, parameter :: nGC_4672 = 110
  integer, parameter :: nGC_7533 = 111
  integer, parameter :: nGC_7432 = 112
  integer, parameter :: nGC_7433 = 113
  integer, parameter :: nGC_7434 = 114
  integer, parameter :: nGC_7435 = 115
  integer, parameter :: nGC_60 = 116
  integer, parameter :: nGC_4659 = 117
  integer, parameter :: nGC_4657 = 118
  integer, parameter :: nGC_4656 = 119
  integer, parameter :: nGC_4579 = 120
  integer, parameter :: nGC_4300 = 121
  integer, parameter :: nGC_4520 = 122
  integer, parameter :: nGC_MH1 = 123
  integer, parameter :: nGC_4546 = 124
  integer, parameter :: nGC_4570 = 125
  integer, parameter :: nGC_4623 = 126
  integer, parameter :: nGC_4150 = 127
  integer, parameter :: nGC_4155 = 128
  integer, parameter :: nGC_4156 = 129
  integer, parameter :: nGC_4157 = 130
  integer, parameter :: nGC_4158 = 131
  integer, parameter :: nGC_7211 = 132
  integer, parameter :: nGC_6474 = 133
  integer, parameter :: nGC_462 = 134
  integer, parameter :: nGC_7192 = 135
  integer, parameter :: nGC_4498 = 136
  integer, parameter :: nGC_4497 = 137
  integer, parameter :: nGC_4273 = 138
  integer, parameter :: nGC_19 = 139
  integer, parameter :: nGC_18 = 140
  integer, parameter :: nGC_4114 = 141
  integer, parameter :: nGC_4577 = 142
  integer, parameter :: nGC_4116 = 143
  integer, parameter :: nGC_4571 = 144
  integer, parameter :: nGC_4117 = 145
  integer, parameter :: nGC_4145 = 146
  integer, parameter :: nGC_4088 = 147
  integer, parameter :: nGC_4089 = 148
  integer, parameter :: nGC_4086 = 149
  integer, parameter :: nGC_4087 = 150
  integer, parameter :: nGC_4084 = 151
  integer, parameter :: nGC_4144 = 152
  integer, parameter :: nGC_4082 = 153
  integer, parameter :: nGC_4083 = 154
  integer, parameter :: nGC_4080 = 155
  integer, parameter :: nGC_4112 = 156
  integer, parameter :: nGC_4113 = 157
  integer, parameter :: nGC_2 = 158
  integer, parameter :: nGC_9915 = 159
  integer, parameter :: nGC_734 = 160
  integer, parameter :: nGC_41 = 161
  integer, parameter :: nGC_4085 = 162
  integer, parameter :: nGC_42 = 163
  integer, parameter :: nGC_644 = 164
  integer, parameter :: nGC_4028 = 165
  integer, parameter :: nGC_TS_GC_21_H1 = 166
  integer, parameter :: nGC_138 = 167
  integer, parameter :: nGC_4029 = 168
  integer, parameter :: nGC_TS_GC_30_H1 = 169
  integer, parameter :: nGC_6486 = 170
  integer, parameter :: nGC_43 = 171
  integer, parameter :: nGC_TS_GC_77_H1 = 172
  integer, parameter :: nGC_6296 = 173
  integer, parameter :: nGC_4025 = 174
  integer, parameter :: nGC_4110 = 175
  integer, parameter :: nGC_MS = 176
  integer, parameter :: nGC_4168 = 177
  integer, parameter :: nGC_4593 = 178
  integer, parameter :: nGC_9916 = 179
  integer, parameter :: nGC_4594 = 180
  integer, parameter :: nGC_4079 = 181
  integer, parameter :: nGC_4356 = 182
  integer, parameter :: nGC_866 = 183
  integer, parameter :: nGC_4055 = 184
  integer, parameter :: nGC_4054 = 185
  integer, parameter :: nGC_4056 = 186
  integer, parameter :: nGC_4051 = 187
  integer, parameter :: nGC_4050 = 188
  integer, parameter :: nGC_4081 = 189
  integer, parameter :: nGC_6268 = 190
  integer, parameter :: nGC_4578 = 191
  integer, parameter :: nGC_4533 = 192
  integer, parameter :: nGC_4539 = 193
  integer, parameter :: nGC_4129 = 194
  integer, parameter :: nGC_4128 = 195
  integer, parameter :: nGC_4125 = 196
  integer, parameter :: nGC_4124 = 197
  integer, parameter :: nGC_6500 = 198
  integer, parameter :: nGC_8538 = 199
  integer, parameter :: nGC_290 = 200
  integer, parameter :: nGC_8843 = 201
  integer, parameter :: nGC_4143 = 202
  integer, parameter :: nGC_4058 = 203
  integer, parameter :: nGC_MB = 204
  integer, parameter :: nGC_4547 = 205
  integer, parameter :: nGC_6647 = 206
  integer, parameter :: nGC_4545 = 207
  integer, parameter :: nGC_6645 = 208
  integer, parameter :: nGC_48 = 209
  integer, parameter :: nGC_49 = 210
  integer, parameter :: nGC_45 = 211
  integer, parameter :: nGC_4224 = 212
  integer, parameter :: nGC_4222 = 213
  integer, parameter :: nGC_4548 = 214
  integer, parameter :: nGC_6362 = 215
  integer, parameter :: nGC_6218 = 216
  integer, parameter :: nGC_4147 = 217
  integer, parameter :: nGC_708 = 218
  integer, parameter :: nGC_TS_GC_19_H1 = 219
  integer, parameter :: nGC_62 = 220
  integer, parameter :: nGC_6587 = 221
  integer, parameter :: nGC_4496 = 222
  integer, parameter :: nGC_6485 = 223
  integer, parameter :: nGC_6863 = 224
  integer, parameter :: nGC_6864 = 225
  integer, parameter :: nGC_4312 = 226
  integer, parameter :: nGC_44 = 227
  integer, parameter :: nGC_6399 = 228
  integer, parameter :: nGC_ME = 229
  integer, parameter :: nGC_7458 = 230
  integer, parameter :: nGC_4092 = 231
  integer, parameter :: nGC_7456 = 232
  integer, parameter :: nGC_7457 = 233
  integer, parameter :: nGC_7452 = 234
  integer, parameter :: nGC_61 = 235
  integer, parameter :: nGC_6623 = 236
  integer, parameter :: nGC_6624 = 237
  integer, parameter :: nGC_4151 = 238
  integer, parameter :: nGC_83 = 239
  integer, parameter :: nGC_4169 = 240
  integer, parameter :: nGC_6626 = 241
  integer, parameter :: nGC_TS_GC_70_H1 = 242
  integer, parameter :: nGC_4165 = 243
  integer, parameter :: nGC_4164 = 244
  integer, parameter :: nGC_4167 = 245
  integer, parameter :: nGC_4166 = 246
  integer, parameter :: nGC_4160 = 247
  integer, parameter :: nGC_4163 = 248
  integer, parameter :: nGC_4162 = 249
  integer, parameter :: nGC_6817 = 250
  integer, parameter :: nGC_4569 = 251
  integer, parameter :: nGC_7180 = 252
  integer, parameter :: nGC_23 = 253
  integer, parameter :: nGC_4152 = 254
  integer, parameter :: nGC_314 = 255
  integer, parameter :: nGC_7296 = 256
  integer, parameter :: nGC_6460 = 257
  integer, parameter :: nGC_6215 = 258
  integer, parameter :: nGC_6214 = 259
  integer, parameter :: nGC_4153 = 260
  integer, parameter :: nGC_6216 = 261
  integer, parameter :: nGC_152 = 262
  integer, parameter :: nGC_4154 = 263
  integer, parameter :: nGC_4450 = 264
  integer, parameter :: nGC_154 = 265
  integer, parameter :: nGC_7274 = 266
  integer, parameter :: nGC_7275 = 267
  integer, parameter :: nGC_7731 = 268
  integer, parameter :: nGC_92 = 269
  integer, parameter :: nGC_1168 = 270
  integer, parameter :: nGC_158 = 271
  integer, parameter :: nGC_4238 = 272
  integer, parameter :: nGC_4618 = 273
  integer, parameter :: nGC_4215 = 274
  integer, parameter :: nGC_4210 = 275
  integer, parameter :: nGC_90 = 276
  integer, parameter :: nGC_9275 = 277
  integer, parameter :: nGC_79 = 278
  integer, parameter :: nGC_78 = 279
  integer, parameter :: nGC_4218 = 280
  integer, parameter :: nGC_4103 = 281
  integer, parameter :: nGC_6672 = 282
  integer, parameter :: nGC_33 = 283
  integer, parameter :: nGC_4676 = 284
  integer, parameter :: nGC_TS_GC_40_H1 = 285
  integer, parameter :: nGC_7280 = 286
  integer, parameter :: nGC_22 = 287
  integer, parameter :: nGC_6730 = 288
  integer, parameter :: nGC_4563 = 289
  integer, parameter :: nGC_4159 = 290
  integer, parameter :: nGC_6788 = 291
  integer, parameter :: nGC_808 = 292
  integer, parameter :: nGC_4322 = 293
  integer, parameter :: nGC_4048 = 294
  integer, parameter :: nGC_4049 = 295
  integer, parameter :: nGC_4042 = 296
  integer, parameter :: nGC_4043 = 297
  integer, parameter :: nGC_4040 = 298
  integer, parameter :: nGC_4041 = 299
  integer, parameter :: nGC_4046 = 300
  integer, parameter :: nGC_4047 = 301
  integer, parameter :: nGC_4044 = 302
  integer, parameter :: nGC_4045 = 303
  integer, parameter :: nGC_6589 = 304
  integer, parameter :: nGC_6588 = 305
  integer, parameter :: nGC_400 = 306
  integer, parameter :: nGC_6582 = 307
  integer, parameter :: nGC_6855 = 308
  integer, parameter :: nGC_7796 = 309
  integer, parameter :: nGC_88 = 310
  integer, parameter :: nGC_6398 = 311
  integer, parameter :: nGC_89 = 312
  integer, parameter :: nGC_7306 = 313
  integer, parameter :: nGC_6259 = 314
  integer, parameter :: nGC_4602 = 315
  integer, parameter :: nGC_4604 = 316
  integer, parameter :: nGC_4606 = 317
  integer, parameter :: nGC_4609 = 318
  integer, parameter :: nGC_4241 = 319
  integer, parameter :: nGC_4136 = 320
  integer, parameter :: nGC_4137 = 321
  integer, parameter :: nGC_4134 = 322
  integer, parameter :: nGC_4135 = 323
  integer, parameter :: nGC_4132 = 324
  integer, parameter :: nGC_4133 = 325
  integer, parameter :: nGC_4130 = 326
  integer, parameter :: nGC_4131 = 327
  integer, parameter :: nGC_TS_GC_51_H1 = 328
  integer, parameter :: nGC_4161 = 329
  integer, parameter :: nGC_4138 = 330
  integer, parameter :: nGC_4139 = 331
  integer, parameter :: nGC_4039 = 332
  integer, parameter :: nGC_4038 = 333
  integer, parameter :: nGC_4037 = 334
  integer, parameter :: nGC_4036 = 335
  integer, parameter :: nGC_4035 = 336
  integer, parameter :: nGC_4034 = 337
  integer, parameter :: nGC_4031 = 338
  integer, parameter :: nGC_4030 = 339
  integer, parameter :: nGC_6518 = 340
  integer, parameter :: nGC_6733 = 341
  integer, parameter :: nGC_6517 = 342
  integer, parameter :: nGC_6514 = 343
  integer, parameter :: nGC_4122 = 344
  integer, parameter :: nGC_6513 = 345
  integer, parameter :: nGC_85 = 346
  integer, parameter :: nGC_6321 = 347
  integer, parameter :: nGC_6320 = 348
  integer, parameter :: nGC_286 = 349
  integer, parameter :: nGC_6327 = 350
  integer, parameter :: nGC_6326 = 351
  integer, parameter :: nGC_7233 = 352
  integer, parameter :: nGC_7235 = 353
  integer, parameter :: nGC_MW = 354
  integer, parameter :: nGC_234 = 355
  integer, parameter :: nGC_660 = 356
  integer, parameter :: nGC_7181 = 357
  integer, parameter :: nGC_MZ = 358
  integer, parameter :: nGC_39 = 359
  integer, parameter :: nGC_4555 = 360
  integer, parameter :: nGC_4556 = 361
  integer, parameter :: nGC_4244 = 362
  integer, parameter :: nGC_4551 = 363
  integer, parameter :: nGC_4552 = 364
  integer, parameter :: nGC_4553 = 365
  integer, parameter :: nGC_4558 = 366
  integer, parameter :: nGC_TS_GC_59_H1 = 367
  integer, parameter :: nGC_146 = 368
  integer, parameter :: nGC_66 = 369
  integer, parameter :: nGC_4059 = 370
  integer, parameter :: nGC_142 = 371
  integer, parameter :: nGC_4065 = 372
  integer, parameter :: nGC_148 = 373
  integer, parameter :: nGC_7127 = 374
  integer, parameter :: nGC_4033 = 375
  integer, parameter :: nGC_4070 = 376
  integer, parameter :: nGC_7128 = 377
  integer, parameter :: nGC_4057 = 378
  integer, parameter :: nGC_8646 = 379
  integer, parameter :: nGC_8647 = 380
  integer, parameter :: nGC_6221 = 381
  integer, parameter :: nGC_7230 = 382
  integer, parameter :: nGC_4053 = 383
  integer, parameter :: nGC_7231 = 384
  integer, parameter :: nGC_4052 = 385
  integer, parameter :: nGC_35 = 386
  integer, parameter :: nGC_4451 = 387
  integer, parameter :: nGC_9166 = 388
  integer, parameter :: nGC_4227 = 389
  integer, parameter :: nGC_64 = 390
  integer, parameter :: nGC_65 = 391
  integer, parameter :: nGC_4121 = 392
  integer, parameter :: nGC_10551 = 393
  integer, parameter :: nGC_6734 = 394
  integer, parameter :: nGC_63 = 395
  integer, parameter :: nGC_4678 = 396
  integer, parameter :: nGC_MI = 397
  integer, parameter :: nGC_MM = 398
  integer, parameter :: nGC_4671 = 399
  integer, parameter :: nGC_4670 = 400
  integer, parameter :: nGC_4675 = 401
  integer, parameter :: nGC_4674 = 402
  integer, parameter :: nGC_4677 = 403
  integer, parameter :: nGC_MD = 404
  integer, parameter :: nGC_4120 = 405
  integer, parameter :: nGC_8345 = 406
  integer, parameter :: nGC_7637 = 407
  integer, parameter :: nGC_MU = 408
  integer, parameter :: nGC_MT = 409
  integer, parameter :: nGC_6299 = 410
  integer, parameter :: nGC_6816 = 411
  integer, parameter :: nGC_4096 = 412
  integer, parameter :: nGC_6823 = 413
  integer, parameter :: nGC_670 = 414
  integer, parameter :: nGC_4304 = 415
  integer, parameter :: nGC_6940 = 416
  integer, parameter :: nGC_TS_GC_61_H1 = 417
  integer, parameter :: nGC_MW_GF = 418
  integer, parameter :: nGC_4073 = 419
  integer, parameter :: nGC_4072 = 420
  integer, parameter :: nGC_4071 = 421
  integer, parameter :: nGC_4077 = 422
  integer, parameter :: nGC_4076 = 423
  integer, parameter :: nGC_4075 = 424
  integer, parameter :: nGC_4074 = 425
  integer, parameter :: nGC_4172 = 426
  integer, parameter :: nGC_4173 = 427
  integer, parameter :: nGC_4170 = 428
  integer, parameter :: nGC_4078 = 429
  integer, parameter :: nGC_4032 = 430
  integer, parameter :: nGC_4177 = 431
  integer, parameter :: nGC_4174 = 432
  integer, parameter :: nGC_4175 = 433
  integer, parameter :: nGC_7829 = 434
  integer, parameter :: nGC_6350 = 435
  integer, parameter :: nGC_4370 = 436
  integer, parameter :: nGC_4554 = 437
  integer, parameter :: nGC_244 = 438
  integer, parameter :: nGC_4601 = 439
  integer, parameter :: nGC_6363 = 440
  integer, parameter :: nGC_4142 = 441
  integer, parameter :: nGC_6415 = 442
  integer, parameter :: nGC_4557 = 443
  integer, parameter :: nGC_34 = 444
  integer, parameter :: nGC_11375 = 445
  integer, parameter :: nGC_38 = 446
  integer, parameter :: nGC_4550 = 447
  integer, parameter :: nGC_6204 = 448
  integer, parameter :: nGC_6724 = 449
  integer, parameter :: nGC_4141 = 450
  integer, parameter :: nGC_4298 = 451
  integer, parameter :: nGC_14 = 452
  integer, parameter :: nGC_4519 = 453
  integer, parameter :: nGC_4109 = 454
  integer, parameter :: nGC_4108 = 455
  integer, parameter :: nGC_4107 = 456
  integer, parameter :: nGC_4106 = 457
  integer, parameter :: nGC_4105 = 458
  integer, parameter :: nGC_4104 = 459
  integer, parameter :: nGC_4102 = 460
  integer, parameter :: nGC_4101 = 461
  integer, parameter :: nGC_4100 = 462
  integer, parameter :: nGC_4613 = 463
  integer, parameter :: nGC_4140 = 464
  integer, parameter :: nGC_4171 = 465
  integer, parameter :: nGC_4127 = 466
  integer, parameter :: nGC_4265 = 467
  integer, parameter :: nGC_4611 = 468
  integer, parameter :: nGC_4583 = 469
  integer, parameter :: nGC_4582 = 470
  integer, parameter :: nGC_4581 = 471
  integer, parameter :: nGC_4587 = 472
  integer, parameter :: nGC_4586 = 473
  integer, parameter :: nGC_4585 = 474
  integer, parameter :: nGC_4584 = 475
  integer, parameter :: nGC_7730 = 476
  integer, parameter :: nGC_81 = 477
  integer, parameter :: nGC_4589 = 478
  integer, parameter :: nGC_84 = 479
  integer, parameter :: nGC_6499 = 480
  integer, parameter :: nGC_86 = 481
  integer, parameter :: nGC_87 = 482
  integer, parameter :: nGC_4099 = 483
  integer, parameter :: nGC_4615 = 484
  integer, parameter :: nGC_6936 = 485
  integer, parameter :: nGC_4126 = 486
  integer, parameter :: nGC_4115 = 487
  integer, parameter :: nGC_6703 = 488
  integer, parameter :: nGC_67 = 489
  integer, parameter :: nGC_4200 = 490
  integer, parameter :: nGC_4201 = 491
  integer, parameter :: nGC_6704 = 492
  integer, parameter :: nGC_6708 = 493
  integer, parameter :: nGC_4209 = 494
  integer, parameter :: nGC_68 = 495
  integer, parameter :: nGC_69 = 496
  integer, parameter :: nGC_4146 = 497
  integer, parameter :: nGC_4205 = 498
  integer, parameter :: nGC_4460 = 499
  integer, parameter :: nGC_6989 = 500
  integer, parameter :: nGC_TS_GC_80_H1 = 501
  integer, parameter :: nGC_TS_GC_85_H1 = 502
  integer, parameter :: nGC_6799 = 503
  integer, parameter :: nGC_4504 = 504
  integer, parameter :: nGC_4335 = 505
  integer, parameter :: nGC_6590 = 506
  integer, parameter :: nGC_4339 = 507
  integer, parameter :: nGC_TS_GC_91_H1 = 508
  integer, parameter :: nGC_6842 = 509
  integer, parameter :: nGC_6843 = 510
  integer, parameter :: nGC_6844 = 511
  integer, parameter :: nGC_6845 = 512
  integer, parameter :: nGC_6846 = 513
  integer, parameter :: nGC_4490 = 514
  integer, parameter :: nGC_TS_GC_29_H1 = 515
  integer, parameter :: nGC_4630 = 516
  integer, parameter :: nGC_388 = 517
  integer, parameter :: nGC_4416 = 518
  integer, parameter :: nGC_TS_GC_1_H1 = 519
  integer, parameter :: nGC_4389 = 520
  integer, parameter :: nGC_TS_GC_74_H1 = 521
  integer, parameter :: nGC_TS_GC_89_H1 = 522
  integer, parameter :: nGC_6447 = 523
  integer, parameter :: nGC_TS_GC_12_H1 = 524
  integer, parameter :: nGC_6235 = 525
  integer, parameter :: nGC_8823 = 526
  integer, parameter :: nGC_8826 = 527
  integer, parameter :: nGC_6339 = 528
  integer, parameter :: nGC_6336 = 529
  integer, parameter :: nGC_272 = 530
  integer, parameter :: nGC_6330 = 531
  integer, parameter :: nGC_6331 = 532
  integer, parameter :: nGC_494 = 533
  integer, parameter :: nGC_558 = 534
  integer, parameter :: nGC_4561 = 535
  integer, parameter :: nGC_4560 = 536
  integer, parameter :: nGC_4562 = 537
  integer, parameter :: nGC_4565 = 538
  integer, parameter :: nGC_6625 = 539
  integer, parameter :: nGC_4567 = 540
  integer, parameter :: nGC_4568 = 541
  integer, parameter :: nGC_4243 = 542
  integer, parameter :: nGC_4246 = 543
  integer, parameter :: nGC_9279 = 544
  integer, parameter :: nGC_7769 = 545
  integer, parameter :: nGC_9272 = 546
  integer, parameter :: nGC_9273 = 547
  integer, parameter :: nGC_7765 = 548
  integer, parameter :: nGC_9274 = 549
  integer, parameter :: nGC_7111 = 550
  integer, parameter :: nGC_7050 = 551
  integer, parameter :: nGC_7051 = 552
  integer, parameter :: nGC_7052 = 553
  integer, parameter :: nGC_7053 = 554
  integer, parameter :: nGC_7054 = 555
  integer, parameter :: nGC_8173 = 556
  integer, parameter :: nGC_4180 = 557
  integer, parameter :: nGC_6193 = 558
  integer, parameter :: nGC_6194 = 559
  integer, parameter :: nGC_6195 = 560
  integer, parameter :: nGC_658 = 561
  integer, parameter :: nGC_6497 = 562
  integer, parameter :: nGC_7942 = 563
  integer, parameter :: nGC_6886 = 564
  integer, parameter :: nGC_6498 = 565
  integer, parameter :: nGC_4216 = 566
  integer, parameter :: nGC_7830 = 567
  integer, parameter :: nGC_4332 = 568
  integer, parameter :: nGC_4348 = 569
  integer, parameter :: nGC_6832 = 570
  integer, parameter :: nGC_TS_GC_62_H1 = 571
  integer, parameter :: nGC_10610 = 572
  integer, parameter :: nGC_7933 = 573
  integer, parameter :: nGC_7932 = 574
  integer, parameter :: nGC_6408 = 575
  integer, parameter :: nGC_6409 = 576
  integer, parameter :: nGC_6377 = 577
  integer, parameter :: nGC_6375 = 578
  integer, parameter :: nGC_6400 = 579
  integer, parameter :: nGC_4345 = 580
  integer, parameter :: nGC_6591 = 581
  integer, parameter :: nGC_336 = 582
  integer, parameter :: nGC_4344 = 583
  integer, parameter :: nGC_6272 = 584
  integer, parameter :: nGC_4525 = 585
  integer, parameter :: nGC_6372 = 586
  integer, parameter :: nGC_4526 = 587
  integer, parameter :: nGC_4523 = 588
  integer, parameter :: nGC_4522 = 589
  integer, parameter :: nGC_338 = 590
  integer, parameter :: nGC_426 = 591
  integer, parameter :: nGC_7156 = 592
  integer, parameter :: nGC_7152 = 593
  integer, parameter :: nGC_9401 = 594
  integer, parameter :: nGC_9400 = 595
  integer, parameter :: nGC_9402 = 596
  integer, parameter :: nGC_9407 = 597
  integer, parameter :: nGC_9406 = 598
  integer, parameter :: nGC_4590 = 599
  integer, parameter :: nGC_4591 = 600
  integer, parameter :: nGC_6303 = 601
  integer, parameter :: nGC_6302 = 602
  integer, parameter :: nGC_4597 = 603
  integer, parameter :: nGC_4598 = 604
  integer, parameter :: nGC_4599 = 605
  integer, parameter :: nGC_6308 = 606
  integer, parameter :: nGC_566 = 607
  integer, parameter :: nGC_4541 = 608
  integer, parameter :: nGC_9399 = 609
  integer, parameter :: nGC_4234 = 610
  integer, parameter :: nGC_6841 = 611
  integer, parameter :: nGC_4239 = 612
  integer, parameter :: nGC_4188 = 613
  integer, parameter :: nGC_6653 = 614
  integer, parameter :: nGC_6652 = 615
  integer, parameter :: nGC_6654 = 616
  integer, parameter :: nGC_7022 = 617
  integer, parameter :: nGC_7027 = 618
  integer, parameter :: nGC_9324 = 619
  integer, parameter :: nGC_518 = 620
  integer, parameter :: nGC_6996 = 621
  integer, parameter :: nGC_6997 = 622
  integer, parameter :: nGC_6995 = 623
  integer, parameter :: nGC_6998 = 624
  integer, parameter :: nGC_9924 = 625
  integer, parameter :: nGC_9922 = 626
  integer, parameter :: nGC_9923 = 627
  integer, parameter :: nGC_9920 = 628
  integer, parameter :: nGC_9921 = 629
  integer, parameter :: nGC_7971 = 630
  integer, parameter :: nGC_4302 = 631
  integer, parameter :: nGC_4573 = 632
  integer, parameter :: nGC_4628 = 633
  integer, parameter :: nGC_4629 = 634
  integer, parameter :: nGC_4622 = 635
  integer, parameter :: nGC_4620 = 636
  integer, parameter :: nGC_4621 = 637
  integer, parameter :: nGC_4626 = 638
  integer, parameter :: nGC_4627 = 639
  integer, parameter :: nGC_4624 = 640
  integer, parameter :: nGC_4625 = 641
  integer, parameter :: nGC_4403 = 642
  integer, parameter :: nGC_4401 = 643
  integer, parameter :: nGC_4406 = 644
  integer, parameter :: nGC_4407 = 645
  integer, parameter :: nGC_4404 = 646
  integer, parameter :: nGC_4529 = 647
  integer, parameter :: nGC_4528 = 648
  integer, parameter :: nGC_4392 = 649
  integer, parameter :: nGC_4396 = 650
  integer, parameter :: nGC_4397 = 651
  integer, parameter :: nGC_4394 = 652
  integer, parameter :: nGC_4395 = 653
  integer, parameter :: nGC_4399 = 654
  integer, parameter :: nGC_7800 = 655
  integer, parameter :: nGC_468 = 656
  integer, parameter :: nGC_7191 = 657
  integer, parameter :: nGC_6572 = 658
  integer, parameter :: nGC_7195 = 659
  integer, parameter :: nGC_7196 = 660
  integer, parameter :: nGC_6220 = 661
  integer, parameter :: nGC_6222 = 662
  integer, parameter :: nGC_6223 = 663
  integer, parameter :: nGC_4494 = 664
  integer, parameter :: nGC_6340 = 665
  integer, parameter :: nGC_6347 = 666
  integer, parameter :: nGC_6346 = 667
  integer, parameter :: nGC_4493 = 668
  integer, parameter :: nGC_4275 = 669
  integer, parameter :: nGC_4271 = 670
  integer, parameter :: nGC_4270 = 671
  integer, parameter :: nGC_4477 = 672
  integer, parameter :: nGC_4576 = 673
  integer, parameter :: nGC_4574 = 674
  integer, parameter :: nGC_4575 = 675
  integer, parameter :: nGC_4572 = 676
  integer, parameter :: nGC_4479 = 677
  integer, parameter :: nGC_8109 = 678
  integer, parameter :: nGC_9408 = 679
  integer, parameter :: nGC_736 = 680
  integer, parameter :: nGC_9914 = 681
  integer, parameter :: nGC_9913 = 682
  integer, parameter :: nGC_4378 = 683
  integer, parameter :: nGC_4379 = 684
  integer, parameter :: nGC_4417 = 685
  integer, parameter :: nGC_6487 = 686
  integer, parameter :: nGC_6488 = 687
  integer, parameter :: nGC_6489 = 688
  integer, parameter :: nGC_8200 = 689
  integer, parameter :: nGC_8203 = 690
  integer, parameter :: nGC_8204 = 691
  integer, parameter :: nGC_4595 = 692
  integer, parameter :: nGC_4354 = 693
  integer, parameter :: nGC_4355 = 694
  integer, parameter :: nGC_4352 = 695
  integer, parameter :: nGC_4350 = 696
  integer, parameter :: nGC_4351 = 697
  integer, parameter :: nGC_4359 = 698
  integer, parameter :: nGC_6436 = 699
  integer, parameter :: nGC_6433 = 700
  integer, parameter :: nGC_6824 = 701
  integer, parameter :: nGC_6438 = 702
  integer, parameter :: nGC_6820 = 703
  integer, parameter :: nGC_6821 = 704
  integer, parameter :: nGC_6385 = 705
  integer, parameter :: nGC_7313 = 706
  integer, parameter :: nGC_6382 = 707
  integer, parameter :: nGC_4612 = 708
  integer, parameter :: nGC_TS_GC_83_H1 = 709
  integer, parameter :: nGC_4617 = 710
  integer, parameter :: nGC_4616 = 711
  integer, parameter :: nGC_4614 = 712
  integer, parameter :: nGC_6260 = 713
  integer, parameter :: nGC_6261 = 714
  integer, parameter :: nGC_6262 = 715
  integer, parameter :: nGC_6263 = 716
  integer, parameter :: nGC_6264 = 717
  integer, parameter :: nGC_4532 = 718
  integer, parameter :: nGC_4530 = 719
  integer, parameter :: nGC_4531 = 720
  integer, parameter :: nGC_4536 = 721
  integer, parameter :: nGC_4537 = 722
  integer, parameter :: nGC_4534 = 723
  integer, parameter :: nGC_4535 = 724
  integer, parameter :: nGC_4538 = 725
  integer, parameter :: nGC_9410 = 726
  integer, parameter :: nGC_4433 = 727
  integer, parameter :: nGC_6908 = 728
  integer, parameter :: nGC_452 = 729
  integer, parameter :: nGC_9556 = 730
  integer, parameter :: nGC_8844 = 731
  integer, parameter :: nGC_8845 = 732
  integer, parameter :: nGC_6318 = 733
  integer, parameter :: nGC_6319 = 734
  integer, parameter :: nGC_8825 = 735
  integer, parameter :: nGC_578 = 736
  integer, parameter :: nGC_4544 = 737
  integer, parameter :: nGC_4543 = 738
  integer, parameter :: nGC_4542 = 739
  integer, parameter :: nGC_4228 = 740
  integer, parameter :: nGC_4540 = 741
  integer, parameter :: nGC_4226 = 742
  integer, parameter :: nGC_4225 = 743
  integer, parameter :: nGC_4223 = 744
  integer, parameter :: nGC_4220 = 745
  integer, parameter :: nGC_7740 = 746
  integer, parameter :: nGC_7741 = 747
  integer, parameter :: nGC_7742 = 748
  integer, parameter :: nGC_7743 = 749
  integer, parameter :: nGC_8155 = 750
  integer, parameter :: nGC_8156 = 751
  integer, parameter :: nGC_6412 = 752
  integer, parameter :: nGC_7036 = 753
  integer, parameter :: nGC_7033 = 754
  integer, parameter :: nGC_6968 = 755
  integer, parameter :: nGC_7702 = 756
  integer, parameter :: nGC_4610 = 757
  integer, parameter :: nGC_772 = 758
  integer, parameter :: nGC_4313 = 759
  integer, parameter :: nGC_4318 = 760
  integer, parameter :: nGC_4319 = 761
  integer, parameter :: nGC_10662 = 762
  integer, parameter :: nGC_10663 = 763
  integer, parameter :: nGC_4310 = 764
  integer, parameter :: nGC_10661 = 765
  integer, parameter :: nGC_4316 = 766
  integer, parameter :: nGC_4317 = 767
  integer, parameter :: nGC_10664 = 768
  integer, parameter :: nGC_10665 = 769
  integer, parameter :: nGC_7298 = 770
  integer, parameter :: nGC_4314 = 771
  integer, parameter :: nGC_7297 = 772
  integer, parameter :: nGC_4248 = 773
  integer, parameter :: nGC_7459 = 774
  integer, parameter :: nGC_4249 = 775
  integer, parameter :: nGC_7299 = 776
  integer, parameter :: nGC_4564 = 777
  integer, parameter :: nGC_TS_GC_68_H1 = 778
  integer, parameter :: nGC_4566 = 779
  integer, parameter :: nGC_4240 = 780
  integer, parameter :: nGC_7184 = 781
  integer, parameter :: nGC_7185 = 782
  integer, parameter :: nGC_7182 = 783
  integer, parameter :: nGC_7183 = 784
  integer, parameter :: nGC_4366 = 785
  integer, parameter :: nGC_9518 = 786
  integer, parameter :: nGC_7188 = 787
  integer, parameter :: nGC_316 = 788
  integer, parameter :: nGC_7654 = 789
  integer, parameter :: nGC_4489 = 790
  integer, parameter :: nGC_6351 = 791
  integer, parameter :: nGC_4481 = 792
  integer, parameter :: nGC_6354 = 793
  integer, parameter :: nGC_4260 = 794
  integer, parameter :: nGC_4266 = 795
  integer, parameter :: nGC_4267 = 796
  integer, parameter :: nGC_4268 = 797
  integer, parameter :: nGC_4269 = 798
  integer, parameter :: nGC_4465 = 799
  integer, parameter :: nGC_4509 = 800
  integer, parameter :: nGC_7884 = 801
  integer, parameter :: nGC_4462 = 802
  integer, parameter :: nGC_4503 = 803
  integer, parameter :: nGC_4502 = 804
  integer, parameter :: nGC_4501 = 805
  integer, parameter :: nGC_4500 = 806
  integer, parameter :: nGC_4468 = 807
  integer, parameter :: nGC_4469 = 808
  integer, parameter :: nGC_6604 = 809
  integer, parameter :: nGC_6605 = 810
  integer, parameter :: nGC_7072 = 811
  integer, parameter :: nGC_7073 = 812
  integer, parameter :: nGC_7071 = 813
  integer, parameter :: nGC_7074 = 814
  integer, parameter :: nGC_9355 = 815
  integer, parameter :: nGC_9357 = 816
  integer, parameter :: nGC_9356 = 817
  integer, parameter :: nGC_9351 = 818
  integer, parameter :: nGC_9350 = 819
  integer, parameter :: nGC_7276 = 820
  integer, parameter :: nGC_7277 = 821
  integer, parameter :: nGC_4499 = 822
  integer, parameter :: nGC_TS_GC_65_H1 = 823
  integer, parameter :: nGC_8110 = 824
  integer, parameter :: nGC_8114 = 825
  integer, parameter :: nGC_7279 = 826
  integer, parameter :: nGC_7174 = 827
  integer, parameter :: nGC_4306 = 828
  integer, parameter :: nGC_10100 = 829
  integer, parameter :: nGC_4217 = 830
  integer, parameter :: nGC_4510 = 831
  integer, parameter :: nGC_6774 = 832
  integer, parameter :: nGC_4214 = 833
  integer, parameter :: nGC_4213 = 834
  integer, parameter :: nGC_4212 = 835
  integer, parameter :: nGC_4211 = 836
  integer, parameter :: nGC_4458 = 837
  integer, parameter :: nGC_4219 = 838
  integer, parameter :: nGC_4182 = 839
  integer, parameter :: nGC_TS_GC_17_H1 = 840
  integer, parameter :: nGC_6678 = 841
  integer, parameter :: nGC_7638 = 842
  integer, parameter :: nGC_4189 = 843
  integer, parameter :: nGC_13323 = 844
  integer, parameter :: nGC_12838 = 845
  integer, parameter :: nGC_7003 = 846
  integer, parameter :: nGC_7001 = 847
  integer, parameter :: nGC_7000 = 848
  integer, parameter :: nGC_9223 = 849
  integer, parameter :: nGC_TS_GC_63_H1 = 850
  integer, parameter :: nGC_6373 = 851
  integer, parameter :: nGC_7537 = 852
  integer, parameter :: nGC_6784 = 853
  integer, parameter :: nGC_4323 = 854
  integer, parameter :: nGC_4321 = 855
  integer, parameter :: nGC_4320 = 856
  integer, parameter :: nGC_4327 = 857
  integer, parameter :: nGC_4325 = 858
  integer, parameter :: nGC_4324 = 859
  integer, parameter :: nGC_4328 = 860
  integer, parameter :: nGC_6426 = 861
  integer, parameter :: nGC_6427 = 862
  integer, parameter :: nGC_6425 = 863
  integer, parameter :: nGC_6428 = 864
  integer, parameter :: nGC_6856 = 865
  integer, parameter :: nGC_TS_GC_58_H1 = 866
  integer, parameter :: nGC_6999 = 867
  integer, parameter :: nGC_6251 = 868
  integer, parameter :: nGC_6394 = 869
  integer, parameter :: nGC_6391 = 870
  integer, parameter :: nGC_6392 = 871
  integer, parameter :: nGC_6393 = 872
  integer, parameter :: nGC_4600 = 873
  integer, parameter :: nGC_4603 = 874
  integer, parameter :: nGC_4605 = 875
  integer, parameter :: nGC_4607 = 876
  integer, parameter :: nGC_4608 = 877
  integer, parameter :: nGC_8541 = 878
  integer, parameter :: nGC_4420 = 879
  integer, parameter :: nGC_4424 = 880
  integer, parameter :: nGC_6456 = 881
  integer, parameter :: nGC_6455 = 882
  integer, parameter :: nGC_8540 = 883
  integer, parameter :: nGC_6450 = 884
  integer, parameter :: nGC_6459 = 885
  integer, parameter :: nGC_7236 = 886
  integer, parameter :: nGC_7237 = 887
  integer, parameter :: nGC_4259 = 888
  integer, parameter :: nGC_4258 = 889
  integer, parameter :: nGC_4253 = 890
  integer, parameter :: nGC_4252 = 891
  integer, parameter :: nGC_4251 = 892
  integer, parameter :: nGC_4250 = 893
  integer, parameter :: nGC_6736 = 894
  integer, parameter :: nGC_4559 = 895
  integer, parameter :: nGC_4255 = 896
  integer, parameter :: nGC_6735 = 897
  integer, parameter :: nGC_4364 = 898
  integer, parameter :: nGC_8648 = 899
  integer, parameter :: nGC_8649 = 900
  integer, parameter :: nGC_7126 = 901
  integer, parameter :: nGC_7189 = 902
  integer, parameter :: nGC_7129 = 903
  integer, parameter :: nGC_9283 = 904
  integer, parameter :: nGC_9281 = 905
  integer, parameter :: nGC_9280 = 906
  integer, parameter :: nGC_6979 = 907
  integer, parameter :: nGC_6184 = 908
  integer, parameter :: nGC_6187 = 909
  integer, parameter :: nGC_6977 = 910
  integer, parameter :: nGC_6970 = 911
  integer, parameter :: nGC_6748 = 912
  integer, parameter :: nGC_6609 = 913
  integer, parameter :: nGC_788 = 914
  integer, parameter :: nGC_7953 = 915
  integer, parameter :: nGC_7952 = 916
  integer, parameter :: nGC_7340 = 917
  integer, parameter :: nGC_7341 = 918
  integer, parameter :: nGC_7348 = 919
  integer, parameter :: nGC_7349 = 920
  integer, parameter :: nGC_8341 = 921
  integer, parameter :: nGC_7460 = 922
  integer, parameter :: nGC_4198 = 923
  integer, parameter :: nGC_6297 = 924
  integer, parameter :: nGC_4178 = 925
  integer, parameter :: nGC_4179 = 926
  integer, parameter :: nGC_6552 = 927
  integer, parameter :: nGC_6551 = 928
  integer, parameter :: nGC_6556 = 929
  integer, parameter :: nGC_6557 = 930
  integer, parameter :: nGC_6554 = 931
  integer, parameter :: nGC_4483 = 932
  integer, parameter :: nGC_4374 = 933
  integer, parameter :: nGC_4375 = 934
  integer, parameter :: nGC_4376 = 935
  integer, parameter :: nGC_4377 = 936
  integer, parameter :: nGC_4371 = 937
  integer, parameter :: nGC_4372 = 938
  integer, parameter :: nGC_4373 = 939
  integer, parameter :: nGC_6360 = 940
  integer, parameter :: nGC_254 = 941
  integer, parameter :: nGC_6411 = 942
  integer, parameter :: nGC_6410 = 943
  integer, parameter :: nGC_6416 = 944
  integer, parameter :: nGC_6414 = 945
  integer, parameter :: nGC_6208 = 946
  integer, parameter :: nGC_6201 = 947
  integer, parameter :: nGC_4299 = 948
  integer, parameter :: nGC_4297 = 949
  integer, parameter :: nGC_4296 = 950
  integer, parameter :: nGC_4295 = 951
  integer, parameter :: nGC_4486 = 952
  integer, parameter :: nGC_4293 = 953
  integer, parameter :: nGC_4292 = 954
  integer, parameter :: nGC_4291 = 955
  integer, parameter :: nGC_4290 = 956
  integer, parameter :: nGC_4518 = 957
  integer, parameter :: nGC_4453 = 958
  integer, parameter :: nGC_4452 = 959
  integer, parameter :: nGC_4455 = 960
  integer, parameter :: nGC_4454 = 961
  integer, parameter :: nGC_4457 = 962
  integer, parameter :: nGC_4456 = 963
  integer, parameter :: nGC_4459 = 964
  integer, parameter :: nGC_4511 = 965
  integer, parameter :: nGC_4512 = 966
  integer, parameter :: nGC_13325 = 967
  integer, parameter :: nGC_4514 = 968
  integer, parameter :: nGC_4515 = 969
  integer, parameter :: nGC_4516 = 970
  integer, parameter :: nGC_4517 = 971
  integer, parameter :: nGC_9348 = 972
  integer, parameter :: nGC_9349 = 973
  integer, parameter :: nGC_6640 = 974
  integer, parameter :: nGC_10825 = 975
  integer, parameter :: nGC_4257 = 976
  integer, parameter :: nGC_7084 = 977
  integer, parameter :: nGC_4513 = 978
  integer, parameter :: nGC_6737 = 979
  integer, parameter :: nGC_4580 = 980
  integer, parameter :: nGC_4588 = 981
  integer, parameter :: nGC_4204 = 982
  integer, parameter :: nGC_4206 = 983
  integer, parameter :: nGC_4207 = 984
  integer, parameter :: nGC_6707 = 985
  integer, parameter :: nGC_4202 = 986
  integer, parameter :: nGC_4203 = 987
  integer, parameter :: nGC_6709 = 988
  integer, parameter :: nGC_4208 = 989
  integer, parameter :: nGC_4619 = 990
  integer, parameter :: nGC_4194 = 991
  integer, parameter :: nGC_4195 = 992
  integer, parameter :: nGC_4196 = 993
  integer, parameter :: nGC_4197 = 994
  integer, parameter :: nGC_4190 = 995
  integer, parameter :: nGC_4191 = 996
  integer, parameter :: nGC_4192 = 997
  integer, parameter :: nGC_4193 = 998
  integer, parameter :: nGC_6667 = 999
  integer, parameter :: nGC_6660 = 1000
  integer, parameter :: nGC_4466 = 1001
  integer, parameter :: nGC_4467 = 1002
  integer, parameter :: nGC_7010 = 1003
  integer, parameter :: nGC_4336 = 1004
  integer, parameter :: nGC_4369 = 1005
  integer, parameter :: nGC_6909 = 1006
  integer, parameter :: nGC_4326 = 1007
  integer, parameter :: nGC_4329 = 1008
  integer, parameter :: nGC_6555 = 1009
  integer, parameter :: nGC_6710 = 1010
  integer, parameter :: nGC_4230 = 1011
  integer, parameter :: nGC_4233 = 1012
  integer, parameter :: nGC_6986 = 1013
  integer, parameter :: nGC_4235 = 1014
  integer, parameter :: nGC_6982 = 1015
  integer, parameter :: nGC_4301 = 1016
  integer, parameter :: nGC_4431 = 1017
  integer, parameter :: nGC_4430 = 1018
  integer, parameter :: nGC_4437 = 1019
  integer, parameter :: nGC_4436 = 1020
  integer, parameter :: nGC_4435 = 1021
  integer, parameter :: nGC_4434 = 1022
  integer, parameter :: nGC_6501 = 1023
  integer, parameter :: nGC_6503 = 1024
  integer, parameter :: nGC_6502 = 1025
  integer, parameter :: nGC_6679 = 1026
  integer, parameter :: nGC_9557 = 1027
  integer, parameter :: nGC_6395 = 1028
  integer, parameter :: nGC_6617 = 1029
  integer, parameter :: nGC_7307 = 1030
  integer, parameter :: nGC_8542 = 1031
  integer, parameter :: nGC_4505 = 1032
  integer, parameter :: nGC_7026 = 1033
  integer, parameter :: nGC_4221 = 1034
  integer, parameter :: nGC_7957 = 1035
  integer, parameter :: nGC_7002 = 1036
  integer, parameter :: nGC_4330 = 1037
  integer, parameter :: nGC_4331 = 1038
  integer, parameter :: nGC_6594 = 1039
  integer, parameter :: nGC_4333 = 1040
  integer, parameter :: nGC_4334 = 1041
  integer, parameter :: nGC_4337 = 1042
  integer, parameter :: nGC_4338 = 1043
  integer, parameter :: nGC_9818 = 1044
  integer, parameter :: nGC_4365 = 1045
  integer, parameter :: nGC_6849 = 1046
  integer, parameter :: nGC_4427 = 1047
  integer, parameter :: nGC_11937 = 1048
  integer, parameter :: nGC_4229 = 1049
  integer, parameter :: nGC_8094 = 1050
  integer, parameter :: nGC_7539 = 1051
  integer, parameter :: nGC_7538 = 1052
  integer, parameter :: nGC_7436 = 1053
  integer, parameter :: nGC_7437 = 1054
  integer, parameter :: nGC_4426 = 1055
  integer, parameter :: nGC_6847 = 1056
  integer, parameter :: nGC_12909 = 1057
  integer, parameter :: nGC_4231 = 1058
  integer, parameter :: nGC_6240 = 1059
  integer, parameter :: nGC_6247 = 1060
  integer, parameter :: nGC_6519 = 1061
  integer, parameter :: nGC_10102 = 1062
  integer, parameter :: nGC_4439 = 1063
  integer, parameter :: nGC_4185 = 1064
  integer, parameter :: nGC_4232 = 1065
  integer, parameter :: nGC_7133 = 1066
  integer, parameter :: nGC_7132 = 1067
  integer, parameter :: nGC_6329 = 1068
  integer, parameter :: nGC_6328 = 1069
  integer, parameter :: nGC_8651 = 1070
  integer, parameter :: nGC_8650 = 1071
  integer, parameter :: nGC_4472 = 1072
  integer, parameter :: nGC_4415 = 1073
  integer, parameter :: nGC_4414 = 1074
  integer, parameter :: nGC_4411 = 1075
  integer, parameter :: nGC_4410 = 1076
  integer, parameter :: nGC_4413 = 1077
  integer, parameter :: nGC_4412 = 1078
  integer, parameter :: nGC_4305 = 1079
  integer, parameter :: nGC_4307 = 1080
  integer, parameter :: nGC_7655 = 1081
  integer, parameter :: nGC_4419 = 1082
  integer, parameter :: nGC_4418 = 1083
  integer, parameter :: nGC_4303 = 1084
  integer, parameter :: nGC_4385 = 1085
  integer, parameter :: nGC_4384 = 1086
  integer, parameter :: nGC_4387 = 1087
  integer, parameter :: nGC_4386 = 1088
  integer, parameter :: nGC_4381 = 1089
  integer, parameter :: nGC_4380 = 1090
  integer, parameter :: nGC_4383 = 1091
  integer, parameter :: nGC_4382 = 1092
  integer, parameter :: nGC_12270 = 1093
  integer, parameter :: nGC_4256 = 1094
  integer, parameter :: nGC_4254 = 1095
  integer, parameter :: nGC_7350 = 1096
  integer, parameter :: nGC_6443 = 1097
  integer, parameter :: nGC_4183 = 1098
  integer, parameter :: nGC_6610 = 1099
  integer, parameter :: nGC_8824 = 1100
  integer, parameter :: nGC_6232 = 1101
  integer, parameter :: nGC_4363 = 1102
  integer, parameter :: nGC_6361 = 1103
  integer, parameter :: nGC_4353 = 1104
  integer, parameter :: nGC_6335 = 1105
  integer, parameter :: nGC_4368 = 1106
  integer, parameter :: nGC_4402 = 1107
  integer, parameter :: nGC_4400 = 1108
  integer, parameter :: nGC_4311 = 1109
  integer, parameter :: nGC_4422 = 1110
  integer, parameter :: nGC_9282 = 1111
  integer, parameter :: nGC_4405 = 1112
  integer, parameter :: nGC_4408 = 1113
  integer, parameter :: nGC_4409 = 1114
  integer, parameter :: nGC_12897 = 1115
  integer, parameter :: nGC_4315 = 1116
  integer, parameter :: nGC_4421 = 1117
  integer, parameter :: nGC_4393 = 1118
  integer, parameter :: nGC_4391 = 1119
  integer, parameter :: nGC_4362 = 1120
  integer, parameter :: nGC_4358 = 1121
  integer, parameter :: nGC_6627 = 1122
  integer, parameter :: nGC_6628 = 1123
  integer, parameter :: nGC_4242 = 1124
  integer, parameter :: nGC_4245 = 1125
  integer, parameter :: nGC_4247 = 1126
  integer, parameter :: nGC_4423 = 1127
  integer, parameter :: nGC_6475 = 1128
  integer, parameter :: nGC_6477 = 1129
  integer, parameter :: nGC_6476 = 1130
  integer, parameter :: nGC_4398 = 1131
  integer, parameter :: nGC_4390 = 1132
  integer, parameter :: nGC_7197 = 1133
  integer, parameter :: nGC_6349 = 1134
  integer, parameter :: nGC_7112 = 1135
  integer, parameter :: nGC_4495 = 1136
  integer, parameter :: nGC_4463 = 1137
  integer, parameter :: nGC_4491 = 1138
  integer, parameter :: nGC_4492 = 1139
  integer, parameter :: nGC_4274 = 1140
  integer, parameter :: nGC_4277 = 1141
  integer, parameter :: nGC_4276 = 1142
  integer, parameter :: nGC_7959 = 1143
  integer, parameter :: nGC_7958 = 1144
  integer, parameter :: nGC_4272 = 1145
  integer, parameter :: nGC_7351 = 1146
  integer, parameter :: nGC_7956 = 1147
  integer, parameter :: nGC_4279 = 1148
  integer, parameter :: nGC_4278 = 1149
  integer, parameter :: nGC_11851 = 1150
  integer, parameter :: nGC_6949 = 1151
  integer, parameter :: nGC_4476 = 1152
  integer, parameter :: nGC_4475 = 1153
  integer, parameter :: nGC_4474 = 1154
  integer, parameter :: nGC_4473 = 1155
  integer, parameter :: nGC_6618 = 1156
  integer, parameter :: nGC_4471 = 1157
  integer, parameter :: nGC_4470 = 1158
  integer, parameter :: nGC_4367 = 1159
  integer, parameter :: nGC_4309 = 1160
  integer, parameter :: nGC_6943 = 1161
  integer, parameter :: nGC_6196 = 1162
  integer, parameter :: nGC_6197 = 1163
  integer, parameter :: nGC_4425 = 1164
  integer, parameter :: nGC_4308 = 1165
  integer, parameter :: nGC_4432 = 1166
  integer, parameter :: nGC_6822 = 1167
  integer, parameter :: nGC_4237 = 1168
  integer, parameter :: nGC_6461 = 1169
  integer, parameter :: nGC_4488 = 1170
  integer, parameter :: nGC_4482 = 1171
  integer, parameter :: nGC_7107 = 1172
  integer, parameter :: nGC_4480 = 1173
  integer, parameter :: nGC_4360 = 1174
  integer, parameter :: nGC_6355 = 1175
  integer, parameter :: nGC_4484 = 1176
  integer, parameter :: nGC_4485 = 1177
  integer, parameter :: nGC_4262 = 1178
  integer, parameter :: nGC_4263 = 1179
  integer, parameter :: nGC_6490 = 1180
  integer, parameter :: nGC_10111 = 1181
  integer, parameter :: nGC_6950 = 1182
  integer, parameter :: nGC_4236 = 1183
  integer, parameter :: nGC_7943 = 1184
  integer, parameter :: nGC_7944 = 1185
  integer, parameter :: nGC_7945 = 1186
  integer, parameter :: nGC_8213 = 1187
  integer, parameter :: nGC_6553 = 1188
  integer, parameter :: nGC_4508 = 1189
  integer, parameter :: nGC_6910 = 1190
  integer, parameter :: nGC_11589 = 1191
  integer, parameter :: nGC_6281 = 1192
  integer, parameter :: nGC_7744 = 1193
  integer, parameter :: nGC_4507 = 1194
  integer, parameter :: nGC_4506 = 1195
  integer, parameter :: nGC_6288 = 1196
  integer, parameter :: nGC_7372 = 1197
  integer, parameter :: nGC_6680 = 1198
  integer, parameter :: nGC_9359 = 1199
  integer, parameter :: nGC_9358 = 1200
  integer, parameter :: nGC_12788 = 1201
  integer, parameter :: nGC_6413 = 1202
  integer, parameter :: nGC_6688 = 1203
  integer, parameter :: nGC_4361 = 1204
  integer, parameter :: nGC_4487 = 1205
  integer, parameter :: nGC_6775 = 1206
  integer, parameter :: nGC_8056 = 1207
  integer, parameter :: nGC_7278 = 1208
  integer, parameter :: nGC_7175 = 1209
  integer, parameter :: nGC_4478 = 1210
  integer, parameter :: nGC_6969 = 1211
  integer, parameter :: nGC_10101 = 1212
  integer, parameter :: nGC_4428 = 1213
  integer, parameter :: nGC_4294 = 1214
  integer, parameter :: nGC_4349 = 1215
  integer, parameter :: nGC_11757 = 1216
  integer, parameter :: nGC_6595 = 1217
  integer, parameter :: nGC_9539 = 1218
  integer, parameter :: nGC_4341 = 1219
  integer, parameter :: nGC_4340 = 1220
  integer, parameter :: nGC_4343 = 1221
  integer, parameter :: nGC_4342 = 1222
  integer, parameter :: nGC_7931 = 1223
  integer, parameter :: nGC_4346 = 1224
  integer, parameter :: nGC_4187 = 1225
  integer, parameter :: nGC_4186 = 1226
  integer, parameter :: nGC_4438 = 1227
  integer, parameter :: nGC_4184 = 1228
  integer, parameter :: nGC_6376 = 1229
  integer, parameter :: nGC_4264 = 1230
  integer, parameter :: nGC_6374 = 1231
  integer, parameter :: nGC_6520 = 1232
  integer, parameter :: nGC_4388 = 1233
  integer, parameter :: nGC_12422 = 1234
  integer, parameter :: nGC_6348 = 1235
  integer, parameter :: nGC_4347 = 1236
  integer, parameter :: nGC_4261 = 1237
  integer, parameter :: nGC_6276 = 1238
  integer, parameter :: nGC_4357 = 1239
  integer, parameter :: nGC_4288 = 1240
  integer, parameter :: nGC_4289 = 1241
  integer, parameter :: nGC_4284 = 1242
  integer, parameter :: nGC_4285 = 1243
  integer, parameter :: nGC_4286 = 1244
  integer, parameter :: nGC_4287 = 1245
  integer, parameter :: nGC_4280 = 1246
  integer, parameter :: nGC_4281 = 1247
  integer, parameter :: nGC_4282 = 1248
  integer, parameter :: nGC_4283 = 1249
  integer, parameter :: nGC_6437 = 1250
  integer, parameter :: nGC_4448 = 1251
  integer, parameter :: nGC_4449 = 1252
  integer, parameter :: nGC_4446 = 1253
  integer, parameter :: nGC_4447 = 1254
  integer, parameter :: nGC_4444 = 1255
  integer, parameter :: nGC_4445 = 1256
  integer, parameter :: nGC_4442 = 1257
  integer, parameter :: nGC_4443 = 1258
  integer, parameter :: nGC_4440 = 1259
  integer, parameter :: nGC_4441 = 1260
  integer, parameter :: nGC_9409 = 1261
  integer, parameter :: nGC_4464 = 1262
  integer, parameter :: nGC_4181 = 1263
  integer, parameter :: nGC_4429 = 1264
  integer, parameter :: nGC_4199 = 1265
  integer, parameter :: nGC_6381 = 1266
  integer, parameter :: nGC_6305 = 1267
  integer, parameter :: nGC_6304 = 1268
  integer, parameter :: nGC_6309 = 1269
  integer, parameter :: nGC_4461 = 1270
  integer, parameter :: nGC_12877 = 1271
  integer, parameter :: nGC_7308 = 1272
  integer, parameter :: nGC_7309 = 1273
  integer, parameter :: nGC_12094 = 1274
  integer, parameter :: nGC_12831 = 1275
  integer, parameter :: nGC_8867 = 1276
  integer, parameter :: nGC_7946 = 1277
  integer, parameter :: nGC_7108 = 1278
  integer, parameter :: nGC_12696 = 1279
  integer, parameter :: nGC_6848 = 1280
  integer, parameter :: nGC_7647 = 1281
  integer, parameter :: nGC_11932 = 1282
  integer, parameter :: nGC_6983 = 1283
  integer, parameter :: nGC_6611 = 1284
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
