!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_8539) = coupl(nGC_91)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_4667) = -cima*dMT_QCD2
    coupl(nGC_4664) = -cima*dMC_QED2
    coupl(nGC_4665) = -cima*dMC_QCD2
    coupl(nGC_4662) = -cima*dMU_QED2
    coupl(nGC_4663) = -cima*dMU_QCD2
    coupl(nGC_4660) = -cima*dMM_QED2
    coupl(nGC_4661) = -cima*dMTA_QED2
    coupl(nGC_4668) = -cima*dMD_QED2
    coupl(nGC_4669) = -cima*dMD_QCD2
    coupl(nGC_4524) = coupl(nGC_4024)*db4_QED4
    coupl(nGC_4527) = -cima*dlam_QED4
    coupl(nGC_4521) = -cima*da2_QED4
    coupl(nGC_6644) = coupl(nGC_5)*dZdR_QED2
    coupl(nGC_4592) = coupl(nGC_4094)*dsw_QED2 + coupl(nGC_4095)*dZee_QED2
    coupl(nGC_4596) = coupl(nGC_4068)*dsw_QED2 + coupl(nGC_4069)*dZee_QED2
    coupl(nGC_6905) = coupl(nGC_8)*dZtauMinusR_QED2
    coupl(nGC_4666) = -cima*dMT_QED2
    coupl(nGC_8090) = coupl(nGC_I)*dZH1_QED2
    coupl(nGC_4549) = cima*dyc_QED1_QCD2
    coupl(nGC_4673) = -cima*dMB_QCD2
    coupl(nGC_4672) = -cima*dMB_QED2
    coupl(nGC_7533) = coupl(nGC_8)*dZeMinusR_QED2
    coupl(nGC_7432) = coupl(nGC_15)*dZcR_QED2
    coupl(nGC_7433) = coupl(nGC_15)*dZcR_QCD2
    coupl(nGC_7434) = coupl(nGC_15)*dZcL_QED2
    coupl(nGC_7435) = coupl(nGC_15)*dZcL_QCD2
    coupl(nGC_4659) = -cima*dME_QED2
    coupl(nGC_4657) = -cima*dMHP2_QED2
    coupl(nGC_4656) = -cima*dMH12_QED2
    coupl(nGC_4579) = coupl(nGC_4064)*dyup_QED3
    coupl(nGC_4300) = coupl(nGC_15)**2d0*coupl(nGC_71)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4520) = -3d0*cima*coupl(nGC_15)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_4546) = cima*dyup_QED3
    coupl(nGC_4570) = -cima*dym_QED3
    coupl(nGC_4623) = coupl(nGC_4026)*dZee_QED2
    coupl(nGC_7211) = coupl(nGC_1)*dZH1_QED2 + coupl(nGC_1)*dZHMinus_QED2 +    &
                      coupl(nGC_4521)
    coupl(nGC_6474) = coupl(nGC_27)*dZZA_QED2/2d0 + coupl(nGC_9)*dZAZ_QED2/2d0
    coupl(nGC_7192) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_4498) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_5) + coupl(  &
                      nGC_6))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_4497) = cima*coupl(nGC_15)**3d0*sq2**3d0*(-coupl(nGC_5) - coupl( &
                      nGC_6))/(32d0*pi**2d0*Nc)
    coupl(nGC_4273) = coupl(nGC_15)**2d0*coupl(nGC_72)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4577) = coupl(nGC_4063)*dytau_QED3
    coupl(nGC_4571) = -cima*dytau_QED3
    coupl(nGC_9915) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_TS_GC_21_H1) = -coupl(nGC_21)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_30_H1) = -coupl(nGC_30)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6486) = coupl(nGC_50)*dZtauMinusR_QED2
    coupl(nGC_TS_GC_77_H1) = -coupl(nGC_77)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6296) = coupl(nGC_5)*dZsR_QED2
    coupl(nGC_4593) = coupl(nGC_4156)*dsw_QED2 + coupl(nGC_4157)*dvev_QED1 +   &
                      coupl(nGC_4158)*dZee_QED2
    coupl(nGC_9916) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_4594) = coupl(nGC_4084)*dsw_QED2 + coupl(nGC_4085)*dZee_QED2
    coupl(nGC_4356) = coupl(nGC_15)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6268) = coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_4578) = coupl(nGC_4064)*dyup_QED1_QCD2
    coupl(nGC_4533) = coupl(nGC_4027)*dZee_QED2
    coupl(nGC_4539) = coupl(nGC_4079)*dsw_QED2 + coupl(nGC_4080)*dcw_QED2 +    &
                      coupl(nGC_4081)*dZee_QED2
    coupl(nGC_6500) = coupl(nGC_15)*dZsL_QCD2
    coupl(nGC_8538) = coupl(nGC_91)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_8843) = coupl(nGC_77)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_4547) = -cima*dydo_QED1_QCD2
    coupl(nGC_6647) = coupl(nGC_5)*dZdL_QCD2
    coupl(nGC_4545) = cima*dyup_QED1_QCD2
    coupl(nGC_6645) = coupl(nGC_5)*dZdR_QCD2
    coupl(nGC_4224) = cMT*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4222) = cMS*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4548) = -cima*dydo_QED3
    coupl(nGC_6362) = coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_6218) = coupl(nGC_6)*dZcL_QCD2
    coupl(nGC_TS_GC_19_H1) = -coupl(nGC_19)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6587) = coupl(nGC_1)*dZHMinus_QED2 + coupl(nGC_4521)
    coupl(nGC_4496) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_5) + coupl(  &
                      nGC_6))/(64d0*pi**2d0)
    coupl(nGC_6485) = coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6863) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_4539)
    coupl(nGC_6864) = -coupl(nGC_6863)
    coupl(nGC_4312) = coupl(nGC_15)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6399) = coupl(nGC_49)*dZsR_QED2
    coupl(nGC_7458) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZuL_QED2
    coupl(nGC_7456) = coupl(nGC_6)*dZuR_QED2
    coupl(nGC_7457) = coupl(nGC_6)*dZuR_QCD2
    coupl(nGC_7452) = coupl(nGC_6)*dZuL_QCD2
    coupl(nGC_6623) = coupl(nGC_15)*dZuR_QED2
    coupl(nGC_6624) = coupl(nGC_15)*dZuR_QCD2
    coupl(nGC_6626) = coupl(nGC_15)*dZuL_QCD2
    coupl(nGC_TS_GC_70_H1) = -coupl(nGC_70)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6817) = coupl(nGC_49)*dZuR_QCD2
    coupl(nGC_4569) = -cima*dye_QED3
    coupl(nGC_7180) = coupl(nGC_73)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7296) = coupl(nGC_50)*dZeMinusR_QED2
    coupl(nGC_6460) = coupl(nGC_4659) + coupl(nGC_TS_GC_77_H1)
    coupl(nGC_6215) = coupl(nGC_6)*dZcR_QED2
    coupl(nGC_6214) = coupl(nGC_49)*dZZA_QED2/2d0
    coupl(nGC_6216) = coupl(nGC_6)*dZcR_QCD2
    coupl(nGC_4450) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_5)**2d0 +    &
                      coupl(nGC_6)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7274) = coupl(nGC_49)*dZcR_QED2
    coupl(nGC_7275) = coupl(nGC_49)*dZcR_QCD2
    coupl(nGC_7731) = coupl(nGC_49)*dZdR_QCD2
    coupl(nGC_4238) = coupl(nGC_15)**2d0*coupl(nGC_5)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4618) = coupl(nGC_4153)*dsw_QED2 + coupl(nGC_4154)*dcw_QED2 +    &
                      coupl(nGC_4155)*dZee_QED2
    coupl(nGC_4215) = cima*coupl(nGC_15)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_4210) = cima*(coupl(nGC_734)**2d0 + coupl(nGC_8)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_9275) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_4218) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_6672) = coupl(nGC_50)*dZmuMinusR_QED2
    coupl(nGC_4676) = coupl(nGC_230)*dMW2_QED2
    coupl(nGC_TS_GC_40_H1) = -coupl(nGC_40)*dtH1_QED1/cMH1**2d0
    coupl(nGC_7280) = 4d0*coupl(nGC_7275)
    coupl(nGC_6730) = coupl(nGC_5)*dZbL_QCD2
    coupl(nGC_4563) = coupl(nGC_4166)*dydo_QED1_QCD2
    coupl(nGC_6788) = coupl(nGC_58)*dZZA_QED2/2d0
    coupl(nGC_4322) = coupl(nGC_15)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6589) = coupl(nGC_15)*dZdL_QCD2
    coupl(nGC_6588) = coupl(nGC_15)*dZdL_QED2
    coupl(nGC_6582) = coupl(nGC_26)*dZZA_QED2/2d0 + coupl(nGC_41)*dZA_QED2/2d0 &
                       + coupl(nGC_41)*dZH2_QED2/2d0 + coupl(nGC_41)*          &
                      dZHMinus_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2/2d0 +    &
                      coupl(nGC_4592)
    coupl(nGC_6855) = coupl(nGC_31)*dZH2_QED2/2d0 + coupl(nGC_31)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_4596)
    coupl(nGC_7796) = coupl(nGC_I)*dZH2_QED2
    coupl(nGC_6398) = coupl(nGC_1)*dZH1_QED2 + coupl(nGC_1)*dZH2_QED2 + coupl( &
                      nGC_4521)
    coupl(nGC_7306) = coupl(nGC_44)*dZZA_QED2
    coupl(nGC_6259) = coupl(nGC_92)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_4602) = coupl(nGC_4028)*dsw_QED2 + coupl(nGC_4029)*dZee_QED2
    coupl(nGC_4604) = coupl(nGC_4150)*dsw_QED2 + coupl(nGC_4151)*dvev_QED1 +   &
                      coupl(nGC_4152)*dZee_QED2
    coupl(nGC_4606) = coupl(nGC_4061)*dsw_QED2 + coupl(nGC_4062)*dZee_QED2
    coupl(nGC_4609) = coupl(nGC_4116)*dsw_QED2 + coupl(nGC_4117)*dcw_QED2 +    &
                      coupl(nGC_4118)*dZee_QED2
    coupl(nGC_4241) = coupl(nGC_15)**2d0*coupl(nGC_6)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_51_H1) = -coupl(nGC_51)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6518) = coupl(nGC_15)*dZbR_QCD2
    coupl(nGC_6733) = coupl(nGC_5)*dZbR_QED2
    coupl(nGC_6517) = coupl(nGC_15)*dZbR_QED2
    coupl(nGC_6514) = coupl(nGC_15)*dZbL_QCD2
    coupl(nGC_6513) = coupl(nGC_15)*dZbL_QED2
    coupl(nGC_6321) = coupl(nGC_4548) + coupl(nGC_72)*dZdR_QED2/2d0 + coupl(   &
                      nGC_72)*dZuL_QED2/2d0
    coupl(nGC_6320) = coupl(nGC_4546) + coupl(nGC_90)*dZdL_QED2/2d0 + coupl(   &
                      nGC_90)*dZuR_QED2/2d0
    coupl(nGC_6327) = coupl(nGC_71)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6326) = coupl(nGC_71)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_7233) = coupl(nGC_6)*dZtL_QCD2
    coupl(nGC_7235) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZtL_QED2
    coupl(nGC_7181) = coupl(nGC_73)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_4555) = -cima*dyb_QED1_QCD2
    coupl(nGC_4556) = -cima*dyb_QED3
    coupl(nGC_4244) = coupl(nGC_8)*(coupl(nGC_644)*coupl(nGC_76) + 4d0*coupl(  &
                      nGC_734)**2d0 + coupl(nGC_77)**2d0 + 4d0*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4551) = -cima*dys_QED1_QCD2
    coupl(nGC_4552) = -cima*dys_QED3
    coupl(nGC_4553) = cima*dyt_QED1_QCD2
    coupl(nGC_4558) = coupl(nGC_4169)*dydo_QED3
    coupl(nGC_TS_GC_59_H1) = -coupl(nGC_59)*dtH1_QED1/cMH1**2d0
    coupl(nGC_7127) = coupl(nGC_15)*dZtR_QCD2
    coupl(nGC_7128) = coupl(nGC_15)*dZtL_QED2
    coupl(nGC_8646) = coupl(nGC_82)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_8647) = coupl(nGC_82)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6221) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZcL_QED2
    coupl(nGC_7230) = coupl(nGC_6)*dZtR_QED2
    coupl(nGC_7231) = coupl(nGC_6)*dZtR_QCD2
    coupl(nGC_4451) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_5)**2d0 -   &
                      coupl(nGC_6)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_9166) = coupl(nGC_4609) + coupl(nGC_51)*dZH1_QED2/2d0 + coupl(   &
                      nGC_51)*dZZ_QED2/2d0
    coupl(nGC_4227) = cMU*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_10551) = -coupl(nGC_9166)
    coupl(nGC_6734) = coupl(nGC_5)*dZbR_QCD2
    coupl(nGC_4678) = coupl(nGC_238)*dMZ2_QED2
    coupl(nGC_4671) = -cima*dMS_QCD2
    coupl(nGC_4670) = -cima*dMS_QED2
    coupl(nGC_4675) = cima*dMW2_QED2
    coupl(nGC_4674) = cima*dMZ2_QED2
    coupl(nGC_4677) = coupl(nGC_234)*dMW2_QED2
    coupl(nGC_8345) = coupl(nGC_37)*dZHMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0 &
                       + coupl(nGC_4539) + coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_7637) = coupl(nGC_37)*dZZ_QED2/2d0 + coupl(nGC_4539) + coupl(    &
                      nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6299) = coupl(nGC_5)*dZsL_QCD2
    coupl(nGC_6816) = coupl(nGC_49)*dZuR_QED2
    coupl(nGC_6823) = dZuL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_4304) = coupl(nGC_15)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6940) = coupl(nGC_4678) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_TS_GC_61_H1) = -coupl(nGC_61)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4177) = cima*(coupl(nGC_276)*coupl(nGC_32) + coupl(nGC_31)*coupl(&
                      nGC_808))/(96d0*pi**2d0)
    coupl(nGC_7829) = coupl(nGC_4533) + coupl(nGC_7)*dZWMinus_QED2/2d0
    coupl(nGC_6350) = dZtL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_4370) = coupl(nGC_15)**2d0*coupl(nGC_314)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4554) = cima*dyt_QED3
    coupl(nGC_4601) = coupl(nGC_4051)*dsw_QED2 + coupl(nGC_4052)*dZee_QED2
    coupl(nGC_6363) = -coupl(nGC_6362)
    coupl(nGC_6415) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_4557) = coupl(nGC_4169)*dydo_QED1_QCD2
    coupl(nGC_11375) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_4550) = cima*dyc_QED3
    coupl(nGC_6204) = coupl(nGC_25)*dZH2_QED2 + coupl(nGC_25)*dZWMinus_QED2 +  &
                      coupl(nGC_4602)
    coupl(nGC_6724) = coupl(nGC_1)*dZH2_QED2 + coupl(nGC_4521)
    coupl(nGC_4298) = coupl(nGC_15)**2d0*coupl(nGC_462)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4519) = cima*coupl(nGC_15)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_4613) = coupl(nGC_4035)*dsw_QED2 + coupl(nGC_4036)*dcw_QED2 +    &
                      coupl(nGC_4037)*dZee_QED2
    coupl(nGC_4265) = coupl(nGC_15)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4611) = coupl(nGC_4047)*dcw_QED2 + coupl(nGC_4048)*dZee_QED2
    coupl(nGC_4583) = coupl(nGC_4176)*dyt_QED3
    coupl(nGC_4582) = coupl(nGC_4176)*dyt_QED1_QCD2
    coupl(nGC_4581) = coupl(nGC_4167)*dyc_QED3
    coupl(nGC_4587) = coupl(nGC_4161)*dyc_QED3
    coupl(nGC_4586) = coupl(nGC_4161)*dyc_QED1_QCD2
    coupl(nGC_4585) = coupl(nGC_4060)*dyup_QED3
    coupl(nGC_4584) = coupl(nGC_4060)*dyup_QED1_QCD2
    coupl(nGC_7730) = coupl(nGC_49)*dZdR_QED2
    coupl(nGC_4589) = coupl(nGC_4175)*dyt_QED3
    coupl(nGC_6499) = coupl(nGC_15)*dZsL_QED2
    coupl(nGC_4615) = coupl(nGC_4041)*dcw_QED2 + coupl(nGC_4042)*dZee_QED2
    coupl(nGC_6936) = coupl(nGC_4569) + coupl(nGC_75)*dZeMinusR_QED2/2d0 +     &
                      coupl(nGC_75)*dZnu_eL_QED2/2d0
    coupl(nGC_6703) = coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_4200) = cMB*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4201) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_6704) = coupl(nGC_8)*dZmuMinusR_QED2
    coupl(nGC_6708) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*dZmuMinusL_QED2
    coupl(nGC_4209) = cMD*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4205) = cMC*cima*coupl(nGC_15)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4460) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_66)**2d0 +   &
                      coupl(nGC_69)**2d0 + coupl(nGC_72)**2d0 + coupl(nGC_81)**&
                      2d0 + coupl(nGC_84)**2d0 + coupl(nGC_90)**2d0)/(32d0*pi**&
                      2d0*Nc)
    coupl(nGC_6989) = coupl(nGC_21)*dZH1_QED2 + coupl(nGC_21)*dZWMinus_QED2 +  &
                      coupl(nGC_4601)
    coupl(nGC_TS_GC_80_H1) = -coupl(nGC_80)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_85_H1) = -coupl(nGC_85)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6799) = coupl(nGC_4604) + coupl(nGC_63)*dZH1_QED2/2d0 + coupl(   &
                      nGC_63)*dZWMinus_QED2 + coupl(nGC_TS_GC_21_H1)
    coupl(nGC_4504) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_14)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_14)**2d0*coupl(nGC_660) + 3d0*Nc*coupl(     &
                      nGC_14)**2d0*coupl(nGC_670) - 30d0*cima*coupl(nGC_15)**  &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_4335) = coupl(nGC_15)**2d0*coupl(nGC_70)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6590) = coupl(nGC_15)*dZdR_QED2
    coupl(nGC_4339) = coupl(nGC_15)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_91_H1) = -coupl(nGC_91)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6842) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_6843) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6844) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6845) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_6846) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_4490) = -cima*coupl(nGC_15)**2d0*coupl(nGC_34)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_29_H1) = -coupl(nGC_29)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4630) = coupl(nGC_4119)*dsw_QED2 + coupl(nGC_4120)*dcw_QED2 +    &
                      coupl(nGC_4121)*dZee_QED2
    coupl(nGC_4416) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_14)**3d0 - 48d0*coupl( &
                      nGC_15)**3d0)/(768d0*pi**2d0)
    coupl(nGC_TS_GC_1_H1) = -coupl(nGC_1)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4389) = -coupl(nGC_15)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_14 &
                      ) - coupl(nGC_15))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_TS_GC_74_H1) = -coupl(nGC_74)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_89_H1) = -coupl(nGC_89)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6447) = 2d0*coupl(nGC_3)*dZHMinus_QED2 + coupl(nGC_4524)
    coupl(nGC_TS_GC_12_H1) = -coupl(nGC_12)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6235) = coupl(nGC_21)*dZWMinus_QED2 + coupl(nGC_4601)
    coupl(nGC_8823) = coupl(nGC_76)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_8826) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_6339) = coupl(nGC_49)*dZtR_QED2
    coupl(nGC_6336) = coupl(nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_6330) = -coupl(nGC_4581) - coupl(nGC_6326)
    coupl(nGC_6331) = coupl(nGC_4581) + coupl(nGC_6326)
    coupl(nGC_4561) = coupl(nGC_4159)*dyb_QED1_QCD2
    coupl(nGC_4560) = coupl(nGC_4173)*dys_QED3
    coupl(nGC_4562) = coupl(nGC_4159)*dyb_QED3
    coupl(nGC_4565) = coupl(nGC_4174)*dys_QED1_QCD2
    coupl(nGC_6625) = coupl(nGC_15)*dZuL_QED2
    coupl(nGC_4567) = coupl(nGC_4160)*dyb_QED1_QCD2
    coupl(nGC_4568) = coupl(nGC_4160)*dyb_QED3
    coupl(nGC_4243) = (coupl(nGC_1168)*coupl(nGC_5)*coupl(nGC_73) + 4d0*coupl( &
                      nGC_314)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_5)**3d0 +     &
                      coupl(nGC_5)*coupl(nGC_74)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_72)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
