!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_4501) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_314) + coupl(&
                      nGC_316) + coupl(nGC_336) + coupl(nGC_338))/(128d0*pi**  &
                      2d0)
    coupl(nGC_4500) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_314)**2d0 - &
                      coupl(nGC_316)**2d0 - coupl(nGC_336)**2d0 - coupl(nGC_338&
                      )**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_4468) = (12d0*cima*coupl(nGC_23)*coupl(nGC_25) - 10d0*cima*coupl(&
                      nGC_244)**2d0*coupl(nGC_276)*coupl(nGC_32) + 24d0*cima*  &
                      coupl(nGC_26)**2d0 - 10d0*cima*coupl(nGC_260)**2d0*coupl(&
                      nGC_276)*coupl(nGC_32) - 10d0*cima*coupl(nGC_276)*coupl( &
                      nGC_31)*coupl(nGC_32)*coupl(nGC_808) + 24d0*cima*coupl(  &
                      nGC_41)**2d0 + 3d0*coupl(nGC_2)*coupl(nGC_244)**2d0 + 3d0&
                      *coupl(nGC_2)*coupl(nGC_260)**2d0 + 6d0*coupl(nGC_2)*    &
                      coupl(nGC_276)*coupl(nGC_808) + 6d0*coupl(nGC_2)*coupl(  &
                      nGC_31)*coupl(nGC_32) - 3d0*coupl(nGC_23)*coupl(nGC_276)*&
                      coupl(nGC_32) - 3d0*coupl(nGC_23)*coupl(nGC_31)*coupl(   &
                      nGC_808) - 6d0*coupl(nGC_244)*coupl(nGC_276)*coupl(nGC_41&
                      ) - 6d0*coupl(nGC_244)*coupl(nGC_32)*coupl(nGC_41) - 3d0*&
                      coupl(nGC_25)*coupl(nGC_31)*coupl(nGC_808) - 6d0*coupl(  &
                      nGC_26)*coupl(nGC_260)*coupl(nGC_276) - 6d0*coupl(nGC_26 &
                      )*coupl(nGC_260)*coupl(nGC_32) + 3d0*coupl(nGC_276)*coupl&
                      (nGC_3)*coupl(nGC_32) + 3d0*coupl(nGC_276)*coupl(nGC_32)*&
                      coupl(nGC_4) + 3d0*coupl(nGC_3)*coupl(nGC_31)*coupl(     &
                      nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4469) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_314)*coupl(  &
                      nGC_5) + coupl(nGC_316)*coupl(nGC_5) + coupl(nGC_336)*   &
                      coupl(nGC_6) + coupl(nGC_338)*coupl(nGC_6))/(32d0*pi**2d0&
                      )
    coupl(nGC_6604) = coupl(nGC_83)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6605) = coupl(nGC_83)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7072) = coupl(nGC_4549) + coupl(nGC_69)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_69)*dZsL_QCD2/2d0
    coupl(nGC_7073) = coupl(nGC_4552) + coupl(nGC_81)*dZcL_QED2/2d0 + coupl(   &
                      nGC_81)*dZsR_QED2/2d0
    coupl(nGC_7071) = coupl(nGC_4551) + coupl(nGC_81)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_81)*dZsR_QCD2/2d0
    coupl(nGC_7074) = coupl(nGC_4550) + coupl(nGC_69)*dZcR_QED2/2d0 + coupl(   &
                      nGC_69)*dZsL_QED2/2d0
    coupl(nGC_9355) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_9357) = coupl(nGC_4668) + coupl(nGC_TS_GC_74_H1)
    coupl(nGC_9356) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_9351) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9350) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7276) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZcL_QED2 +   &
                      coupl(nGC_4626) + coupl(nGC_49)*dZcL_QED2
    coupl(nGC_7277) = coupl(nGC_6336) + 4d0*coupl(nGC_6346) + 4d0*coupl(       &
                      nGC_7274)
    coupl(nGC_4499) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_314)**2d0 +  &
                      coupl(nGC_316)**2d0 + coupl(nGC_336)**2d0 + coupl(nGC_338&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_65_H1) = -coupl(nGC_65)*dtH1_QED1/cMH1**2d0
    coupl(nGC_8110) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZcL_QED2&
                      /2d0 + coupl(nGC_34)*dZsL_QED2/2d0 + coupl(nGC_4625)
    coupl(nGC_8114) = coupl(nGC_65)*dZZA_QED2/2d0
    coupl(nGC_7279) = dZcL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_7174) = coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_4533) + coupl(   &
                      nGC_7)*dZA_QED2/2d0
    coupl(nGC_4306) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_77) + coupl(    &
                      nGC_34)*coupl(nGC_75)*coupl(nGC_772) + coupl(nGC_51)*    &
                      coupl(nGC_734)*coupl(nGC_77) - coupl(nGC_644)**2d0*coupl(&
                      nGC_76) + 8d0*coupl(nGC_644)*coupl(nGC_734)*coupl(nGC_736&
                      ) + 8d0*coupl(nGC_644)*coupl(nGC_8)**2d0 - coupl(nGC_76)*&
                      coupl(nGC_77)**2d0)/(32d0*pi**2d0)
    coupl(nGC_10100) = 2d0*coupl(nGC_16)*dZg_QCD2 + coupl(nGC_4544)
    coupl(nGC_4217) = cima*coupl(nGC_14)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4510) = (-20d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_660)**2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2&
                      **2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2**2d0 + &
                      33d0*coupl(nGC_14)**2d0*coupl(nGC_660)*sq2**2d0 + 3d0*   &
                      coupl(nGC_14)**2d0*coupl(nGC_670)*sq2**2d0)/(384d0*pi**  &
                      2d0)
    coupl(nGC_6774) = coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_4532) + coupl(   &
                      nGC_8)*dZA_QED2/2d0 + coupl(nGC_8)*dZHMinus_QED2
    coupl(nGC_4214) = -Nc*cima*coupl(nGC_14)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4213) = cima*sq2**2d0*(Nc*coupl(nGC_14)**2d0 - 4d0*coupl(nGC_15  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4212) = cME*cima*(-coupl(nGC_734)*coupl(nGC_736) - coupl(nGC_8)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4211) = cima*(coupl(nGC_34)**2d0 + coupl(nGC_736)**2d0 + coupl(  &
                      nGC_8)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4458) = (12d0*cima*coupl(nGC_21)*coupl(nGC_23) - 5d0*cima*coupl( &
                      nGC_260)**2d0*coupl(nGC_290)*coupl(nGC_51) - 5d0*cima*   &
                      coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_772 &
                      ) + 6d0*cima*coupl(nGC_28)*coupl(nGC_58) - 5d0*cima*coupl&
                      (nGC_290)*coupl(nGC_37)**2d0*coupl(nGC_51) - 5d0*cima*   &
                      coupl(nGC_31)*coupl(nGC_33)*coupl(nGC_772)*coupl(nGC_808 &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_244)**2d0 + 3d0*coupl(    &
                      nGC_1)*coupl(nGC_260)**2d0 + 3d0*coupl(nGC_1)*coupl(     &
                      nGC_276)*coupl(nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_290)*&
                      coupl(nGC_51) + 6d0*coupl(nGC_1)*coupl(nGC_33)*coupl(    &
                      nGC_772) - 3d0*coupl(nGC_21)*coupl(nGC_31)*coupl(nGC_808 &
                      ) - 6d0*coupl(nGC_23)*coupl(nGC_33)*coupl(nGC_772) - 3d0*&
                      coupl(nGC_28)*coupl(nGC_290)*coupl(nGC_51) - 3d0*coupl(  &
                      nGC_37)**2d0*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4219) = cMM*cima*(-coupl(nGC_734)*coupl(nGC_736) - coupl(nGC_8)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4182) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_66)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_69)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_81)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_72)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_90)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_69)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_81)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_66)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_72)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_90)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_75)**2d0 - cMH1**2d0*cima*   &
                      coupl(nGC_29)*coupl(nGC_708) - cMH1**2d0*cima*coupl(     &
                      nGC_30)*coupl(nGC_866) - 4d0*cMM**2d0*cima*coupl(nGC_78  &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_87)**2d0 - cMW**2d0&
                      *cima*coupl(nGC_244)**2d0 - cMW**2d0*cima*coupl(nGC_29)* &
                      coupl(nGC_708) - cMW**2d0*cima*coupl(nGC_30)*coupl(      &
                      nGC_866) - 2d0*cMW**2d0*cima*coupl(nGC_33)*coupl(nGC_772 &
                      ) - cMW**2d0*cima*coupl(nGC_52)**2d0 - cMW**2d0*cima*    &
                      coupl(nGC_566)**2d0 - cMW**2d0*cima*coupl(nGC_8)**2d0 -  &
                      8d0*cMW**2d0*coupl(nGC_21) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_33)*coupl(nGC_772) - cMZ**2d0*cima*coupl(nGC_52)**2d0&
                       - cMZ**2d0*cima*coupl(nGC_566)**2d0 - 4d0*cMZ**2d0*coupl&
                      (nGC_57) + 8d0*cima*coupl(nGC_60)**2d0 + 8d0*cima*coupl( &
                      nGC_64)**2d0)/(64d0*pi**2d0)
    coupl(nGC_TS_GC_17_H1) = -coupl(nGC_17)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6678) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*              &
                      dZmuMinusL_QED2 + coupl(nGC_4628) + coupl(nGC_50)*       &
                      dZmuMinusL_QED2
    coupl(nGC_7638) = -coupl(nGC_7637)
    coupl(nGC_4189) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_68)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_70)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_74)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_83)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_91)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_77&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_80)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_89)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_29)*coupl(nGC_708) - cMW**2d0*cima*coupl(nGC_30)*    &
                      coupl(nGC_866) - 2d0*cMW**2d0*coupl(nGC_21) - cMZ**2d0*  &
                      cima*coupl(nGC_290)*coupl(nGC_51) - cMZ**2d0*coupl(nGC_58&
                      ) + 2d0*cima*coupl(nGC_63)**2d0 + cima*coupl(nGC_65)**2d0&
                      )/(16d0*pi**2d0)
    coupl(nGC_13323) = -coupl(nGC_4416)
    coupl(nGC_12838) = -coupl(nGC_4260)
    coupl(nGC_7003) = coupl(nGC_4663) + coupl(nGC_6998)
    coupl(nGC_7001) = coupl(nGC_4662) + coupl(nGC_TS_GC_91_H1)
    coupl(nGC_7000) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_9223) = coupl(nGC_29)*dZH1_QED2/2d0 + coupl(nGC_29)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_4599)
    coupl(nGC_TS_GC_63_H1) = -coupl(nGC_63)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6373) = coupl(nGC_85)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_7537) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*dZeMinusL_QED2
    coupl(nGC_6784) = coupl(nGC_4532) + coupl(nGC_52)*dZZA_QED2/2d0 + coupl(   &
                      nGC_8)*dZA_QED2/2d0
    coupl(nGC_4323) = (4d0*cima*coupl(nGC_23)*coupl(nGC_63) + 2d0*cima*coupl(  &
                      nGC_28)*coupl(nGC_65) + coupl(nGC_244)**2d0*coupl(nGC_59 &
                      ) + coupl(nGC_260)**2d0*coupl(nGC_59) + coupl(nGC_276)*  &
                      coupl(nGC_32)*coupl(nGC_59) - coupl(nGC_31)*coupl(nGC_63 &
                      )*coupl(nGC_808) - coupl(nGC_37)**2d0*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4321) = (-coupl(nGC_1168)*coupl(nGC_72)*coupl(nGC_90) - coupl(   &
                      nGC_290)*coupl(nGC_338)*coupl(nGC_91) + 8d0*coupl(nGC_336&
                      )*coupl(nGC_338)*coupl(nGC_92) - coupl(nGC_336)*coupl(   &
                      nGC_51)*coupl(nGC_91) - coupl(nGC_34)*coupl(nGC_772)*    &
                      coupl(nGC_90) - coupl(nGC_400)*coupl(nGC_91)**2d0 - coupl&
                      (nGC_400)*coupl(nGC_92)**2d0 + 8d0*coupl(nGC_6)**2d0*    &
                      coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_4320) = coupl(nGC_15)**2d0*coupl(nGC_400)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4327) = 3d0*(8d0*Nc*cMB*coupl(nGC_68)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_70)**3d0 + 8d0*Nc*cMD*coupl(nGC_74)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_83)**3d0 + 8d0*Nc*cMT*coupl(nGC_85)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_91)**3d0 + 8d0*cME*coupl(nGC_77)**3d0  &
                       + 8d0*cMM*coupl(nGC_80)**3d0 + 8d0*cMTA*coupl(nGC_89)** &
                      3d0 + 4d0*cima*coupl(nGC_21)*coupl(nGC_63) + 2d0*cima*   &
                      coupl(nGC_58)*coupl(nGC_65) + coupl(nGC_29)*coupl(nGC_61 &
                      )*coupl(nGC_708) - coupl(nGC_29)*coupl(nGC_63)*coupl(    &
                      nGC_708) + coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_61) -  &
                      coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_65) + coupl(nGC_30&
                      )*coupl(nGC_61)*coupl(nGC_866) - coupl(nGC_30)*coupl(    &
                      nGC_63)*coupl(nGC_866))/(32d0*pi**2d0)
    coupl(nGC_4325) = (coupl(nGC_31)*coupl(nGC_32)**2d0 - 6d0*coupl(nGC_37)*   &
                      coupl(nGC_38)*coupl(nGC_808) - 6d0*coupl(nGC_7)*coupl(   &
                      nGC_8)*coupl(nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4324) = (coupl(nGC_244)**2d0*coupl(nGC_37) + coupl(nGC_260)**2d0*&
                      coupl(nGC_37) - 6d0*coupl(nGC_31)*coupl(nGC_38)*coupl(   &
                      nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4328) = (4d0*cima*coupl(nGC_25)*coupl(nGC_63) + coupl(nGC_276)*  &
                      coupl(nGC_32)*coupl(nGC_59) - coupl(nGC_276)*coupl(nGC_32&
                      )*coupl(nGC_63) + coupl(nGC_31)*coupl(nGC_59)*coupl(     &
                      nGC_808) - coupl(nGC_31)*coupl(nGC_63)*coupl(nGC_808))/( &
                      32d0*pi**2d0)
    coupl(nGC_6426) = coupl(nGC_4555) + coupl(nGC_66)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_66)*dZtL_QCD2/2d0
    coupl(nGC_6427) = coupl(nGC_4554) + coupl(nGC_84)*dZbL_QED2/2d0 + coupl(   &
                      nGC_84)*dZtR_QED2/2d0
    coupl(nGC_6425) = coupl(nGC_4553) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_84)*dZtR_QCD2/2d0
    coupl(nGC_6428) = coupl(nGC_4556) + coupl(nGC_66)*dZbR_QED2/2d0 + coupl(   &
                      nGC_66)*dZtL_QED2/2d0
    coupl(nGC_6856) = -coupl(nGC_6855)
    coupl(nGC_TS_GC_58_H1) = -coupl(nGC_58)*dtH1_QED1/cMH1**2d0
    coupl(nGC_6999) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_6251) = coupl(nGC_4529) + coupl(nGC_61)*dZH1_QED2/2d0 + coupl(   &
                      nGC_TS_GC_17_H1)
    coupl(nGC_6394) = coupl(nGC_4568) + coupl(nGC_68)*dZH1_QED2/2d0
    coupl(nGC_6391) = coupl(nGC_68)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6392) = coupl(nGC_68)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6393) = coupl(nGC_4567) + coupl(nGC_6392)
    coupl(nGC_4600) = coupl(nGC_4074)*dsw_QED2 + coupl(nGC_4075)*dZee_QED2
    coupl(nGC_4603) = coupl(nGC_4058)*dsw_QED2 + coupl(nGC_4059)*dZee_QED2
    coupl(nGC_4605) = coupl(nGC_4039)*dZee_QED2
    coupl(nGC_4607) = coupl(nGC_4131)*dsw_QED2 + coupl(nGC_4132)*dcw_QED2 +    &
                      coupl(nGC_4133)*dZee_QED2
    coupl(nGC_4608) = coupl(nGC_4098)*dsw_QED2 + coupl(nGC_4099)*dcw_QED2 +    &
                      coupl(nGC_4100)*dZee_QED2
    coupl(nGC_8541) = coupl(nGC_4585) + coupl(nGC_91)*dZH1_QED2/2d0
    coupl(nGC_4420) = (-32d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_66)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_69)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_72)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_5)**2d0*coupl(nGC_81)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_5)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*coupl&
                      (nGC_5)**2d0*coupl(nGC_90)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_66)**2d0 + 40d0*Nc*cima*   &
                      coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_69)**2d0 + 40d0*Nc*  &
                      cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_72)**2d0 + 40d0*&
                      Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_81)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_84)**2d0&
                       + 40d0*Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_90)**&
                      2d0 - 32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_66)**2d0  &
                       - 32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_69)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_72)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_81)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_6)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_6)**2d0*coupl(nGC_90)**2d0 + 24d0*cima*coupl(  &
                      nGC_21)*coupl(nGC_272) + 4d0*cima*coupl(nGC_244)**2d0*   &
                      coupl(nGC_52)**2d0 + 8d0*cima*coupl(nGC_244)**2d0*coupl( &
                      nGC_8)**2d0 + 9d0*cima*coupl(nGC_29)*coupl(nGC_7)**2d0*  &
                      coupl(nGC_708) + 9d0*cima*coupl(nGC_30)*coupl(nGC_388)** &
                      2d0*coupl(nGC_866) + 9d0*cima*coupl(nGC_33)*coupl(nGC_388&
                      )**2d0*coupl(nGC_772) + 9d0*cima*coupl(nGC_33)*coupl(    &
                      nGC_7)**2d0*coupl(nGC_772) + 4d0*cima*coupl(nGC_566)**2d0&
                      *coupl(nGC_8)**2d0 - 32d0*cima*coupl(nGC_75)**2d0*coupl( &
                      nGC_8)**2d0 - 32d0*cima*coupl(nGC_78)**2d0*coupl(nGC_8)**&
                      2d0 - 32d0*cima*coupl(nGC_8)**2d0*coupl(nGC_87)**2d0 +   &
                      6d0*coupl(nGC_10)*coupl(nGC_244)**2d0 + 6d0*coupl(nGC_10 &
                      )*coupl(nGC_566)**2d0 + 36d0*coupl(nGC_21)*coupl(nGC_388 &
                      )**2d0 + 36d0*coupl(nGC_21)*coupl(nGC_7)**2d0 - 6d0*coupl&
                      (nGC_272)*coupl(nGC_29)*coupl(nGC_708) - 6d0*coupl(      &
                      nGC_272)*coupl(nGC_33)*coupl(nGC_772) - 6d0*coupl(nGC_29 &
                      )*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_30)*coupl(  &
                      nGC_388)*coupl(nGC_40) - 6d0*coupl(nGC_33)*coupl(nGC_388 &
                      )*coupl(nGC_42) - 6d0*coupl(nGC_33)*coupl(nGC_39)*coupl( &
                      nGC_7) - 6d0*coupl(nGC_388)*coupl(nGC_39)*coupl(nGC_772  &
                      ) - 6d0*coupl(nGC_388)*coupl(nGC_40)*coupl(nGC_866) - 6d0&
                      *coupl(nGC_40)*coupl(nGC_7)*coupl(nGC_708) - 6d0*coupl(  &
                      nGC_42)*coupl(nGC_7)*coupl(nGC_772))/(192d0*pi**2d0)
    coupl(nGC_4424) = (-24d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_68)**2d0 -    &
                      24d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_74)**2d0 - 24d0*&
                      Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_83)**2d0 - 24d0*Nc*  &
                      cima*coupl(nGC_6)**2d0*coupl(nGC_70)**2d0 - 24d0*Nc*cima*&
                      coupl(nGC_6)**2d0*coupl(nGC_85)**2d0 - 24d0*Nc*cima*coupl&
                      (nGC_6)**2d0*coupl(nGC_91)**2d0 + 12d0*cima*coupl(nGC_21 &
                      )*coupl(nGC_272) + 4d0*cima*coupl(nGC_244)**2d0*coupl(   &
                      nGC_29)*coupl(nGC_708) + 9d0*cima*coupl(nGC_29)*coupl(   &
                      nGC_388)**2d0*coupl(nGC_708) + 9d0*cima*coupl(nGC_30)*   &
                      coupl(nGC_7)**2d0*coupl(nGC_866) + 4d0*cima*coupl(nGC_30 &
                      )*coupl(nGC_8)**2d0*coupl(nGC_866) - 24d0*cima*coupl(    &
                      nGC_77)**2d0*coupl(nGC_8)**2d0 - 24d0*cima*coupl(nGC_8)**&
                      2d0*coupl(nGC_80)**2d0 - 24d0*cima*coupl(nGC_8)**2d0*    &
                      coupl(nGC_89)**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_29)*    &
                      coupl(nGC_708) + 3d0*coupl(nGC_10)*coupl(nGC_30)*coupl(  &
                      nGC_866) + 18d0*coupl(nGC_21)*coupl(nGC_388)**2d0 + 18d0*&
                      coupl(nGC_21)*coupl(nGC_7)**2d0 - 3d0*coupl(nGC_272)*    &
                      coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_272)*coupl( &
                      nGC_30)*coupl(nGC_866) - 6d0*coupl(nGC_29)*coupl(nGC_388 &
                      )*coupl(nGC_40) - 6d0*coupl(nGC_30)*coupl(nGC_40)*coupl( &
                      nGC_7) - 6d0*coupl(nGC_388)*coupl(nGC_40)*coupl(nGC_708  &
                      ) - 6d0*coupl(nGC_40)*coupl(nGC_7)*coupl(nGC_866))/(96d0*&
                      pi**2d0)
    coupl(nGC_6456) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_6455) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_8540) = coupl(nGC_4584) + coupl(nGC_8539)
    coupl(nGC_6450) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_34)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_4625)
    coupl(nGC_6459) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_7236) = 4d0*coupl(nGC_6214) + coupl(nGC_6220) + coupl(nGC_7230)
    coupl(nGC_7237) = coupl(nGC_6214) + coupl(nGC_6220) + coupl(nGC_7235)
    coupl(nGC_4259) = (4d0*Nc*cMB*coupl(nGC_66)**2d0*coupl(nGC_68) + 4d0*Nc*cMB&
                      *coupl(nGC_66)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cMB* &
                      coupl(nGC_68)*coupl(nGC_84)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_69)**2d0*coupl(nGC_70) + 4d0*Nc*cMC*coupl(nGC_69)*   &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cMC*coupl(nGC_70)*  &
                      coupl(nGC_81)**2d0 + 4d0*Nc*cMD*coupl(nGC_72)**2d0*coupl(&
                      nGC_74) + 4d0*Nc*cMD*coupl(nGC_72)*coupl(nGC_90)*coupl(  &
                      nGC_91) + 4d0*Nc*cMD*coupl(nGC_74)*coupl(nGC_90)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_69)**2d0*coupl(nGC_83) + 4d0*Nc*cMS*&
                      coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81) + 4d0*Nc*cMS*  &
                      coupl(nGC_81)**2d0*coupl(nGC_83) + 4d0*Nc*cMT*coupl(     &
                      nGC_66)**2d0*coupl(nGC_85) + 4d0*Nc*cMT*coupl(nGC_66)*   &
                      coupl(nGC_68)*coupl(nGC_84) + 4d0*Nc*cMT*coupl(nGC_84)** &
                      2d0*coupl(nGC_85) + 4d0*Nc*cMU*coupl(nGC_72)**2d0*coupl( &
                      nGC_91) + 4d0*Nc*cMU*coupl(nGC_72)*coupl(nGC_74)*coupl(  &
                      nGC_90) + 4d0*Nc*cMU*coupl(nGC_90)**2d0*coupl(nGC_91) +  &
                      4d0*cME*coupl(nGC_75)**2d0*coupl(nGC_77) + 4d0*cMM*coupl(&
                      nGC_78)**2d0*coupl(nGC_80) + 4d0*cMTA*coupl(nGC_87)**2d0*&
                      coupl(nGC_89) + 8d0*cima*coupl(nGC_12)*coupl(nGC_60) +   &
                      4d0*cima*coupl(nGC_21)*coupl(nGC_63) + 8d0*cima*coupl(   &
                      nGC_40)*coupl(nGC_64) + 2d0*cima*coupl(nGC_57)*coupl(    &
                      nGC_65) + coupl(nGC_244)**2d0*coupl(nGC_61) - coupl(     &
                      nGC_244)*coupl(nGC_30)*coupl(nGC_64) - coupl(nGC_244)*   &
                      coupl(nGC_64)*coupl(nGC_866) + coupl(nGC_29)*coupl(nGC_30&
                      )*coupl(nGC_61) - coupl(nGC_29)*coupl(nGC_63)*coupl(     &
                      nGC_708) - coupl(nGC_290)*coupl(nGC_33)*coupl(nGC_60) -  &
                      coupl(nGC_30)*coupl(nGC_566)*coupl(nGC_60) + coupl(nGC_30&
                      )*coupl(nGC_62)*coupl(nGC_866) + coupl(nGC_33)*coupl(    &
                      nGC_61)*coupl(nGC_772) - coupl(nGC_33)*coupl(nGC_63)*    &
                      coupl(nGC_772) - coupl(nGC_51)*coupl(nGC_60)*coupl(      &
                      nGC_772) - coupl(nGC_52)**2d0*coupl(nGC_65) + coupl(     &
                      nGC_566)**2d0*coupl(nGC_61) - coupl(nGC_566)*coupl(nGC_60&
                      )*coupl(nGC_866) + coupl(nGC_61)*coupl(nGC_708)*coupl(   &
                      nGC_866))/(32d0*pi**2d0)
    coupl(nGC_4258) = (4d0*coupl(nGC_336)**2d0*coupl(nGC_6) + coupl(nGC_400)*  &
                      coupl(nGC_6)*coupl(nGC_92) + coupl(nGC_5)*coupl(nGC_90)**&
                      2d0 + 4d0*coupl(nGC_6)**3d0 + coupl(nGC_6)*coupl(nGC_91  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4253) = (4d0*coupl(nGC_338)**2d0*coupl(nGC_6) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34)**2d0*coupl(nGC_7 &
                      ) + coupl(nGC_5)*coupl(nGC_66)**2d0 + coupl(nGC_578)*    &
                      coupl(nGC_6)*coupl(nGC_86) + 4d0*coupl(nGC_6)**3d0 +     &
                      coupl(nGC_6)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4252) = (4d0*coupl(nGC_314)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_5  &
                      )**3d0 + coupl(nGC_5)*coupl(nGC_558)*coupl(nGC_82) +     &
                      coupl(nGC_5)*coupl(nGC_83)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4251) = (4d0*coupl(nGC_316)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_388) + 4d0*coupl(nGC_34)**2d0*coupl(    &
                      nGC_6) + 4d0*coupl(nGC_5)**3d0 + coupl(nGC_5)*coupl(     &
                      nGC_558)*coupl(nGC_82) + coupl(nGC_5)*coupl(nGC_83)**2d0 &
                       + coupl(nGC_6)*coupl(nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4250) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_8)*coupl(nGC_87)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_6736) = -2d0*coupl(nGC_6214) + coupl(nGC_6302) + coupl(nGC_6733)
    coupl(nGC_4559) = coupl(nGC_4173)*dys_QED1_QCD2
    coupl(nGC_4255) = coupl(nGC_8)*(coupl(nGC_452)*coupl(nGC_88) + 4d0*coupl(  &
                      nGC_734)**2d0 + 4d0*coupl(nGC_8)**2d0 + coupl(nGC_89)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_6735) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZbL_QED2
    coupl(nGC_4364) = coupl(nGC_15)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8648) = -coupl(nGC_4560) - coupl(nGC_8646)
    coupl(nGC_8649) = coupl(nGC_4560) + coupl(nGC_8646)
    coupl(nGC_7126) = coupl(nGC_15)*dZtR_QED2
    coupl(nGC_7189) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZbL_QED2&
                      /2d0 + coupl(nGC_34)*dZtL_QED2/2d0 + coupl(nGC_4625)
    coupl(nGC_7129) = coupl(nGC_15)*dZtL_QCD2
    coupl(nGC_9283) = coupl(nGC_4671) + coupl(nGC_9275)
    coupl(nGC_9281) = coupl(nGC_4670) + coupl(nGC_TS_GC_83_H1)
    coupl(nGC_9280) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_6979) = coupl(nGC_80)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_6184) = coupl(nGC_17)*dZH1_QED2 + coupl(nGC_4526)
    coupl(nGC_6187) = coupl(nGC_4536) + coupl(nGC_46)*dZH1_QED2/2d0
    coupl(nGC_6977) = coupl(nGC_4528) + coupl(nGC_59)*dZH1_QED2/2d0 + coupl(   &
                      nGC_59)*dZHMinus_QED2 + coupl(nGC_TS_GC_1_H1)
    coupl(nGC_6970) = coupl(nGC_4573) + coupl(nGC_6968)
    coupl(nGC_6748) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_34)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_4625)
    coupl(nGC_6609) = coupl(nGC_4565) + coupl(nGC_6605)
    coupl(nGC_7953) = coupl(nGC_67)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7952) = coupl(nGC_67)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7340) = coupl(nGC_38)*dZZ_QED2/2d0 + coupl(nGC_4537) + coupl(    &
                      nGC_7)*dZAZ_QED2/2d0
    coupl(nGC_7341) = -coupl(nGC_7340)
    coupl(nGC_7348) = coupl(nGC_44)*dZAZ_QED2
    coupl(nGC_7349) = coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_27)*dZZ_QED2 +   &
                      coupl(nGC_4621)
    coupl(nGC_8341) = coupl(nGC_4676) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7460) = coupl(nGC_6214) + coupl(nGC_6220) + coupl(nGC_7458)
    coupl(nGC_4198) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_314)**2d0 + 2d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_316)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_336)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_338)**2d0&
                       + 2d0*Nc*cMD**2d0*cima*coupl(nGC_314)**2d0 + 2d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_316)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_314)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_316 &
                      )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_336)**2d0 + 2d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_338)**2d0 + 2d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_336)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_338)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_734)**2d0 +  &
                      2d0*cME**2d0*cima*coupl(nGC_736)**2d0 + 2d0*cMM**2d0*cima&
                      *coupl(nGC_734)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_736)**&
                      2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_734)**2d0 + 2d0*cMTA**&
                      2d0*cima*coupl(nGC_736)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                      nGC_38)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_788)**2d0 -   &
                      2d0*cMW**2d0*coupl(nGC_286))/(16d0*pi**2d0)
    coupl(nGC_6297) = coupl(nGC_5)*dZsR_QCD2
    coupl(nGC_4178) = (-cMHP**2d0*cima*coupl(nGC_276)*coupl(nGC_32) - cMHP**2d0&
                      *cima*coupl(nGC_31)*coupl(nGC_808) - cMW**2d0*cima*coupl(&
                      nGC_276)*coupl(nGC_32) - cMW**2d0*cima*coupl(nGC_31)*    &
                      coupl(nGC_808) - 4d0*cMW**2d0*coupl(nGC_25))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4179) = cima*(coupl(nGC_244)**2d0 + coupl(nGC_260)**2d0 + coupl( &
                      nGC_276)*coupl(nGC_32) + coupl(nGC_31)*coupl(nGC_808) +  &
                      coupl(nGC_37)**2d0 + coupl(nGC_8)**2d0)/(192d0*pi**2d0)
    coupl(nGC_6552) = coupl(nGC_86)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_6551) = coupl(nGC_86)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_6556) = coupl(nGC_4582) + coupl(nGC_6552)
    coupl(nGC_6557) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_6554) = coupl(nGC_4583) + coupl(nGC_6551)
    coupl(nGC_4483) = (-32d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_68)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_74)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_83)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_68  &
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_314)*coupl(nGC_316)*coupl&
                      (nGC_74)**2d0 + 40d0*Nc*cima*coupl(nGC_314)*coupl(nGC_316&
                      )*coupl(nGC_83)**2d0 - 32d0*Nc*cima*coupl(nGC_316)**2d0* &
                      coupl(nGC_68)**2d0 - 32d0*Nc*cima*coupl(nGC_316)**2d0*   &
                      coupl(nGC_74)**2d0 - 32d0*Nc*cima*coupl(nGC_316)**2d0*   &
                      coupl(nGC_83)**2d0 - 32d0*Nc*cima*coupl(nGC_336)**2d0*   &
                      coupl(nGC_70)**2d0 - 32d0*Nc*cima*coupl(nGC_336)**2d0*   &
                      coupl(nGC_85)**2d0 - 32d0*Nc*cima*coupl(nGC_336)**2d0*   &
                      coupl(nGC_91)**2d0 + 40d0*Nc*cima*coupl(nGC_336)*coupl(  &
                      nGC_338)*coupl(nGC_70)**2d0 + 40d0*Nc*cima*coupl(nGC_336 &
                      )*coupl(nGC_338)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(&
                      nGC_336)*coupl(nGC_338)*coupl(nGC_91)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_338)**2d0*coupl(nGC_70)**2d0 - 32d0*Nc*cima*  &
                      coupl(nGC_338)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_338)**2d0*coupl(nGC_91)**2d0 + 12d0*cima*coupl(&
                      nGC_21)*coupl(nGC_286) + 4d0*cima*coupl(nGC_29)*coupl(   &
                      nGC_566)**2d0*coupl(nGC_708) + 9d0*cima*coupl(nGC_29)*   &
                      coupl(nGC_708)*coupl(nGC_788)**2d0 + 4d0*cima*coupl(     &
                      nGC_290)**2d0*coupl(nGC_51)**2d0 + 9d0*cima*coupl(nGC_30 &
                      )*coupl(nGC_38)**2d0*coupl(nGC_866) + 4d0*cima*coupl(    &
                      nGC_30)*coupl(nGC_52)**2d0*coupl(nGC_866) - 32d0*cima*   &
                      coupl(nGC_734)**2d0*coupl(nGC_77)**2d0 - 32d0*cima*coupl(&
                      nGC_734)**2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(      &
                      nGC_734)**2d0*coupl(nGC_89)**2d0 + 40d0*cima*coupl(      &
                      nGC_734)*coupl(nGC_736)*coupl(nGC_77)**2d0 + 40d0*cima*  &
                      coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_80)**2d0 + 40d0* &
                      cima*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_89)**2d0 -  &
                      32d0*cima*coupl(nGC_736)**2d0*coupl(nGC_77)**2d0 - 32d0* &
                      cima*coupl(nGC_736)**2d0*coupl(nGC_80)**2d0 - 32d0*cima* &
                      coupl(nGC_736)**2d0*coupl(nGC_89)**2d0 - 6d0*coupl(nGC_12&
                      )*coupl(nGC_29)*coupl(nGC_788) - 6d0*coupl(nGC_12)*coupl(&
                      nGC_30)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(nGC_38)* &
                      coupl(nGC_866) - 6d0*coupl(nGC_12)*coupl(nGC_708)*coupl( &
                      nGC_788) + 18d0*coupl(nGC_21)*coupl(nGC_38)**2d0 + 18d0* &
                      coupl(nGC_21)*coupl(nGC_788)**2d0 - 3d0*coupl(nGC_286)*  &
                      coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_286)*coupl( &
                      nGC_30)*coupl(nGC_866) + 3d0*coupl(nGC_29)*coupl(nGC_57)*&
                      coupl(nGC_708) + 3d0*coupl(nGC_290)*coupl(nGC_51)*coupl( &
                      nGC_58) + 3d0*coupl(nGC_30)*coupl(nGC_57)*coupl(nGC_866  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4374) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_644)*coupl(nGC_734)*    &
                      coupl(nGC_76) + coupl(nGC_734)*coupl(nGC_77)**2d0 + 4d0* &
                      coupl(nGC_736)**3d0 + 4d0*coupl(nGC_736)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4375) = (coupl(nGC_494)*coupl(nGC_736)*coupl(nGC_79) + coupl(    &
                      nGC_53)*coupl(nGC_78)**2d0 + 4d0*coupl(nGC_734)**3d0 +   &
                      4d0*coupl(nGC_734)*coupl(nGC_8)**2d0 + coupl(nGC_736)*   &
                      coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4376) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_494)*coupl(nGC_734)*    &
                      coupl(nGC_79) + coupl(nGC_734)*coupl(nGC_80)**2d0 + 4d0* &
                      coupl(nGC_736)**3d0 + 4d0*coupl(nGC_736)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4377) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_736) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_734)*coupl(nGC_78)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4371) = (coupl(nGC_1168)*coupl(nGC_314)*coupl(nGC_73) + coupl(   &
                      nGC_314)*coupl(nGC_74)**2d0 + 4d0*coupl(nGC_316)**3d0 +  &
                      4d0*coupl(nGC_316)*coupl(nGC_5)**2d0 + coupl(nGC_336)*   &
                      coupl(nGC_90)**2d0 + 4d0*coupl(nGC_338)*coupl(nGC_34)**  &
                      2d0 + 4d0*coupl(nGC_34)**2d0*coupl(nGC_788))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4372) = (coupl(nGC_1168)*coupl(nGC_316)*coupl(nGC_73) + 4d0*coupl&
                      (nGC_314)**3d0 + 4d0*coupl(nGC_314)*coupl(nGC_5)**2d0 +  &
                      coupl(nGC_316)*coupl(nGC_74)**2d0 + coupl(nGC_338)*coupl(&
                      nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4373) = (coupl(nGC_53)*coupl(nGC_75)**2d0 + coupl(nGC_644)*coupl(&
                      nGC_736)*coupl(nGC_76) + 4d0*coupl(nGC_734)**3d0 + 4d0*  &
                      coupl(nGC_734)*coupl(nGC_8)**2d0 + coupl(nGC_736)*coupl( &
                      nGC_77)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6360) = coupl(nGC_4532) + coupl(nGC_8)*dZWMinus_QED2/2d0
    coupl(nGC_6411) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZsL_QED2 +   &
                      coupl(nGC_4628) + coupl(nGC_49)*dZsL_QED2
    coupl(nGC_6410) = -2d0*coupl(nGC_6400)
    coupl(nGC_6416) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_6414) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_6208) = coupl(nGC_26)*dZH2_QED2/2d0 + coupl(nGC_26)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_26)*dZWMinus_QED2/2d0 + coupl(nGC_26)*  &
                      dZZ_QED2/2d0 + coupl(nGC_41)*dZAZ_QED2/2d0 + coupl(      &
                      nGC_4613)
    coupl(nGC_6201) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_42)*dZA_QED2/2d0 &
                       + coupl(nGC_42)*dZWMinus_QED2/2d0 + coupl(nGC_4590)
    coupl(nGC_4299) = (-coupl(nGC_290)*coupl(nGC_338)*coupl(nGC_70) + 8d0*coupl&
                      (nGC_336)*coupl(nGC_338)*coupl(nGC_71) - coupl(nGC_336)* &
                      coupl(nGC_51)*coupl(nGC_70) - coupl(nGC_34)*coupl(nGC_69 &
                      )*coupl(nGC_772) - coupl(nGC_462)*coupl(nGC_70)**2d0 -   &
                      coupl(nGC_462)*coupl(nGC_71)**2d0 - coupl(nGC_558)*coupl(&
                      nGC_69)*coupl(nGC_81) + 8d0*coupl(nGC_6)**2d0*coupl(     &
                      nGC_71))/(32d0*pi**2d0)
    coupl(nGC_4297) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_70) - coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_69) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_462) - coupl(nGC_338)*coupl(    &
                      nGC_51)*coupl(nGC_70) - coupl(nGC_462)**2d0*coupl(nGC_71 &
                      ) + 8d0*coupl(nGC_462)*coupl(nGC_6)**2d0 - coupl(nGC_69)*&
                      coupl(nGC_81)*coupl(nGC_82) - coupl(nGC_70)**2d0*coupl(  &
                      nGC_71))/(32d0*pi**2d0)
    coupl(nGC_4296) = coupl(nGC_15)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4295) = (-coupl(nGC_254)*coupl(nGC_67)**2d0 - coupl(nGC_254)*    &
                      coupl(nGC_68)**2d0 - coupl(nGC_290)*coupl(nGC_316)*coupl(&
                      nGC_68) + 8d0*coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_67 &
                      ) - coupl(nGC_314)*coupl(nGC_51)*coupl(nGC_68) - coupl(  &
                      nGC_34)*coupl(nGC_66)*coupl(nGC_772) + 8d0*coupl(nGC_5)**&
                      2d0*coupl(nGC_67) - coupl(nGC_578)*coupl(nGC_66)*coupl(  &
                      nGC_84))/(32d0*pi**2d0)
    coupl(nGC_4486) = (-4d0*Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_34)**2d0 +   &
                      12d0*Nc*cima*coupl(nGC_316)*coupl(nGC_338)*coupl(nGC_34  &
                      )**2d0 - 4d0*Nc*cima*coupl(nGC_338)**2d0*coupl(nGC_34)** &
                      2d0 + 4d0*cima*coupl(nGC_27)**2d0 - 4d0*cima*coupl(nGC_34&
                      )**2d0*coupl(nGC_53)**2d0 + 12d0*cima*coupl(nGC_34)**2d0*&
                      coupl(nGC_53)*coupl(nGC_736) - 4d0*cima*coupl(nGC_34)**  &
                      2d0*coupl(nGC_736)**2d0 - 8d0*cima*coupl(nGC_38)**2d0*   &
                      coupl(nGC_388)**2d0 - 8d0*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_788)**2d0 + 4d0*cima*coupl(nGC_518)**2d0 + coupl(    &
                      nGC_22)*coupl(nGC_38)**2d0 + 12d0*coupl(nGC_27)*coupl(   &
                      nGC_38)*coupl(nGC_788) + coupl(nGC_27)*coupl(nGC_388)**  &
                      2d0 + coupl(nGC_27)*coupl(nGC_788)**2d0 + 2d0*coupl(     &
                      nGC_286)*coupl(nGC_38)*coupl(nGC_788) + 2d0*coupl(nGC_38 &
                      )*coupl(nGC_388)*coupl(nGC_44) + 12d0*coupl(nGC_38)*coupl&
                      (nGC_388)*coupl(nGC_518) + coupl(nGC_468)*coupl(nGC_788  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4293) = (-coupl(nGC_254)**2d0*coupl(nGC_67) + 8d0*coupl(nGC_254)*&
                      coupl(nGC_314)*coupl(nGC_316) + 8d0*coupl(nGC_254)*coupl(&
                      nGC_5)**2d0 - coupl(nGC_290)*coupl(nGC_314)*coupl(nGC_68 &
                      ) - coupl(nGC_316)*coupl(nGC_51)*coupl(nGC_68) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_66) - coupl(nGC_66)*coupl&
                      (nGC_84)*coupl(nGC_86) - coupl(nGC_67)*coupl(nGC_68)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_4292) = (4d0*Nc*coupl(nGC_1168)*coupl(nGC_314)*coupl(nGC_74) -   &
                      4d0*Nc*coupl(nGC_1168)*coupl(nGC_316)*coupl(nGC_74) + 4d0&
                      *Nc*coupl(nGC_254)*coupl(nGC_314)*coupl(nGC_68) - 4d0*Nc*&
                      coupl(nGC_254)*coupl(nGC_316)*coupl(nGC_68) + 4d0*Nc*    &
                      coupl(nGC_314)*coupl(nGC_558)*coupl(nGC_83) - 4d0*Nc*    &
                      coupl(nGC_314)*coupl(nGC_67)*coupl(nGC_68) - 4d0*Nc*coupl&
                      (nGC_314)*coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl(    &
                      nGC_314)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc*coupl(     &
                      nGC_316)*coupl(nGC_558)*coupl(nGC_83) + 4d0*Nc*coupl(    &
                      nGC_316)*coupl(nGC_67)*coupl(nGC_68) + 4d0*Nc*coupl(     &
                      nGC_316)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(     &
                      nGC_316)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*coupl(     &
                      nGC_336)*coupl(nGC_400)*coupl(nGC_91) + 4d0*Nc*coupl(    &
                      nGC_336)*coupl(nGC_462)*coupl(nGC_70) + 4d0*Nc*coupl(    &
                      nGC_336)*coupl(nGC_578)*coupl(nGC_85) - 4d0*Nc*coupl(    &
                      nGC_336)*coupl(nGC_70)*coupl(nGC_71) - 4d0*Nc*coupl(     &
                      nGC_336)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl(     &
                      nGC_336)*coupl(nGC_91)*coupl(nGC_92) - 4d0*Nc*coupl(     &
                      nGC_338)*coupl(nGC_400)*coupl(nGC_91) - 4d0*Nc*coupl(    &
                      nGC_338)*coupl(nGC_462)*coupl(nGC_70) - 4d0*Nc*coupl(    &
                      nGC_338)*coupl(nGC_578)*coupl(nGC_85) + 4d0*Nc*coupl(    &
                      nGC_338)*coupl(nGC_70)*coupl(nGC_71) + 4d0*Nc*coupl(     &
                      nGC_338)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*coupl(     &
                      nGC_338)*coupl(nGC_91)*coupl(nGC_92) - 6d0*coupl(nGC_29)*&
                      coupl(nGC_33)*coupl(nGC_788) + coupl(nGC_290)**3d0 - 6d0*&
                      coupl(nGC_30)*coupl(nGC_33)*coupl(nGC_38) + 4d0*coupl(   &
                      nGC_452)*coupl(nGC_734)*coupl(nGC_89) - 4d0*coupl(nGC_452&
                      )*coupl(nGC_736)*coupl(nGC_89) + 4d0*coupl(nGC_494)*coupl&
                      (nGC_734)*coupl(nGC_80) - 4d0*coupl(nGC_494)*coupl(      &
                      nGC_736)*coupl(nGC_80) + coupl(nGC_52)*coupl(nGC_772)*   &
                      coupl(nGC_866) + coupl(nGC_566)*coupl(nGC_708)*coupl(    &
                      nGC_772) + 4d0*coupl(nGC_644)*coupl(nGC_734)*coupl(nGC_77&
                      ) - 4d0*coupl(nGC_644)*coupl(nGC_736)*coupl(nGC_77) - 4d0&
                      *coupl(nGC_734)*coupl(nGC_76)*coupl(nGC_77) - 4d0*coupl( &
                      nGC_734)*coupl(nGC_79)*coupl(nGC_80) - 4d0*coupl(nGC_734 &
                      )*coupl(nGC_88)*coupl(nGC_89) + 4d0*coupl(nGC_736)*coupl(&
                      nGC_76)*coupl(nGC_77) + 4d0*coupl(nGC_736)*coupl(nGC_79)*&
                      coupl(nGC_80) + 4d0*coupl(nGC_736)*coupl(nGC_88)*coupl(  &
                      nGC_89))/(96d0*pi**2d0)
    coupl(nGC_4291) = (4d0*Nc*cMB*coupl(nGC_254)**2d0*coupl(nGC_68) + 16d0*Nc* &
                      cMB*coupl(nGC_254)*coupl(nGC_67)*coupl(nGC_68) + 4d0*Nc* &
                      cMB*coupl(nGC_67)**2d0*coupl(nGC_68) + 4d0*Nc*cMC*coupl( &
                      nGC_462)**2d0*coupl(nGC_70) + 16d0*Nc*cMC*coupl(nGC_462)*&
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*Nc*cMC*coupl(nGC_70)*  &
                      coupl(nGC_71)**2d0 + 4d0*Nc*cMD*coupl(nGC_1168)**2d0*    &
                      coupl(nGC_74) + 16d0*Nc*cMD*coupl(nGC_1168)*coupl(nGC_73 &
                      )*coupl(nGC_74) + 4d0*Nc*cMD*coupl(nGC_73)**2d0*coupl(   &
                      nGC_74) + 4d0*Nc*cMS*coupl(nGC_558)**2d0*coupl(nGC_83) + &
                      16d0*Nc*cMS*coupl(nGC_558)*coupl(nGC_82)*coupl(nGC_83) + &
                      4d0*Nc*cMS*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMT*&
                      coupl(nGC_578)**2d0*coupl(nGC_85) + 16d0*Nc*cMT*coupl(   &
                      nGC_578)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*cMT*coupl( &
                      nGC_85)*coupl(nGC_86)**2d0 + 4d0*Nc*cMU*coupl(nGC_400)** &
                      2d0*coupl(nGC_91) + 16d0*Nc*cMU*coupl(nGC_400)*coupl(    &
                      nGC_91)*coupl(nGC_92) + 4d0*Nc*cMU*coupl(nGC_91)*coupl(  &
                      nGC_92)**2d0 + 4d0*cME*coupl(nGC_644)**2d0*coupl(nGC_77  &
                      ) + 16d0*cME*coupl(nGC_644)*coupl(nGC_76)*coupl(nGC_77   &
                      ) + 4d0*cME*coupl(nGC_76)**2d0*coupl(nGC_77) + 4d0*cMM*  &
                      coupl(nGC_494)**2d0*coupl(nGC_80) + 16d0*cMM*coupl(      &
                      nGC_494)*coupl(nGC_79)*coupl(nGC_80) + 4d0*cMM*coupl(    &
                      nGC_79)**2d0*coupl(nGC_80) + 4d0*cMTA*coupl(nGC_452)**2d0&
                      *coupl(nGC_89) + 16d0*cMTA*coupl(nGC_452)*coupl(nGC_88)* &
                      coupl(nGC_89) + 4d0*cMTA*coupl(nGC_88)**2d0*coupl(nGC_89 &
                      ) + 4d0*cima*coupl(nGC_21)*coupl(nGC_63) + 2d0*cima*coupl&
                      (nGC_58)*coupl(nGC_65) + coupl(nGC_290)**2d0*coupl(nGC_61&
                      ) + coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_62) - coupl(  &
                      nGC_290)*coupl(nGC_51)*coupl(nGC_65) + 2d0*coupl(nGC_33)*&
                      coupl(nGC_61)*coupl(nGC_772) - 2d0*coupl(nGC_33)*coupl(  &
                      nGC_63)*coupl(nGC_772) + coupl(nGC_51)**2d0*coupl(nGC_61 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4290) = (-coupl(nGC_244)*coupl(nGC_8)*coupl(nGC_87) - coupl(     &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_88) - coupl(nGC_34)*coupl&
                      (nGC_708)*coupl(nGC_89) - coupl(nGC_52)*coupl(nGC_53)*   &
                      coupl(nGC_87) + 8d0*coupl(nGC_53)*coupl(nGC_734)*coupl(  &
                      nGC_87) - coupl(nGC_566)*coupl(nGC_734)*coupl(nGC_87))/( &
                      32d0*pi**2d0)
    coupl(nGC_4518) = (-4d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_16)*coupl(nGC_658) + 9d0*Nc*coupl(nGC_14)**2d0*&
                      coupl(nGC_16)*sq2**2d0 - 12d0*Nc*coupl(nGC_14)**2d0*coupl&
                      (nGC_658)*sq2**2d0 + 18d0*cima*coupl(nGC_15)**4d0*sq2**  &
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_4453) = (-16d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_66)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_72)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_81)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_338)*coupl(nGC_66  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_338)*coupl&
                      (nGC_72)**2d0 + 20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_338&
                      )*coupl(nGC_81)**2d0 - 16d0*Nc*cima*coupl(nGC_316)**2d0* &
                      coupl(nGC_69)**2d0 - 16d0*Nc*cima*coupl(nGC_316)**2d0*   &
                      coupl(nGC_84)**2d0 - 16d0*Nc*cima*coupl(nGC_316)**2d0*   &
                      coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_316)*coupl(  &
                      nGC_336)*coupl(nGC_69)**2d0 + 20d0*Nc*cima*coupl(nGC_316 &
                      )*coupl(nGC_336)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(&
                      nGC_316)*coupl(nGC_336)*coupl(nGC_90)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_336)**2d0*coupl(nGC_69)**2d0 - 16d0*Nc*cima*  &
                      coupl(nGC_336)**2d0*coupl(nGC_84)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_336)**2d0*coupl(nGC_90)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_338)**2d0*coupl(nGC_66)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_338)**2d0*coupl(nGC_72)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_338)**2d0*coupl(nGC_81)**2d0 + 12d0*cima*coupl(&
                      nGC_21)*coupl(nGC_286) + 4d0*cima*coupl(nGC_244)**2d0*   &
                      coupl(nGC_52)**2d0 + 9d0*cima*coupl(nGC_29)*coupl(nGC_38 &
                      )**2d0*coupl(nGC_708) + 4d0*cima*coupl(nGC_290)*coupl(   &
                      nGC_30)*coupl(nGC_51)*coupl(nGC_866) + 4d0*cima*coupl(   &
                      nGC_290)*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_772) + 9d0&
                      *cima*coupl(nGC_33)*coupl(nGC_38)**2d0*coupl(nGC_772) +  &
                      4d0*cima*coupl(nGC_52)**2d0*coupl(nGC_566)**2d0 - 16d0*  &
                      cima*coupl(nGC_53)**2d0*coupl(nGC_75)**2d0 - 16d0*cima*  &
                      coupl(nGC_53)**2d0*coupl(nGC_78)**2d0 - 16d0*cima*coupl( &
                      nGC_53)**2d0*coupl(nGC_87)**2d0 + 20d0*cima*coupl(nGC_53 &
                      )*coupl(nGC_734)*coupl(nGC_75)**2d0 + 20d0*cima*coupl(   &
                      nGC_53)*coupl(nGC_734)*coupl(nGC_78)**2d0 + 20d0*cima*   &
                      coupl(nGC_53)*coupl(nGC_734)*coupl(nGC_87)**2d0 - 16d0*  &
                      cima*coupl(nGC_734)**2d0*coupl(nGC_75)**2d0 - 16d0*cima* &
                      coupl(nGC_734)**2d0*coupl(nGC_78)**2d0 - 16d0*cima*coupl(&
                      nGC_734)**2d0*coupl(nGC_87)**2d0 - 6d0*coupl(nGC_11)*    &
                      coupl(nGC_33)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(   &
                      nGC_29)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(nGC_38)* &
                      coupl(nGC_708) - 6d0*coupl(nGC_13)*coupl(nGC_38)*coupl(  &
                      nGC_772) + 18d0*coupl(nGC_21)*coupl(nGC_38)**2d0 + 18d0* &
                      coupl(nGC_21)*coupl(nGC_788)**2d0 + 3d0*coupl(nGC_244)** &
                      2d0*coupl(nGC_57) - 3d0*coupl(nGC_286)*coupl(nGC_29)*    &
                      coupl(nGC_708) - 3d0*coupl(nGC_286)*coupl(nGC_33)*coupl( &
                      nGC_772) + 3d0*coupl(nGC_30)*coupl(nGC_58)*coupl(nGC_866 &
                      ) + 3d0*coupl(nGC_33)*coupl(nGC_58)*coupl(nGC_772) + 3d0*&
                      coupl(nGC_566)**2d0*coupl(nGC_57))/(96d0*pi**2d0)
    coupl(nGC_4452) = (6d0*Nc*cima*coupl(nGC_314)**3d0*coupl(nGC_5) + 6d0*Nc*  &
                      cima*coupl(nGC_316)**3d0*coupl(nGC_5) + 6d0*Nc*cima*coupl&
                      (nGC_336)**3d0*coupl(nGC_6) + 6d0*Nc*cima*coupl(nGC_338  &
                      )**3d0*coupl(nGC_6) + 6d0*cima*coupl(nGC_286)*coupl(     &
                      nGC_44) - 20d0*cima*coupl(nGC_38)**3d0*coupl(nGC_7) -    &
                      20d0*cima*coupl(nGC_388)*coupl(nGC_788)**3d0 + 6d0*cima* &
                      coupl(nGC_734)**3d0*coupl(nGC_8) + 6d0*cima*coupl(nGC_736&
                      )**3d0*coupl(nGC_8) + 3d0*coupl(nGC_27)*coupl(nGC_38)*   &
                      coupl(nGC_7) + 3d0*coupl(nGC_27)*coupl(nGC_388)*coupl(   &
                      nGC_788) + 9d0*coupl(nGC_286)*coupl(nGC_38)*coupl(nGC_7  &
                      ) + 9d0*coupl(nGC_286)*coupl(nGC_388)*coupl(nGC_788) +   &
                      9d0*coupl(nGC_38)**2d0*coupl(nGC_44) + 3d0*coupl(nGC_38  &
                      )**2d0*coupl(nGC_518) + 9d0*coupl(nGC_44)*coupl(nGC_788  &
                      )**2d0 + 3d0*coupl(nGC_518)*coupl(nGC_788)**2d0)/(48d0*pi&
                      **2d0)
    coupl(nGC_4455) = (20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_66)*&
                      coupl(nGC_68) + 20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_74) + 20d0*Nc*cima*coupl(      &
                      nGC_314)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                      *Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_66)*coupl&
                      (nGC_68) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*    &
                      coupl(nGC_69)*coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_316 &
                      )*coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*   &
                      cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_81)*coupl(   &
                      nGC_83) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl&
                      (nGC_84)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_316)*    &
                      coupl(nGC_34)*coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*&
                      coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70  &
                      ) + 20d0*Nc*cima*coupl(nGC_336)*coupl(nGC_34)*coupl(     &
                      nGC_84)*coupl(nGC_85) + 20d0*Nc*cima*coupl(nGC_336)*coupl&
                      (nGC_34)*coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl&
                      (nGC_338)*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) -    &
                      16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_69)* &
                      coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*coupl(      &
                      nGC_338)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                      *Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_84)*coupl&
                      (nGC_85) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) + 24d0*cima*coupl(nGC_12)*   &
                      coupl(nGC_27) + 4d0*cima*coupl(nGC_29)*coupl(nGC_290)**  &
                      2d0*coupl(nGC_566) + 9d0*cima*coupl(nGC_29)*coupl(nGC_38 &
                      )*coupl(nGC_52)*coupl(nGC_788) + 9d0*cima*coupl(nGC_29)* &
                      coupl(nGC_7)*coupl(nGC_788)*coupl(nGC_8) + 4d0*cima*coupl&
                      (nGC_290)*coupl(nGC_33)*coupl(nGC_708)*coupl(nGC_866) +  &
                      4d0*cima*coupl(nGC_290)*coupl(nGC_52)*coupl(nGC_566)*    &
                      coupl(nGC_772) + 4d0*cima*coupl(nGC_33)**2d0*coupl(      &
                      nGC_566)*coupl(nGC_708) + 4d0*cima*coupl(nGC_33)*coupl(  &
                      nGC_51)*coupl(nGC_708)*coupl(nGC_866) - 16d0*cima*coupl( &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_75)*coupl(nGC_77) - 16d0*&
                      cima*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78)*coupl(    &
                      nGC_80) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(   &
                      nGC_87)*coupl(nGC_89) + 20d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_734)*coupl(nGC_75)*coupl(nGC_77) + 20d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_734)*coupl(nGC_78)*coupl(nGC_80) + 20d0&
                      *cima*coupl(nGC_34)*coupl(nGC_734)*coupl(nGC_87)*coupl(  &
                      nGC_89) - 16d0*cima*coupl(nGC_34)*coupl(nGC_736)*coupl(  &
                      nGC_75)*coupl(nGC_77) - 16d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_736)*coupl(nGC_78)*coupl(nGC_80) - 16d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_87)*coupl(nGC_89) + 9d0*&
                      cima*coupl(nGC_38)*coupl(nGC_51)*coupl(nGC_772)*coupl(   &
                      nGC_788) + 24d0*cima*coupl(nGC_40)*coupl(nGC_518) + 4d0* &
                      cima*coupl(nGC_566)*coupl(nGC_708)*coupl(nGC_866)**2d0 + &
                      6d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_566) + 6d0*   &
                      coupl(nGC_11)*coupl(nGC_33)*coupl(nGC_708) - 6d0*coupl(  &
                      nGC_11)*coupl(nGC_51)*coupl(nGC_788) - 6d0*coupl(nGC_12)*&
                      coupl(nGC_38)*coupl(nGC_52) + 36d0*coupl(nGC_12)*coupl(  &
                      nGC_38)*coupl(nGC_788) - 6d0*coupl(nGC_12)*coupl(nGC_7)* &
                      coupl(nGC_8) + 6d0*coupl(nGC_12)*coupl(nGC_708)*coupl(   &
                      nGC_866) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_38  &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_788) - 6d0*&
                      coupl(nGC_27)*coupl(nGC_29)*coupl(nGC_52) - 6d0*coupl(   &
                      nGC_27)*coupl(nGC_51)*coupl(nGC_772) - 6d0*coupl(nGC_29)*&
                      coupl(nGC_38)*coupl(nGC_57) - 6d0*coupl(nGC_29)*coupl(   &
                      nGC_518)*coupl(nGC_8) - 6d0*coupl(nGC_29)*coupl(nGC_54)* &
                      coupl(nGC_7) - 6d0*coupl(nGC_29)*coupl(nGC_58)*coupl(    &
                      nGC_788) + 36d0*coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_40&
                      ))/(192d0*pi**2d0)
    coupl(nGC_4454) = (20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_66)*&
                      coupl(nGC_67) + 20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_73) + 20d0*Nc*cima*coupl(      &
                      nGC_314)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_82) - 16d0&
                      *Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_400)*    &
                      coupl(nGC_90) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34 &
                      )*coupl(nGC_462)*coupl(nGC_69) - 16d0*Nc*cima*coupl(     &
                      nGC_316)*coupl(nGC_34)*coupl(nGC_578)*coupl(nGC_84) -    &
                      16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_66)* &
                      coupl(nGC_67) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_73) - 16d0*Nc*cima*coupl(      &
                      nGC_316)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_82) + 20d0&
                      *Nc*cima*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_400)*    &
                      coupl(nGC_90) + 20d0*Nc*cima*coupl(nGC_336)*coupl(nGC_34 &
                      )*coupl(nGC_462)*coupl(nGC_69) + 20d0*Nc*cima*coupl(     &
                      nGC_336)*coupl(nGC_34)*coupl(nGC_578)*coupl(nGC_84) -    &
                      16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_400)*&
                      coupl(nGC_90) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34 &
                      )*coupl(nGC_462)*coupl(nGC_69) - 16d0*Nc*cima*coupl(     &
                      nGC_338)*coupl(nGC_34)*coupl(nGC_578)*coupl(nGC_84) -    &
                      16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_66)* &
                      coupl(nGC_67) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_73) - 16d0*Nc*cima*coupl(      &
                      nGC_338)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_82) + 24d0&
                      *cima*coupl(nGC_11)*coupl(nGC_27) + 9d0*cima*coupl(nGC_29&
                      )*coupl(nGC_290)*coupl(nGC_38)*coupl(nGC_788) + 4d0*cima*&
                      coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_52)*coupl(nGC_566  &
                      ) + 4d0*cima*coupl(nGC_290)*coupl(nGC_33)**2d0*coupl(    &
                      nGC_866) + 4d0*cima*coupl(nGC_33)**3d0*coupl(nGC_566) +  &
                      4d0*cima*coupl(nGC_33)**2d0*coupl(nGC_51)*coupl(nGC_866  &
                      ) + 4d0*cima*coupl(nGC_33)*coupl(nGC_566)*coupl(nGC_866  &
                      )**2d0 - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(    &
                      nGC_75)*coupl(nGC_76) - 16d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_53)*coupl(nGC_78)*coupl(nGC_79) - 16d0*cima*coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_87)*coupl(nGC_88) + 20d0*&
                      cima*coupl(nGC_34)*coupl(nGC_734)*coupl(nGC_75)*coupl(   &
                      nGC_76) + 20d0*cima*coupl(nGC_34)*coupl(nGC_734)*coupl(  &
                      nGC_78)*coupl(nGC_79) + 20d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_734)*coupl(nGC_87)*coupl(nGC_88) - 16d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_75)*coupl(nGC_76) - 16d0&
                      *cima*coupl(nGC_34)*coupl(nGC_736)*coupl(nGC_78)*coupl(  &
                      nGC_79) - 16d0*cima*coupl(nGC_34)*coupl(nGC_736)*coupl(  &
                      nGC_87)*coupl(nGC_88) + 9d0*cima*coupl(nGC_38)*coupl(    &
                      nGC_52)*coupl(nGC_772)*coupl(nGC_788) + 24d0*cima*coupl( &
                      nGC_39)*coupl(nGC_518) + 4d0*cima*coupl(nGC_51)**2d0*    &
                      coupl(nGC_566)*coupl(nGC_772) + 9d0*cima*coupl(nGC_7)*   &
                      coupl(nGC_772)*coupl(nGC_788)*coupl(nGC_8) + 6d0*coupl(  &
                      nGC_11)*coupl(nGC_33)**2d0 - 6d0*coupl(nGC_11)*coupl(    &
                      nGC_38)*coupl(nGC_52) + 36d0*coupl(nGC_11)*coupl(nGC_38)*&
                      coupl(nGC_788) - 6d0*coupl(nGC_11)*coupl(nGC_7)*coupl(   &
                      nGC_8) - 6d0*coupl(nGC_12)*coupl(nGC_290)*coupl(nGC_788  &
                      ) + 6d0*coupl(nGC_12)*coupl(nGC_33)*coupl(nGC_866) + 6d0*&
                      coupl(nGC_12)*coupl(nGC_51)*coupl(nGC_566) - 6d0*coupl(  &
                      nGC_21)*coupl(nGC_38)*coupl(nGC_772) - 6d0*coupl(nGC_21)*&
                      coupl(nGC_772)*coupl(nGC_788) - 6d0*coupl(nGC_27)*coupl( &
                      nGC_29)*coupl(nGC_290) - 6d0*coupl(nGC_27)*coupl(nGC_52)*&
                      coupl(nGC_772) + 36d0*coupl(nGC_38)*coupl(nGC_388)*coupl(&
                      nGC_39) - 6d0*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_772  &
                      ) - 6d0*coupl(nGC_518)*coupl(nGC_772)*coupl(nGC_8) - 6d0*&
                      coupl(nGC_54)*coupl(nGC_7)*coupl(nGC_772) - 6d0*coupl(   &
                      nGC_58)*coupl(nGC_772)*coupl(nGC_788))/(192d0*pi**2d0)
    coupl(nGC_4457) = (20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_66)*&
                      coupl(nGC_68) + 20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_74) + 20d0*Nc*cima*coupl(      &
                      nGC_314)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                      *Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_66)*coupl&
                      (nGC_68) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*    &
                      coupl(nGC_69)*coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_316 &
                      )*coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*   &
                      cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_81)*coupl(   &
                      nGC_83) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl&
                      (nGC_84)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_316)*    &
                      coupl(nGC_34)*coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*&
                      coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70  &
                      ) + 20d0*Nc*cima*coupl(nGC_336)*coupl(nGC_34)*coupl(     &
                      nGC_84)*coupl(nGC_85) + 20d0*Nc*cima*coupl(nGC_336)*coupl&
                      (nGC_34)*coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl&
                      (nGC_338)*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) -    &
                      16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_69)* &
                      coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34 &
                      )*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*coupl(      &
                      nGC_338)*coupl(nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                      *Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_84)*coupl&
                      (nGC_85) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) + 24d0*cima*coupl(nGC_12)*   &
                      coupl(nGC_27) + 9d0*cima*coupl(nGC_244)*coupl(nGC_30)*   &
                      coupl(nGC_38)*coupl(nGC_388) + 4d0*cima*coupl(nGC_290)** &
                      2d0*coupl(nGC_30)*coupl(nGC_52) + 4d0*cima*coupl(nGC_290 &
                      )*coupl(nGC_33)*coupl(nGC_708)*coupl(nGC_866) + 4d0*cima*&
                      coupl(nGC_290)*coupl(nGC_52)*coupl(nGC_566)*coupl(nGC_772&
                      ) + 9d0*cima*coupl(nGC_30)*coupl(nGC_38)*coupl(nGC_566)* &
                      coupl(nGC_788) + 4d0*cima*coupl(nGC_33)**2d0*coupl(nGC_52&
                      )*coupl(nGC_866) + 4d0*cima*coupl(nGC_33)*coupl(nGC_51)* &
                      coupl(nGC_708)*coupl(nGC_866) - 16d0*cima*coupl(nGC_34)* &
                      coupl(nGC_53)*coupl(nGC_75)*coupl(nGC_77) - 16d0*cima*   &
                      coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78)*coupl(nGC_80   &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_87)* &
                      coupl(nGC_89) + 20d0*cima*coupl(nGC_34)*coupl(nGC_734)*  &
                      coupl(nGC_75)*coupl(nGC_77) + 20d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_734)*coupl(nGC_78)*coupl(nGC_80) + 20d0*cima*  &
                      coupl(nGC_34)*coupl(nGC_734)*coupl(nGC_87)*coupl(nGC_89  &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_736)*coupl(nGC_75)*&
                      coupl(nGC_77) - 16d0*cima*coupl(nGC_34)*coupl(nGC_736)*  &
                      coupl(nGC_78)*coupl(nGC_80) - 16d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_736)*coupl(nGC_87)*coupl(nGC_89) + 9d0*cima*   &
                      coupl(nGC_38)*coupl(nGC_51)*coupl(nGC_772)*coupl(nGC_788 &
                      ) + 24d0*cima*coupl(nGC_40)*coupl(nGC_518) + 4d0*cima*   &
                      coupl(nGC_52)*coupl(nGC_708)**2d0*coupl(nGC_866) - 6d0*  &
                      coupl(nGC_12)*coupl(nGC_244)*coupl(nGC_388) + 36d0*coupl(&
                      nGC_12)*coupl(nGC_38)*coupl(nGC_788) - 6d0*coupl(nGC_12)*&
                      coupl(nGC_566)*coupl(nGC_788) + 6d0*coupl(nGC_12)*coupl( &
                      nGC_708)*coupl(nGC_866) + 6d0*coupl(nGC_13)*coupl(nGC_290&
                      )*coupl(nGC_52) + 6d0*coupl(nGC_13)*coupl(nGC_33)*coupl( &
                      nGC_866) - 6d0*coupl(nGC_13)*coupl(nGC_38)*coupl(nGC_51  &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_30)*coupl(nGC_38) - 6d0* &
                      coupl(nGC_21)*coupl(nGC_30)*coupl(nGC_788) - 6d0*coupl(  &
                      nGC_244)*coupl(nGC_30)*coupl(nGC_518) - 6d0*coupl(nGC_27 &
                      )*coupl(nGC_30)*coupl(nGC_566) - 6d0*coupl(nGC_27)*coupl(&
                      nGC_51)*coupl(nGC_772) - 6d0*coupl(nGC_30)*coupl(nGC_38)*&
                      coupl(nGC_58) - 6d0*coupl(nGC_30)*coupl(nGC_388)*coupl(  &
                      nGC_54) - 6d0*coupl(nGC_30)*coupl(nGC_57)*coupl(nGC_788  &
                      ) + 36d0*coupl(nGC_40)*coupl(nGC_7)*coupl(nGC_788))/(    &
                      192d0*pi**2d0)
    coupl(nGC_4456) = (20d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_314)*coupl(nGC_34&
                      )*coupl(nGC_72) - 16d0*Nc*cima*coupl(nGC_1168)*coupl(    &
                      nGC_316)*coupl(nGC_34)*coupl(nGC_72) - 16d0*Nc*cima*coupl&
                      (nGC_1168)*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_72) +  &
                      20d0*Nc*cima*coupl(nGC_254)*coupl(nGC_314)*coupl(nGC_34)*&
                      coupl(nGC_66) - 16d0*Nc*cima*coupl(nGC_254)*coupl(nGC_316&
                      )*coupl(nGC_34)*coupl(nGC_66) - 16d0*Nc*cima*coupl(      &
                      nGC_254)*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_66) +    &
                      20d0*Nc*cima*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_558)*&
                      coupl(nGC_81) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34 &
                      )*coupl(nGC_558)*coupl(nGC_81) - 16d0*Nc*cima*coupl(     &
                      nGC_316)*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_71) - 16d0&
                      *Nc*cima*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_84)*coupl&
                      (nGC_86) - 16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_336 &
                      )*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_71) + 20d0*Nc*   &
                      cima*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_84)*coupl(   &
                      nGC_86) + 20d0*Nc*cima*coupl(nGC_336)*coupl(nGC_34)*coupl&
                      (nGC_90)*coupl(nGC_92) - 16d0*Nc*cima*coupl(nGC_338)*    &
                      coupl(nGC_34)*coupl(nGC_558)*coupl(nGC_81) - 16d0*Nc*cima&
                      *coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_71 &
                      ) - 16d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)*coupl(     &
                      nGC_84)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_338)*coupl&
                      (nGC_34)*coupl(nGC_90)*coupl(nGC_92) + 24d0*cima*coupl(  &
                      nGC_13)*coupl(nGC_27) + 9d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_38)*coupl(nGC_388)*coupl(nGC_772) + 9d0*cima*coupl(  &
                      nGC_290)*coupl(nGC_30)*coupl(nGC_38)*coupl(nGC_788) + 4d0&
                      *cima*coupl(nGC_290)*coupl(nGC_33)**2d0*coupl(nGC_708) + &
                      4d0*cima*coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_52)*coupl(&
                      nGC_566) + 4d0*cima*coupl(nGC_33)**3d0*coupl(nGC_52) +   &
                      4d0*cima*coupl(nGC_33)**2d0*coupl(nGC_51)*coupl(nGC_708  &
                      ) + 4d0*cima*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_708)**&
                      2d0 - 16d0*cima*coupl(nGC_34)*coupl(nGC_452)*coupl(nGC_53&
                      )*coupl(nGC_87) + 20d0*cima*coupl(nGC_34)*coupl(nGC_452)*&
                      coupl(nGC_734)*coupl(nGC_87) - 16d0*cima*coupl(nGC_34)*  &
                      coupl(nGC_452)*coupl(nGC_736)*coupl(nGC_87) - 16d0*cima* &
                      coupl(nGC_34)*coupl(nGC_494)*coupl(nGC_53)*coupl(nGC_78  &
                      ) + 20d0*cima*coupl(nGC_34)*coupl(nGC_494)*coupl(nGC_734 &
                      )*coupl(nGC_78) - 16d0*cima*coupl(nGC_34)*coupl(nGC_494)*&
                      coupl(nGC_736)*coupl(nGC_78) - 16d0*cima*coupl(nGC_34)*  &
                      coupl(nGC_53)*coupl(nGC_644)*coupl(nGC_75) + 20d0*cima*  &
                      coupl(nGC_34)*coupl(nGC_644)*coupl(nGC_734)*coupl(nGC_75 &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_644)*coupl(nGC_736 &
                      )*coupl(nGC_75) + 9d0*cima*coupl(nGC_38)*coupl(nGC_566)* &
                      coupl(nGC_772)*coupl(nGC_788) + 24d0*cima*coupl(nGC_42)* &
                      coupl(nGC_518) + 4d0*cima*coupl(nGC_51)**2d0*coupl(nGC_52&
                      )*coupl(nGC_772) - 6d0*coupl(nGC_12)*coupl(nGC_290)*coupl&
                      (nGC_38) + 6d0*coupl(nGC_12)*coupl(nGC_33)*coupl(nGC_708 &
                      ) + 6d0*coupl(nGC_12)*coupl(nGC_51)*coupl(nGC_52) - 6d0* &
                      coupl(nGC_13)*coupl(nGC_244)*coupl(nGC_388) + 6d0*coupl( &
                      nGC_13)*coupl(nGC_33)**2d0 + 36d0*coupl(nGC_13)*coupl(   &
                      nGC_38)*coupl(nGC_788) - 6d0*coupl(nGC_13)*coupl(nGC_566 &
                      )*coupl(nGC_788) - 6d0*coupl(nGC_21)*coupl(nGC_38)*coupl(&
                      nGC_772) - 6d0*coupl(nGC_21)*coupl(nGC_772)*coupl(nGC_788&
                      ) - 6d0*coupl(nGC_244)*coupl(nGC_518)*coupl(nGC_772) -   &
                      6d0*coupl(nGC_27)*coupl(nGC_290)*coupl(nGC_30) - 6d0*    &
                      coupl(nGC_27)*coupl(nGC_566)*coupl(nGC_772) - 6d0*coupl( &
                      nGC_38)*coupl(nGC_58)*coupl(nGC_772) - 6d0*coupl(nGC_388 &
                      )*coupl(nGC_54)*coupl(nGC_772) + 36d0*coupl(nGC_42)*coupl&
                      (nGC_7)*coupl(nGC_788) - 6d0*coupl(nGC_57)*coupl(nGC_772 &
                      )*coupl(nGC_788))/(192d0*pi**2d0)
    coupl(nGC_4459) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_66)**2d0 -  &
                      coupl(nGC_69)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_81)**&
                      2d0 - coupl(nGC_84)**2d0 - coupl(nGC_90)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_4511) = (-10d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_660)**2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2 &
                      **2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2**2d0 + &
                      15d0*coupl(nGC_14)**2d0*coupl(nGC_660)*sq2**2d0)/(192d0* &
                      pi**2d0)
    coupl(nGC_4512) = (-10d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_660)**2d0 + 18d0*coupl(nGC_14)**2d0*coupl(nGC_660)*  &
                      sq2**2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_670)*sq2**2d0&
                      )/(192d0*pi**2d0)
    coupl(nGC_13325) = -coupl(nGC_4417)
    coupl(nGC_4514) = (-8d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_16)**2d0 + 12d0*Nc*cima*coupl(nGC_658)**2d0 +  &
                      39d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2**2d0 + 36d0*cima&
                      *coupl(nGC_15)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_4515) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_14)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_14)**2d0*coupl(nGC_660) + 9d0*Nc*coupl(     &
                      nGC_14)**2d0*coupl(nGC_670) - 60d0*cima*coupl(nGC_15)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_4516) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_14)**4d0*sq2**2d0 - 9d0*&
                      Nc*coupl(nGC_14)**2d0*coupl(nGC_660) + 3d0*Nc*coupl(     &
                      nGC_14)**2d0*coupl(nGC_670) - 60d0*cima*coupl(nGC_15)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_4517) = (-8d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_16)*coupl(nGC_658) + 3d0*Nc*coupl(nGC_14)**2d0*&
                      coupl(nGC_16)*sq2**2d0 - 39d0*Nc*coupl(nGC_14)**2d0*coupl&
                      (nGC_658)*sq2**2d0 + 36d0*cima*coupl(nGC_15)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0)
    coupl(nGC_9348) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_9349) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_6640) = coupl(nGC_32)*dZH2_QED2/2d0 + coupl(nGC_32)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_4600)
    coupl(nGC_10825) = 2d0*coupl(nGC_4)*dZH2_QED2 + coupl(nGC_4522)
    coupl(nGC_4257) = (4d0*coupl(nGC_338)**2d0*coupl(nGC_6) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34)**2d0*coupl(nGC_7 &
                      ) + coupl(nGC_400)*coupl(nGC_6)*coupl(nGC_92) + coupl(   &
                      nGC_5)*coupl(nGC_72)**2d0 + 4d0*coupl(nGC_6)**3d0 + coupl&
                      (nGC_6)*coupl(nGC_91)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7084) = coupl(nGC_4593) + coupl(nGC_60)*dZZA_QED2/2d0 + coupl(   &
                      nGC_64)*dZA_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2/2d0 + &
                      coupl(nGC_TS_GC_40_H1)
    coupl(nGC_4513) = (-4d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_16)*coupl(nGC_658) + 12d0*Nc*coupl(nGC_14)**2d0&
                      *coupl(nGC_16)*sq2**2d0 - 9d0*Nc*coupl(nGC_14)**2d0*coupl&
                      (nGC_658)*sq2**2d0 + 18d0*cima*coupl(nGC_15)**4d0*sq2**  &
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_6737) = coupl(nGC_6214) + coupl(nGC_6302) + coupl(nGC_6735)
    coupl(nGC_4580) = coupl(nGC_4167)*dyc_QED1_QCD2
    coupl(nGC_4588) = coupl(nGC_4175)*dyt_QED1_QCD2
    coupl(nGC_4204) = cMC*cima*(-coupl(nGC_336)*coupl(nGC_338) - coupl(nGC_6)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4206) = cima*(-coupl(nGC_338)**2d0 - coupl(nGC_34)**2d0 - coupl( &
                      nGC_6)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4207) = cima*(-coupl(nGC_336)**2d0 - coupl(nGC_6)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_6707) = coupl(nGC_4532) + coupl(nGC_8)*dZA_QED2/2d0
    coupl(nGC_4202) = cima*(-coupl(nGC_316)**2d0 - coupl(nGC_34)**2d0 - coupl( &
                      nGC_5)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4203) = cima*(-coupl(nGC_314)**2d0 - coupl(nGC_5)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_6709) = 2d0*coupl(nGC_6703) + coupl(nGC_6704) + coupl(nGC_6707)
    coupl(nGC_4208) = cMD*cima*(-coupl(nGC_314)*coupl(nGC_316) - coupl(nGC_5)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4619) = coupl(nGC_4030)*dsw_QED2 + coupl(nGC_4031)*dcw_QED2 +    &
                      coupl(nGC_4032)*dZee_QED2
    coupl(nGC_4194) = cima*(coupl(nGC_38)*coupl(nGC_7) + coupl(nGC_388)*coupl( &
                      nGC_788))/(48d0*pi**2d0)
    coupl(nGC_4195) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_314)*coupl(nGC_5) + 2d0* &
                      Nc*cMB**2d0*cima*coupl(nGC_316)*coupl(nGC_5) + 2d0*Nc*cMC&
                      **2d0*cima*coupl(nGC_336)*coupl(nGC_6) + 2d0*Nc*cMC**2d0*&
                      cima*coupl(nGC_338)*coupl(nGC_6) + 2d0*Nc*cMD**2d0*cima* &
                      coupl(nGC_314)*coupl(nGC_5) + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_316)*coupl(nGC_5) + 2d0*Nc*cMS**2d0*cima*coupl(      &
                      nGC_314)*coupl(nGC_5) + 2d0*Nc*cMS**2d0*cima*coupl(      &
                      nGC_316)*coupl(nGC_5) + 2d0*Nc*cMT**2d0*cima*coupl(      &
                      nGC_336)*coupl(nGC_6) + 2d0*Nc*cMT**2d0*cima*coupl(      &
                      nGC_338)*coupl(nGC_6) + 2d0*Nc*cMU**2d0*cima*coupl(      &
                      nGC_336)*coupl(nGC_6) + 2d0*Nc*cMU**2d0*cima*coupl(      &
                      nGC_338)*coupl(nGC_6) + 2d0*cME**2d0*cima*coupl(nGC_734)*&
                      coupl(nGC_8) + 2d0*cME**2d0*cima*coupl(nGC_736)*coupl(   &
                      nGC_8) + 2d0*cMM**2d0*cima*coupl(nGC_734)*coupl(nGC_8) + &
                      2d0*cMM**2d0*cima*coupl(nGC_736)*coupl(nGC_8) + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_734)*coupl(nGC_8) + 2d0*cMTA**2d0*  &
                      cima*coupl(nGC_736)*coupl(nGC_8) + 3d0*cMW**2d0*cima*    &
                      coupl(nGC_38)*coupl(nGC_7) + 3d0*cMW**2d0*cima*coupl(    &
                      nGC_388)*coupl(nGC_788) - 2d0*cMW**2d0*coupl(nGC_44))/(  &
                      16d0*pi**2d0)
    coupl(nGC_4196) = cima*(-2d0*Nc*coupl(nGC_314)**2d0 - 2d0*Nc*coupl(nGC_316 &
                      )**2d0 - 2d0*Nc*coupl(nGC_336)**2d0 - 2d0*Nc*coupl(      &
                      nGC_338)**2d0 - coupl(nGC_38)**2d0 - 2d0*coupl(nGC_53)** &
                      2d0 - 2d0*coupl(nGC_734)**2d0 - 2d0*coupl(nGC_736)**2d0  &
                       - coupl(nGC_788)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4197) = cima*(coupl(nGC_38)**2d0 + coupl(nGC_788)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_4190) = cima*(-4d0*Nc*coupl(nGC_5)**2d0 - 4d0*Nc*coupl(nGC_6)**  &
                      2d0 - coupl(nGC_388)**2d0 - coupl(nGC_7)**2d0 - 4d0*coupl&
                      (nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4191) = cima*(coupl(nGC_388)**2d0 + coupl(nGC_7)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_4192) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_5)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_6)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_5)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_5)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_6)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_6)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_8)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_8)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_8)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_388&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_7)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_272))/(16d0*pi**2d0)
    coupl(nGC_4193) = cima*(-2d0*Nc*coupl(nGC_314)*coupl(nGC_5) - 2d0*Nc*coupl(&
                      nGC_316)*coupl(nGC_5) - 2d0*Nc*coupl(nGC_336)*coupl(nGC_6&
                      ) - 2d0*Nc*coupl(nGC_338)*coupl(nGC_6) - coupl(nGC_38)*  &
                      coupl(nGC_7) - coupl(nGC_388)*coupl(nGC_788) - 2d0*coupl(&
                      nGC_734)*coupl(nGC_8) - 2d0*coupl(nGC_736)*coupl(nGC_8   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_6667) = coupl(nGC_2)*dZH2_QED2 + coupl(nGC_2)*dZHMinus_QED2 +    &
                      coupl(nGC_4523)
    coupl(nGC_6660) = coupl(nGC_4617) + coupl(nGC_58)*dZZ_QED2
    coupl(nGC_4466) = (6d0*cima*coupl(nGC_24)*coupl(nGC_468) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_32)*coupl(nGC_8)*coupl(nGC_808) + 4d0*&
                      cima*coupl(nGC_260)*coupl(nGC_32)*coupl(nGC_37)*coupl(   &
                      nGC_808) + 9d0*cima*coupl(nGC_32)*coupl(nGC_38)*coupl(   &
                      nGC_788)*coupl(nGC_808) + 9d0*cima*coupl(nGC_32)*coupl(  &
                      nGC_388)*coupl(nGC_7)*coupl(nGC_808) - 6d0*coupl(nGC_24)*&
                      coupl(nGC_244)*coupl(nGC_388) + 3d0*coupl(nGC_24)*coupl( &
                      nGC_244)*coupl(nGC_8) + 3d0*coupl(nGC_24)*coupl(nGC_260)*&
                      coupl(nGC_37) - 6d0*coupl(nGC_24)*coupl(nGC_260)*coupl(  &
                      nGC_788) - 6d0*coupl(nGC_24)*coupl(nGC_37)*coupl(nGC_38  &
                      ) + 18d0*coupl(nGC_24)*coupl(nGC_38)*coupl(nGC_788) +    &
                      18d0*coupl(nGC_24)*coupl(nGC_388)*coupl(nGC_7) - 6d0*    &
                      coupl(nGC_24)*coupl(nGC_7)*coupl(nGC_8) - 6d0*coupl(     &
                      nGC_26)*coupl(nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_26)* &
                      coupl(nGC_788)*coupl(nGC_808) - 6d0*coupl(nGC_32)*coupl( &
                      nGC_41)*coupl(nGC_7) - 3d0*coupl(nGC_32)*coupl(nGC_468)* &
                      coupl(nGC_808) - 6d0*coupl(nGC_388)*coupl(nGC_41)*coupl( &
                      nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4467) = (12d0*cima*coupl(nGC_21)*coupl(nGC_23) + 6d0*cima*coupl( &
                      nGC_28)*coupl(nGC_58) - 10d0*cima*coupl(nGC_290)*coupl(  &
                      nGC_37)**2d0*coupl(nGC_51) - 10d0*cima*coupl(nGC_30)*    &
                      coupl(nGC_31)*coupl(nGC_808)*coupl(nGC_866) + 3d0*coupl( &
                      nGC_1)*coupl(nGC_244)**2d0 + 3d0*coupl(nGC_1)*coupl(     &
                      nGC_260)**2d0 + 3d0*coupl(nGC_1)*coupl(nGC_276)*coupl(   &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_29)*coupl(nGC_708   &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_290)*coupl(nGC_51) + 3d0* &
                      coupl(nGC_1)*coupl(nGC_30)*coupl(nGC_866) - 3d0*coupl(   &
                      nGC_21)*coupl(nGC_31)*coupl(nGC_808) - 3d0*coupl(nGC_23)*&
                      coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_23)*coupl(  &
                      nGC_30)*coupl(nGC_866) - 3d0*coupl(nGC_28)*coupl(nGC_290 &
                      )*coupl(nGC_51) - 3d0*coupl(nGC_37)**2d0*coupl(nGC_58))/(&
                      96d0*pi**2d0)
    coupl(nGC_7010) = coupl(nGC_4620) + coupl(nGC_65)*dZH1_QED2/2d0 + coupl(   &
                      nGC_65)*dZZ_QED2 + coupl(nGC_TS_GC_58_H1)
    coupl(nGC_4336) = (-8d0*Nc*cMB*coupl(nGC_314)**2d0*coupl(nGC_68) + 8d0*Nc* &
                      cMB*coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_68) - 8d0*Nc*&
                      cMB*coupl(nGC_316)**2d0*coupl(nGC_68) - 8d0*Nc*cMC*coupl(&
                      nGC_336)**2d0*coupl(nGC_70) + 8d0*Nc*cMC*coupl(nGC_336)* &
                      coupl(nGC_338)*coupl(nGC_70) - 8d0*Nc*cMC*coupl(nGC_338  &
                      )**2d0*coupl(nGC_70) - 8d0*Nc*cMD*coupl(nGC_314)**2d0*   &
                      coupl(nGC_74) + 8d0*Nc*cMD*coupl(nGC_314)*coupl(nGC_316)*&
                      coupl(nGC_74) - 8d0*Nc*cMD*coupl(nGC_316)**2d0*coupl(    &
                      nGC_74) - 8d0*Nc*cMS*coupl(nGC_314)**2d0*coupl(nGC_83) + &
                      8d0*Nc*cMS*coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_83) - &
                      8d0*Nc*cMS*coupl(nGC_316)**2d0*coupl(nGC_83) - 8d0*Nc*cMT&
                      *coupl(nGC_336)**2d0*coupl(nGC_85) + 8d0*Nc*cMT*coupl(   &
                      nGC_336)*coupl(nGC_338)*coupl(nGC_85) - 8d0*Nc*cMT*coupl(&
                      nGC_338)**2d0*coupl(nGC_85) - 8d0*Nc*cMU*coupl(nGC_336)**&
                      2d0*coupl(nGC_91) + 8d0*Nc*cMU*coupl(nGC_336)*coupl(     &
                      nGC_338)*coupl(nGC_91) - 8d0*Nc*cMU*coupl(nGC_338)**2d0* &
                      coupl(nGC_91) - 8d0*cME*coupl(nGC_734)**2d0*coupl(nGC_77 &
                      ) + 8d0*cME*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_77   &
                      ) - 8d0*cME*coupl(nGC_736)**2d0*coupl(nGC_77) - 8d0*cMM* &
                      coupl(nGC_734)**2d0*coupl(nGC_80) + 8d0*cMM*coupl(nGC_734&
                      )*coupl(nGC_736)*coupl(nGC_80) - 8d0*cMM*coupl(nGC_736)**&
                      2d0*coupl(nGC_80) - 8d0*cMTA*coupl(nGC_734)**2d0*coupl(  &
                      nGC_89) + 8d0*cMTA*coupl(nGC_734)*coupl(nGC_736)*coupl(  &
                      nGC_89) - 8d0*cMTA*coupl(nGC_736)**2d0*coupl(nGC_89) +   &
                      4d0*cima*coupl(nGC_286)*coupl(nGC_63) - coupl(nGC_29)*   &
                      coupl(nGC_60)*coupl(nGC_788) - coupl(nGC_30)*coupl(nGC_38&
                      )*coupl(nGC_60) + 6d0*coupl(nGC_38)**2d0*coupl(nGC_63) - &
                      coupl(nGC_38)*coupl(nGC_60)*coupl(nGC_866) - coupl(nGC_60&
                      )*coupl(nGC_708)*coupl(nGC_788) + 6d0*coupl(nGC_63)*coupl&
                      (nGC_788)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4369) = (coupl(nGC_254)*coupl(nGC_316)*coupl(nGC_67) + 4d0*coupl(&
                      nGC_314)**3d0 + 4d0*coupl(nGC_314)*coupl(nGC_5)**2d0 +   &
                      coupl(nGC_316)*coupl(nGC_68)**2d0 + coupl(nGC_338)*coupl(&
                      nGC_66)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6909) = 2d0*coupl(nGC_6703) + coupl(nGC_6707) + coupl(nGC_6905)
    coupl(nGC_4326) = (-6d0*coupl(nGC_244)*coupl(nGC_276)*coupl(nGC_388) - 6d0*&
                      coupl(nGC_260)*coupl(nGC_276)*coupl(nGC_788) + coupl(    &
                      nGC_31)**2d0*coupl(nGC_32))/(96d0*pi**2d0)
    coupl(nGC_4329) = (-4d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_68) - 4d0*Nc*  &
                      cMC*coupl(nGC_34)**2d0*coupl(nGC_70) - 4d0*Nc*cMD*coupl( &
                      nGC_34)**2d0*coupl(nGC_74) - 4d0*Nc*cMS*coupl(nGC_34)**  &
                      2d0*coupl(nGC_83) - 4d0*Nc*cMT*coupl(nGC_34)**2d0*coupl( &
                      nGC_85) - 4d0*Nc*cMU*coupl(nGC_34)**2d0*coupl(nGC_91) -  &
                      4d0*cME*coupl(nGC_34)**2d0*coupl(nGC_77) - 4d0*cMM*coupl(&
                      nGC_34)**2d0*coupl(nGC_80) - 4d0*cMTA*coupl(nGC_34)**2d0*&
                      coupl(nGC_89) + 4d0*cima*coupl(nGC_22)*coupl(nGC_63) +   &
                      2d0*cima*coupl(nGC_286)*coupl(nGC_65) - coupl(nGC_30)*   &
                      coupl(nGC_388)*coupl(nGC_64) - coupl(nGC_30)*coupl(nGC_60&
                      )*coupl(nGC_788) + 6d0*coupl(nGC_38)**2d0*coupl(nGC_65   &
                      ) + 6d0*coupl(nGC_388)**2d0*coupl(nGC_63) - coupl(nGC_388&
                      )*coupl(nGC_64)*coupl(nGC_866) - coupl(nGC_60)*coupl(    &
                      nGC_788)*coupl(nGC_866) + 6d0*coupl(nGC_63)*coupl(nGC_788&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_6555) = -coupl(nGC_4582) - coupl(nGC_6552)
    coupl(nGC_6710) = coupl(nGC_6703) + coupl(nGC_6707) + coupl(nGC_6708)
    coupl(nGC_4230) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_69) - 2d0&
                      *Nc*cMD*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72) - 2d0*Nc&
                      *cMS*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81) - 2d0*Nc*  &
                      cMT*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84) - 2d0*Nc*cMU&
                      *coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_90) + 4d0*cima*    &
                      coupl(nGC_518)*coupl(nGC_60) + 4d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_9) - coupl(nGC_244)*coupl(nGC_388)*coupl(nGC_64&
                      ) - coupl(nGC_29)*coupl(nGC_63)*coupl(nGC_7) + 6d0*coupl(&
                      nGC_388)*coupl(nGC_64)*coupl(nGC_7) - coupl(nGC_566)*    &
                      coupl(nGC_64)*coupl(nGC_788) + 6d0*coupl(nGC_60)*coupl(  &
                      nGC_7)*coupl(nGC_788))/(32d0*pi**2d0)
    coupl(nGC_4233) = (coupl(nGC_244)*coupl(nGC_708)*coupl(nGC_772) - 6d0*coupl&
                      (nGC_29)*coupl(nGC_33)*coupl(nGC_388) - 6d0*coupl(nGC_30 &
                      )*coupl(nGC_33)*coupl(nGC_7) + coupl(nGC_772)*coupl(nGC_8&
                      )*coupl(nGC_866))/(96d0*pi**2d0)
    coupl(nGC_6986) = -coupl(nGC_6640)
    coupl(nGC_4235) = (-4d0*Nc*cMB*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_68) - &
                      4d0*Nc*cMB*coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_68) -   &
                      4d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_70) -   &
                      4d0*Nc*cMC*coupl(nGC_338)*coupl(nGC_6)*coupl(nGC_70) -   &
                      4d0*Nc*cMD*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_74) -   &
                      4d0*Nc*cMD*coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_74) -   &
                      4d0*Nc*cMS*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_83) -   &
                      4d0*Nc*cMS*coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_83) -   &
                      4d0*Nc*cMT*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_85) -   &
                      4d0*Nc*cMT*coupl(nGC_338)*coupl(nGC_6)*coupl(nGC_85) -   &
                      4d0*Nc*cMU*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_91) -   &
                      4d0*Nc*cMU*coupl(nGC_338)*coupl(nGC_6)*coupl(nGC_91) -   &
                      4d0*cME*coupl(nGC_734)*coupl(nGC_77)*coupl(nGC_8) - 4d0* &
                      cME*coupl(nGC_736)*coupl(nGC_77)*coupl(nGC_8) - 4d0*cMM* &
                      coupl(nGC_734)*coupl(nGC_8)*coupl(nGC_80) - 4d0*cMM*coupl&
                      (nGC_736)*coupl(nGC_8)*coupl(nGC_80) - 4d0*cMTA*coupl(   &
                      nGC_734)*coupl(nGC_8)*coupl(nGC_89) - 4d0*cMTA*coupl(    &
                      nGC_736)*coupl(nGC_8)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_44)*coupl(nGC_63) - coupl(nGC_29)*coupl(nGC_64)*coupl&
                      (nGC_788) - coupl(nGC_30)*coupl(nGC_38)*coupl(nGC_64) +  &
                      6d0*coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_7) - coupl(    &
                      nGC_388)*coupl(nGC_60)*coupl(nGC_708) + 6d0*coupl(nGC_388&
                      )*coupl(nGC_63)*coupl(nGC_788) - coupl(nGC_60)*coupl(    &
                      nGC_7)*coupl(nGC_866))/(32d0*pi**2d0)
    coupl(nGC_6982) = coupl(nGC_4576) + coupl(nGC_80)*dZH1_QED2/2d0
    coupl(nGC_4301) = (-coupl(nGC_1168)**2d0*coupl(nGC_73) + 8d0*coupl(nGC_1168&
                      )*coupl(nGC_314)*coupl(nGC_316) + 8d0*coupl(nGC_1168)*   &
                      coupl(nGC_5)**2d0 - coupl(nGC_290)*coupl(nGC_314)*coupl( &
                      nGC_74) - coupl(nGC_316)*coupl(nGC_51)*coupl(nGC_74) -   &
                      coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_72) - coupl(nGC_72 &
                      )*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_73)*coupl(     &
                      nGC_74)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4431) = (12d0*cima*coupl(nGC_23)*coupl(nGC_44) + 4d0*cima*coupl( &
                      nGC_244)**2d0*coupl(nGC_37)*coupl(nGC_8) + 4d0*cima*coupl&
                      (nGC_260)**2d0*coupl(nGC_37)*coupl(nGC_8) + 9d0*cima*    &
                      coupl(nGC_31)*coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_808   &
                      ) + 18d0*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_7) + 18d0*&
                      coupl(nGC_23)*coupl(nGC_388)*coupl(nGC_788) + 3d0*coupl( &
                      nGC_244)**2d0*coupl(nGC_43) - 3d0*coupl(nGC_26)*coupl(   &
                      nGC_31)*coupl(nGC_7) - 3d0*coupl(nGC_26)*coupl(nGC_7)*   &
                      coupl(nGC_808) + 3d0*coupl(nGC_260)**2d0*coupl(nGC_43) - &
                      3d0*coupl(nGC_31)*coupl(nGC_38)*coupl(nGC_41) - 3d0*coupl&
                      (nGC_31)*coupl(nGC_44)*coupl(nGC_808) - 3d0*coupl(nGC_32 &
                      )*coupl(nGC_41)*coupl(nGC_788))/(96d0*pi**2d0)
    coupl(nGC_4430) = (4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_66)*   &
                      coupl(nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*coupl(nGC_83) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84)*   &
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_66)*coupl(nGC_68) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_69)*coupl(nGC_70) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72)*   &
                      coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(nGC_91) + &
                      24d0*cima*coupl(nGC_12)*coupl(nGC_518) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_290)*coupl(nGC_52)*coupl(nGC_772) +   &
                      9d0*cima*coupl(nGC_244)*coupl(nGC_30)*coupl(nGC_388)*    &
                      coupl(nGC_7) + 9d0*cima*coupl(nGC_30)*coupl(nGC_566)*    &
                      coupl(nGC_7)*coupl(nGC_788) + 4d0*cima*coupl(nGC_33)**2d0&
                      *coupl(nGC_8)*coupl(nGC_866) + 4d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_75)*coupl(nGC_77)*coupl(nGC_8) + 4d0*cima*coupl&
                      (nGC_34)*coupl(nGC_78)*coupl(nGC_8)*coupl(nGC_80) + 4d0* &
                      cima*coupl(nGC_34)*coupl(nGC_8)*coupl(nGC_87)*coupl(     &
                      nGC_89) + 9d0*cima*coupl(nGC_38)*coupl(nGC_388)*coupl(   &
                      nGC_51)*coupl(nGC_772) + 24d0*cima*coupl(nGC_40)*coupl(  &
                      nGC_9) + 4d0*cima*coupl(nGC_708)**2d0*coupl(nGC_8)*coupl(&
                      nGC_866) - 6d0*coupl(nGC_10)*coupl(nGC_30)*coupl(nGC_388 &
                      ) + 36d0*coupl(nGC_12)*coupl(nGC_38)*coupl(nGC_388) - 6d0&
                      *coupl(nGC_21)*coupl(nGC_30)*coupl(nGC_388) - 6d0*coupl( &
                      nGC_21)*coupl(nGC_30)*coupl(nGC_7) - 6d0*coupl(nGC_244)* &
                      coupl(nGC_30)*coupl(nGC_9) + 6d0*coupl(nGC_290)*coupl(   &
                      nGC_42)*coupl(nGC_52) - 6d0*coupl(nGC_30)*coupl(nGC_518)*&
                      coupl(nGC_566) - 6d0*coupl(nGC_30)*coupl(nGC_54)*coupl(  &
                      nGC_788) + 6d0*coupl(nGC_33)*coupl(nGC_42)*coupl(nGC_866 &
                      ) - 6d0*coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_52) - 6d0* &
                      coupl(nGC_38)*coupl(nGC_42)*coupl(nGC_51) + 36d0*coupl(  &
                      nGC_388)*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_40)* &
                      coupl(nGC_7)*coupl(nGC_8) + 6d0*coupl(nGC_40)*coupl(     &
                      nGC_708)*coupl(nGC_866) - 6d0*coupl(nGC_51)*coupl(nGC_518&
                      )*coupl(nGC_772))/(192d0*pi**2d0)
    coupl(nGC_4437) = (12d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_5)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_5)**2d0 + 12d0&
                      *Nc*cima*coupl(nGC_336)**2d0*coupl(nGC_6)**2d0 + 12d0*Nc*&
                      cima*coupl(nGC_338)**2d0*coupl(nGC_6)**2d0 - 40d0*cima*  &
                      coupl(nGC_38)**2d0*coupl(nGC_7)**2d0 - 40d0*cima*coupl(  &
                      nGC_388)**2d0*coupl(nGC_788)**2d0 + 12d0*cima*coupl(     &
                      nGC_44)**2d0 + 12d0*cima*coupl(nGC_734)**2d0*coupl(nGC_8 &
                      )**2d0 + 12d0*cima*coupl(nGC_736)**2d0*coupl(nGC_8)**2d0 &
                       + 3d0*coupl(nGC_27)*coupl(nGC_388)**2d0 + 3d0*coupl(    &
                      nGC_27)*coupl(nGC_7)**2d0 + 3d0*coupl(nGC_38)**2d0*coupl(&
                      nGC_9) + 36d0*coupl(nGC_38)*coupl(nGC_44)*coupl(nGC_7) + &
                      6d0*coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_7) + 36d0*    &
                      coupl(nGC_388)*coupl(nGC_44)*coupl(nGC_788) + 6d0*coupl( &
                      nGC_388)*coupl(nGC_518)*coupl(nGC_788) + 3d0*coupl(      &
                      nGC_788)**2d0*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_4436) = (6d0*Nc*cima*coupl(nGC_314)**2d0*coupl(nGC_5)**2d0 + 6d0*&
                      Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_5)**2d0 + 6d0*Nc*  &
                      cima*coupl(nGC_336)**2d0*coupl(nGC_6)**2d0 + 6d0*Nc*cima*&
                      coupl(nGC_338)**2d0*coupl(nGC_6)**2d0 + 6d0*cima*coupl(  &
                      nGC_272)*coupl(nGC_286) - 20d0*cima*coupl(nGC_38)**2d0*  &
                      coupl(nGC_7)**2d0 - 20d0*cima*coupl(nGC_388)**2d0*coupl( &
                      nGC_788)**2d0 + 6d0*cima*coupl(nGC_734)**2d0*coupl(nGC_8 &
                      )**2d0 + 6d0*cima*coupl(nGC_736)**2d0*coupl(nGC_8)**2d0  &
                       + 9d0*coupl(nGC_272)*coupl(nGC_38)**2d0 + 9d0*coupl(    &
                      nGC_272)*coupl(nGC_788)**2d0 + 9d0*coupl(nGC_286)*coupl( &
                      nGC_388)**2d0 + 9d0*coupl(nGC_286)*coupl(nGC_7)**2d0 +   &
                      6d0*coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_7) + 6d0*coupl&
                      (nGC_388)*coupl(nGC_518)*coupl(nGC_788))/(48d0*pi**2d0)
    coupl(nGC_4435) = (9d0*cima*coupl(nGC_244)*coupl(nGC_276)*coupl(nGC_388)*  &
                      coupl(nGC_7) + 24d0*cima*coupl(nGC_26)*coupl(nGC_518) +  &
                      9d0*cima*coupl(nGC_260)*coupl(nGC_276)*coupl(nGC_7)*coupl&
                      (nGC_788) + 4d0*cima*coupl(nGC_31)**2d0*coupl(nGC_32)*   &
                      coupl(nGC_8) + 24d0*cima*coupl(nGC_41)*coupl(nGC_9) - 6d0&
                      *coupl(nGC_10)*coupl(nGC_276)*coupl(nGC_388) - 6d0*coupl(&
                      nGC_23)*coupl(nGC_276)*coupl(nGC_7) - 6d0*coupl(nGC_24)* &
                      coupl(nGC_388)*coupl(nGC_808) - 6d0*coupl(nGC_244)*coupl(&
                      nGC_276)*coupl(nGC_9) - 6d0*coupl(nGC_25)*coupl(nGC_276)*&
                      coupl(nGC_388) + 36d0*coupl(nGC_26)*coupl(nGC_38)*coupl( &
                      nGC_388) - 6d0*coupl(nGC_260)*coupl(nGC_276)*coupl(      &
                      nGC_518) - 6d0*coupl(nGC_276)*coupl(nGC_43)*coupl(nGC_788&
                      ) + 6d0*coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_41) - 6d0* &
                      coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_41) + 36d0*coupl(  &
                      nGC_388)*coupl(nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_41)* &
                      coupl(nGC_7)*coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_4434) = (6d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)**3d0 + 6d0*Nc*  &
                      cima*coupl(nGC_316)*coupl(nGC_5)**3d0 + 6d0*Nc*cima*coupl&
                      (nGC_336)*coupl(nGC_6)**3d0 + 6d0*Nc*cima*coupl(nGC_338)*&
                      coupl(nGC_6)**3d0 + 6d0*cima*coupl(nGC_272)*coupl(nGC_44 &
                      ) - 20d0*cima*coupl(nGC_38)*coupl(nGC_7)**3d0 - 20d0*cima&
                      *coupl(nGC_388)**3d0*coupl(nGC_788) + 6d0*cima*coupl(    &
                      nGC_734)*coupl(nGC_8)**3d0 + 6d0*cima*coupl(nGC_736)*    &
                      coupl(nGC_8)**3d0 + 9d0*coupl(nGC_272)*coupl(nGC_38)*    &
                      coupl(nGC_7) + 9d0*coupl(nGC_272)*coupl(nGC_388)*coupl(  &
                      nGC_788) + 3d0*coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_9) + &
                      9d0*coupl(nGC_388)**2d0*coupl(nGC_44) + 3d0*coupl(nGC_388&
                      )**2d0*coupl(nGC_518) + 3d0*coupl(nGC_388)*coupl(nGC_788 &
                      )*coupl(nGC_9) + 9d0*coupl(nGC_44)*coupl(nGC_7)**2d0 +   &
                      3d0*coupl(nGC_518)*coupl(nGC_7)**2d0)/(48d0*pi**2d0)
    coupl(nGC_6501) = coupl(nGC_15)*dZg_QCD2/2d0 + coupl(nGC_4624)
    coupl(nGC_6503) = coupl(nGC_6500) + coupl(nGC_6501)
    coupl(nGC_6502) = coupl(nGC_6498) + coupl(nGC_6501)
    coupl(nGC_6679) = coupl(nGC_6485) + 2d0*coupl(nGC_6487) + 2d0*coupl(       &
                      nGC_6672)
    coupl(nGC_9557) = -coupl(nGC_9556)
    coupl(nGC_6395) = coupl(nGC_6391) + coupl(nGC_6394)
    coupl(nGC_6617) = coupl(nGC_38)*dZWMinus_QED2/2d0 + coupl(nGC_4537)
    coupl(nGC_7307) = coupl(nGC_4605) + coupl(nGC_9)*dZA_QED2 + coupl(nGC_9)*  &
                      dZWMinus_QED2
    coupl(nGC_8542) = coupl(nGC_8538) + coupl(nGC_8541)
    coupl(nGC_4505) = (-8d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_16)**2d0 + 12d0*Nc*cima*coupl(nGC_658)**2d0 +  &
                      21d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2**2d0 + 36d0*cima&
                      *coupl(nGC_15)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_7026) = coupl(nGC_4675) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(   &
                      nGC_TS_GC_63_H1)
    coupl(nGC_4221) = cMS*cima*(-coupl(nGC_314)*coupl(nGC_316) - coupl(nGC_5)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_7957) = coupl(nGC_4561) + coupl(nGC_7953)
    coupl(nGC_7002) = coupl(nGC_6997) + coupl(nGC_7001)
    coupl(nGC_4330) = (-coupl(nGC_254)**2d0*coupl(nGC_68) - coupl(nGC_254)*    &
                      coupl(nGC_290)*coupl(nGC_316) - coupl(nGC_254)*coupl(    &
                      nGC_314)*coupl(nGC_51) + 8d0*coupl(nGC_314)*coupl(nGC_316&
                      )*coupl(nGC_68) - coupl(nGC_34)*coupl(nGC_66)*coupl(     &
                      nGC_708) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_68) - coupl(  &
                      nGC_66)*coupl(nGC_84)*coupl(nGC_85) - coupl(nGC_68)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4331) = (-coupl(nGC_29)*coupl(nGC_34)*coupl(nGC_66) - coupl(     &
                      nGC_290)*coupl(nGC_314)*coupl(nGC_67) + 8d0*coupl(nGC_314&
                      )*coupl(nGC_316)*coupl(nGC_68) - coupl(nGC_316)*coupl(   &
                      nGC_51)*coupl(nGC_67) + 8d0*coupl(nGC_5)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_84)*coupl(nGC_85) -    &
                      coupl(nGC_67)**2d0*coupl(nGC_68) - coupl(nGC_68)**3d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_6594) = coupl(nGC_6501) + coupl(nGC_6591)
    coupl(nGC_4333) = (-coupl(nGC_290)*coupl(nGC_338)*coupl(nGC_462) + 8d0*    &
                      coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_70) - coupl(     &
                      nGC_336)*coupl(nGC_462)*coupl(nGC_51) - coupl(nGC_34)*   &
                      coupl(nGC_69)*coupl(nGC_866) - coupl(nGC_462)**2d0*coupl(&
                      nGC_70) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_70) - coupl(   &
                      nGC_69)*coupl(nGC_81)*coupl(nGC_83) - coupl(nGC_70)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4334) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_71) - coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_69) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_70) - coupl(nGC_338)*coupl(     &
                      nGC_51)*coupl(nGC_71) + 8d0*coupl(nGC_6)**2d0*coupl(     &
                      nGC_70) - coupl(nGC_69)*coupl(nGC_81)*coupl(nGC_83) -    &
                      coupl(nGC_70)**3d0 - coupl(nGC_70)*coupl(nGC_71)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4337) = (-coupl(nGC_1168)**2d0*coupl(nGC_74) - coupl(nGC_1168)*  &
                      coupl(nGC_290)*coupl(nGC_316) - coupl(nGC_1168)*coupl(   &
                      nGC_314)*coupl(nGC_51) + 8d0*coupl(nGC_314)*coupl(nGC_316&
                      )*coupl(nGC_74) - coupl(nGC_34)*coupl(nGC_708)*coupl(    &
                      nGC_72) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_74) - coupl(   &
                      nGC_72)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_74)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4338) = (-coupl(nGC_29)*coupl(nGC_34)*coupl(nGC_72) - coupl(     &
                      nGC_290)*coupl(nGC_314)*coupl(nGC_73) + 8d0*coupl(nGC_314&
                      )*coupl(nGC_316)*coupl(nGC_74) - coupl(nGC_316)*coupl(   &
                      nGC_51)*coupl(nGC_73) + 8d0*coupl(nGC_5)**2d0*coupl(     &
                      nGC_74) - coupl(nGC_72)*coupl(nGC_90)*coupl(nGC_91) -    &
                      coupl(nGC_73)**2d0*coupl(nGC_74) - coupl(nGC_74)**3d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_9818) = -coupl(nGC_9223)
    coupl(nGC_4365) = (coupl(nGC_316)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_336)**&
                      3d0 + 4d0*coupl(nGC_336)*coupl(nGC_6)**2d0 + coupl(      &
                      nGC_338)*coupl(nGC_462)*coupl(nGC_71) + coupl(nGC_338)*  &
                      coupl(nGC_70)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6849) = coupl(nGC_4673) + coupl(nGC_6844)
    coupl(nGC_4427) = (-16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_400)*coupl(nGC_5)*&
                      coupl(nGC_90) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_400)*&
                      coupl(nGC_6)*coupl(nGC_90) - 16d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_462)*coupl(nGC_5)*coupl(nGC_69) + 4d0*Nc*cima* &
                      coupl(nGC_34)*coupl(nGC_462)*coupl(nGC_6)*coupl(nGC_69   &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_578&
                      )*coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*&
                      coupl(nGC_66)*coupl(nGC_67) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_73) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*coupl(nGC_82) + &
                      4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_578)*coupl(nGC_6)*   &
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_66)*coupl(nGC_67) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_72)*coupl(nGC_73) - 16d0*Nc*cima* &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81)*coupl(nGC_82) + &
                      24d0*cima*coupl(nGC_11)*coupl(nGC_518) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_33)**3d0 + 4d0*cima*coupl(nGC_244)*   &
                      coupl(nGC_33)*coupl(nGC_866)**2d0 + 9d0*cima*coupl(nGC_29&
                      )*coupl(nGC_290)*coupl(nGC_7)*coupl(nGC_788) + 4d0*cima* &
                      coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_566)*coupl(nGC_8   &
                      ) + 4d0*cima*coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_76)*  &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_78)*coupl&
                      (nGC_79)*coupl(nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(    &
                      nGC_8)*coupl(nGC_87)*coupl(nGC_88) + 9d0*cima*coupl(     &
                      nGC_38)*coupl(nGC_388)*coupl(nGC_52)*coupl(nGC_772) + 9d0&
                      *cima*coupl(nGC_388)*coupl(nGC_7)*coupl(nGC_772)*coupl(  &
                      nGC_8) + 24d0*cima*coupl(nGC_39)*coupl(nGC_9) - 6d0*coupl&
                      (nGC_10)*coupl(nGC_7)*coupl(nGC_772) + 36d0*coupl(nGC_11 &
                      )*coupl(nGC_7)*coupl(nGC_788) - 6d0*coupl(nGC_21)*coupl( &
                      nGC_388)*coupl(nGC_772) - 6d0*coupl(nGC_21)*coupl(nGC_7)*&
                      coupl(nGC_772) - 6d0*coupl(nGC_244)*coupl(nGC_388)*coupl(&
                      nGC_39) - 6d0*coupl(nGC_29)*coupl(nGC_290)*coupl(nGC_518 &
                      ) - 6d0*coupl(nGC_290)*coupl(nGC_40)*coupl(nGC_788) + 6d0&
                      *coupl(nGC_33)**2d0*coupl(nGC_39) + 6d0*coupl(nGC_33)*   &
                      coupl(nGC_40)*coupl(nGC_866) - 6d0*coupl(nGC_38)*coupl(  &
                      nGC_54)*coupl(nGC_772) + 36d0*coupl(nGC_388)*coupl(nGC_39&
                      )*coupl(nGC_7) - 6d0*coupl(nGC_39)*coupl(nGC_566)*coupl( &
                      nGC_788) + 6d0*coupl(nGC_40)*coupl(nGC_51)*coupl(nGC_566 &
                      ) - 6d0*coupl(nGC_518)*coupl(nGC_52)*coupl(nGC_772) - 6d0&
                      *coupl(nGC_772)*coupl(nGC_8)*coupl(nGC_9))/(192d0*pi**2d0&
                      )
    coupl(nGC_11937) = -coupl(nGC_4233)
    coupl(nGC_4229) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_69) - 2d0&
                      *Nc*cMD*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72) - 2d0*Nc&
                      *cMS*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81) - 2d0*Nc*  &
                      cMT*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84) - 2d0*Nc*cMU&
                      *coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_90) + 4d0*cima*    &
                      coupl(nGC_518)*coupl(nGC_60) + 4d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_9) - coupl(nGC_30)*coupl(nGC_388)*coupl(nGC_63 &
                      ) + 6d0*coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_60) -     &
                      coupl(nGC_38)*coupl(nGC_52)*coupl(nGC_64) + 6d0*coupl(   &
                      nGC_388)*coupl(nGC_64)*coupl(nGC_7) - coupl(nGC_64)*coupl&
                      (nGC_7)*coupl(nGC_8))/(32d0*pi**2d0)
    coupl(nGC_8094) = coupl(nGC_4656) + coupl(nGC_MH1)*dZH1_QED2 + coupl(      &
                      nGC_TS_GC_62_H1)
    coupl(nGC_7539) = coupl(nGC_6703) + coupl(nGC_6707) + coupl(nGC_7537)
    coupl(nGC_7538) = 2d0*coupl(nGC_6703) + coupl(nGC_6707) + coupl(nGC_7533)
    coupl(nGC_7436) = coupl(nGC_6501) + coupl(nGC_7433)
    coupl(nGC_7437) = coupl(nGC_6501) + coupl(nGC_7435)
    coupl(nGC_4426) = (-16d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_66  &
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)*coupl( &
                      nGC_72)**2d0 - 16d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)* &
                      coupl(nGC_81)**2d0 + 10d0*Nc*cima*coupl(nGC_314)*coupl(  &
                      nGC_6)*coupl(nGC_66)**2d0 + 10d0*Nc*cima*coupl(nGC_314)* &
                      coupl(nGC_6)*coupl(nGC_72)**2d0 + 10d0*Nc*cima*coupl(    &
                      nGC_314)*coupl(nGC_6)*coupl(nGC_81)**2d0 - 16d0*Nc*cima* &
                      coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_69)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_84)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_316)*coupl(nGC_5)*coupl(nGC_90)** &
                      2d0 + 10d0*Nc*cima*coupl(nGC_316)*coupl(nGC_6)*coupl(    &
                      nGC_69)**2d0 + 10d0*Nc*cima*coupl(nGC_316)*coupl(nGC_6)* &
                      coupl(nGC_84)**2d0 + 10d0*Nc*cima*coupl(nGC_316)*coupl(  &
                      nGC_6)*coupl(nGC_90)**2d0 + 10d0*Nc*cima*coupl(nGC_336)* &
                      coupl(nGC_5)*coupl(nGC_69)**2d0 + 10d0*Nc*cima*coupl(    &
                      nGC_336)*coupl(nGC_5)*coupl(nGC_84)**2d0 + 10d0*Nc*cima* &
                      coupl(nGC_336)*coupl(nGC_5)*coupl(nGC_90)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_69)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_84)** &
                      2d0 - 16d0*Nc*cima*coupl(nGC_336)*coupl(nGC_6)*coupl(    &
                      nGC_90)**2d0 + 10d0*Nc*cima*coupl(nGC_338)*coupl(nGC_5)* &
                      coupl(nGC_66)**2d0 + 10d0*Nc*cima*coupl(nGC_338)*coupl(  &
                      nGC_5)*coupl(nGC_72)**2d0 + 10d0*Nc*cima*coupl(nGC_338)* &
                      coupl(nGC_5)*coupl(nGC_81)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_338)*coupl(nGC_6)*coupl(nGC_66)**2d0 - 16d0*Nc*cima* &
                      coupl(nGC_338)*coupl(nGC_6)*coupl(nGC_72)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_338)*coupl(nGC_6)*coupl(nGC_81)**2d0 +    &
                      12d0*cima*coupl(nGC_21)*coupl(nGC_44) + 4d0*cima*coupl(  &
                      nGC_244)**2d0*coupl(nGC_52)*coupl(nGC_8) + 9d0*cima*coupl&
                      (nGC_29)*coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_708) + 9d0*&
                      cima*coupl(nGC_33)*coupl(nGC_38)*coupl(nGC_7)*coupl(     &
                      nGC_772) + 4d0*cima*coupl(nGC_52)*coupl(nGC_566)**2d0*   &
                      coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_75)**2d0&
                      *coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_78)**  &
                      2d0*coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_8)* &
                      coupl(nGC_87)**2d0 - 16d0*cima*coupl(nGC_734)*coupl(     &
                      nGC_75)**2d0*coupl(nGC_8) - 16d0*cima*coupl(nGC_734)*    &
                      coupl(nGC_78)**2d0*coupl(nGC_8) - 16d0*cima*coupl(nGC_734&
                      )*coupl(nGC_8)*coupl(nGC_87)**2d0 - 3d0*coupl(nGC_11)*   &
                      coupl(nGC_33)*coupl(nGC_7) - 3d0*coupl(nGC_12)*coupl(    &
                      nGC_29)*coupl(nGC_7) - 3d0*coupl(nGC_12)*coupl(nGC_7)*   &
                      coupl(nGC_708) - 3d0*coupl(nGC_13)*coupl(nGC_7)*coupl(   &
                      nGC_772) + 18d0*coupl(nGC_21)*coupl(nGC_38)*coupl(nGC_7  &
                      ) + 18d0*coupl(nGC_21)*coupl(nGC_388)*coupl(nGC_788) +   &
                      3d0*coupl(nGC_244)**2d0*coupl(nGC_54) - 3d0*coupl(nGC_29 &
                      )*coupl(nGC_44)*coupl(nGC_708) - 3d0*coupl(nGC_33)*coupl(&
                      nGC_38)*coupl(nGC_39) - 3d0*coupl(nGC_33)*coupl(nGC_42)* &
                      coupl(nGC_788) - 3d0*coupl(nGC_33)*coupl(nGC_44)*coupl(  &
                      nGC_772) - 3d0*coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_708 &
                      ) - 3d0*coupl(nGC_40)*coupl(nGC_788)*coupl(nGC_866) + 3d0&
                      *coupl(nGC_54)*coupl(nGC_566)**2d0)/(96d0*pi**2d0)
    coupl(nGC_6847) = coupl(nGC_4672) + coupl(nGC_TS_GC_68_H1)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
