!******************************************************************************!
!                                                                              !
!    ctparameter10.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter10.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter10
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter10()
  if (dZsL_QED2_scheme .eq. 0) then
    dZsL_QED2 = (2d0*Ten246*coupl(nGC_5)**2d0 + Ten247*(2d0*coupl(nGC_35)**2d0 &
                 + 4d0*coupl(nGC_35)*coupl(nGC_49) + 2d0*coupl(nGC_49)**2d0 -  &
                coupl(nGC_82)**2d0) + Ten248*(2d0*coupl(nGC_34)**2d0 + coupl(  &
                nGC_69)**2d0) - Ten249*coupl(nGC_83)**2d0 + 2d0*Ten250*coupl(  &
                nGC_5)**2d0 + Ten251*(2d0*coupl(nGC_35)**2d0 + 4d0*coupl(nGC_35&
                )*coupl(nGC_49) + 2d0*coupl(nGC_49)**2d0 - coupl(nGC_82)**2d0  &
                ) + Ten252*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_69)**2d0) + 2d0*&
                Ten254*cMS**2d0*coupl(nGC_83)**2d0 - 4d0*Ten255*cMS**2d0*coupl(&
                nGC_5)**2d0 + 2d0*Ten256*cMS**2d0*(coupl(nGC_35)**2d0 + 10d0*  &
                coupl(nGC_35)*coupl(nGC_49) + 13d0*coupl(nGC_49)**2d0) + Ten257&
                *cMS*(2d0*cMC*coupl(nGC_69)*coupl(nGC_81) + 2d0*cMS*coupl(     &
                nGC_34)**2d0 + cMS*coupl(nGC_69)**2d0 + cMS*coupl(nGC_81)**2d0 &
                ) - 2d0*Ten258*cMS**2d0*coupl(nGC_83)**2d0 + 4d0*Ten259*cMS**  &
                2d0*coupl(nGC_5)**2d0 + 2d0*Ten260*cMS**2d0*(coupl(nGC_35)**2d0&
                 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0 -  &
                coupl(nGC_82)**2d0) + Ten261*cMS**2d0*(2d0*coupl(nGC_34)**2d0  &
                 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0) + pi**2d0*(-coupl( &
                nGC_34)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0 - 2d0*coupl( &
                nGC_35)*coupl(nGC_49)/pi**2d0 - coupl(nGC_49)**2d0/pi**2d0 -   &
                coupl(nGC_5)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter10
end module ctparameter10
