!******************************************************************************!
!                                                                              !
!    ctparameter111.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter111.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter111
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter111()
  if (dZdR_QED2_scheme .eq. 2) then
    dZdR_QED2 = (Ten132*coupl(nGC_5)**2d0 + Ten192*(-8d0*coupl(nGC_49)**2d0 +  &
                coupl(nGC_73)**2d0) - Ten193*coupl(nGC_74)**2d0 + Ten210*coupl(&
                nGC_72)**2d0 + Ten211*coupl(nGC_72)**2d0 - 4d0*coupl(nGC_49)** &
                2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter111
end module ctparameter111
