!******************************************************************************!
!                                                                              !
!    ctparameter119.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter119.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter119
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter119()
  if (dMB_QED2_scheme .eq. 0) then
    dMB_QED2 = (2d0*Ten264*cMB*coupl(nGC_5)**2d0 + Ten265*cMB*(-coupl(nGC_35)**&
               2d0 - 10d0*coupl(nGC_35)*coupl(nGC_49) - 13d0*coupl(nGC_49)**2d0&
               ) + Ten266*(-cMB*coupl(nGC_34)**2d0 - cMB*coupl(nGC_66)**2d0/2d0&
                - cMB*coupl(nGC_84)**2d0/2d0 - cMT*coupl(nGC_66)*coupl(nGC_84  &
               )) + Ten267*cMB*coupl(nGC_68)**2d0 - 2d0*Ten268*cMB*coupl(nGC_5 &
               )**2d0 + Ten269*cMB*(-coupl(nGC_35)**2d0 - 2d0*coupl(nGC_35)*   &
               coupl(nGC_49) - 5d0*coupl(nGC_49)**2d0 + coupl(nGC_67)**2d0) +  &
               Ten270*cMB*(-2d0*coupl(nGC_34)**2d0 - coupl(nGC_66)**2d0 - coupl&
               (nGC_84)**2d0)/2d0 - Ten271*cMB*coupl(nGC_68)**2d0 + 2d0*Ten272*&
               cMB*coupl(nGC_68)**2d0*rMB*(-cMB + rMB) + 4d0*Ten273*coupl(nGC_5&
               )**2d0*rMB*(2d0*cMB**2d0 - 3d0*cMB*rMB + rMB**2d0) + 2d0*Ten274*&
               rMB*(-8d0*cMB**2d0*coupl(nGC_35)*coupl(nGC_49) - 8d0*cMB**2d0*  &
               coupl(nGC_49)**2d0 - cMB**2d0*coupl(nGC_67)**2d0 - cMB*coupl(   &
               nGC_35)**2d0*rMB + 6d0*cMB*coupl(nGC_35)*coupl(nGC_49)*rMB + 3d0&
               *cMB*coupl(nGC_49)**2d0*rMB + 2d0*cMB*coupl(nGC_67)**2d0*rMB +  &
               coupl(nGC_35)**2d0*rMB**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*  &
               rMB**2d0 + 5d0*coupl(nGC_49)**2d0*rMB**2d0 - coupl(nGC_67)**2d0*&
               rMB**2d0) + Ten275*rMB*(-2d0*cMB*cMT*coupl(nGC_66)*coupl(nGC_84 &
               ) - 2d0*cMB*coupl(nGC_34)**2d0*rMB - cMB*coupl(nGC_66)**2d0*rMB &
                - cMB*coupl(nGC_84)**2d0*rMB + 2d0*cMT*coupl(nGC_66)*coupl(    &
               nGC_84)*rMB + 2d0*coupl(nGC_34)**2d0*rMB**2d0 + coupl(nGC_66)** &
               2d0*rMB**2d0 + coupl(nGC_84)**2d0*rMB**2d0) + 2d0*Ten276*coupl( &
               nGC_68)**2d0*rMB**2d0*(cMB - rMB) + 4d0*Ten277*coupl(nGC_5)**2d0&
               *rMB**2d0*(-cMB + rMB) + 2d0*Ten278*rMB**2d0*(-cMB*coupl(nGC_35 &
               )**2d0 - 2d0*cMB*coupl(nGC_35)*coupl(nGC_49) - 5d0*cMB*coupl(   &
               nGC_49)**2d0 + cMB*coupl(nGC_67)**2d0 + coupl(nGC_35)**2d0*rMB  &
                + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMB + 5d0*coupl(nGC_49)**2d0*&
               rMB - coupl(nGC_67)**2d0*rMB) + Ten279*rMB**2d0*(-2d0*cMB*coupl(&
               nGC_34)**2d0 - cMB*coupl(nGC_66)**2d0 - cMB*coupl(nGC_84)**2d0  &
                + 2d0*coupl(nGC_34)**2d0*rMB + coupl(nGC_66)**2d0*rMB + coupl( &
               nGC_84)**2d0*rMB) + pi**2d0*(-8d0*aEW*cMB**2d0/(9d0*pi*rMB) +   &
               8d0*aEW*rMB/(9d0*pi) + cMB*coupl(nGC_34)**2d0/(2d0*pi**2d0) +   &
               cMB*coupl(nGC_35)**2d0/(2d0*pi**2d0) + 5d0*cMB*coupl(nGC_35)*   &
               coupl(nGC_49)/pi**2d0 + 13d0*cMB*coupl(nGC_49)**2d0/(2d0*pi**2d0&
               ) - cMB*coupl(nGC_5)**2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(&
               nGC_68)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMB_QED2 = cone*real(dMB_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter119
end module ctparameter119
