!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  if (dZcR_QED2_scheme .eq. 0) then
    dZcR_QED2 = (2d0*Ten212*coupl(nGC_6)**2d0 + Ten213*(32d0*coupl(nGC_49)**2d0&
                 - coupl(nGC_71)**2d0) + Ten214*coupl(nGC_69)**2d0 - Ten215*   &
                coupl(nGC_70)**2d0 + 2d0*Ten216*coupl(nGC_6)**2d0 + Ten217*(   &
                32d0*coupl(nGC_49)**2d0 - coupl(nGC_71)**2d0) + Ten218*coupl(  &
                nGC_69)**2d0 + 2d0*Ten220*cMC*coupl(nGC_70)**2d0*rMC + 4d0*    &
                Ten221*coupl(nGC_6)**2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten222*rMC &
                *(-16d0*cMC*coupl(nGC_36)*coupl(nGC_49) - 16d0*cMC*coupl(nGC_49&
                )**2d0 + cMC*coupl(nGC_71)**2d0 + coupl(nGC_36)**2d0*rMC + 2d0*&
                coupl(nGC_36)*coupl(nGC_49)*rMC + 17d0*coupl(nGC_49)**2d0*rMC  &
                 - coupl(nGC_71)**2d0*rMC) + Ten223*rMC*(2d0*cMS*coupl(nGC_69)*&
                coupl(nGC_81) + 2d0*coupl(nGC_34)**2d0*rMC + coupl(nGC_69)**2d0&
                *rMC + coupl(nGC_81)**2d0*rMC) - 2d0*Ten224*coupl(nGC_70)**2d0*&
                rMC**2d0 + 4d0*Ten225*coupl(nGC_6)**2d0*rMC**2d0 + 2d0*Ten226* &
                rMC**2d0*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49  &
                ) + 17d0*coupl(nGC_49)**2d0 - coupl(nGC_71)**2d0) + Ten227*rMC &
                **2d0*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_69)**2d0 + coupl(    &
                nGC_81)**2d0) + pi**2d0*(-16d0*coupl(nGC_49)**2d0/pi**2d0 -    &
                coupl(nGC_6)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter126
end module ctparameter126
