!******************************************************************************!
!                                                                              !
!    ctparameter128.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter128.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter128
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter128()
  if (dZcR_QED2_scheme .eq. 2) then
    dZcR_QED2 = (Ten132*coupl(nGC_6)**2d0 + Ten192*(-32d0*coupl(nGC_49)**2d0 + &
                coupl(nGC_71)**2d0) - Ten193*coupl(nGC_70)**2d0 + Ten244*coupl(&
                nGC_69)**2d0 + Ten245*coupl(nGC_69)**2d0 - 16d0*coupl(nGC_49)**&
                2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter128
end module ctparameter128
