!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dMH12_QED2 = (4d0*Nc*Ten100*coupl(nGC_70)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1** &
               2d0) + 4d0*Nc*Ten101*coupl(nGC_85)**2d0*rMH1**2d0*(cMH1**2d0 -  &
               rMH1**2d0) + 4d0*Nc*Ten102*coupl(nGC_74)**2d0*rMH1**2d0*(cMH1** &
               2d0 - rMH1**2d0) + 4d0*Nc*Ten103*coupl(nGC_83)**2d0*rMH1**2d0*( &
               cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten104*coupl(nGC_68)**2d0*rMH1**&
               2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten20*cMU**2d0*coupl(nGC_91&
               )**2d0 + 4d0*Nc*Ten21*cMC**2d0*coupl(nGC_70)**2d0 + 4d0*Nc*Ten22&
               *cMT**2d0*coupl(nGC_85)**2d0 + 4d0*Nc*Ten23*cMD**2d0*coupl(     &
               nGC_74)**2d0 + 4d0*Nc*Ten24*cMS**2d0*coupl(nGC_83)**2d0 + 4d0*Nc&
               *Ten25*cMB**2d0*coupl(nGC_68)**2d0 + 4d0*Nc*Ten41*cMH1**2d0*    &
               coupl(nGC_91)**2d0 + 16d0*Nc*Ten42*coupl(nGC_91)**2d0 + 4d0*Nc* &
               Ten43*cMH1**2d0*coupl(nGC_91)**2d0 + 4d0*Nc*Ten44*cMH1**2d0*    &
               coupl(nGC_70)**2d0 + 16d0*Nc*Ten45*coupl(nGC_70)**2d0 + 4d0*Nc* &
               Ten46*cMH1**2d0*coupl(nGC_70)**2d0 + 4d0*Nc*Ten47*cMH1**2d0*    &
               coupl(nGC_85)**2d0 + 16d0*Nc*Ten48*coupl(nGC_85)**2d0 + 4d0*Nc* &
               Ten49*cMH1**2d0*coupl(nGC_85)**2d0 + 4d0*Nc*Ten50*cMH1**2d0*    &
               coupl(nGC_74)**2d0 + 16d0*Nc*Ten51*coupl(nGC_74)**2d0 + 4d0*Nc* &
               Ten52*cMH1**2d0*coupl(nGC_74)**2d0 + 4d0*Nc*Ten53*cMH1**2d0*    &
               coupl(nGC_83)**2d0 + 16d0*Nc*Ten54*coupl(nGC_83)**2d0 + 4d0*Nc* &
               Ten55*cMH1**2d0*coupl(nGC_83)**2d0 + 4d0*Nc*Ten56*cMH1**2d0*    &
               coupl(nGC_68)**2d0 + 16d0*Nc*Ten57*coupl(nGC_68)**2d0 + 4d0*Nc* &
               Ten58*cMH1**2d0*coupl(nGC_68)**2d0 + 4d0*Nc*Ten70*cMU**2d0*coupl&
               (nGC_91)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten71*cMC**2d0*  &
               coupl(nGC_70)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten72*cMT** &
               2d0*coupl(nGC_85)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten73*  &
               cMD**2d0*coupl(nGC_74)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Nc*   &
               Ten74*cMS**2d0*coupl(nGC_83)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*&
               Nc*Ten75*cMB**2d0*coupl(nGC_68)**2d0*(cMH1**2d0 - rMH1**2d0) +  &
               4d0*Nc*Ten81*coupl(nGC_91)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**2d0&
               ) + 4d0*Nc*Ten82*coupl(nGC_70)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1 &
               **2d0) + 4d0*Nc*Ten83*coupl(nGC_85)**2d0*rMH1**2d0*(cMH1**2d0 - &
               rMH1**2d0) + 4d0*Nc*Ten84*coupl(nGC_74)**2d0*rMH1**2d0*(cMH1**  &
               2d0 - rMH1**2d0) + 4d0*Nc*Ten85*coupl(nGC_83)**2d0*rMH1**2d0*(  &
               cMH1**2d0 - rMH1**2d0) + 4d0*Nc*Ten86*coupl(nGC_68)**2d0*rMH1** &
               2d0*(cMH1**2d0 - rMH1**2d0) + 16d0*Nc*Ten90*coupl(nGC_91)**2d0*(&
               cMH1**2d0 - rMH1**2d0) + 16d0*Nc*Ten91*coupl(nGC_70)**2d0*(cMH1 &
               **2d0 - rMH1**2d0) + 16d0*Nc*Ten92*coupl(nGC_85)**2d0*(cMH1**2d0&
                - rMH1**2d0) + 16d0*Nc*Ten93*coupl(nGC_74)**2d0*(cMH1**2d0 -   &
               rMH1**2d0) + 16d0*Nc*Ten94*coupl(nGC_83)**2d0*(cMH1**2d0 - rMH1 &
               **2d0) + 16d0*Nc*Ten95*coupl(nGC_68)**2d0*(cMH1**2d0 - rMH1**2d0&
               ) + 4d0*Nc*Ten99*coupl(nGC_91)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1 &
               **2d0) + cima*Ten0*coupl(nGC_19)/2d0 + cima*Ten1*(coupl(nGC_17  &
               ) - 4d0*coupl(nGC_58))/2d0 + 3d0*cima*Ten12*coupl(nGC_1)/2d0 +  &
               Ten13*(-5d0*cMH1**2d0*coupl(nGC_51)**2d0/2d0 + coupl(nGC_56)**  &
               2d0 - coupl(nGC_61)**2d0/2d0 - 2d0*coupl(nGC_65)**2d0) + Ten14  &
               *(-5d0*cMH1**2d0*coupl(nGC_29)*coupl(nGC_30) + 2d0*coupl(nGC_46 &
               )**2d0 - coupl(nGC_61)**2d0 - 4d0*coupl(nGC_63)**2d0) - Ten15*  &
               coupl(nGC_62)**2d0/2d0 - 3d0*Ten16*coupl(nGC_59)**2d0/2d0 + 4d0*&
               Ten17*cME**2d0*coupl(nGC_77)**2d0 + 4d0*Ten18*cMM**2d0*coupl(   &
               nGC_80)**2d0 + 4d0*Ten19*cMTA**2d0*coupl(nGC_89)**2d0 + cima*   &
               Ten2*(coupl(nGC_17) - 4d0*coupl(nGC_21)) - Ten26*cMH1**2d0*coupl&
               (nGC_51)**2d0 - 4d0*Ten27*coupl(nGC_51)**2d0 - Ten28*cMH1**2d0* &
               coupl(nGC_51)**2d0 - 2d0*Ten29*cMH1**2d0*coupl(nGC_29)*coupl(   &
               nGC_30) - 8d0*Ten30*coupl(nGC_29)*coupl(nGC_30) - 2d0*Ten31*cMH1&
               **2d0*coupl(nGC_29)*coupl(nGC_30) + 4d0*Ten32*cMH1**2d0*coupl(  &
               nGC_77)**2d0 + 16d0*Ten33*coupl(nGC_77)**2d0 + 4d0*Ten34*cMH1** &
               2d0*coupl(nGC_77)**2d0 + 4d0*Ten35*cMH1**2d0*coupl(nGC_80)**2d0 &
                + 16d0*Ten36*coupl(nGC_80)**2d0 + 4d0*Ten37*cMH1**2d0*coupl(   &
               nGC_80)**2d0 + 4d0*Ten38*cMH1**2d0*coupl(nGC_89)**2d0 + 16d0*   &
               Ten39*coupl(nGC_89)**2d0 + 4d0*Ten40*cMH1**2d0*coupl(nGC_89)**  &
               2d0 + Ten59*(-5d0*cMH1**2d0*coupl(nGC_51)**2d0*rMH1**2d0/2d0 +  &
               cMH1**2d0*coupl(nGC_56)**2d0 - cMH1**2d0*coupl(nGC_61)**2d0/2d0 &
                - 2d0*cMH1**2d0*coupl(nGC_65)**2d0 + 5d0*coupl(nGC_51)**2d0*   &
               rMH1**4d0/2d0 - coupl(nGC_56)**2d0*rMH1**2d0 + coupl(nGC_61)**  &
               2d0*rMH1**2d0/2d0 + 2d0*coupl(nGC_65)**2d0*rMH1**2d0) + Ten60*  &
               coupl(nGC_51)**2d0*rMH1**2d0*(-cMH1**2d0 + rMH1**2d0) + 4d0*    &
               Ten61*coupl(nGC_51)**2d0*(-cMH1**2d0 + rMH1**2d0) + Ten62*coupl(&
               nGC_51)**2d0*rMH1**2d0*(-cMH1**2d0 + rMH1**2d0) + Ten63*(-5d0*  &
               cMH1**2d0*coupl(nGC_29)*coupl(nGC_30)*rMH1**2d0 + 2d0*cMH1**2d0*&
               coupl(nGC_46)**2d0 - cMH1**2d0*coupl(nGC_61)**2d0 - 4d0*cMH1**  &
               2d0*coupl(nGC_63)**2d0 + 5d0*coupl(nGC_29)*coupl(nGC_30)*rMH1** &
               4d0 - 2d0*coupl(nGC_46)**2d0*rMH1**2d0 + coupl(nGC_61)**2d0*rMH1&
               **2d0 + 4d0*coupl(nGC_63)**2d0*rMH1**2d0) + 2d0*Ten64*coupl(    &
               nGC_29)*coupl(nGC_30)*rMH1**2d0*(-cMH1**2d0 + rMH1**2d0) + 8d0* &
               Ten65*coupl(nGC_29)*coupl(nGC_30)*(-cMH1**2d0 + rMH1**2d0) + 2d0&
               *Ten66*coupl(nGC_29)*coupl(nGC_30)*rMH1**2d0*(-cMH1**2d0 + rMH1 &
               **2d0) + 4d0*Ten67*cME**2d0*coupl(nGC_77)**2d0*(cMH1**2d0 - rMH1&
               **2d0) + 4d0*Ten68*cMM**2d0*coupl(nGC_80)**2d0*(cMH1**2d0 - rMH1&
               **2d0) + 4d0*Ten69*cMTA**2d0*coupl(nGC_89)**2d0*(cMH1**2d0 -    &
               rMH1**2d0) + Ten76*coupl(nGC_62)**2d0*(-cMH1**2d0 + rMH1**2d0)/ &
               2d0 + 3d0*Ten77*coupl(nGC_59)**2d0*(-cMH1**2d0 + rMH1**2d0)/2d0 &
                + 4d0*Ten78*coupl(nGC_77)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**2d0&
               ) + 4d0*Ten79*coupl(nGC_80)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**  &
               2d0) + 4d0*Ten80*coupl(nGC_89)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1 &
               **2d0) + 16d0*Ten87*coupl(nGC_77)**2d0*(cMH1**2d0 - rMH1**2d0   &
               ) + 16d0*Ten88*coupl(nGC_80)**2d0*(cMH1**2d0 - rMH1**2d0) + 16d0&
               *Ten89*coupl(nGC_89)**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Ten96*  &
               coupl(nGC_77)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*Ten97&
               *coupl(nGC_80)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**2d0) + 4d0*    &
               Ten98*coupl(nGC_89)**2d0*rMH1**2d0*(cMH1**2d0 - rMH1**2d0) + pi &
               **2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_68)**2d0/pi**2d0 - 4d0*Nc*cMC &
               **2d0*coupl(nGC_70)**2d0/pi**2d0 - 4d0*Nc*cMD**2d0*coupl(nGC_74 &
               )**2d0/pi**2d0 + 2d0*Nc*cMH1**2d0*coupl(nGC_68)**2d0/(3d0*pi**  &
               2d0) + 2d0*Nc*cMH1**2d0*coupl(nGC_70)**2d0/(3d0*pi**2d0) + 2d0* &
               Nc*cMH1**2d0*coupl(nGC_74)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH1**2d0&
               *coupl(nGC_83)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH1**2d0*coupl(     &
               nGC_85)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMH1**2d0*coupl(nGC_91)**2d0&
               /(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_83)**2d0/pi**2d0 -   &
               4d0*Nc*cMT**2d0*coupl(nGC_85)**2d0/pi**2d0 - 4d0*Nc*cMU**2d0*   &
               coupl(nGC_91)**2d0/pi**2d0 - 4d0*cME**2d0*coupl(nGC_77)**2d0/pi &
               **2d0 - cMH1**2d0*coupl(nGC_29)*coupl(nGC_30)/(3d0*pi**2d0) -   &
               cMH1**2d0*coupl(nGC_51)**2d0/(6d0*pi**2d0) + 2d0*cMH1**2d0*coupl&
               (nGC_77)**2d0/(3d0*pi**2d0) + 2d0*cMH1**2d0*coupl(nGC_80)**2d0/(&
               3d0*pi**2d0) + 2d0*cMH1**2d0*coupl(nGC_89)**2d0/(3d0*pi**2d0) - &
               4d0*cMM**2d0*coupl(nGC_80)**2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(  &
               nGC_89)**2d0/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_21)/pi**2d0  &
                + 2d0*cMW**2d0*coupl(nGC_29)*coupl(nGC_30)/pi**2d0 + cMZ**2d0* &
               coupl(nGC_51)**2d0/pi**2d0 + cima*cMZ**2d0*coupl(nGC_58)/pi**2d0&
                + 2d0*coupl(nGC_63)**2d0/pi**2d0 + coupl(nGC_65)**2d0/pi**2d0  &
               ))/(16d0*pi**2d0) + cima*coupl(nGC_62)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMH12_QED2 = cone*real(dMH12_QED2,kind=dp)
    end if 
end subroutine set_ctparameter129
end module ctparameter129
