!******************************************************************************!
!                                                                              !
!    ctparameter133.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter133.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter133
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter133()
  dMT_QED2 = (2d0*Ten298*cMT*coupl(nGC_6)**2d0 + Ten299*cMT*(-coupl(nGC_36)**  &
             2d0 + 14d0*coupl(nGC_36)*coupl(nGC_49) - coupl(nGC_49)**2d0) +    &
             Ten300*(-cMB*coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_34)**2d0 &
              - cMT*coupl(nGC_66)**2d0/2d0 - cMT*coupl(nGC_84)**2d0/2d0) +     &
             Ten301*cMT*coupl(nGC_85)**2d0 - 2d0*Ten302*cMT*coupl(nGC_6)**2d0  &
              + Ten303*cMT*(-coupl(nGC_36)**2d0 - 2d0*coupl(nGC_36)*coupl(     &
             nGC_49) - 17d0*coupl(nGC_49)**2d0 + coupl(nGC_86)**2d0) + Ten304* &
             cMT*(-2d0*coupl(nGC_34)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_84  &
             )**2d0)/2d0 - Ten305*cMT*coupl(nGC_85)**2d0 + 2d0*Ten306*cMT*coupl&
             (nGC_85)**2d0*rMT*(-cMT + rMT) + 4d0*Ten307*coupl(nGC_6)**2d0*rMT &
             *(2d0*cMT**2d0 - 3d0*cMT*rMT + rMT**2d0) + 2d0*Ten308*rMT*(16d0*  &
             cMT**2d0*coupl(nGC_36)*coupl(nGC_49) + 16d0*cMT**2d0*coupl(nGC_49 &
             )**2d0 - cMT**2d0*coupl(nGC_86)**2d0 - cMT*coupl(nGC_36)**2d0*rMT &
              - 18d0*cMT*coupl(nGC_36)*coupl(nGC_49)*rMT - 33d0*cMT*coupl(     &
             nGC_49)**2d0*rMT + 2d0*cMT*coupl(nGC_86)**2d0*rMT + coupl(nGC_36  &
             )**2d0*rMT**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49)*rMT**2d0 + 17d0*&
             coupl(nGC_49)**2d0*rMT**2d0 - coupl(nGC_86)**2d0*rMT**2d0) +      &
             Ten309*rMT*(-2d0*cMB*cMT*coupl(nGC_66)*coupl(nGC_84) + 2d0*cMB*   &
             coupl(nGC_66)*coupl(nGC_84)*rMT - 2d0*cMT*coupl(nGC_34)**2d0*rMT  &
              - cMT*coupl(nGC_66)**2d0*rMT - cMT*coupl(nGC_84)**2d0*rMT + 2d0* &
             coupl(nGC_34)**2d0*rMT**2d0 + coupl(nGC_66)**2d0*rMT**2d0 + coupl(&
             nGC_84)**2d0*rMT**2d0) + 2d0*Ten310*coupl(nGC_85)**2d0*rMT**2d0*( &
             cMT - rMT) + 4d0*Ten311*coupl(nGC_6)**2d0*rMT**2d0*(-cMT + rMT) + &
             2d0*Ten312*rMT**2d0*(-cMT*coupl(nGC_36)**2d0 - 2d0*cMT*coupl(     &
             nGC_36)*coupl(nGC_49) - 17d0*cMT*coupl(nGC_49)**2d0 + cMT*coupl(  &
             nGC_86)**2d0 + coupl(nGC_36)**2d0*rMT + 2d0*coupl(nGC_36)*coupl(  &
             nGC_49)*rMT + 17d0*coupl(nGC_49)**2d0*rMT - coupl(nGC_86)**2d0*rMT&
             ) + Ten313*rMT**2d0*(-2d0*cMT*coupl(nGC_34)**2d0 - cMT*coupl(     &
             nGC_66)**2d0 - cMT*coupl(nGC_84)**2d0 + 2d0*coupl(nGC_34)**2d0*rMT&
              + coupl(nGC_66)**2d0*rMT + coupl(nGC_84)**2d0*rMT) + pi**2d0*(-  &
             32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW*rMT/(9d0*pi) + cMT*coupl&
             (nGC_34)**2d0/(2d0*pi**2d0) + cMT*coupl(nGC_36)**2d0/(2d0*pi**2d0 &
             ) - 7d0*cMT*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 + cMT*coupl(nGC_49&
             )**2d0/(2d0*pi**2d0) - cMT*coupl(nGC_6)**2d0/pi**2d0))/(16d0*pi** &
             2d0) + cima*coupl(nGC_85)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter133
end module ctparameter133
