!******************************************************************************!
!                                                                              !
!    ctparameter135.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter135.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter135
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter135()
  dZH2_QED2 = (8d0*Ten111*coupl(nGC_31)*coupl(nGC_32) + 8d0*Ten114*coupl(nGC_31&
              )*coupl(nGC_32) + 2d0*Ten118*coupl(nGC_31)*coupl(nGC_32) + 8d0*  &
              Ten127*coupl(nGC_31)*coupl(nGC_32)*rMHP**2d0 + 8d0*Ten128*coupl( &
              nGC_31)*coupl(nGC_32)*rMHP**2d0 + 8d0*Ten129*coupl(nGC_31)*coupl(&
              nGC_32) + 2d0*Ten130*coupl(nGC_31)*coupl(nGC_32)*rMHP**2d0 +     &
              Ten131*coupl(nGC_59)**2d0 + coupl(nGC_31)*coupl(nGC_32)/3d0)/(   &
              16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZH2_QED2 = cone*real(dZH2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter135
end module ctparameter135
