!******************************************************************************!
!                                                                              !
!    ctparameter146.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter146.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter146
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter146()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  da2_QED4 = DeltaUV*(-2d0*coupl(nGC_1)**2d0 - 3d0*coupl(nGC_1)*coupl(nGC_17)/ &
             2d0 - coupl(nGC_1)*coupl(nGC_19)/2d0 - coupl(nGC_1)*coupl(nGC_2   &
             ) - 2d0*cima*coupl(nGC_1)*coupl(nGC_29)*coupl(nGC_30) - 2d0*cima* &
             coupl(nGC_1)*coupl(nGC_31)*coupl(nGC_32) - coupl(nGC_1)*coupl(    &
             nGC_4)/2d0 - cima*coupl(nGC_1)*coupl(nGC_51)**2d0 - 4d0*coupl(    &
             nGC_21)*coupl(nGC_25) + 2d0*cima*coupl(nGC_21)*coupl(nGC_31)*coupl&
             (nGC_32) + 2d0*cima*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_30) +   &
             4d0*coupl(nGC_29)*coupl(nGC_30)*coupl(nGC_31)*coupl(nGC_32))/(16d0&
             *pi**2d0) - cima*coupl(nGC_1)*dZH1_MS_QED2 - cima*coupl(nGC_1)*   &
             dZH2_MS_QED2
  da2_QED4 = cone*real(da2_QED4,kind=dp)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter146
end module ctparameter146
