!******************************************************************************!
!                                                                              !
!    ctparameter150.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter150.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter150
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter150()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten145*cMU**2d0*coupl(nGC_6)*(-cMW**2d0*coupl(     &
            nGC_36) - 5d0*cMW**2d0*coupl(nGC_49) + cMZ**2d0*coupl(nGC_36) + 5d0&
            *cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + &
            4d0*Nc*Ten146*cMC**2d0*coupl(nGC_6)*(-cMW**2d0*coupl(nGC_36) - 5d0*&
            cMW**2d0*coupl(nGC_49) + cMZ**2d0*coupl(nGC_36) + 5d0*cMZ**2d0*    &
            coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*   &
            Ten147*cMT**2d0*coupl(nGC_6)*(-cMW**2d0*coupl(nGC_36) - 5d0*cMW**  &
            2d0*coupl(nGC_49) + cMZ**2d0*coupl(nGC_36) + 5d0*cMZ**2d0*coupl(   &
            nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten148*  &
            cMD**2d0*coupl(nGC_5)*(-cMW**2d0*coupl(nGC_35) + cMW**2d0*coupl(   &
            nGC_49) + cMZ**2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_49))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten149*cMS**2d0*coupl(  &
            nGC_5)*(-cMW**2d0*coupl(nGC_35) + cMW**2d0*coupl(nGC_49) + cMZ**2d0&
            *coupl(nGC_35) - cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0&
             + cMZ**2d0)) + 4d0*Nc*Ten150*cMB**2d0*coupl(nGC_5)*(-cMW**2d0*    &
            coupl(nGC_35) + cMW**2d0*coupl(nGC_49) + cMZ**2d0*coupl(nGC_35) -  &
            cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) +  &
            8d0*Nc*Ten151*coupl(nGC_6)*(cMW**2d0*coupl(nGC_36) + 5d0*cMW**2d0* &
            coupl(nGC_49) - cMZ**2d0*coupl(nGC_36) - 5d0*cMZ**2d0*coupl(nGC_49 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten152*coupl(  &
            nGC_6)*(cMW**2d0*coupl(nGC_36) + 5d0*cMW**2d0*coupl(nGC_49) - cMZ**&
            2d0*coupl(nGC_36) - 5d0*cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(- &
            cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten153*coupl(nGC_6)*(cMW**2d0*coupl(&
            nGC_36) + 5d0*cMW**2d0*coupl(nGC_49) - cMZ**2d0*coupl(nGC_36) - 5d0&
            *cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + &
            8d0*Nc*Ten154*coupl(nGC_5)*(cMW**2d0*coupl(nGC_35) - cMW**2d0*coupl&
            (nGC_49) - cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_49))/(cMZ** &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten155*coupl(nGC_5)*(cMW&
            **2d0*coupl(nGC_35) - cMW**2d0*coupl(nGC_49) - cMZ**2d0*coupl(     &
            nGC_35) + cMZ**2d0*coupl(nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Nc*Ten156*coupl(nGC_5)*(cMW**2d0*coupl(nGC_35) - cMW &
            **2d0*coupl(nGC_49) - cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(     &
            nGC_49))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten539*  &
            coupl(nGC_34)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ&
            **2d0)) + 4d0*Nc*Ten540*coupl(nGC_34)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten541*coupl(nGC_34)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + cima*   &
            Ten0*coupl(nGC_21)/(2d0*cMW**2d0) + cima*Ten1*(-cMW**2d0*coupl(    &
            nGC_21) - 6d0*cMW**2d0*coupl(nGC_27) + cMZ**2d0*coupl(nGC_21) + 6d0&
            *cMZ**2d0*coupl(nGC_27))/(2d0*cMW**2d0*(-cMW**2d0 + cMZ**2d0)) +   &
            cima*Ten12*(-4d0*cMW**4d0*coupl(nGC_43) - 2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_23)*cw*sw - cMW**2d0*cMZ**2d0*coupl(nGC_25)*cw*sw + 4d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_43) + 2d0*cMZ**4d0*coupl(nGC_23)*cw*sw &
             + cMZ**4d0*coupl(nGC_25)*cw*sw)/(2d0*cMW**2d0*cMZ**2d0*cw*sw*(-cMW&
            **2d0 + cMZ**2d0)) + cima*Ten2*(6d0*cMW**4d0*coupl(nGC_44) - 2d0*  &
            cMW**4d0*coupl(nGC_54) - cMW**2d0*cMZ**2d0*coupl(nGC_21)*cw*sw +   &
            3d0*cMW**2d0*cMZ**2d0*coupl(nGC_22)*cw*sw - 6d0*cMW**2d0*cMZ**2d0* &
            coupl(nGC_44) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_54) + cMZ**4d0*    &
            coupl(nGC_21)*cw*sw - 3d0*cMZ**4d0*coupl(nGC_22)*cw*sw)/(cMW**2d0* &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten394*coupl(nGC_60)* &
            coupl(nGC_64)/(cMZ**2d0*cw*sw) + 2d0*Ten397*(-cMW**2d0*coupl(nGC_37&
            )*coupl(nGC_8) + 17d0*cMW**2d0*coupl(nGC_38)*coupl(nGC_7) + 4d0*cMW&
            **2d0*coupl(nGC_52)*coupl(nGC_8) + cMZ**2d0*coupl(nGC_37)*coupl(   &
            nGC_8) - 17d0*cMZ**2d0*coupl(nGC_38)*coupl(nGC_7) - 4d0*cMZ**2d0*  &
            coupl(nGC_52)*coupl(nGC_8))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Ten404*cME**2d0*coupl(nGC_8)*(-cMW**2d0*coupl(nGC_35) -   &
            3d0*cMW**2d0*coupl(nGC_50) + cMZ**2d0*coupl(nGC_35) + 3d0*cMZ**2d0*&
            coupl(nGC_50))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten405&
            *cMM**2d0*coupl(nGC_8)*(-cMW**2d0*coupl(nGC_35) - 3d0*cMW**2d0*    &
            coupl(nGC_50) + cMZ**2d0*coupl(nGC_35) + 3d0*cMZ**2d0*coupl(nGC_50 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten406*cMTA**2d0* &
            coupl(nGC_8)*(-cMW**2d0*coupl(nGC_35) - 3d0*cMW**2d0*coupl(nGC_50  &
            ) + cMZ**2d0*coupl(nGC_35) + 3d0*cMZ**2d0*coupl(nGC_50))/(cMZ**2d0*&
            cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten407*coupl(nGC_8)*(cMW**2d0* &
            coupl(nGC_35) + 3d0*cMW**2d0*coupl(nGC_50) - cMZ**2d0*coupl(nGC_35 &
            ) - 3d0*cMZ**2d0*coupl(nGC_50))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ** &
            2d0)) + 8d0*Ten408*coupl(nGC_8)*(cMW**2d0*coupl(nGC_35) + 3d0*cMW**&
            2d0*coupl(nGC_50) - cMZ**2d0*coupl(nGC_35) - 3d0*cMZ**2d0*coupl(   &
            nGC_50))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten409*coupl&
            (nGC_8)*(cMW**2d0*coupl(nGC_35) + 3d0*cMW**2d0*coupl(nGC_50) - cMZ &
            **2d0*coupl(nGC_35) - 3d0*cMZ**2d0*coupl(nGC_50))/(cMZ**2d0*cw*sw  &
            *(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten410*(2d0*cMW**4d0*coupl(nGC_37)* &
            coupl(nGC_8) - cMW**2d0*cMZ**2d0*coupl(nGC_31)*coupl(nGC_32)*cw*sw &
             - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)*coupl(nGC_8) + cMZ**4d0*    &
            coupl(nGC_31)*coupl(nGC_32)*cw*sw)/(cMW**2d0*cMZ**2d0*cw*sw*(-cMW**&
            2d0 + cMZ**2d0)) + Ten533*(17d0*cMW**2d0*coupl(nGC_7)**2d0 - cMW** &
            2d0*coupl(nGC_8)**2d0 - 17d0*cMZ**2d0*coupl(nGC_7)**2d0 + cMZ**2d0*&
            coupl(nGC_8)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten534* &
            coupl(nGC_29)*coupl(nGC_30)/cMW**2d0 + 4d0*Ten535*coupl(nGC_34)**  &
            2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0* &
            Ten536*coupl(nGC_34)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + 4d0*Ten537*coupl(nGC_34)**2d0*(cMW**2d0 - cMZ** &
            2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + Ten538*(-4d0*cMW**2d0*    &
            coupl(nGC_33)**2d0 - cMW**2d0*coupl(nGC_37)**2d0 + 17d0*cMW**2d0*  &
            coupl(nGC_38)**2d0 + 4d0*cMZ**2d0*coupl(nGC_33)**2d0 + cMZ**2d0*   &
            coupl(nGC_37)**2d0 - 17d0*cMZ**2d0*coupl(nGC_38)**2d0)/(cMW**2d0*(-&
            cMW**2d0 + cMZ**2d0)) + Ten542*coupl(nGC_63)**2d0/cMW**2d0 + Ten543&
            *coupl(nGC_64)**2d0/cMW**2d0 + Ten544*coupl(nGC_60)**2d0/cMW**2d0  &
             + pi**2d0*(-128d0*Nc*cMB**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_35)*   &
            coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMB**2d0*cMH1**2d0*cMW**&
            4d0*coupl(nGC_49)*coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMB**2d0* &
            cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 128d0*Nc*cMB**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_35)*  &
            coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMB**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**2d0*coupl(nGC_49)*coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*  &
            cMB**2d0*cMH1**2d0*cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 128d0*Nc*cMC**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_36)*coupl(nGC_6&
            )*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)) - 640d0*Nc*cMC**2d0*cMH1**2d0*cMW**4d0*coupl(     &
            nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMC**2d0*cMH1**2d0*  &
            cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*&
            Nc*cMC**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_6)*&
            gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) + 640d0*Nc*cMC**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl&
            (nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0* &
            pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMC**2d0*cMH1**2d0*&
            cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*  &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMD**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_35)*coupl(nGC_5)*gw*sw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 128d0*Nc*cMD**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_49)*coupl(nGC_5&
            )*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)) - 32d0*Nc*cMD**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMD**2d0*cMH1&
            **2d0*cMW**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_5)*gw*sw*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw&
            *gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0&
            *cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - &
            128d0*Nc*cMD**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_49)*coupl( &
            nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**  &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMD**2d0*cMH1**2d0*cMZ**4d0*   &
            coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMH1**2d0*cMS&
            **2d0*cMW**4d0*coupl(nGC_35)*coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**  &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*&
            Nc*cMH1**2d0*cMS**2d0*cMW**4d0*coupl(nGC_49)*coupl(nGC_5)*gw*sw*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*  &
            cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**  &
            2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) - 32d0*Nc*cMH1**2d0*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(  &
            nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMH1**2d0*cMS**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_5)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*&
            Nc*cMH1**2d0*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_49)*coupl(nGC_5)*&
            gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) + 32d0*Nc*cMH1**2d0*cMS**2d0*cMZ**4d0*coupl(nGC_34)**&
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*   &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMH1**2d0*cMT**2d0*cMW**&
            4d0*coupl(nGC_36)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 640d0*Nc*cMH1**2d0&
            *cMT**2d0*cMW**4d0*coupl(nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0* &
            Nc*cMH1**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) + 128d0*Nc*cMH1**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl&
            (nGC_36)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0* &
            pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 640d0*Nc*cMH1**2d0*cMT**2d0&
            *cMW**2d0*cMZ**2d0*coupl(nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0* &
            Nc*cMH1**2d0*cMT**2d0*cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*  &
            cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**  &
            2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) - 128d0*Nc*cMH1**2d0*cMU**2d0*cMW**4d0*coupl(nGC_36)*  &
            coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 640d0*Nc*cMH1**2d0*cMU**2d0*cMW**&
            4d0*coupl(nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMH1**2d0*&
            cMU**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 128d0*Nc*cMH1**2d0*cMU**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*  &
            coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 640d0*Nc*cMH1**2d0*cMU**2d0*cMW**&
            2d0*cMZ**2d0*coupl(nGC_49)*coupl(nGC_6)*gw*sw*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*  &
            cMH1**2d0*cMU**2d0*cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 128d0*cME**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_35)*coupl(nGC_8)* &
            gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) - 384d0*cME**2d0*cMH1**2d0*cMW**4d0*coupl(nGC_50)*   &
            coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cME**2d0*cMH1**2d0*cMW**2d0*&
            cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*  &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cME &
            **2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_8)*gw*sw*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*  &
            cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**  &
            2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) + 384d0*cME**2d0*cMH1**2d0*cMW**2d0*cMZ**2d0*coupl(    &
            nGC_50)*coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cME**2d0*cMH1**2d0*cMZ**&
            4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cMH1**2d0*  &
            cMM**2d0*cMW**4d0*coupl(nGC_35)*coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 384d0*&
            cMH1**2d0*cMM**2d0*cMW**4d0*coupl(nGC_50)*coupl(nGC_8)*gw*sw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 32d0*cMH1**2d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cMH1**2d0*cMM**2d0*cMW**2d0*cMZ**&
            2d0*coupl(nGC_35)*coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 384d0*cMH1**2d0*  &
            cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_50)*coupl(nGC_8)*gw*sw*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 32d0*cMH1**2d0*cMM**2d0*cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) - 128d0*cMH1**2d0*cMTA**2d0*cMW**4d0*coupl(nGC_35)*  &
            coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 384d0*cMH1**2d0*cMTA**2d0*cMW**  &
            4d0*coupl(nGC_50)*coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMH1**2d0*   &
            cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 128d0*cMH1**2d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_35)*    &
            coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 384d0*cMH1**2d0*cMTA**2d0*cMW**  &
            2d0*cMZ**2d0*coupl(nGC_50)*coupl(nGC_8)*gw*sw*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMH1 &
            **2d0*cMTA**2d0*cMZ**4d0*coupl(nGC_34)**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw&
            *gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0&
            *cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - &
            384d0*cMH1**2d0*cMW**6d0*coupl(nGC_38)*coupl(nGC_7)*gw*sw*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw&
            *gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0&
            *cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - &
            128d0*cima*cMH1**2d0*cMW**6d0*coupl(nGC_44)*gw*sw*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**&
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0* &
            cima*cMH1**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_22)*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 96d0*cMH1**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_38)**2d0*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) + 384d0*cMH1**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_38)*   &
            coupl(nGC_7)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cima*cMH1**2d0*cMW**4d0*cMZ&
            **2d0*coupl(nGC_44)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi &
            **2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 96d0*cMH1**2d0*cMW**4d0*cMZ**&
            2d0*coupl(nGC_7)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cMH1**2d0*cMW&
            **4d0*cMZ**2d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*  &
            log(cw**2d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**  &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 192d0*&
            cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**&
            2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 112d0*cMH1&
            **2d0*cMW**4d0*cMZ**2d0*cw*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)* &
            log(cw**2d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**  &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0* &
            cima*cMH1**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_22)*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**&
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 64d0*cima*cMH1**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_27)*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)) + 96d0*cMH1**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_7)**2d0*&
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMH1** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw &
            **3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi&
            **2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw** &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 192d0*cMH1**2d0*cMW**2d0*cMZ &
            **4d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**&
            2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 112d0*cMH1**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0* &
            pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cima*cMH1**2d0*cMZ**  &
            6d0*coupl(nGC_27)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-  &
            32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0*cw* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 96d0*cMH1**2d0*cMZ**  &
            6d0*coupl(nGC_38)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMH1**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-  &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMH1**2d0*cMW**2d0*cMZ**4d0&
            *cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0))))/(16d0*pi**2d0) +  &
            dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/ &
            cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))/(cMW&
            **2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**  &
            2d0)) + cima*coupl(nGC_63)*dtH1_QED1/(cMH1**2d0*cMW**2d0)
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter150
end module ctparameter150
