!******************************************************************************!
!                                                                              !
!    ctparameter151.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter151.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter151
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter151()
  dMH22_QED2 = (cima*Ten0*coupl(nGC_1)/2d0 + cima*Ten1*coupl(nGC_1)/2d0 - 8d0* &
               Ten111*cMHP**2d0*coupl(nGC_31)*coupl(nGC_32) - Ten112*coupl(    &
               nGC_59)**2d0 - 8d0*Ten114*cMHP**2d0*coupl(nGC_31)*coupl(nGC_32  &
               ) - 8d0*Ten116*coupl(nGC_31)*coupl(nGC_32) - 2d0*Ten118*cMHP**  &
               2d0*coupl(nGC_31)*coupl(nGC_32) + cima*Ten12*(2d0*coupl(nGC_2   &
               ) + coupl(nGC_4))/2d0 + 8d0*Ten127*coupl(nGC_31)*coupl(nGC_32)* &
               rMHP**2d0*(-cMHP**2d0 + rMHP**2d0) + 8d0*Ten128*coupl(nGC_31)*  &
               coupl(nGC_32)*rMHP**2d0*(-cMHP**2d0 + rMHP**2d0) + 8d0*Ten129*  &
               coupl(nGC_31)*coupl(nGC_32)*(-cMHP**2d0 + rMHP**2d0) + 2d0*     &
               Ten130*coupl(nGC_31)*coupl(nGC_32)*rMHP**2d0*(-cMHP**2d0 + rMHP &
               **2d0) + Ten131*coupl(nGC_59)**2d0*(-cMHP**2d0 + rMHP**2d0) +   &
               cima*Ten2*(coupl(nGC_1) - 4d0*coupl(nGC_25)) + pi**2d0*(2d0*cMHP&
               **2d0*coupl(nGC_31)*coupl(nGC_32)/(3d0*pi**2d0) + 2d0*cima*cMW**&
               2d0*coupl(nGC_25)/pi**2d0 + cMW**2d0*coupl(nGC_31)*coupl(nGC_32 &
               )/pi**2d0))/(16d0*pi**2d0) + cima*coupl(nGC_59)*dtH1_QED1/cMH1**&
               2d0
    if (.not. complex_mass_scheme) then
      dMH22_QED2 = cone*real(dMH22_QED2,kind=dp)
    end if 
end subroutine set_ctparameter151
end module ctparameter151
