!******************************************************************************!
!                                                                              !
!    ctparameter27.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter27.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter27
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter27()
  if (dZeMinusL_QED2_scheme .eq. 1) then
    dZeMinusL_QED2 = (2d0*Ten317*coupl(nGC_8)**2d0 + Ten318*(2d0*coupl(nGC_35  &
                     )**2d0 + 4d0*coupl(nGC_35)*coupl(nGC_50) + 2d0*coupl(     &
                     nGC_50)**2d0) + 2d0*Ten320*coupl(nGC_8)**2d0 - 2d0*Ten321*&
                     coupl(nGC_34)**2d0 + Ten322*(2d0*coupl(nGC_35)**2d0 + 4d0*&
                     coupl(nGC_35)*coupl(nGC_50) + 2d0*coupl(nGC_50)**2d0) -   &
                     4d0*Ten325*cME_reg**2d0*coupl(nGC_8)**2d0 + 4d0*Ten328*   &
                     cME_reg**2d0*coupl(nGC_8)**2d0 + pi**2d0*(-coupl(nGC_34)**&
                     2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0 - 2d0*coupl(     &
                     nGC_35)*coupl(nGC_50)/pi**2d0 - coupl(nGC_50)**2d0/pi**2d0&
                      - coupl(nGC_8)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusL_QED2 = cone*real(dZeMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter27
end module ctparameter27
