!******************************************************************************!
!                                                                              !
!    ctparameter35.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter35.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter35
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter35()
  if (dZdL_QED2_scheme .eq. 0) then
    dZdL_QED2 = (2d0*Ten194*coupl(nGC_5)**2d0 + Ten195*(2d0*coupl(nGC_35)**2d0 &
                 + 4d0*coupl(nGC_35)*coupl(nGC_49) + 2d0*coupl(nGC_49)**2d0 -  &
                coupl(nGC_73)**2d0) + Ten196*(2d0*coupl(nGC_34)**2d0 + coupl(  &
                nGC_90)**2d0) - Ten197*coupl(nGC_74)**2d0 + 2d0*Ten198*coupl(  &
                nGC_5)**2d0 + Ten199*(2d0*coupl(nGC_35)**2d0 + 4d0*coupl(nGC_35&
                )*coupl(nGC_49) + 2d0*coupl(nGC_49)**2d0 - coupl(nGC_73)**2d0  &
                ) + Ten200*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_90)**2d0) + 2d0*&
                Ten202*cMD**2d0*coupl(nGC_74)**2d0 - 4d0*Ten203*cMD**2d0*coupl(&
                nGC_5)**2d0 + 2d0*Ten204*cMD**2d0*(coupl(nGC_35)**2d0 + 10d0*  &
                coupl(nGC_35)*coupl(nGC_49) + 13d0*coupl(nGC_49)**2d0) + Ten205&
                *cMD*(2d0*cMD*coupl(nGC_34)**2d0 + cMD*coupl(nGC_72)**2d0 + cMD&
                *coupl(nGC_90)**2d0 + 2d0*cMU*coupl(nGC_72)*coupl(nGC_90)) -   &
                2d0*Ten206*cMD**2d0*coupl(nGC_74)**2d0 + 4d0*Ten207*cMD**2d0*  &
                coupl(nGC_5)**2d0 + 2d0*Ten208*cMD**2d0*(coupl(nGC_35)**2d0 +  &
                2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0 -     &
                coupl(nGC_73)**2d0) + Ten209*cMD**2d0*(2d0*coupl(nGC_34)**2d0  &
                 + coupl(nGC_72)**2d0 + coupl(nGC_90)**2d0) + pi**2d0*(-coupl( &
                nGC_34)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0 - 2d0*coupl( &
                nGC_35)*coupl(nGC_49)/pi**2d0 - coupl(nGC_49)**2d0/pi**2d0 -   &
                coupl(nGC_5)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter35
end module ctparameter35
