!******************************************************************************!
!                                                                              !
!    ctparameter48.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter48.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter48
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter48()
  dZZA_QED2 = (4d0*Nc*Ten145*cMU**2d0*coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl(&
              nGC_49))/cMZ**2d0 + 4d0*Nc*Ten146*cMC**2d0*coupl(nGC_6)*(-coupl( &
              nGC_36) - 5d0*coupl(nGC_49))/cMZ**2d0 + 4d0*Nc*Ten147*cMT**2d0*  &
              coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl(nGC_49))/cMZ**2d0 + 4d0*&
              Nc*Ten148*cMD**2d0*coupl(nGC_5)*(-coupl(nGC_35) + coupl(nGC_49))/&
              cMZ**2d0 + 4d0*Nc*Ten149*cMS**2d0*coupl(nGC_5)*(-coupl(nGC_35) + &
              coupl(nGC_49))/cMZ**2d0 + 4d0*Nc*Ten150*cMB**2d0*coupl(nGC_5)*(- &
              coupl(nGC_35) + coupl(nGC_49))/cMZ**2d0 + 8d0*Nc*Ten151*coupl(   &
              nGC_6)*(coupl(nGC_36) + 5d0*coupl(nGC_49))/cMZ**2d0 + 8d0*Nc*    &
              Ten152*coupl(nGC_6)*(coupl(nGC_36) + 5d0*coupl(nGC_49))/cMZ**2d0 &
               + 8d0*Nc*Ten153*coupl(nGC_6)*(coupl(nGC_36) + 5d0*coupl(nGC_49  &
              ))/cMZ**2d0 + 8d0*Nc*Ten154*coupl(nGC_5)*(coupl(nGC_35) - coupl( &
              nGC_49))/cMZ**2d0 + 8d0*Nc*Ten155*coupl(nGC_5)*(coupl(nGC_35) -  &
              coupl(nGC_49))/cMZ**2d0 + 8d0*Nc*Ten156*coupl(nGC_5)*(coupl(     &
              nGC_35) - coupl(nGC_49))/cMZ**2d0 - 2d0*cima*Ten12*coupl(nGC_43)/&
              cMZ**2d0 + 2d0*cima*Ten2*(3d0*coupl(nGC_44) - coupl(nGC_54))/cMZ &
              **2d0 - 4d0*Ten394*coupl(nGC_60)*coupl(nGC_64)/cMZ**2d0 + 2d0*   &
              Ten397*(-coupl(nGC_37)*coupl(nGC_8) + 17d0*coupl(nGC_38)*coupl(  &
              nGC_7) + 4d0*coupl(nGC_52)*coupl(nGC_8))/cMZ**2d0 + 4d0*Ten404*  &
              cME**2d0*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl(nGC_50))/cMZ** &
              2d0 + 4d0*Ten405*cMM**2d0*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*    &
              coupl(nGC_50))/cMZ**2d0 + 4d0*Ten406*cMTA**2d0*coupl(nGC_8)*(-   &
              coupl(nGC_35) - 3d0*coupl(nGC_50))/cMZ**2d0 + 8d0*Ten407*coupl(  &
              nGC_8)*(coupl(nGC_35) + 3d0*coupl(nGC_50))/cMZ**2d0 + 8d0*Ten408*&
              coupl(nGC_8)*(coupl(nGC_35) + 3d0*coupl(nGC_50))/cMZ**2d0 + 8d0* &
              Ten409*coupl(nGC_8)*(coupl(nGC_35) + 3d0*coupl(nGC_50))/cMZ**2d0 &
               + 8d0*Ten410*coupl(nGC_37)*coupl(nGC_8)/cMZ**2d0 + pi**2d0*(-4d0&
              *Nc*cMB**2d0*coupl(nGC_35)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) + 4d0*&
              Nc*cMB**2d0*coupl(nGC_49)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMC**2d0*coupl(nGC_36)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 20d0*&
              Nc*cMC**2d0*coupl(nGC_49)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMD**2d0*coupl(nGC_35)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) + 4d0* &
              Nc*cMD**2d0*coupl(nGC_49)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMS**2d0*coupl(nGC_35)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) + 4d0* &
              Nc*cMS**2d0*coupl(nGC_49)*coupl(nGC_5)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMT**2d0*coupl(nGC_36)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 20d0*&
              Nc*cMT**2d0*coupl(nGC_49)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMU**2d0*coupl(nGC_36)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 20d0*&
              Nc*cMU**2d0*coupl(nGC_49)*coupl(nGC_6)/(pi**2d0*cMZ**2d0) - 4d0* &
              cME**2d0*coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 12d0*cME&
              **2d0*coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 4d0*cMM**  &
              2d0*coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 12d0*cMM**2d0&
              *coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 4d0*cMTA**2d0*  &
              coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 12d0*cMTA**2d0*  &
              coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ**2d0) - 12d0*cMW**2d0*   &
              coupl(nGC_38)*coupl(nGC_7)/(pi**2d0*cMZ**2d0) - 4d0*cima*cMW**2d0&
              *coupl(nGC_44)/(pi**2d0*cMZ**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_QED2 = cone*real(dZZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter48
end module ctparameter48
