!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  dtH1_QED1 = (4d0*cima*Nc*Ten10*cMS*coupl(nGC_83) + 4d0*cima*Nc*Ten11*cMB*    &
              coupl(nGC_68) + 4d0*cima*Nc*Ten6*cMU*coupl(nGC_91) + 4d0*cima*Nc*&
              Ten7*cMC*coupl(nGC_70) + 4d0*cima*Nc*Ten8*cMT*coupl(nGC_85) + 4d0&
              *cima*Nc*Ten9*cMD*coupl(nGC_74) - cima*Ten0*coupl(nGC_62)/2d0 +  &
              cima*Ten1*(2d0*coupl(nGC_56) - coupl(nGC_61) + 4d0*coupl(nGC_65  &
              ))/2d0 - 3d0*cima*Ten12*coupl(nGC_59)/2d0 + cima*Ten2*(2d0*coupl(&
              nGC_46) - coupl(nGC_61) + 4d0*coupl(nGC_63)) + 4d0*cima*Ten3*cME*&
              coupl(nGC_77) + 4d0*cima*Ten4*cMM*coupl(nGC_80) + 4d0*cima*Ten5* &
              cMTA*coupl(nGC_89) + pi**2d0*(-2d0*cima*cMW**2d0*coupl(nGC_63)/pi&
              **2d0 - cima*cMZ**2d0*coupl(nGC_65)/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtH1_QED1 = cone*real(dtH1_QED1,kind=dp)
    end if 
end subroutine set_ctparameter52
end module ctparameter52
