!******************************************************************************!
!                                                                              !
!    ctparameter54.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter54.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter54
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter54()
  if (dZcL_QED2_scheme .eq. 1) then
    dZcL_QED2 = (2d0*Ten228*coupl(nGC_6)**2d0 + Ten229*(2d0*coupl(nGC_36)**2d0 &
                 + 4d0*coupl(nGC_36)*coupl(nGC_49) + 2d0*coupl(nGC_49)**2d0) + &
                2d0*Ten230*coupl(nGC_34)**2d0 + 2d0*Ten232*coupl(nGC_6)**2d0 + &
                Ten233*(2d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_49&
                ) + 2d0*coupl(nGC_49)**2d0) + 2d0*Ten234*coupl(nGC_34)**2d0 -  &
                4d0*Ten237*cMC_reg**2d0*coupl(nGC_6)**2d0 + 4d0*Ten241*cMC_reg &
                **2d0*coupl(nGC_6)**2d0 + pi**2d0*(-coupl(nGC_34)**2d0/pi**2d0 &
                 - coupl(nGC_36)**2d0/pi**2d0 - 2d0*coupl(nGC_36)*coupl(nGC_49 &
                )/pi**2d0 - coupl(nGC_49)**2d0/pi**2d0 - coupl(nGC_6)**2d0/pi**&
                2d0))/(16d0*pi**2d0)
    dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter54
end module ctparameter54
