!******************************************************************************!
!                                                                              !
!    ctparameter60.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter60.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter60
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter60()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = (2d0*Ten194*cMD*coupl(nGC_5)**2d0 + Ten195*cMD*(-coupl(nGC_35)**&
               2d0 - 10d0*coupl(nGC_35)*coupl(nGC_49) - 13d0*coupl(nGC_49)**2d0&
               ) + Ten196*(-cMD*coupl(nGC_34)**2d0 - cMD*coupl(nGC_72)**2d0/2d0&
                - cMD*coupl(nGC_90)**2d0/2d0 - cMU*coupl(nGC_72)*coupl(nGC_90  &
               )) + Ten197*cMD*coupl(nGC_74)**2d0 - 2d0*Ten198*cMD*coupl(nGC_5 &
               )**2d0 + Ten199*cMD*(-coupl(nGC_35)**2d0 - 2d0*coupl(nGC_35)*   &
               coupl(nGC_49) - 5d0*coupl(nGC_49)**2d0 + coupl(nGC_73)**2d0) +  &
               Ten200*cMD*(-2d0*coupl(nGC_34)**2d0 - coupl(nGC_72)**2d0 - coupl&
               (nGC_90)**2d0)/2d0 - Ten201*cMD*coupl(nGC_74)**2d0 + pi**2d0*(  &
               cMD*coupl(nGC_34)**2d0/(2d0*pi**2d0) + cMD*coupl(nGC_35)**2d0/( &
               2d0*pi**2d0) + 5d0*cMD*coupl(nGC_35)*coupl(nGC_49)/pi**2d0 +    &
               13d0*cMD*coupl(nGC_49)**2d0/(2d0*pi**2d0) - cMD*coupl(nGC_5)**  &
               2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(nGC_74)*dtH1_QED1/cMH1&
               **2d0
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter60
end module ctparameter60
