!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  dZg_QCD2 = (5d0*Nc*Ten132*coupl(nGC_14)**2d0/3d0 + 4d0*Ten157*cMU_reg**2d0*  &
             coupl(nGC_15)**2d0 + 4d0*Ten158*cMC_reg**2d0*coupl(nGC_15)**2d0 + &
             4d0*Ten159*cMT**2d0*coupl(nGC_15)**2d0 + 4d0*Ten160*cMD_reg**2d0* &
             coupl(nGC_15)**2d0 + 4d0*Ten161*cMS_reg**2d0*coupl(nGC_15)**2d0 + &
             4d0*Ten162*cMB_reg**2d0*coupl(nGC_15)**2d0 - 8d0*Ten163*coupl(    &
             nGC_15)**2d0 - 8d0*Ten164*coupl(nGC_15)**2d0 - 8d0*Ten165*coupl(  &
             nGC_15)**2d0 - 8d0*Ten166*coupl(nGC_15)**2d0 - 8d0*Ten167*coupl(  &
             nGC_15)**2d0 - 8d0*Ten168*coupl(nGC_15)**2d0 - 2d0*Ten169*coupl(  &
             nGC_15)**2d0/3d0 - 2d0*Ten170*coupl(nGC_15)**2d0/3d0 - 2d0*Ten171*&
             coupl(nGC_15)**2d0/3d0 - 2d0*Ten172*coupl(nGC_15)**2d0/3d0 - 2d0* &
             Ten173*coupl(nGC_15)**2d0/3d0 - 2d0*coupl(nGC_15)**2d0/3d0)/(16d0*&
             pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter69
end module ctparameter69
