!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dZHMinus_QED2 = (-4d0*Ten106*coupl(nGC_8)**2d0 - 4d0*Ten107*coupl(nGC_8)**2d0&
                   - Ten109*coupl(nGC_8)**2d0 - 4d0*Ten110*coupl(nGC_37)**2d0  &
                   + 4d0*Ten111*coupl(nGC_31)*coupl(nGC_32) - 4d0*Ten113*coupl(&
                  nGC_37)**2d0 + 4d0*Ten114*coupl(nGC_31)*coupl(nGC_32) -      &
                  Ten117*coupl(nGC_37)**2d0 + Ten118*coupl(nGC_31)*coupl(nGC_32&
                  ) - 4d0*Ten119*coupl(nGC_8)**2d0*rMHP**2d0 - 4d0*Ten120*coupl&
                  (nGC_8)**2d0*rMHP**2d0 - 4d0*Ten121*coupl(nGC_8)**2d0 -      &
                  Ten122*coupl(nGC_8)**2d0*rMHP**2d0 - 4d0*Ten123*coupl(nGC_37 &
                  )**2d0*rMHP**2d0 - 4d0*Ten124*coupl(nGC_37)**2d0*rMHP**2d0 - &
                  4d0*Ten125*coupl(nGC_37)**2d0 - Ten126*coupl(nGC_37)**2d0*   &
                  rMHP**2d0 + 4d0*Ten127*coupl(nGC_31)*coupl(nGC_32)*rMHP**2d0 &
                   + 4d0*Ten128*coupl(nGC_31)*coupl(nGC_32)*rMHP**2d0 + 4d0*   &
                  Ten129*coupl(nGC_31)*coupl(nGC_32) + Ten130*coupl(nGC_31)*   &
                  coupl(nGC_32)*rMHP**2d0 + Ten131*coupl(nGC_59)**2d0 + pi**2d0&
                  *(coupl(nGC_31)*coupl(nGC_32)/(6d0*pi**2d0) - coupl(nGC_37)**&
                  2d0/(6d0*pi**2d0) - coupl(nGC_8)**2d0/(6d0*pi**2d0)))/(16d0* &
                  pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHMinus_QED2 = cone*real(dZHMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter70
end module ctparameter70
