!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  if (dMM_QED2_scheme .eq. 0) then
    dMM_QED2 = (2d0*Ten332*cMM*coupl(nGC_8)**2d0 + Ten333*cMM*(-coupl(nGC_35)**&
               2d0 + 6d0*coupl(nGC_35)*coupl(nGC_50) + 3d0*coupl(nGC_50)**2d0  &
               ) + Ten334*cMM*coupl(nGC_80)**2d0 - 2d0*Ten335*cMM*coupl(nGC_8  &
               )**2d0 + Ten336*cMM*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_78)**2d0&
               )/2d0 + Ten337*cMM*(-coupl(nGC_35)**2d0 - 2d0*coupl(nGC_35)*    &
               coupl(nGC_50) - 5d0*coupl(nGC_50)**2d0 + coupl(nGC_79)**2d0) -  &
               Ten338*cMM*coupl(nGC_80)**2d0 + 2d0*Ten339*cMM*coupl(nGC_80)**  &
               2d0*rMM*(-cMM + rMM) + 4d0*Ten340*coupl(nGC_8)**2d0*rMM*(2d0*cMM&
               **2d0 - 3d0*cMM*rMM + rMM**2d0) + 2d0*Ten341*rMM*(8d0*cMM**2d0* &
               coupl(nGC_35)*coupl(nGC_50) + 8d0*cMM**2d0*coupl(nGC_50)**2d0 - &
               cMM**2d0*coupl(nGC_79)**2d0 - cMM*coupl(nGC_35)**2d0*rMM - 10d0*&
               cMM*coupl(nGC_35)*coupl(nGC_50)*rMM - 13d0*cMM*coupl(nGC_50)**  &
               2d0*rMM + 2d0*cMM*coupl(nGC_79)**2d0*rMM + coupl(nGC_35)**2d0*  &
               rMM**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_50)*rMM**2d0 + 5d0*coupl(&
               nGC_50)**2d0*rMM**2d0 - coupl(nGC_79)**2d0*rMM**2d0) + 2d0*     &
               Ten342*coupl(nGC_80)**2d0*rMM**2d0*(cMM - rMM) + 4d0*Ten343*    &
               coupl(nGC_8)**2d0*rMM**2d0*(-cMM + rMM) + Ten344*rMM**2d0*(2d0* &
               cMM*coupl(nGC_34)**2d0 + cMM*coupl(nGC_78)**2d0 - 2d0*coupl(    &
               nGC_34)**2d0*rMM - coupl(nGC_78)**2d0*rMM) + 2d0*Ten345*rMM**2d0&
               *(-cMM*coupl(nGC_35)**2d0 - 2d0*cMM*coupl(nGC_35)*coupl(nGC_50  &
               ) - 5d0*cMM*coupl(nGC_50)**2d0 + cMM*coupl(nGC_79)**2d0 + coupl(&
               nGC_35)**2d0*rMM + 2d0*coupl(nGC_35)*coupl(nGC_50)*rMM + 5d0*   &
               coupl(nGC_50)**2d0*rMM - coupl(nGC_79)**2d0*rMM) + pi**2d0*(-8d0&
               *aEW*cMM**2d0/(pi*rMM) + 8d0*aEW*rMM/pi + cMM*coupl(nGC_34)**2d0&
               /(2d0*pi**2d0) + cMM*coupl(nGC_35)**2d0/(2d0*pi**2d0) - 3d0*cMM*&
               coupl(nGC_35)*coupl(nGC_50)/pi**2d0 - 3d0*cMM*coupl(nGC_50)**2d0&
               /(2d0*pi**2d0) - cMM*coupl(nGC_8)**2d0/pi**2d0))/(16d0*pi**2d0  &
               ) + cima*coupl(nGC_80)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMM_QED2 = cone*real(dMM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter71
end module ctparameter71
