!******************************************************************************!
!                                                                              !
!    ctparameter74.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter74.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter74
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter74()
  if (dZmuMinusL_QED2_scheme .eq. 0) then
    dZmuMinusL_QED2 = (2d0*Ten332*coupl(nGC_8)**2d0 + Ten333*(2d0*coupl(nGC_35 &
                      )**2d0 + 4d0*coupl(nGC_35)*coupl(nGC_50) + 2d0*coupl(    &
                      nGC_50)**2d0 - coupl(nGC_79)**2d0) - Ten334*coupl(nGC_80 &
                      )**2d0 + 2d0*Ten335*coupl(nGC_8)**2d0 - 2d0*Ten336*coupl(&
                      nGC_34)**2d0 + Ten337*(2d0*coupl(nGC_35)**2d0 + 4d0*coupl&
                      (nGC_35)*coupl(nGC_50) + 2d0*coupl(nGC_50)**2d0 - coupl( &
                      nGC_79)**2d0) + 2d0*Ten339*cMM*coupl(nGC_80)**2d0*rMM +  &
                      4d0*Ten340*coupl(nGC_8)**2d0*rMM*(-2d0*cMM + rMM) + 2d0* &
                      Ten341*rMM*(-8d0*cMM*coupl(nGC_35)*coupl(nGC_50) - 8d0*  &
                      cMM*coupl(nGC_50)**2d0 + cMM*coupl(nGC_79)**2d0 + coupl( &
                      nGC_35)**2d0*rMM + 2d0*coupl(nGC_35)*coupl(nGC_50)*rMM + &
                      5d0*coupl(nGC_50)**2d0*rMM - coupl(nGC_79)**2d0*rMM) -   &
                      2d0*Ten342*coupl(nGC_80)**2d0*rMM**2d0 + 4d0*Ten343*coupl&
                      (nGC_8)**2d0*rMM**2d0 + Ten344*rMM**2d0*(-2d0*coupl(     &
                      nGC_34)**2d0 - coupl(nGC_78)**2d0) + 2d0*Ten345*rMM**2d0 &
                      *(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_50) + &
                      5d0*coupl(nGC_50)**2d0 - coupl(nGC_79)**2d0) + pi**2d0*(-&
                      coupl(nGC_34)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0  &
                       - 2d0*coupl(nGC_35)*coupl(nGC_50)/pi**2d0 - coupl(nGC_50&
                      )**2d0/pi**2d0 - coupl(nGC_8)**2d0/pi**2d0))/(16d0*pi**  &
                      2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter74
end module ctparameter74
