!******************************************************************************!
!                                                                              !
!    ctparameter77.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter77.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter77
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter77()
  dZA_QED2 = (8d0*Nc*Ten157*cMU_reg**2d0*coupl(nGC_6)**2d0 + 8d0*Nc*Ten158*    &
             cMC_reg**2d0*coupl(nGC_6)**2d0 + 8d0*Nc*Ten159*cMT**2d0*coupl(    &
             nGC_6)**2d0 + 8d0*Nc*Ten160*cMD_reg**2d0*coupl(nGC_5)**2d0 + 8d0* &
             Nc*Ten161*cMS_reg**2d0*coupl(nGC_5)**2d0 + 8d0*Nc*Ten162*cMB_reg**&
             2d0*coupl(nGC_5)**2d0 - 16d0*Nc*Ten163*coupl(nGC_6)**2d0 - 16d0*Nc&
             *Ten164*coupl(nGC_6)**2d0 - 16d0*Nc*Ten165*coupl(nGC_6)**2d0 -    &
             16d0*Nc*Ten166*coupl(nGC_5)**2d0 - 16d0*Nc*Ten167*coupl(nGC_5)**  &
             2d0 - 16d0*Nc*Ten168*coupl(nGC_5)**2d0 - 4d0*Nc*Ten169*coupl(nGC_6&
             )**2d0/3d0 - 4d0*Nc*Ten170*coupl(nGC_6)**2d0/3d0 - 4d0*Nc*Ten171* &
             coupl(nGC_5)**2d0/3d0 - 4d0*Nc*Ten172*coupl(nGC_5)**2d0/3d0 - 4d0*&
             Nc*Ten173*coupl(nGC_5)**2d0/3d0 + Ten394*(-8d0*coupl(nGC_7)**2d0  &
              - coupl(nGC_8)**2d0) + Ten395*(-13d0*coupl(nGC_7)**2d0 - 3d0*    &
             coupl(nGC_8)**2d0) + Ten396*(-13d0*coupl(nGC_7)**2d0 - 3d0*coupl( &
             nGC_8)**2d0) + Ten411*(-34d0*coupl(nGC_7)**2d0 - 6d0*coupl(nGC_8  &
             )**2d0) + 8d0*Ten412*cME_reg**2d0*coupl(nGC_8)**2d0 + 8d0*Ten413* &
             cMM_reg**2d0*coupl(nGC_8)**2d0 + 8d0*Ten414*cMTA_reg**2d0*coupl(  &
             nGC_8)**2d0 - 16d0*Ten415*coupl(nGC_8)**2d0 - 16d0*Ten416*coupl(  &
             nGC_8)**2d0 - 16d0*Ten417*coupl(nGC_8)**2d0 - 8d0*Ten418*coupl(   &
             nGC_8)**2d0 + 4d0*Ten419*coupl(nGC_64)**2d0 - 4d0*Ten420*coupl(   &
             nGC_8)**2d0/3d0 - 4d0*Ten421*coupl(nGC_8)**2d0/3d0 - 4d0*Ten422*  &
             coupl(nGC_8)**2d0/3d0 - Ten423*coupl(nGC_8)**2d0 - 4d0*Ten424*    &
             coupl(nGC_8)**2d0 - 4d0*Ten425*coupl(nGC_8)**2d0 + pi**2d0*(-4d0* &
             Nc*coupl(nGC_6)**2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_7)**2d0/(3d0*pi&
             **2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter77
end module ctparameter77
