!******************************************************************************!
!                                                                              !
!    ctparameter78.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter78.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter78
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter78()
  dZZ_QED2 = (2d0*Nc*Ten431*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(     &
             nGC_49) + 17d0*coupl(nGC_49)**2d0)/3d0 + 2d0*Nc*Ten432*(coupl(    &
             nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(nGC_49&
             )**2d0)/3d0 + 2d0*Nc*Ten433*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36&
             )*coupl(nGC_49) + 17d0*coupl(nGC_49)**2d0)/3d0 + 2d0*Nc*Ten434*(  &
             coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl( &
             nGC_49)**2d0)/3d0 + 2d0*Nc*Ten435*(coupl(nGC_35)**2d0 + 2d0*coupl(&
             nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0)/3d0 + 2d0*Nc*     &
             Ten436*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0&
             *coupl(nGC_49)**2d0)/3d0 + 2d0*Nc*Ten479*(-cMU**2d0*coupl(nGC_36  &
             )**2d0 + 22d0*cMU**2d0*coupl(nGC_36)*coupl(nGC_49) + 7d0*cMU**2d0*&
             coupl(nGC_49)**2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + 2d0*coupl(     &
             nGC_36)*coupl(nGC_49)*rMZ**2d0 + 17d0*coupl(nGC_49)**2d0*rMZ**2d0 &
             )/3d0 + 2d0*Nc*Ten480*(-cMC**2d0*coupl(nGC_36)**2d0 + 22d0*cMC**  &
             2d0*coupl(nGC_36)*coupl(nGC_49) + 7d0*cMC**2d0*coupl(nGC_49)**2d0 &
              + coupl(nGC_36)**2d0*rMZ**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49)* &
             rMZ**2d0 + 17d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten481  &
             *(-cMT**2d0*coupl(nGC_36)**2d0 + 22d0*cMT**2d0*coupl(nGC_36)*coupl&
             (nGC_49) + 7d0*cMT**2d0*coupl(nGC_49)**2d0 + coupl(nGC_36)**2d0*  &
             rMZ**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49)*rMZ**2d0 + 17d0*coupl( &
             nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten482*(-cMD**2d0*coupl(nGC_35&
             )**2d0 - 14d0*cMD**2d0*coupl(nGC_35)*coupl(nGC_49) - 17d0*cMD**2d0&
             *coupl(nGC_49)**2d0 + coupl(nGC_35)**2d0*rMZ**2d0 + 2d0*coupl(    &
             nGC_35)*coupl(nGC_49)*rMZ**2d0 + 5d0*coupl(nGC_49)**2d0*rMZ**2d0)/&
             3d0 + 2d0*Nc*Ten483*(-cMS**2d0*coupl(nGC_35)**2d0 - 14d0*cMS**2d0*&
             coupl(nGC_35)*coupl(nGC_49) - 17d0*cMS**2d0*coupl(nGC_49)**2d0 +  &
             coupl(nGC_35)**2d0*rMZ**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ &
             **2d0 + 5d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten484*(-cMB&
             **2d0*coupl(nGC_35)**2d0 - 14d0*cMB**2d0*coupl(nGC_35)*coupl(     &
             nGC_49) - 17d0*cMB**2d0*coupl(nGC_49)**2d0 + coupl(nGC_35)**2d0*  &
             rMZ**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 + 5d0*coupl(  &
             nGC_49)**2d0*rMZ**2d0)/3d0 + Ten0*coupl(nGC_51)**2d0*(-cMH1**2d0  &
              + cMZ**2d0)/(3d0*rMZ**4d0) + Ten1*coupl(nGC_51)**2d0*(cMH1**2d0  &
              - cMZ**2d0)/(3d0*rMZ**4d0) + Ten426*coupl(nGC_51)**2d0*(cMH1**4d0&
              - 2d0*cMH1**2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + &
             Ten427*(-coupl(nGC_37)**2d0/12d0 - 13d0*coupl(nGC_38)**2d0/4d0 +  &
             coupl(nGC_52)**2d0/3d0) + Ten428*(2d0*coupl(nGC_35)**2d0/3d0 + 4d0&
             *coupl(nGC_35)*coupl(nGC_50)/3d0 + 10d0*coupl(nGC_50)**2d0/3d0) + &
             Ten429*(2d0*coupl(nGC_35)**2d0/3d0 + 4d0*coupl(nGC_35)*coupl(     &
             nGC_50)/3d0 + 10d0*coupl(nGC_50)**2d0/3d0) + Ten430*(2d0*coupl(   &
             nGC_35)**2d0/3d0 + 4d0*coupl(nGC_35)*coupl(nGC_50)/3d0 + 10d0*    &
             coupl(nGC_50)**2d0/3d0) + 2d0*Ten472*coupl(nGC_53)**2d0 + Ten473* &
             coupl(nGC_37)**2d0/3d0 + Ten474*(cMW**2d0*coupl(nGC_37)**2d0/3d0  &
              - 5d0*cMW**2d0*coupl(nGC_38)**2d0 - 4d0*cMW**2d0*coupl(nGC_52)** &
             2d0/3d0 - coupl(nGC_37)**2d0*rMZ**2d0/12d0 - 13d0*coupl(nGC_38)** &
             2d0*rMZ**2d0/4d0 + coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 2d0*coupl(   &
             nGC_60)**2d0) + Ten475*coupl(nGC_37)**2d0*(-4d0*cMHP**2d0 + rMZ** &
             2d0)/3d0 + Ten476*(-2d0*cME**2d0*coupl(nGC_35)**2d0/3d0 + 20d0*cME&
             **2d0*coupl(nGC_35)*coupl(nGC_50)/3d0 + 14d0*cME**2d0*coupl(nGC_50&
             )**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 4d0*coupl(     &
             nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 + 10d0*coupl(nGC_50)**2d0*rMZ**&
             2d0/3d0) + Ten477*(-2d0*cMM**2d0*coupl(nGC_35)**2d0/3d0 + 20d0*cMM&
             **2d0*coupl(nGC_35)*coupl(nGC_50)/3d0 + 14d0*cMM**2d0*coupl(nGC_50&
             )**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 4d0*coupl(     &
             nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 + 10d0*coupl(nGC_50)**2d0*rMZ**&
             2d0/3d0) + Ten478*(-2d0*cMTA**2d0*coupl(nGC_35)**2d0/3d0 + 20d0*  &
             cMTA**2d0*coupl(nGC_35)*coupl(nGC_50)/3d0 + 14d0*cMTA**2d0*coupl( &
             nGC_50)**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 4d0*coupl&
             (nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 + 10d0*coupl(nGC_50)**2d0*rMZ &
             **2d0/3d0) + 2d0*Ten485*coupl(nGC_53)**2d0*rMZ**2d0 + Ten486*(-   &
             cMH1**4d0*coupl(nGC_51)**2d0 + 2d0*cMH1**2d0*cMZ**2d0*coupl(nGC_51&
             )**2d0 + 2d0*cMH1**2d0*coupl(nGC_51)**2d0*rMZ**2d0 - cMZ**4d0*    &
             coupl(nGC_51)**2d0 + 2d0*cMZ**2d0*coupl(nGC_51)**2d0*rMZ**2d0 -   &
             coupl(nGC_51)**2d0*rMZ**4d0 + 3d0*coupl(nGC_65)**2d0*rMZ**2d0)/(  &
             3d0*rMZ**2d0) + pi**2d0*(-2d0*Nc*coupl(nGC_35)**2d0/(3d0*pi**2d0  &
             ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_49)/(3d0*pi**2d0) - 2d0*Nc*    &
             coupl(nGC_36)**2d0/(3d0*pi**2d0) - 4d0*Nc*coupl(nGC_36)*coupl(    &
             nGC_49)/(3d0*pi**2d0) - 44d0*Nc*coupl(nGC_49)**2d0/(3d0*pi**2d0   &
             ) - 2d0*coupl(nGC_35)**2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_35)*coupl&
             (nGC_50)/(3d0*pi**2d0) + coupl(nGC_37)**2d0/(6d0*pi**2d0) - coupl(&
             nGC_38)**2d0/(6d0*pi**2d0) - 10d0*coupl(nGC_50)**2d0/(3d0*pi**2d0 &
             ) - 2d0*coupl(nGC_51)**2d0/(9d0*pi**2d0) + 2d0*coupl(nGC_52)**2d0 &
             /(9d0*pi**2d0) - 2d0*coupl(nGC_53)**2d0/(3d0*pi**2d0)))/(16d0*pi**&
             2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter78
end module ctparameter78
