!******************************************************************************!
!                                                                              !
!    ctparameter9.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter9.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter9
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter9()
  dalZ_QED2 = (16d0*pi*Nc*Ten315*aEW*(2d0*MB**2d0 + rMZ**2d0)/(27d0*rMZ**2d0   &
              ) + 64d0*pi*Nc*Ten316*aEW*(2d0*MC**2d0 + rMZ**2d0)/(27d0*rMZ**2d0&
              ) + 64d0*pi*Nc*Ten431*aEW*(-2d0*MU**2d0 - rMZ**2d0)/(27d0*rMZ**  &
              2d0) + 64d0*pi*Nc*Ten432*aEW*(-2d0*MC**2d0 - rMZ**2d0)/(27d0*rMZ &
              **2d0) + 16d0*pi*Nc*Ten434*aEW*(-2d0*MD**2d0 - rMZ**2d0)/(27d0*  &
              rMZ**2d0) + 16d0*pi*Nc*Ten435*aEW*(-2d0*MS**2d0 - rMZ**2d0)/(27d0&
              *rMZ**2d0) + 16d0*pi*Nc*Ten436*aEW*(-2d0*MB**2d0 - rMZ**2d0)/(   &
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten548*aEW*(2d0*MD**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten549*aEW*(2d0*MS**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 64d0*pi*Nc*Ten550*aEW*(2d0*MU**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Ten428*aEW*(-2d0*ME**2d0 - rMZ**2d0)/(  &
              3d0*rMZ**2d0) + 16d0*pi*Ten429*aEW*(-2d0*MM**2d0 - rMZ**2d0)/(3d0&
              *rMZ**2d0) + 16d0*pi*Ten430*aEW*(-2d0*MTA**2d0 - rMZ**2d0)/(3d0* &
              rMZ**2d0) + 16d0*pi*Ten545*aEW*(2d0*ME**2d0 + rMZ**2d0)/(3d0*rMZ &
              **2d0) + 16d0*pi*Ten546*aEW*(2d0*MM**2d0 + rMZ**2d0)/(3d0*rMZ**  &
              2d0) + 16d0*pi*Ten547*aEW*(2d0*MTA**2d0 + rMZ**2d0)/(3d0*rMZ**2d0&
              ) + pi**2d0*(176d0*Nc*aEW/(81d0*pi) + 16d0*aEW/(3d0*pi)))/(16d0* &
              pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter9
end module ctparameter9
