!******************************************************************************!
!                                                                              !
!    ctparameter91.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter91.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter91
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter91()
  if (dZmuMinusR_QED2_scheme .eq. 1) then
    dZmuMinusR_QED2 = (2d0*Ten346*coupl(nGC_8)**2d0 + 8d0*Ten347*coupl(nGC_50  &
                      )**2d0 + 2d0*Ten349*coupl(nGC_8)**2d0 + 8d0*Ten351*coupl(&
                      nGC_50)**2d0 - 4d0*Ten354*cMM_reg**2d0*coupl(nGC_8)**2d0 &
                       + 4d0*Ten357*cMM_reg**2d0*coupl(nGC_8)**2d0 + pi**2d0*(-&
                      4d0*coupl(nGC_50)**2d0/pi**2d0 - coupl(nGC_8)**2d0/pi**  &
                      2d0))/(16d0*pi**2d0)
    dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter91
end module ctparameter91
