!******************************************************************************!
!                                                                              !
!    ctparameter99.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter99.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter99
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter99()
  if (dZsR_QED2_scheme .eq. 1) then
    dZsR_QED2 = (2d0*Ten246*coupl(nGC_5)**2d0 + 8d0*Ten247*coupl(nGC_49)**2d0  &
                 + 2d0*Ten250*coupl(nGC_5)**2d0 + 8d0*Ten251*coupl(nGC_49)**2d0&
                 - 4d0*Ten255*cMS_reg**2d0*coupl(nGC_5)**2d0 + 4d0*Ten259*     &
                cMS_reg**2d0*coupl(nGC_5)**2d0 + pi**2d0*(-4d0*coupl(nGC_49)** &
                2d0/pi**2d0 - coupl(nGC_5)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter99
end module ctparameter99
