!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_12909) = -coupl(nGC_4325)
    coupl(nGC_4231) = (4d0*Nc*coupl(nGC_5)*coupl(nGC_66)**2d0 + 4d0*Nc*coupl(  &
                      nGC_5)*coupl(nGC_69)**2d0 + 4d0*Nc*coupl(nGC_5)*coupl(   &
                      nGC_72)**2d0 + 4d0*Nc*coupl(nGC_5)*coupl(nGC_81)**2d0 +  &
                      4d0*Nc*coupl(nGC_5)*coupl(nGC_84)**2d0 + 4d0*Nc*coupl(   &
                      nGC_5)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(   &
                      nGC_66)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(nGC_69)**2d0 -  &
                      4d0*Nc*coupl(nGC_6)*coupl(nGC_72)**2d0 - 4d0*Nc*coupl(   &
                      nGC_6)*coupl(nGC_81)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(   &
                      nGC_84)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(nGC_90)**2d0 +  &
                      coupl(nGC_244)**2d0*coupl(nGC_8) - 6d0*coupl(nGC_29)*    &
                      coupl(nGC_7)*coupl(nGC_708) - 6d0*coupl(nGC_33)*coupl(   &
                      nGC_7)*coupl(nGC_772) + coupl(nGC_566)**2d0*coupl(nGC_8  &
                      ) + 4d0*coupl(nGC_75)**2d0*coupl(nGC_8) + 4d0*coupl(     &
                      nGC_78)**2d0*coupl(nGC_8) + 4d0*coupl(nGC_8)*coupl(nGC_87&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_6240) = coupl(nGC_23)*dZHMinus_QED2 + coupl(nGC_23)*dZWMinus_QED2&
                       + coupl(nGC_4603)
    coupl(nGC_6247) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_4607) + coupl(   &
                      nGC_54)*dZA_QED2/2d0 + coupl(nGC_54)*dZZ_QED2/2d0 + coupl&
                      (nGC_57)*dZZA_QED2/2d0
    coupl(nGC_6519) = coupl(nGC_6501) + coupl(nGC_6518)
    coupl(nGC_10102) = 2d0*coupl(nGC_10100)
    coupl(nGC_4439) = (-12d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_314)*coupl(nGC_5&
                      )*coupl(nGC_73) - 12d0*Nc*cima*coupl(nGC_1168)*coupl(    &
                      nGC_316)*coupl(nGC_5)*coupl(nGC_73) - 12d0*Nc*cima*coupl(&
                      nGC_254)*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_67) - 12d0&
                      *Nc*cima*coupl(nGC_254)*coupl(nGC_316)*coupl(nGC_5)*coupl&
                      (nGC_67) - 12d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)*coupl&
                      (nGC_558)*coupl(nGC_82) - 12d0*Nc*cima*coupl(nGC_316)*   &
                      coupl(nGC_5)*coupl(nGC_558)*coupl(nGC_82) - 12d0*Nc*cima*&
                      coupl(nGC_336)*coupl(nGC_400)*coupl(nGC_6)*coupl(nGC_92  &
                      ) - 12d0*Nc*cima*coupl(nGC_336)*coupl(nGC_462)*coupl(    &
                      nGC_6)*coupl(nGC_71) - 12d0*Nc*cima*coupl(nGC_336)*coupl(&
                      nGC_578)*coupl(nGC_6)*coupl(nGC_86) - 12d0*Nc*cima*coupl(&
                      nGC_338)*coupl(nGC_400)*coupl(nGC_6)*coupl(nGC_92) - 12d0&
                      *Nc*cima*coupl(nGC_338)*coupl(nGC_462)*coupl(nGC_6)*coupl&
                      (nGC_71) - 12d0*Nc*cima*coupl(nGC_338)*coupl(nGC_578)*   &
                      coupl(nGC_6)*coupl(nGC_86) + 12d0*cima*coupl(nGC_21)*    &
                      coupl(nGC_44) + 4d0*cima*coupl(nGC_244)*coupl(nGC_33)*   &
                      coupl(nGC_566)*coupl(nGC_772) + 9d0*cima*coupl(nGC_33)*  &
                      coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_772) + 9d0*cima*    &
                      coupl(nGC_33)*coupl(nGC_388)*coupl(nGC_772)*coupl(nGC_788&
                      ) + 4d0*cima*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_772)* &
                      coupl(nGC_8) - 12d0*cima*coupl(nGC_452)*coupl(nGC_734)*  &
                      coupl(nGC_8)*coupl(nGC_88) - 12d0*cima*coupl(nGC_452)*   &
                      coupl(nGC_736)*coupl(nGC_8)*coupl(nGC_88) - 12d0*cima*   &
                      coupl(nGC_494)*coupl(nGC_734)*coupl(nGC_79)*coupl(nGC_8  &
                      ) - 12d0*cima*coupl(nGC_494)*coupl(nGC_736)*coupl(nGC_79 &
                      )*coupl(nGC_8) - 12d0*cima*coupl(nGC_644)*coupl(nGC_734)*&
                      coupl(nGC_76)*coupl(nGC_8) - 12d0*cima*coupl(nGC_644)*   &
                      coupl(nGC_736)*coupl(nGC_76)*coupl(nGC_8) - 3d0*coupl(   &
                      nGC_11)*coupl(nGC_33)*coupl(nGC_388) - 3d0*coupl(nGC_11)*&
                      coupl(nGC_7)*coupl(nGC_772) - 3d0*coupl(nGC_13)*coupl(   &
                      nGC_33)*coupl(nGC_7) - 3d0*coupl(nGC_13)*coupl(nGC_388)* &
                      coupl(nGC_772) + 18d0*coupl(nGC_21)*coupl(nGC_38)*coupl( &
                      nGC_7) + 18d0*coupl(nGC_21)*coupl(nGC_388)*coupl(nGC_788 &
                      ) - 6d0*coupl(nGC_33)*coupl(nGC_44)*coupl(nGC_772) + 6d0*&
                      coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_772) - 6d0*coupl(  &
                      nGC_38)*coupl(nGC_39)*coupl(nGC_772) - 6d0*coupl(nGC_42)*&
                      coupl(nGC_772)*coupl(nGC_788))/(96d0*pi**2d0)
    coupl(nGC_4185) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*coupl(nGC_34)**2d0&
                       - coupl(nGC_38)**2d0 - coupl(nGC_388)**2d0 - coupl(nGC_7&
                      )**2d0 - coupl(nGC_788)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4232) = (12d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_5) - 12d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_6) + 12d0*coupl(nGC_34)**2d0*coupl&
                      (nGC_8) - 11d0*coupl(nGC_388)**2d0*coupl(nGC_7) - 11d0*  &
                      coupl(nGC_7)*coupl(nGC_788)**2d0)/(96d0*pi**2d0)
    coupl(nGC_7133) = coupl(nGC_6501) + coupl(nGC_7129)
    coupl(nGC_7132) = coupl(nGC_6501) + coupl(nGC_7127)
    coupl(nGC_6329) = coupl(nGC_4580) + coupl(nGC_6327)
    coupl(nGC_6328) = -coupl(nGC_4580) - coupl(nGC_6327)
    coupl(nGC_8651) = coupl(nGC_4559) + coupl(nGC_8647)
    coupl(nGC_8650) = -coupl(nGC_4559) - coupl(nGC_8647)
    coupl(nGC_4472) = (12d0*cima*coupl(nGC_23)*coupl(nGC_286) + 4d0*cima*coupl(&
                      nGC_244)**2d0*coupl(nGC_37)**2d0 + 4d0*cima*coupl(nGC_260&
                      )**2d0*coupl(nGC_37)**2d0 + 9d0*cima*coupl(nGC_31)*coupl(&
                      nGC_38)**2d0*coupl(nGC_808) + 18d0*coupl(nGC_23)*coupl(  &
                      nGC_38)**2d0 + 18d0*coupl(nGC_23)*coupl(nGC_788)**2d0 +  &
                      3d0*coupl(nGC_244)**2d0*coupl(nGC_28) - 6d0*coupl(nGC_26 &
                      )*coupl(nGC_31)*coupl(nGC_38) - 6d0*coupl(nGC_26)*coupl( &
                      nGC_38)*coupl(nGC_808) + 3d0*coupl(nGC_260)**2d0*coupl(  &
                      nGC_28) - 3d0*coupl(nGC_286)*coupl(nGC_31)*coupl(nGC_808 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4415) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_336)**2d0 + coupl(      &
                      nGC_400)*coupl(nGC_92) + 4d0*coupl(nGC_6)**2d0 + coupl(  &
                      nGC_90)**2d0 + coupl(nGC_91)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4414) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_338)**2d0 + 4d0*coupl(  &
                      nGC_34)**2d0 + coupl(nGC_400)*coupl(nGC_92) + 4d0*coupl( &
                      nGC_6)**2d0 + coupl(nGC_72)**2d0 + coupl(nGC_91)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4411) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_336)**2d0 + coupl(      &
                      nGC_578)*coupl(nGC_86) + 4d0*coupl(nGC_6)**2d0 + coupl(  &
                      nGC_84)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4410) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_338)**2d0 + 4d0*coupl(  &
                      nGC_34)**2d0 + coupl(nGC_578)*coupl(nGC_86) + 4d0*coupl( &
                      nGC_6)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_85)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4413) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_336)**2d0 - coupl(     &
                      nGC_400)*coupl(nGC_92) - 4d0*coupl(nGC_6)**2d0 - coupl(  &
                      nGC_90)**2d0 - coupl(nGC_91)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4412) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_338)**2d0 - 4d0*coupl( &
                      nGC_34)**2d0 - coupl(nGC_400)*coupl(nGC_92) - 4d0*coupl( &
                      nGC_6)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_91)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4305) = (coupl(nGC_290)*coupl(nGC_734)*coupl(nGC_77) + coupl(    &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_75) + coupl(nGC_51)*coupl&
                      (nGC_736)*coupl(nGC_77) - coupl(nGC_644)*coupl(nGC_76)** &
                      2d0 - coupl(nGC_644)*coupl(nGC_77)**2d0 + 8d0*coupl(     &
                      nGC_734)*coupl(nGC_736)*coupl(nGC_76) + 8d0*coupl(nGC_76 &
                      )*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4307) = (coupl(nGC_290)*coupl(nGC_734)*coupl(nGC_80) + coupl(    &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_78) - coupl(nGC_494)*    &
                      coupl(nGC_79)**2d0 - coupl(nGC_494)*coupl(nGC_80)**2d0 + &
                      coupl(nGC_51)*coupl(nGC_736)*coupl(nGC_80) + 8d0*coupl(  &
                      nGC_734)*coupl(nGC_736)*coupl(nGC_79) + 8d0*coupl(nGC_79 &
                      )*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7655) = -coupl(nGC_7654)
    coupl(nGC_4419) = (4d0*cima*coupl(nGC_244)**2d0*coupl(nGC_31)*coupl(nGC_808&
                      ) + 12d0*cima*coupl(nGC_25)*coupl(nGC_272) + 9d0*cima*   &
                      coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_7)**2d0 + 4d0*cima&
                      *coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_8)**2d0 + 9d0*   &
                      cima*coupl(nGC_31)*coupl(nGC_388)**2d0*coupl(nGC_808) +  &
                      3d0*coupl(nGC_10)*coupl(nGC_276)*coupl(nGC_32) + 3d0*    &
                      coupl(nGC_10)*coupl(nGC_31)*coupl(nGC_808) + 18d0*coupl( &
                      nGC_25)*coupl(nGC_388)**2d0 + 18d0*coupl(nGC_25)*coupl(  &
                      nGC_7)**2d0 - 3d0*coupl(nGC_272)*coupl(nGC_276)*coupl(   &
                      nGC_32) - 3d0*coupl(nGC_272)*coupl(nGC_31)*coupl(nGC_808 &
                      ) - 6d0*coupl(nGC_276)*coupl(nGC_41)*coupl(nGC_7) - 6d0* &
                      coupl(nGC_31)*coupl(nGC_388)*coupl(nGC_41) - 6d0*coupl(  &
                      nGC_32)*coupl(nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_388)* &
                      coupl(nGC_41)*coupl(nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4418) = (24d0*cima*coupl(nGC_23)*coupl(nGC_272) + 4d0*cima*coupl(&
                      nGC_244)**2d0*coupl(nGC_37)**2d0 + 8d0*cima*coupl(nGC_244&
                      )**2d0*coupl(nGC_8)**2d0 + 4d0*cima*coupl(nGC_260)**2d0* &
                      coupl(nGC_8)**2d0 + 9d0*cima*coupl(nGC_276)*coupl(nGC_32 &
                      )*coupl(nGC_388)**2d0 + 9d0*cima*coupl(nGC_31)*coupl(    &
                      nGC_7)**2d0*coupl(nGC_808) + 6d0*coupl(nGC_10)*coupl(    &
                      nGC_244)**2d0 + 6d0*coupl(nGC_10)*coupl(nGC_260)**2d0 +  &
                      36d0*coupl(nGC_23)*coupl(nGC_388)**2d0 + 36d0*coupl(     &
                      nGC_23)*coupl(nGC_7)**2d0 - 6d0*coupl(nGC_272)*coupl(    &
                      nGC_31)*coupl(nGC_808) - 6d0*coupl(nGC_276)*coupl(nGC_388&
                      )*coupl(nGC_41) - 6d0*coupl(nGC_31)*coupl(nGC_41)*coupl( &
                      nGC_7) - 6d0*coupl(nGC_32)*coupl(nGC_388)*coupl(nGC_41   &
                      ) - 6d0*coupl(nGC_41)*coupl(nGC_7)*coupl(nGC_808))/(192d0&
                      *pi**2d0)
    coupl(nGC_4303) = (-coupl(nGC_1168)*coupl(nGC_73)**2d0 - coupl(nGC_1168)*  &
                      coupl(nGC_74)**2d0 - coupl(nGC_290)*coupl(nGC_316)*coupl(&
                      nGC_74) + 8d0*coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_73 &
                      ) - coupl(nGC_314)*coupl(nGC_51)*coupl(nGC_74) - coupl(  &
                      nGC_34)*coupl(nGC_72)*coupl(nGC_772) - coupl(nGC_400)*   &
                      coupl(nGC_72)*coupl(nGC_90) + 8d0*coupl(nGC_5)**2d0*coupl&
                      (nGC_73))/(32d0*pi**2d0)
    coupl(nGC_4385) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_452)*coupl(nGC_734)*    &
                      coupl(nGC_88) + coupl(nGC_734)*coupl(nGC_89)**2d0 + 4d0* &
                      coupl(nGC_736)**3d0 + 4d0*coupl(nGC_736)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4384) = (coupl(nGC_452)*coupl(nGC_736)*coupl(nGC_88) + coupl(    &
                      nGC_53)*coupl(nGC_87)**2d0 + 4d0*coupl(nGC_734)**3d0 +   &
                      4d0*coupl(nGC_734)*coupl(nGC_8)**2d0 + coupl(nGC_736)*   &
                      coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4387) = (coupl(nGC_316)*coupl(nGC_90)**2d0 + 4d0*coupl(nGC_336)**&
                      3d0 + 4d0*coupl(nGC_336)*coupl(nGC_6)**2d0 + coupl(      &
                      nGC_338)*coupl(nGC_400)*coupl(nGC_92) + coupl(nGC_338)*  &
                      coupl(nGC_91)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4386) = (coupl(nGC_314)*coupl(nGC_72)**2d0 + 4d0*coupl(nGC_316)* &
                      coupl(nGC_34)**2d0 + coupl(nGC_336)*coupl(nGC_400)*coupl(&
                      nGC_92) + coupl(nGC_336)*coupl(nGC_91)**2d0 + 4d0*coupl( &
                      nGC_338)**3d0 + 4d0*coupl(nGC_338)*coupl(nGC_6)**2d0 +   &
                      4d0*coupl(nGC_34)**2d0*coupl(nGC_38))/(32d0*pi**2d0)
    coupl(nGC_4381) = (4d0*coupl(nGC_314)**3d0 + 4d0*coupl(nGC_314)*coupl(nGC_5&
                      )**2d0 + coupl(nGC_316)*coupl(nGC_558)*coupl(nGC_82) +   &
                      coupl(nGC_316)*coupl(nGC_83)**2d0 + coupl(nGC_338)*coupl(&
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4380) = (coupl(nGC_314)*coupl(nGC_558)*coupl(nGC_82) + coupl(    &
                      nGC_314)*coupl(nGC_83)**2d0 + 4d0*coupl(nGC_316)**3d0 +  &
                      4d0*coupl(nGC_316)*coupl(nGC_5)**2d0 + coupl(nGC_336)*   &
                      coupl(nGC_69)**2d0 + 4d0*coupl(nGC_338)*coupl(nGC_34)**  &
                      2d0 + 4d0*coupl(nGC_34)**2d0*coupl(nGC_788))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4383) = (coupl(nGC_316)*coupl(nGC_84)**2d0 + 4d0*coupl(nGC_336)**&
                      3d0 + 4d0*coupl(nGC_336)*coupl(nGC_6)**2d0 + coupl(      &
                      nGC_338)*coupl(nGC_578)*coupl(nGC_86) + coupl(nGC_338)*  &
                      coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4382) = (coupl(nGC_314)*coupl(nGC_66)**2d0 + 4d0*coupl(nGC_316)* &
                      coupl(nGC_34)**2d0 + coupl(nGC_336)*coupl(nGC_578)*coupl(&
                      nGC_86) + coupl(nGC_336)*coupl(nGC_85)**2d0 + 4d0*coupl( &
                      nGC_338)**3d0 + 4d0*coupl(nGC_338)*coupl(nGC_6)**2d0 +   &
                      4d0*coupl(nGC_34)**2d0*coupl(nGC_38))/(32d0*pi**2d0)
    coupl(nGC_12270) = -coupl(nGC_4231)
    coupl(nGC_4256) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_452)*  &
                      coupl(nGC_8)*coupl(nGC_88) + 4d0*coupl(nGC_736)**2d0*    &
                      coupl(nGC_8) + 4d0*coupl(nGC_8)**3d0 + coupl(nGC_8)*coupl&
                      (nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4254) = (4d0*coupl(nGC_336)**2d0*coupl(nGC_6) + coupl(nGC_5)*    &
                      coupl(nGC_84)**2d0 + coupl(nGC_578)*coupl(nGC_6)*coupl(  &
                      nGC_86) + 4d0*coupl(nGC_6)**3d0 + coupl(nGC_6)*coupl(    &
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7350) = -coupl(nGC_7348)/2d0 + coupl(nGC_7349)
    coupl(nGC_6443) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_28)*dZZA_QED2/2d0&
                       + coupl(nGC_43)*dZA_QED2/2d0 + coupl(nGC_43)*           &
                      dZHMinus_QED2 + coupl(nGC_43)*dZZ_QED2/2d0 + coupl(      &
                      nGC_4608)
    coupl(nGC_4183) = cima*(4d0*Nc*coupl(nGC_1168)*coupl(nGC_73) + 4d0*Nc*coupl&
                      (nGC_254)*coupl(nGC_67) + 4d0*Nc*coupl(nGC_400)*coupl(   &
                      nGC_92) + 4d0*Nc*coupl(nGC_462)*coupl(nGC_71) + 4d0*Nc*  &
                      coupl(nGC_558)*coupl(nGC_82) + 4d0*Nc*coupl(nGC_578)*    &
                      coupl(nGC_86) + coupl(nGC_290)*coupl(nGC_51) + 2d0*coupl(&
                      nGC_33)*coupl(nGC_772) + 4d0*coupl(nGC_452)*coupl(nGC_88 &
                      ) + 4d0*coupl(nGC_494)*coupl(nGC_79) + 4d0*coupl(nGC_644 &
                      )*coupl(nGC_76))/(96d0*pi**2d0)
    coupl(nGC_6610) = coupl(nGC_4566) + coupl(nGC_83)*dZH1_QED2/2d0
    coupl(nGC_8824) = -coupl(nGC_4572) - coupl(nGC_8823)
    coupl(nGC_6232) = coupl(nGC_11)*dZZA_QED2/2d0 + coupl(nGC_39)*dZA_QED2/2d0 &
                       + coupl(nGC_39)*dZWMinus_QED2/2d0 + coupl(nGC_4598)
    coupl(nGC_4363) = (coupl(nGC_314)*coupl(nGC_81)**2d0 + 4d0*coupl(nGC_316)* &
                      coupl(nGC_34)**2d0 + coupl(nGC_336)*coupl(nGC_462)*coupl(&
                      nGC_71) + coupl(nGC_336)*coupl(nGC_70)**2d0 + 4d0*coupl( &
                      nGC_338)**3d0 + 4d0*coupl(nGC_338)*coupl(nGC_6)**2d0 +   &
                      4d0*coupl(nGC_34)**2d0*coupl(nGC_38))/(32d0*pi**2d0)
    coupl(nGC_6361) = -coupl(nGC_6360)
    coupl(nGC_4353) = (coupl(nGC_290)*coupl(nGC_452)*coupl(nGC_734) + coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_87) - coupl(nGC_452)**2d0&
                      *coupl(nGC_89) + coupl(nGC_452)*coupl(nGC_51)*coupl(     &
                      nGC_736) + 8d0*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_89&
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_89) - coupl(nGC_89)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_6335) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_10)*dZHMinus_QED2 +   &
                      coupl(nGC_43)*dZZA_QED2 + coupl(nGC_4531)
    coupl(nGC_4368) = coupl(nGC_15)**2d0*coupl(nGC_316)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4402) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_316)**2d0 - 4d0*coupl( &
                      nGC_34)**2d0 - 4d0*coupl(nGC_5)**2d0 - coupl(nGC_558)*   &
                      coupl(nGC_82) - coupl(nGC_69)**2d0 - coupl(nGC_83)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_4400) = -coupl(nGC_15)*sq2*(-coupl(nGC_1168)*coupl(nGC_73) - 4d0*&
                      coupl(nGC_316)**2d0 - 4d0*coupl(nGC_34)**2d0 - 4d0*coupl(&
                      nGC_5)**2d0 - coupl(nGC_74)**2d0 - coupl(nGC_90)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4311) = (-coupl(nGC_290)*coupl(nGC_316)*coupl(nGC_83) + 8d0*coupl&
                      (nGC_314)*coupl(nGC_316)*coupl(nGC_82) - coupl(nGC_314)* &
                      coupl(nGC_51)*coupl(nGC_83) - coupl(nGC_34)*coupl(nGC_772&
                      )*coupl(nGC_81) - coupl(nGC_462)*coupl(nGC_69)*coupl(    &
                      nGC_81) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_82) - coupl(   &
                      nGC_558)*coupl(nGC_82)**2d0 - coupl(nGC_558)*coupl(nGC_83&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4422) = (18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 - 30d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6) +  &
                      18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 + 6d0* &
                      cima*coupl(nGC_22)*coupl(nGC_272) + 18d0*cima*coupl(     &
                      nGC_34)**2d0*coupl(nGC_8)**2d0 - 8d0*cima*coupl(nGC_38)**&
                      2d0*coupl(nGC_388)**2d0 - 16d0*cima*coupl(nGC_388)**2d0* &
                      coupl(nGC_7)**2d0 - 8d0*cima*coupl(nGC_7)**2d0*coupl(    &
                      nGC_788)**2d0 + 9d0*coupl(nGC_22)*coupl(nGC_388)**2d0 +  &
                      9d0*coupl(nGC_22)*coupl(nGC_7)**2d0 + 9d0*coupl(nGC_272)*&
                      coupl(nGC_388)**2d0 + 9d0*coupl(nGC_272)*coupl(nGC_788)**&
                      2d0 + 3d0*coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_518) +  &
                      6d0*coupl(nGC_388)*coupl(nGC_7)*coupl(nGC_9) + 3d0*coupl(&
                      nGC_518)*coupl(nGC_7)*coupl(nGC_788))/(48d0*pi**2d0)
    coupl(nGC_9282) = coupl(nGC_9274) + coupl(nGC_9281)
    coupl(nGC_4405) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_316)**2d0 + 4d0*coupl(  &
                      nGC_34)**2d0 + 4d0*coupl(nGC_5)**2d0 + coupl(nGC_558)*   &
                      coupl(nGC_82) + coupl(nGC_69)**2d0 + coupl(nGC_83)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_4408) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_338)**2d0 - 4d0*coupl( &
                      nGC_34)**2d0 - coupl(nGC_578)*coupl(nGC_86) - 4d0*coupl( &
                      nGC_6)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_85)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4409) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_336)**2d0 - coupl(     &
                      nGC_578)*coupl(nGC_86) - 4d0*coupl(nGC_6)**2d0 - coupl(  &
                      nGC_84)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_12897) = -coupl(nGC_4228)
    coupl(nGC_4315) = (-coupl(nGC_254)*coupl(nGC_66)*coupl(nGC_84) - coupl(    &
                      nGC_290)*coupl(nGC_338)*coupl(nGC_85) + 8d0*coupl(nGC_336&
                      )*coupl(nGC_338)*coupl(nGC_86) - coupl(nGC_336)*coupl(   &
                      nGC_51)*coupl(nGC_85) - coupl(nGC_34)*coupl(nGC_772)*    &
                      coupl(nGC_84) - coupl(nGC_578)*coupl(nGC_85)**2d0 - coupl&
                      (nGC_578)*coupl(nGC_86)**2d0 + 8d0*coupl(nGC_6)**2d0*    &
                      coupl(nGC_86))/(32d0*pi**2d0)
    coupl(nGC_4421) = (-12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6 &
                      ) - 12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 -  &
                      12d0*cima*coupl(nGC_34)**2d0*coupl(nGC_8)**2d0 - 8d0*cima&
                      *coupl(nGC_38)**2d0*coupl(nGC_388)**2d0 - 24d0*cima*coupl&
                      (nGC_388)**2d0*coupl(nGC_7)**2d0 + 12d0*cima*coupl(      &
                      nGC_518)**2d0 - 16d0*cima*coupl(nGC_7)**2d0*coupl(nGC_788&
                      )**2d0 + 12d0*cima*coupl(nGC_9)**2d0 + 3d0*coupl(nGC_22)*&
                      coupl(nGC_7)**2d0 + 6d0*coupl(nGC_272)*coupl(nGC_388)*   &
                      coupl(nGC_7) + 6d0*coupl(nGC_38)*coupl(nGC_388)*coupl(   &
                      nGC_44) + 3d0*coupl(nGC_388)**2d0*coupl(nGC_468) + 3d0*  &
                      coupl(nGC_388)**2d0*coupl(nGC_9) + 36d0*coupl(nGC_388)*  &
                      coupl(nGC_7)*coupl(nGC_9) + 36d0*coupl(nGC_518)*coupl(   &
                      nGC_7)*coupl(nGC_788) + 3d0*coupl(nGC_788)**2d0*coupl(   &
                      nGC_9))/(96d0*pi**2d0)
    coupl(nGC_4393) = -coupl(nGC_15)*sq2*(-coupl(nGC_254)*coupl(nGC_67) - 4d0* &
                      coupl(nGC_314)**2d0 - 4d0*coupl(nGC_5)**2d0 - coupl(     &
                      nGC_66)**2d0 - coupl(nGC_68)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4391) = -coupl(nGC_15)*sq2*(-coupl(nGC_254)*coupl(nGC_67) - 4d0* &
                      coupl(nGC_316)**2d0 - 4d0*coupl(nGC_34)**2d0 - 4d0*coupl(&
                      nGC_5)**2d0 - coupl(nGC_68)**2d0 - coupl(nGC_84)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4362) = coupl(nGC_34)*(-coupl(nGC_38)*coupl(nGC_736) + coupl(    &
                      nGC_53)*coupl(nGC_736) - coupl(nGC_53)*coupl(nGC_788) -  &
                      coupl(nGC_7)*coupl(nGC_8))/(8d0*pi**2d0)
    coupl(nGC_4358) = coupl(nGC_34)*(coupl(nGC_316)*coupl(nGC_338) + coupl(    &
                      nGC_316)*coupl(nGC_788) + coupl(nGC_338)*coupl(nGC_38) + &
                      coupl(nGC_388)*coupl(nGC_5) + coupl(nGC_5)*coupl(nGC_6   &
                      ) + coupl(nGC_6)*coupl(nGC_7))/(8d0*pi**2d0)
    coupl(nGC_6627) = coupl(nGC_6501) + coupl(nGC_6624)
    coupl(nGC_6628) = coupl(nGC_6501) + coupl(nGC_6626)
    coupl(nGC_4242) = (coupl(nGC_1168)*coupl(nGC_5)*coupl(nGC_73) + 4d0*coupl( &
                      nGC_316)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34)**2d0*coupl&
                      (nGC_388) + 4d0*coupl(nGC_34)**2d0*coupl(nGC_6) + 4d0*   &
                      coupl(nGC_5)**3d0 + coupl(nGC_5)*coupl(nGC_74)**2d0 +    &
                      coupl(nGC_6)*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4245) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_644)*  &
                      coupl(nGC_76)*coupl(nGC_8) + 4d0*coupl(nGC_736)**2d0*    &
                      coupl(nGC_8) + coupl(nGC_77)**2d0*coupl(nGC_8) + 4d0*    &
                      coupl(nGC_8)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4247) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_494)*  &
                      coupl(nGC_79)*coupl(nGC_8) + 4d0*coupl(nGC_736)**2d0*    &
                      coupl(nGC_8) + 4d0*coupl(nGC_8)**3d0 + coupl(nGC_8)*coupl&
                      (nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4423) = (-12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6 &
                      ) - 12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 -  &
                      12d0*cima*coupl(nGC_34)**2d0*coupl(nGC_8)**2d0 - 16d0*   &
                      cima*coupl(nGC_38)**2d0*coupl(nGC_388)**2d0 - 24d0*cima* &
                      coupl(nGC_388)**2d0*coupl(nGC_7)**2d0 + 12d0*cima*coupl( &
                      nGC_518)**2d0 - 8d0*cima*coupl(nGC_7)**2d0*coupl(nGC_788 &
                      )**2d0 + 12d0*cima*coupl(nGC_9)**2d0 + 3d0*coupl(nGC_22)*&
                      coupl(nGC_388)**2d0 + 6d0*coupl(nGC_272)*coupl(nGC_388)* &
                      coupl(nGC_7) + 36d0*coupl(nGC_38)*coupl(nGC_388)*coupl(  &
                      nGC_518) + 3d0*coupl(nGC_388)**2d0*coupl(nGC_9) + 36d0*  &
                      coupl(nGC_388)*coupl(nGC_7)*coupl(nGC_9) + 6d0*coupl(    &
                      nGC_44)*coupl(nGC_7)*coupl(nGC_788) + 3d0*coupl(nGC_468)*&
                      coupl(nGC_7)**2d0 + 3d0*coupl(nGC_788)**2d0*coupl(nGC_9  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_6475) = coupl(nGC_44)*dZA_QED2/2d0 + coupl(nGC_44)*dZWMinus_QED2 &
                       + coupl(nGC_44)*dZZ_QED2/2d0 + coupl(nGC_4616)
    coupl(nGC_6477) = -2d0*coupl(nGC_6474) + coupl(nGC_6475)
    coupl(nGC_6476) = coupl(nGC_6474) - coupl(nGC_6475)/2d0
    coupl(nGC_4398) = -coupl(nGC_15)*sq2*(coupl(nGC_1168)*coupl(nGC_73) + 4d0* &
                      coupl(nGC_316)**2d0 + 4d0*coupl(nGC_34)**2d0 + 4d0*coupl(&
                      nGC_5)**2d0 + coupl(nGC_74)**2d0 + coupl(nGC_90)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4390) = -coupl(nGC_15)*sq2*(coupl(nGC_254)*coupl(nGC_67) + 4d0*  &
                      coupl(nGC_314)**2d0 + 4d0*coupl(nGC_5)**2d0 + coupl(     &
                      nGC_66)**2d0 + coupl(nGC_68)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7197) = coupl(nGC_7192) + coupl(nGC_7196)
    coupl(nGC_6349) = coupl(nGC_6336) + coupl(nGC_6346) + coupl(nGC_6347)
    coupl(nGC_7112) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZdL_QED2&
                      /2d0 + coupl(nGC_34)*dZuL_QED2/2d0 + coupl(nGC_4625)
    coupl(nGC_4495) = (3d0*Nc*cima*coupl(nGC_314)**4d0 + 3d0*Nc*cima*coupl(    &
                      nGC_316)**4d0 + 3d0*Nc*cima*coupl(nGC_336)**4d0 + 3d0*Nc*&
                      cima*coupl(nGC_338)**4d0 + 3d0*cima*coupl(nGC_286)**2d0  &
                       - 10d0*cima*coupl(nGC_38)**4d0 + 3d0*cima*coupl(nGC_53  &
                      )**4d0 + 3d0*cima*coupl(nGC_734)**4d0 + 3d0*cima*coupl(  &
                      nGC_736)**4d0 - 10d0*cima*coupl(nGC_788)**4d0 + 3d0*coupl&
                      (nGC_27)*coupl(nGC_38)**2d0 + 3d0*coupl(nGC_27)*coupl(   &
                      nGC_788)**2d0 + 9d0*coupl(nGC_286)*coupl(nGC_38)**2d0 +  &
                      9d0*coupl(nGC_286)*coupl(nGC_788)**2d0)/(24d0*pi**2d0)
    coupl(nGC_4463) = (20d0*Nc*cima*coupl(nGC_1168)**2d0*coupl(nGC_74)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_73)*coupl(nGC_74  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_254)**2d0*coupl(nGC_68)**&
                      2d0 + 80d0*Nc*cima*coupl(nGC_254)*coupl(nGC_67)*coupl(   &
                      nGC_68)**2d0 + 20d0*Nc*cima*coupl(nGC_400)**2d0*coupl(   &
                      nGC_91)**2d0 + 80d0*Nc*cima*coupl(nGC_400)*coupl(nGC_91  &
                      )**2d0*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_462)**2d0* &
                      coupl(nGC_70)**2d0 + 80d0*Nc*cima*coupl(nGC_462)*coupl(  &
                      nGC_70)**2d0*coupl(nGC_71) + 20d0*Nc*cima*coupl(nGC_558  &
                      )**2d0*coupl(nGC_83)**2d0 + 80d0*Nc*cima*coupl(nGC_558)* &
                      coupl(nGC_82)*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(   &
                      nGC_578)**2d0*coupl(nGC_85)**2d0 + 80d0*Nc*cima*coupl(   &
                      nGC_578)*coupl(nGC_85)**2d0*coupl(nGC_86) + 20d0*Nc*cima*&
                      coupl(nGC_67)**2d0*coupl(nGC_68)**2d0 + 20d0*Nc*cima*    &
                      coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 20d0*Nc*cima*    &
                      coupl(nGC_73)**2d0*coupl(nGC_74)**2d0 + 20d0*Nc*cima*    &
                      coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 + 20d0*Nc*cima*    &
                      coupl(nGC_85)**2d0*coupl(nGC_86)**2d0 + 20d0*Nc*cima*    &
                      coupl(nGC_91)**2d0*coupl(nGC_92)**2d0 + 12d0*cima*coupl( &
                      nGC_21)**2d0 - 5d0*cima*coupl(nGC_29)**2d0*coupl(nGC_33  &
                      )**2d0 - 20d0*cima*coupl(nGC_29)*coupl(nGC_33)*coupl(    &
                      nGC_708)*coupl(nGC_772) - 10d0*cima*coupl(nGC_290)**2d0* &
                      coupl(nGC_51)**2d0 - 5d0*cima*coupl(nGC_30)**2d0*coupl(  &
                      nGC_33)**2d0 - 20d0*cima*coupl(nGC_30)*coupl(nGC_33)*    &
                      coupl(nGC_772)*coupl(nGC_866) + 20d0*cima*coupl(nGC_452  &
                      )**2d0*coupl(nGC_89)**2d0 + 80d0*cima*coupl(nGC_452)*    &
                      coupl(nGC_88)*coupl(nGC_89)**2d0 + 20d0*cima*coupl(      &
                      nGC_494)**2d0*coupl(nGC_80)**2d0 + 80d0*cima*coupl(      &
                      nGC_494)*coupl(nGC_79)*coupl(nGC_80)**2d0 + 6d0*cima*    &
                      coupl(nGC_58)**2d0 + 20d0*cima*coupl(nGC_644)**2d0*coupl(&
                      nGC_77)**2d0 + 80d0*cima*coupl(nGC_644)*coupl(nGC_76)*   &
                      coupl(nGC_77)**2d0 - 5d0*cima*coupl(nGC_708)**2d0*coupl( &
                      nGC_772)**2d0 + 20d0*cima*coupl(nGC_76)**2d0*coupl(nGC_77&
                      )**2d0 - 5d0*cima*coupl(nGC_772)**2d0*coupl(nGC_866)**2d0&
                       + 20d0*cima*coupl(nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0&
                      *cima*coupl(nGC_88)**2d0*coupl(nGC_89)**2d0 + 3d0*coupl( &
                      nGC_17)*coupl(nGC_29)*coupl(nGC_708) + 6d0*coupl(nGC_17)*&
                      coupl(nGC_290)**2d0 + 3d0*coupl(nGC_17)*coupl(nGC_30)*   &
                      coupl(nGC_866) + 6d0*coupl(nGC_17)*coupl(nGC_33)*coupl(  &
                      nGC_772) + 6d0*coupl(nGC_17)*coupl(nGC_51)**2d0 + 6d0*   &
                      coupl(nGC_19)*coupl(nGC_290)*coupl(nGC_51) - 3d0*coupl(  &
                      nGC_21)*coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_21)*&
                      coupl(nGC_30)*coupl(nGC_866) - 6d0*coupl(nGC_21)*coupl(  &
                      nGC_33)*coupl(nGC_772) - 6d0*coupl(nGC_290)*coupl(nGC_51 &
                      )*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4491) = (-30d0*Nc*cima*coupl(nGC_34)**4d0 - 30d0*cima*coupl(     &
                      nGC_34)**4d0 - 4d0*cima*coupl(nGC_38)**4d0 - 8d0*cima*   &
                      coupl(nGC_38)**2d0*coupl(nGC_7)**2d0 - 16d0*cima*coupl(  &
                      nGC_38)**2d0*coupl(nGC_788)**2d0 - 32d0*cima*coupl(nGC_38&
                      )*coupl(nGC_388)*coupl(nGC_7)*coupl(nGC_788) - 4d0*cima* &
                      coupl(nGC_388)**4d0 - 16d0*cima*coupl(nGC_388)**2d0*coupl&
                      (nGC_7)**2d0 - 8d0*cima*coupl(nGC_388)**2d0*coupl(nGC_788&
                      )**2d0 + 3d0*cima*coupl(nGC_468)**2d0 - 4d0*cima*coupl(  &
                      nGC_7)**4d0 - 4d0*cima*coupl(nGC_788)**4d0 + 3d0*coupl(  &
                      nGC_27)*coupl(nGC_38)**2d0 + 3d0*coupl(nGC_27)*coupl(    &
                      nGC_788)**2d0 + 3d0*coupl(nGC_38)**2d0*coupl(nGC_468) +  &
                      18d0*coupl(nGC_38)*coupl(nGC_468)*coupl(nGC_788) + 6d0*  &
                      coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_7) + 3d0*coupl(   &
                      nGC_388)**2d0*coupl(nGC_468) + 3d0*coupl(nGC_388)**2d0*  &
                      coupl(nGC_9) + 18d0*coupl(nGC_388)*coupl(nGC_468)*coupl( &
                      nGC_7) + 6d0*coupl(nGC_388)*coupl(nGC_518)*coupl(nGC_788 &
                      ) + 3d0*coupl(nGC_468)*coupl(nGC_7)**2d0 + 3d0*coupl(    &
                      nGC_468)*coupl(nGC_788)**2d0 + 3d0*coupl(nGC_7)**2d0*    &
                      coupl(nGC_9))/(48d0*pi**2d0)
    coupl(nGC_4492) = (36d0*Nc*cima*coupl(nGC_34)**4d0 + 12d0*cima*coupl(nGC_22&
                      )**2d0 + 6d0*cima*coupl(nGC_272)**2d0 + 6d0*cima*coupl(  &
                      nGC_286)**2d0 + 36d0*cima*coupl(nGC_34)**4d0 - 16d0*cima*&
                      coupl(nGC_38)**4d0 - 32d0*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_7)**2d0 - 24d0*cima*coupl(nGC_38)**2d0*coupl(nGC_788 &
                      )**2d0 - 48d0*cima*coupl(nGC_38)*coupl(nGC_388)*coupl(   &
                      nGC_7)*coupl(nGC_788) - 16d0*cima*coupl(nGC_388)**4d0 -  &
                      24d0*cima*coupl(nGC_388)**2d0*coupl(nGC_7)**2d0 - 32d0*  &
                      cima*coupl(nGC_388)**2d0*coupl(nGC_788)**2d0 + 12d0*cima*&
                      coupl(nGC_44)**2d0 - 16d0*cima*coupl(nGC_7)**4d0 - 16d0* &
                      cima*coupl(nGC_788)**4d0 + 21d0*coupl(nGC_22)*coupl(     &
                      nGC_38)**2d0 + 6d0*coupl(nGC_22)*coupl(nGC_38)*coupl(    &
                      nGC_788) + 21d0*coupl(nGC_22)*coupl(nGC_388)**2d0 + 6d0* &
                      coupl(nGC_22)*coupl(nGC_388)*coupl(nGC_7) + 21d0*coupl(  &
                      nGC_22)*coupl(nGC_7)**2d0 + 21d0*coupl(nGC_22)*coupl(    &
                      nGC_788)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_38)**2d0 +   &
                      3d0*coupl(nGC_27)*coupl(nGC_788)**2d0 + 18d0*coupl(      &
                      nGC_272)*coupl(nGC_388)**2d0 + 18d0*coupl(nGC_272)*coupl(&
                      nGC_7)**2d0 + 18d0*coupl(nGC_286)*coupl(nGC_38)**2d0 +   &
                      18d0*coupl(nGC_286)*coupl(nGC_788)**2d0 + 36d0*coupl(    &
                      nGC_38)*coupl(nGC_44)*coupl(nGC_7) + 6d0*coupl(nGC_38)*  &
                      coupl(nGC_518)*coupl(nGC_7) + 3d0*coupl(nGC_388)**2d0*   &
                      coupl(nGC_9) + 36d0*coupl(nGC_388)*coupl(nGC_44)*coupl(  &
                      nGC_788) + 6d0*coupl(nGC_388)*coupl(nGC_518)*coupl(      &
                      nGC_788) + 3d0*coupl(nGC_7)**2d0*coupl(nGC_9))/(96d0*pi**&
                      2d0)
    coupl(nGC_4274) = (-coupl(nGC_244)*coupl(nGC_5)*coupl(nGC_90) + 8d0*coupl( &
                      nGC_316)*coupl(nGC_336)*coupl(nGC_90) - coupl(nGC_316)*  &
                      coupl(nGC_566)*coupl(nGC_90) - coupl(nGC_33)*coupl(nGC_34&
                      )*coupl(nGC_92) - coupl(nGC_336)*coupl(nGC_52)*coupl(    &
                      nGC_90) - coupl(nGC_34)*coupl(nGC_866)*coupl(nGC_91) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_90) - coupl(nGC_6&
                      )*coupl(nGC_8)*coupl(nGC_90) - coupl(nGC_72)*coupl(nGC_73&
                      )*coupl(nGC_92) - coupl(nGC_72)*coupl(nGC_74)*coupl(     &
                      nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4277) = (-coupl(nGC_244)*coupl(nGC_78)*coupl(nGC_8) - coupl(     &
                      nGC_29)*coupl(nGC_34)*coupl(nGC_80) - coupl(nGC_34)*coupl&
                      (nGC_494)*coupl(nGC_772) - coupl(nGC_52)*coupl(nGC_53)*  &
                      coupl(nGC_78) + 8d0*coupl(nGC_53)*coupl(nGC_734)*coupl(  &
                      nGC_78) - coupl(nGC_566)*coupl(nGC_734)*coupl(nGC_78))/( &
                      32d0*pi**2d0)
    coupl(nGC_4276) = (-coupl(nGC_244)*coupl(nGC_75)*coupl(nGC_8) - coupl(     &
                      nGC_29)*coupl(nGC_34)*coupl(nGC_77) - coupl(nGC_34)*coupl&
                      (nGC_644)*coupl(nGC_772) - coupl(nGC_52)*coupl(nGC_53)*  &
                      coupl(nGC_75) + 8d0*coupl(nGC_53)*coupl(nGC_734)*coupl(  &
                      nGC_75) - coupl(nGC_566)*coupl(nGC_734)*coupl(nGC_75))/( &
                      32d0*pi**2d0)
    coupl(nGC_7959) = coupl(nGC_4562) + coupl(nGC_7952)
    coupl(nGC_7958) = -coupl(nGC_4562) - coupl(nGC_7952)
    coupl(nGC_4272) = (-coupl(nGC_1168)*coupl(nGC_34)*coupl(nGC_772) - coupl(  &
                      nGC_1168)*coupl(nGC_400)*coupl(nGC_90) - coupl(nGC_244)* &
                      coupl(nGC_5)*coupl(nGC_72) - coupl(nGC_29)*coupl(nGC_34)*&
                      coupl(nGC_74) + 8d0*coupl(nGC_314)*coupl(nGC_338)*coupl( &
                      nGC_72) - coupl(nGC_314)*coupl(nGC_566)*coupl(nGC_72) -  &
                      coupl(nGC_338)*coupl(nGC_52)*coupl(nGC_72) + 8d0*coupl(  &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_72) - coupl(nGC_6)*coupl(  &
                      nGC_72)*coupl(nGC_8) - coupl(nGC_74)*coupl(nGC_90)*coupl(&
                      nGC_91))/(32d0*pi**2d0)
    coupl(nGC_7351) = coupl(nGC_7348) - 2d0*coupl(nGC_7349)
    coupl(nGC_7956) = -coupl(nGC_4561) - coupl(nGC_7953)
    coupl(nGC_4279) = (4d0*Nc*coupl(nGC_1168)*coupl(nGC_34)*coupl(nGC_72) + 4d0&
                      *Nc*coupl(nGC_254)*coupl(nGC_34)*coupl(nGC_66) + 4d0*Nc* &
                      coupl(nGC_34)*coupl(nGC_558)*coupl(nGC_81) - 4d0*Nc*coupl&
                      (nGC_34)*coupl(nGC_69)*coupl(nGC_71) - 4d0*Nc*coupl(     &
                      nGC_34)*coupl(nGC_84)*coupl(nGC_86) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_90)*coupl(nGC_92) - 6d0*coupl(nGC_244)*coupl(&
                      nGC_388)*coupl(nGC_772) - 6d0*coupl(nGC_290)*coupl(nGC_30&
                      )*coupl(nGC_38) + coupl(nGC_30)*coupl(nGC_51)*coupl(     &
                      nGC_52) + coupl(nGC_33)**3d0 + coupl(nGC_33)*coupl(      &
                      nGC_708)**2d0 + 4d0*coupl(nGC_34)*coupl(nGC_452)*coupl(  &
                      nGC_87) + 4d0*coupl(nGC_34)*coupl(nGC_494)*coupl(nGC_78  &
                      ) + 4d0*coupl(nGC_34)*coupl(nGC_644)*coupl(nGC_75) - 6d0*&
                      coupl(nGC_566)*coupl(nGC_772)*coupl(nGC_788))/(96d0*pi** &
                      2d0)
    coupl(nGC_4278) = (coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_452) + coupl(     &
                      nGC_34)*coupl(nGC_866)*coupl(nGC_89) + coupl(nGC_52)*    &
                      coupl(nGC_734)*coupl(nGC_87) + coupl(nGC_53)*coupl(      &
                      nGC_566)*coupl(nGC_87) + 8d0*coupl(nGC_53)*coupl(nGC_734 &
                      )*coupl(nGC_87) + coupl(nGC_8)**2d0*coupl(nGC_87))/(32d0*&
                      pi**2d0)
    coupl(nGC_11851) = -coupl(nGC_4232)
    coupl(nGC_6949) = coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_4532) + coupl(   &
                      nGC_8)*dZA_QED2/2d0
    coupl(nGC_4476) = (-32d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_314)**2d0*coupl(&
                      nGC_73) + 40d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_314)*   &
                      coupl(nGC_316)*coupl(nGC_73) - 32d0*Nc*cima*coupl(       &
                      nGC_1168)*coupl(nGC_316)**2d0*coupl(nGC_73) - 32d0*Nc*   &
                      cima*coupl(nGC_254)*coupl(nGC_314)**2d0*coupl(nGC_67) +  &
                      40d0*Nc*cima*coupl(nGC_254)*coupl(nGC_314)*coupl(nGC_316 &
                      )*coupl(nGC_67) - 32d0*Nc*cima*coupl(nGC_254)*coupl(     &
                      nGC_316)**2d0*coupl(nGC_67) - 32d0*Nc*cima*coupl(nGC_314 &
                      )**2d0*coupl(nGC_558)*coupl(nGC_82) + 40d0*Nc*cima*coupl(&
                      nGC_314)*coupl(nGC_316)*coupl(nGC_558)*coupl(nGC_82) -   &
                      32d0*Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_558)*coupl(   &
                      nGC_82) - 32d0*Nc*cima*coupl(nGC_336)**2d0*coupl(nGC_400 &
                      )*coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_336)**2d0*coupl(&
                      nGC_462)*coupl(nGC_71) - 32d0*Nc*cima*coupl(nGC_336)**2d0&
                      *coupl(nGC_578)*coupl(nGC_86) + 40d0*Nc*cima*coupl(      &
                      nGC_336)*coupl(nGC_338)*coupl(nGC_400)*coupl(nGC_92) +   &
                      40d0*Nc*cima*coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_462 &
                      )*coupl(nGC_71) + 40d0*Nc*cima*coupl(nGC_336)*coupl(     &
                      nGC_338)*coupl(nGC_578)*coupl(nGC_86) - 32d0*Nc*cima*    &
                      coupl(nGC_338)**2d0*coupl(nGC_400)*coupl(nGC_92) - 32d0* &
                      Nc*cima*coupl(nGC_338)**2d0*coupl(nGC_462)*coupl(nGC_71  &
                      ) - 32d0*Nc*cima*coupl(nGC_338)**2d0*coupl(nGC_578)*coupl&
                      (nGC_86) + 12d0*cima*coupl(nGC_21)*coupl(nGC_286) + 4d0* &
                      cima*coupl(nGC_290)**2d0*coupl(nGC_51)**2d0 + 9d0*cima*  &
                      coupl(nGC_33)*coupl(nGC_38)**2d0*coupl(nGC_772) + 4d0*   &
                      cima*coupl(nGC_33)*coupl(nGC_52)**2d0*coupl(nGC_772) +   &
                      4d0*cima*coupl(nGC_33)*coupl(nGC_566)**2d0*coupl(nGC_772 &
                      ) + 9d0*cima*coupl(nGC_33)*coupl(nGC_772)*coupl(nGC_788  &
                      )**2d0 - 32d0*cima*coupl(nGC_452)*coupl(nGC_734)**2d0*   &
                      coupl(nGC_88) + 40d0*cima*coupl(nGC_452)*coupl(nGC_734)* &
                      coupl(nGC_736)*coupl(nGC_88) - 32d0*cima*coupl(nGC_452)* &
                      coupl(nGC_736)**2d0*coupl(nGC_88) - 32d0*cima*coupl(     &
                      nGC_494)*coupl(nGC_734)**2d0*coupl(nGC_79) + 40d0*cima*  &
                      coupl(nGC_494)*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_79&
                      ) - 32d0*cima*coupl(nGC_494)*coupl(nGC_736)**2d0*coupl(  &
                      nGC_79) - 32d0*cima*coupl(nGC_644)*coupl(nGC_734)**2d0*  &
                      coupl(nGC_76) + 40d0*cima*coupl(nGC_644)*coupl(nGC_734)* &
                      coupl(nGC_736)*coupl(nGC_76) - 32d0*cima*coupl(nGC_644)* &
                      coupl(nGC_736)**2d0*coupl(nGC_76) - 6d0*coupl(nGC_11)*   &
                      coupl(nGC_33)*coupl(nGC_788) - 6d0*coupl(nGC_11)*coupl(  &
                      nGC_38)*coupl(nGC_772) - 6d0*coupl(nGC_13)*coupl(nGC_33)*&
                      coupl(nGC_38) - 6d0*coupl(nGC_13)*coupl(nGC_772)*coupl(  &
                      nGC_788) + 18d0*coupl(nGC_21)*coupl(nGC_38)**2d0 + 18d0* &
                      coupl(nGC_21)*coupl(nGC_788)**2d0 - 6d0*coupl(nGC_286)*  &
                      coupl(nGC_33)*coupl(nGC_772) + 3d0*coupl(nGC_290)*coupl( &
                      nGC_51)*coupl(nGC_58) + 6d0*coupl(nGC_33)*coupl(nGC_57)* &
                      coupl(nGC_772))/(96d0*pi**2d0)
    coupl(nGC_4475) = (9d0*cima*coupl(nGC_244)*coupl(nGC_276)*coupl(nGC_38)*   &
                      coupl(nGC_388) + 24d0*cima*coupl(nGC_26)*coupl(nGC_27) + &
                      9d0*cima*coupl(nGC_260)*coupl(nGC_276)*coupl(nGC_38)*    &
                      coupl(nGC_788) + 4d0*cima*coupl(nGC_31)**2d0*coupl(nGC_32&
                      )*coupl(nGC_37) + 24d0*cima*coupl(nGC_41)*coupl(nGC_518  &
                      ) - 6d0*coupl(nGC_23)*coupl(nGC_276)*coupl(nGC_38) - 6d0*&
                      coupl(nGC_24)*coupl(nGC_788)*coupl(nGC_808) - 6d0*coupl( &
                      nGC_244)*coupl(nGC_26)*coupl(nGC_388) - 6d0*coupl(nGC_244&
                      )*coupl(nGC_276)*coupl(nGC_518) - 6d0*coupl(nGC_25)*coupl&
                      (nGC_276)*coupl(nGC_788) - 6d0*coupl(nGC_26)*coupl(      &
                      nGC_260)*coupl(nGC_788) + 6d0*coupl(nGC_26)*coupl(nGC_31 &
                      )*coupl(nGC_32) + 36d0*coupl(nGC_26)*coupl(nGC_38)*coupl(&
                      nGC_788) - 6d0*coupl(nGC_260)*coupl(nGC_27)*coupl(nGC_276&
                      ) - 6d0*coupl(nGC_276)*coupl(nGC_28)*coupl(nGC_788) - 6d0&
                      *coupl(nGC_276)*coupl(nGC_388)*coupl(nGC_43) + 36d0*coupl&
                      (nGC_41)*coupl(nGC_7)*coupl(nGC_788))/(192d0*pi**2d0)
    coupl(nGC_4474) = (6d0*cima*coupl(nGC_24)*coupl(nGC_468) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_276)*coupl(nGC_31)*coupl(nGC_8) + 4d0*&
                      cima*coupl(nGC_260)*coupl(nGC_276)*coupl(nGC_31)*coupl(  &
                      nGC_37) + 9d0*cima*coupl(nGC_276)*coupl(nGC_31)*coupl(   &
                      nGC_38)*coupl(nGC_788) + 9d0*cima*coupl(nGC_276)*coupl(  &
                      nGC_31)*coupl(nGC_388)*coupl(nGC_7) - 6d0*coupl(nGC_24)* &
                      coupl(nGC_244)*coupl(nGC_388) + 3d0*coupl(nGC_24)*coupl( &
                      nGC_244)*coupl(nGC_8) + 3d0*coupl(nGC_24)*coupl(nGC_260)*&
                      coupl(nGC_37) - 6d0*coupl(nGC_24)*coupl(nGC_260)*coupl(  &
                      nGC_788) - 6d0*coupl(nGC_24)*coupl(nGC_37)*coupl(nGC_38  &
                      ) + 18d0*coupl(nGC_24)*coupl(nGC_38)*coupl(nGC_788) +    &
                      18d0*coupl(nGC_24)*coupl(nGC_388)*coupl(nGC_7) - 6d0*    &
                      coupl(nGC_24)*coupl(nGC_7)*coupl(nGC_8) - 6d0*coupl(     &
                      nGC_26)*coupl(nGC_276)*coupl(nGC_38) - 6d0*coupl(nGC_26)*&
                      coupl(nGC_31)*coupl(nGC_788) - 3d0*coupl(nGC_276)*coupl( &
                      nGC_31)*coupl(nGC_468) - 6d0*coupl(nGC_276)*coupl(nGC_41 &
                      )*coupl(nGC_7) - 6d0*coupl(nGC_31)*coupl(nGC_388)*coupl( &
                      nGC_41))/(96d0*pi**2d0)
    coupl(nGC_4473) = (24d0*cima*coupl(nGC_26)*coupl(nGC_27) + 4d0*cima*coupl( &
                      nGC_260)*coupl(nGC_31)*coupl(nGC_32)**2d0 + 9d0*cima*    &
                      coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_788)*coupl(nGC_808 &
                      ) + 24d0*cima*coupl(nGC_41)*coupl(nGC_518) + 9d0*cima*   &
                      coupl(nGC_7)*coupl(nGC_788)*coupl(nGC_8)*coupl(nGC_808   &
                      ) - 6d0*coupl(nGC_23)*coupl(nGC_788)*coupl(nGC_808) - 6d0&
                      *coupl(nGC_24)*coupl(nGC_276)*coupl(nGC_38) - 6d0*coupl( &
                      nGC_25)*coupl(nGC_38)*coupl(nGC_808) + 6d0*coupl(nGC_26)*&
                      coupl(nGC_31)*coupl(nGC_32) - 6d0*coupl(nGC_26)*coupl(   &
                      nGC_37)*coupl(nGC_38) + 36d0*coupl(nGC_26)*coupl(nGC_38)*&
                      coupl(nGC_788) - 6d0*coupl(nGC_26)*coupl(nGC_7)*coupl(   &
                      nGC_8) - 6d0*coupl(nGC_27)*coupl(nGC_37)*coupl(nGC_808   &
                      ) - 6d0*coupl(nGC_28)*coupl(nGC_38)*coupl(nGC_808) + 36d0&
                      *coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_41) - 6d0*coupl( &
                      nGC_43)*coupl(nGC_7)*coupl(nGC_808) - 6d0*coupl(nGC_518)*&
                      coupl(nGC_8)*coupl(nGC_808))/(192d0*pi**2d0)
    coupl(nGC_6618) = -coupl(nGC_6617)
    coupl(nGC_4471) = (12d0*cima*coupl(nGC_10)*coupl(nGC_272) + 24d0*cima*coupl&
                      (nGC_22)*coupl(nGC_23) + 4d0*cima*coupl(nGC_244)**2d0*   &
                      coupl(nGC_31)*coupl(nGC_808) + 4d0*cima*coupl(nGC_260)** &
                      2d0*coupl(nGC_31)*coupl(nGC_808) + 4d0*cima*coupl(nGC_276&
                      )**2d0*coupl(nGC_32)**2d0 + 4d0*cima*coupl(nGC_276)*coupl&
                      (nGC_31)*coupl(nGC_32)*coupl(nGC_808) + 12d0*cima*coupl( &
                      nGC_28)*coupl(nGC_286) + 9d0*cima*coupl(nGC_31)*coupl(   &
                      nGC_388)**2d0*coupl(nGC_808) + 9d0*cima*coupl(nGC_31)*   &
                      coupl(nGC_788)**2d0*coupl(nGC_808) + 9d0*cima*coupl(     &
                      nGC_37)**2d0*coupl(nGC_38)**2d0 + 9d0*cima*coupl(nGC_37  &
                      )**2d0*coupl(nGC_788)**2d0 + 18d0*cima*coupl(nGC_37)*    &
                      coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_8) + 18d0*cima*coupl&
                      (nGC_37)*coupl(nGC_388)*coupl(nGC_788)*coupl(nGC_8) + 9d0&
                      *cima*coupl(nGC_388)**2d0*coupl(nGC_8)**2d0 + 24d0*cima* &
                      coupl(nGC_43)*coupl(nGC_44) + 9d0*cima*coupl(nGC_7)**2d0*&
                      coupl(nGC_8)**2d0 + 36d0*coupl(nGC_10)*coupl(nGC_7)**2d0 &
                       - 6d0*coupl(nGC_22)*coupl(nGC_31)*coupl(nGC_808) + 6d0* &
                      coupl(nGC_23)*coupl(nGC_244)**2d0 + 6d0*coupl(nGC_23)*   &
                      coupl(nGC_260)**2d0 - 12d0*coupl(nGC_23)*coupl(nGC_37)*  &
                      coupl(nGC_38) - 12d0*coupl(nGC_23)*coupl(nGC_37)*coupl(  &
                      nGC_788) + 36d0*coupl(nGC_23)*coupl(nGC_388)**2d0 - 12d0*&
                      coupl(nGC_23)*coupl(nGC_388)*coupl(nGC_8) - 12d0*coupl(  &
                      nGC_23)*coupl(nGC_7)*coupl(nGC_8) + 36d0*coupl(nGC_23)*  &
                      coupl(nGC_788)**2d0 + 6d0*coupl(nGC_25)*coupl(nGC_276)*  &
                      coupl(nGC_32) - 6d0*coupl(nGC_26)*coupl(nGC_31)*coupl(   &
                      nGC_788) - 6d0*coupl(nGC_26)*coupl(nGC_788)*coupl(nGC_808&
                      ) - 6d0*coupl(nGC_272)*coupl(nGC_8)**2d0 + 36d0*coupl(   &
                      nGC_28)*coupl(nGC_38)**2d0 - 6d0*coupl(nGC_286)*coupl(   &
                      nGC_37)**2d0 - 6d0*coupl(nGC_31)*coupl(nGC_388)*coupl(   &
                      nGC_41) - 12d0*coupl(nGC_37)*coupl(nGC_44)*coupl(nGC_8   &
                      ) + 72d0*coupl(nGC_38)*coupl(nGC_43)*coupl(nGC_7) - 6d0* &
                      coupl(nGC_388)*coupl(nGC_41)*coupl(nGC_808))/(192d0*pi** &
                      2d0)
    coupl(nGC_4470) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_314)*coupl( &
                      nGC_5) - coupl(nGC_316)*coupl(nGC_5) - coupl(nGC_336)*   &
                      coupl(nGC_6) - coupl(nGC_338)*coupl(nGC_6))/(32d0*pi**2d0&
                      *Nc)
    coupl(nGC_4367) = (coupl(nGC_254)*coupl(nGC_314)*coupl(nGC_67) + coupl(    &
                      nGC_314)*coupl(nGC_68)**2d0 + 4d0*coupl(nGC_316)**3d0 +  &
                      4d0*coupl(nGC_316)*coupl(nGC_5)**2d0 + coupl(nGC_336)*   &
                      coupl(nGC_84)**2d0 + 4d0*coupl(nGC_338)*coupl(nGC_34)**  &
                      2d0 + 4d0*coupl(nGC_34)**2d0*coupl(nGC_788))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4309) = (-coupl(nGC_290)*coupl(nGC_314)*coupl(nGC_83) + 8d0*coupl&
                      (nGC_314)*coupl(nGC_316)*coupl(nGC_558) - coupl(nGC_316)*&
                      coupl(nGC_51)*coupl(nGC_83) - coupl(nGC_33)*coupl(nGC_34 &
                      )*coupl(nGC_81) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_558) - &
                      coupl(nGC_558)**2d0*coupl(nGC_82) - coupl(nGC_69)*coupl( &
                      nGC_71)*coupl(nGC_81) - coupl(nGC_82)*coupl(nGC_83)**2d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_6943) = coupl(nGC_4629) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_muL_QED2
    coupl(nGC_6196) = coupl(nGC_4564) + coupl(nGC_74)*dZH1_QED2/2d0
    coupl(nGC_6197) = coupl(nGC_6193) + coupl(nGC_6196)
    coupl(nGC_4425) = (-24d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_5)**2d0*coupl(  &
                      nGC_73) - 24d0*Nc*cima*coupl(nGC_254)*coupl(nGC_5)**2d0* &
                      coupl(nGC_67) - 24d0*Nc*cima*coupl(nGC_400)*coupl(nGC_6  &
                      )**2d0*coupl(nGC_92) - 24d0*Nc*cima*coupl(nGC_462)*coupl(&
                      nGC_6)**2d0*coupl(nGC_71) - 24d0*Nc*cima*coupl(nGC_5)**  &
                      2d0*coupl(nGC_558)*coupl(nGC_82) - 24d0*Nc*cima*coupl(   &
                      nGC_578)*coupl(nGC_6)**2d0*coupl(nGC_86) + 12d0*cima*    &
                      coupl(nGC_21)*coupl(nGC_272) + 4d0*cima*coupl(nGC_244)** &
                      2d0*coupl(nGC_33)*coupl(nGC_772) + 9d0*cima*coupl(nGC_33 &
                      )*coupl(nGC_388)**2d0*coupl(nGC_772) + 9d0*cima*coupl(   &
                      nGC_33)*coupl(nGC_7)**2d0*coupl(nGC_772) + 4d0*cima*coupl&
                      (nGC_33)*coupl(nGC_772)*coupl(nGC_8)**2d0 - 24d0*cima*   &
                      coupl(nGC_452)*coupl(nGC_8)**2d0*coupl(nGC_88) - 24d0*   &
                      cima*coupl(nGC_494)*coupl(nGC_79)*coupl(nGC_8)**2d0 -    &
                      24d0*cima*coupl(nGC_644)*coupl(nGC_76)*coupl(nGC_8)**2d0 &
                       + 6d0*coupl(nGC_10)*coupl(nGC_33)*coupl(nGC_772) + 18d0*&
                      coupl(nGC_21)*coupl(nGC_388)**2d0 + 18d0*coupl(nGC_21)*  &
                      coupl(nGC_7)**2d0 - 6d0*coupl(nGC_272)*coupl(nGC_33)*    &
                      coupl(nGC_772) - 6d0*coupl(nGC_33)*coupl(nGC_388)*coupl( &
                      nGC_39) - 6d0*coupl(nGC_33)*coupl(nGC_42)*coupl(nGC_7) - &
                      6d0*coupl(nGC_388)*coupl(nGC_42)*coupl(nGC_772) - 6d0*   &
                      coupl(nGC_39)*coupl(nGC_7)*coupl(nGC_772))/(96d0*pi**2d0)
    coupl(nGC_4308) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_80) + coupl(    &
                      nGC_34)*coupl(nGC_772)*coupl(nGC_78) - coupl(nGC_494)**  &
                      2d0*coupl(nGC_79) + 8d0*coupl(nGC_494)*coupl(nGC_734)*   &
                      coupl(nGC_736) + 8d0*coupl(nGC_494)*coupl(nGC_8)**2d0 +  &
                      coupl(nGC_51)*coupl(nGC_734)*coupl(nGC_80) - coupl(nGC_79&
                      )*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4432) = (4d0*cima*coupl(nGC_244)*coupl(nGC_31)*coupl(nGC_32)**2d0&
                       + 24d0*cima*coupl(nGC_26)*coupl(nGC_518) + 9d0*cima*    &
                      coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_808 &
                      ) + 9d0*cima*coupl(nGC_388)*coupl(nGC_7)*coupl(nGC_8)*   &
                      coupl(nGC_808) + 24d0*cima*coupl(nGC_41)*coupl(nGC_9) -  &
                      6d0*coupl(nGC_10)*coupl(nGC_7)*coupl(nGC_808) - 6d0*coupl&
                      (nGC_23)*coupl(nGC_388)*coupl(nGC_808) - 6d0*coupl(nGC_24&
                      )*coupl(nGC_276)*coupl(nGC_7) - 6d0*coupl(nGC_244)*coupl(&
                      nGC_388)*coupl(nGC_41) - 6d0*coupl(nGC_25)*coupl(nGC_7)* &
                      coupl(nGC_808) + 36d0*coupl(nGC_26)*coupl(nGC_7)*coupl(  &
                      nGC_788) - 6d0*coupl(nGC_260)*coupl(nGC_41)*coupl(nGC_788&
                      ) + 6d0*coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_41) - 6d0* &
                      coupl(nGC_37)*coupl(nGC_518)*coupl(nGC_808) - 6d0*coupl( &
                      nGC_38)*coupl(nGC_43)*coupl(nGC_808) + 36d0*coupl(nGC_388&
                      )*coupl(nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_8)*coupl(   &
                      nGC_808)*coupl(nGC_9))/(192d0*pi**2d0)
    coupl(nGC_6822) = coupl(nGC_6336) + coupl(nGC_6346) + coupl(nGC_6820)
    coupl(nGC_4237) = (coupl(nGC_254)*coupl(nGC_5)*coupl(nGC_67) + 4d0*coupl(  &
                      nGC_314)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_5)**3d0 +     &
                      coupl(nGC_5)*coupl(nGC_68)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_66)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6461) = coupl(nGC_6456) + coupl(nGC_6460)
    coupl(nGC_4488) = (-4d0*Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_34)**2d0 +   &
                      12d0*Nc*cima*coupl(nGC_316)*coupl(nGC_338)*coupl(nGC_34  &
                      )**2d0 - 4d0*Nc*cima*coupl(nGC_338)**2d0*coupl(nGC_34)** &
                      2d0 + 4d0*cima*coupl(nGC_27)**2d0 - 4d0*cima*coupl(nGC_34&
                      )**2d0*coupl(nGC_53)**2d0 + 12d0*cima*coupl(nGC_34)**2d0*&
                      coupl(nGC_53)*coupl(nGC_736) - 4d0*cima*coupl(nGC_34)**  &
                      2d0*coupl(nGC_736)**2d0 - 8d0*cima*coupl(nGC_38)**2d0*   &
                      coupl(nGC_388)**2d0 - 8d0*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_788)**2d0 + 4d0*cima*coupl(nGC_518)**2d0 + coupl(    &
                      nGC_22)*coupl(nGC_788)**2d0 + 12d0*coupl(nGC_27)*coupl(  &
                      nGC_38)*coupl(nGC_788) + coupl(nGC_27)*coupl(nGC_388)**  &
                      2d0 + coupl(nGC_27)*coupl(nGC_788)**2d0 + 2d0*coupl(     &
                      nGC_286)*coupl(nGC_38)*coupl(nGC_788) + coupl(nGC_38)**  &
                      2d0*coupl(nGC_468) + 2d0*coupl(nGC_38)*coupl(nGC_388)*   &
                      coupl(nGC_44) + 12d0*coupl(nGC_38)*coupl(nGC_388)*coupl( &
                      nGC_518))/(32d0*pi**2d0)
    coupl(nGC_4482) = (12d0*cima*coupl(nGC_25)*coupl(nGC_286) + 4d0*cima*coupl(&
                      nGC_260)**2d0*coupl(nGC_31)*coupl(nGC_808) + 4d0*cima*   &
                      coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_37)**2d0 + 9d0*   &
                      cima*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_38)**2d0 +   &
                      9d0*cima*coupl(nGC_31)*coupl(nGC_788)**2d0*coupl(nGC_808 &
                      ) + 18d0*coupl(nGC_25)*coupl(nGC_38)**2d0 + 18d0*coupl(  &
                      nGC_25)*coupl(nGC_788)**2d0 - 6d0*coupl(nGC_26)*coupl(   &
                      nGC_276)*coupl(nGC_38) - 6d0*coupl(nGC_26)*coupl(nGC_31)*&
                      coupl(nGC_788) - 6d0*coupl(nGC_26)*coupl(nGC_32)*coupl(  &
                      nGC_38) - 6d0*coupl(nGC_26)*coupl(nGC_788)*coupl(nGC_808 &
                      ) + 3d0*coupl(nGC_276)*coupl(nGC_28)*coupl(nGC_32) - 3d0*&
                      coupl(nGC_276)*coupl(nGC_286)*coupl(nGC_32) + 3d0*coupl( &
                      nGC_28)*coupl(nGC_31)*coupl(nGC_808) - 3d0*coupl(nGC_286 &
                      )*coupl(nGC_31)*coupl(nGC_808))/(96d0*pi**2d0)
    coupl(nGC_7107) = coupl(nGC_4610) + coupl(nGC_52)*dZZ_QED2/2d0 + coupl(    &
                      nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_4480) = (24d0*cima*coupl(nGC_22)*coupl(nGC_25) + 8d0*cima*coupl( &
                      nGC_276)*coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_808) + 9d0&
                      *cima*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_388)**2d0 + &
                      9d0*cima*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_788)**2d0&
                       + 9d0*cima*coupl(nGC_31)*coupl(nGC_38)**2d0*coupl(      &
                      nGC_808) + 9d0*cima*coupl(nGC_31)*coupl(nGC_7)**2d0*coupl&
                      (nGC_808) - 6d0*coupl(nGC_22)*coupl(nGC_276)*coupl(nGC_32&
                      ) - 6d0*coupl(nGC_22)*coupl(nGC_31)*coupl(nGC_808) + 6d0*&
                      coupl(nGC_23)*coupl(nGC_276)*coupl(nGC_32) + 6d0*coupl(  &
                      nGC_23)*coupl(nGC_31)*coupl(nGC_808) + 36d0*coupl(nGC_25 &
                      )*coupl(nGC_388)**2d0 + 36d0*coupl(nGC_25)*coupl(nGC_788 &
                      )**2d0 - 6d0*coupl(nGC_26)*coupl(nGC_276)*coupl(nGC_788  &
                      ) - 6d0*coupl(nGC_26)*coupl(nGC_31)*coupl(nGC_38) - 6d0* &
                      coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_788) - 6d0*coupl(  &
                      nGC_26)*coupl(nGC_38)*coupl(nGC_808) - 6d0*coupl(nGC_276 &
                      )*coupl(nGC_388)*coupl(nGC_41) - 6d0*coupl(nGC_31)*coupl(&
                      nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_32)*coupl(nGC_388)* &
                      coupl(nGC_41) - 6d0*coupl(nGC_41)*coupl(nGC_7)*coupl(    &
                      nGC_808))/(192d0*pi**2d0)
    coupl(nGC_4360) = coupl(nGC_34)*(coupl(nGC_316)*coupl(nGC_338) - coupl(    &
                      nGC_316)*coupl(nGC_38) - coupl(nGC_338)*coupl(nGC_788) - &
                      coupl(nGC_388)*coupl(nGC_6) + coupl(nGC_5)*coupl(nGC_6   &
                      ) - coupl(nGC_5)*coupl(nGC_7))/(8d0*pi**2d0)
    coupl(nGC_6355) = -coupl(nGC_6354)
    coupl(nGC_4484) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_1168)*coupl(&
                      nGC_73) - coupl(nGC_254)*coupl(nGC_67) - coupl(nGC_400)* &
                      coupl(nGC_92) - coupl(nGC_462)*coupl(nGC_71) - coupl(    &
                      nGC_558)*coupl(nGC_82) - coupl(nGC_578)*coupl(nGC_86))/( &
                      16d0*pi**2d0)
    coupl(nGC_4485) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_1168)*coupl( &
                      nGC_73) + coupl(nGC_254)*coupl(nGC_67) + coupl(nGC_400)* &
                      coupl(nGC_92) + coupl(nGC_462)*coupl(nGC_71) + coupl(    &
                      nGC_558)*coupl(nGC_82) + coupl(nGC_578)*coupl(nGC_86))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_4262) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) - 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) - 6d0*coupl(nGC_29)*coupl(   &
                      nGC_38)*coupl(nGC_52) - 6d0*coupl(nGC_29)*coupl(nGC_7)*  &
                      coupl(nGC_8) + coupl(nGC_290)*coupl(nGC_566)*coupl(      &
                      nGC_772) + coupl(nGC_33)**2d0*coupl(nGC_708) - 4d0*coupl(&
                      nGC_34)*coupl(nGC_75)*coupl(nGC_77) - 4d0*coupl(nGC_34)* &
                      coupl(nGC_78)*coupl(nGC_80) - 4d0*coupl(nGC_34)*coupl(   &
                      nGC_87)*coupl(nGC_89) - 6d0*coupl(nGC_51)*coupl(nGC_772)*&
                      coupl(nGC_788) + coupl(nGC_708)*coupl(nGC_866)**2d0)/(   &
                      96d0*pi**2d0)
    coupl(nGC_4263) = (2d0*Nc*cMB*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_66) - &
                      2d0*Nc*cMB*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_66) -  &
                      2d0*Nc*cMB*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_69) +  &
                      2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_69) -  &
                      2d0*Nc*cMC*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_69) +  &
                      2d0*Nc*cMD*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_72) -  &
                      2d0*Nc*cMD*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_72) -  &
                      2d0*Nc*cMD*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_72) +  &
                      2d0*Nc*cMS*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMS*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMS*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMT*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_84) +  &
                      2d0*Nc*cMT*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_84) -  &
                      2d0*Nc*cMT*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_84) -  &
                      2d0*Nc*cMU*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_90) +  &
                      2d0*Nc*cMU*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_90) -  &
                      2d0*Nc*cMU*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_90) -  &
                      2d0*cME*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75) + 2d0* &
                      cME*coupl(nGC_34)*coupl(nGC_734)*coupl(nGC_75) - 2d0*cME*&
                      coupl(nGC_34)*coupl(nGC_736)*coupl(nGC_75) - 2d0*cMM*    &
                      coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78) + 2d0*cMM*coupl&
                      (nGC_34)*coupl(nGC_734)*coupl(nGC_78) - 2d0*cMM*coupl(   &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_78) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_87) + 2d0*cMTA*coupl(    &
                      nGC_34)*coupl(nGC_734)*coupl(nGC_87) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_87) + 4d0*cima*coupl(   &
                      nGC_27)*coupl(nGC_60) + 4d0*cima*coupl(nGC_518)*coupl(   &
                      nGC_64) - coupl(nGC_244)*coupl(nGC_388)*coupl(nGC_60) -  &
                      coupl(nGC_29)*coupl(nGC_38)*coupl(nGC_63) + 6d0*coupl(   &
                      nGC_38)*coupl(nGC_388)*coupl(nGC_64) + 6d0*coupl(nGC_38)*&
                      coupl(nGC_60)*coupl(nGC_788) - coupl(nGC_38)*coupl(nGC_65&
                      )*coupl(nGC_866) - coupl(nGC_566)*coupl(nGC_60)*coupl(   &
                      nGC_788))/(32d0*pi**2d0)
    coupl(nGC_6490) = coupl(nGC_6485) + coupl(nGC_6487) + coupl(nGC_6488)
    coupl(nGC_10111) = -2d0*coupl(nGC_10100)
    coupl(nGC_6950) = -coupl(nGC_6949)
    coupl(nGC_4236) = (coupl(nGC_254)*coupl(nGC_5)*coupl(nGC_67) + 4d0*coupl(  &
                      nGC_316)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34)**2d0*coupl&
                      (nGC_388) + 4d0*coupl(nGC_34)**2d0*coupl(nGC_6) + 4d0*   &
                      coupl(nGC_5)**3d0 + coupl(nGC_5)*coupl(nGC_68)**2d0 +    &
                      coupl(nGC_6)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7943) = -2d0*coupl(nGC_7933)
    coupl(nGC_7944) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZbL_QED2 +   &
                      coupl(nGC_4628) + coupl(nGC_49)*dZbL_QED2
    coupl(nGC_7945) = -2d0*coupl(nGC_6346) + coupl(nGC_6408) - 2d0*coupl(      &
                      nGC_7932)
    coupl(nGC_8213) = coupl(nGC_4617) + coupl(nGC_58)*dZH1_QED2 + coupl(nGC_58 &
                      )*dZZ_QED2
    coupl(nGC_6553) = -coupl(nGC_4583) - coupl(nGC_6551)
    coupl(nGC_4508) = (10d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_16)*coupl(nGC_660) + 6d0*Nc*cima*coupl(nGC_658 &
                      )*coupl(nGC_660) - 9d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_16&
                      )*sq2**2d0 + 9d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2&
                      **2d0 - 9d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_660)*sq2**2d0&
                       - 3d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_670)*sq2**2d0 -   &
                      6d0*cima*coupl(nGC_15)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc)
    coupl(nGC_6910) = coupl(nGC_6703) + coupl(nGC_6707) + coupl(nGC_6908)
    coupl(nGC_11589) = coupl(nGC_4530) + 3d0*coupl(nGC_62)*dZH1_QED2/2d0 +     &
                       coupl(nGC_TS_GC_19_H1)
    coupl(nGC_6281) = coupl(nGC_4614) + coupl(nGC_60)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_60)*dZZ_QED2/2d0 + coupl(nGC_64)*dZAZ_QED2/2d0 +    &
                      coupl(nGC_TS_GC_12_H1)
    coupl(nGC_7744) = coupl(nGC_6346) + coupl(nGC_6408) + coupl(nGC_7742)
    coupl(nGC_4507) = (5d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_16)*coupl(nGC_660) + 3d0*Nc*cima*coupl(nGC_658 &
                      )*coupl(nGC_660) - 6d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_16&
                      )*sq2**2d0 + 3d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_658)*sq2&
                      **2d0 - 3d0*Nc*coupl(nGC_14)**2d0*coupl(nGC_660)*sq2**2d0&
                       - 3d0*cima*coupl(nGC_15)**4d0*sq2**4d0)/(192d0*pi**2d0* &
                      Nc)
    coupl(nGC_4506) = (20d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_16)*coupl(nGC_660) + 12d0*Nc*cima*coupl(nGC_658&
                      )*coupl(nGC_660) - 21d0*Nc*coupl(nGC_14)**2d0*coupl(     &
                      nGC_16)*sq2**2d0 + 15d0*Nc*coupl(nGC_14)**2d0*coupl(     &
                      nGC_658)*sq2**2d0 - 15d0*Nc*coupl(nGC_14)**2d0*coupl(    &
                      nGC_660)*sq2**2d0 - 3d0*Nc*coupl(nGC_14)**2d0*coupl(     &
                      nGC_670)*sq2**2d0 - 12d0*cima*coupl(nGC_15)**4d0*sq2**4d0&
                      )/(768d0*pi**2d0*Nc)
    coupl(nGC_6288) = coupl(nGC_12)*dZZA_QED2/2d0 + coupl(nGC_40)*dZA_QED2/2d0 &
                       + coupl(nGC_40)*dZH1_QED2/2d0 + coupl(nGC_40)*          &
                      dZWMinus_QED2/2d0 + coupl(nGC_4591)
    coupl(nGC_7372) = coupl(nGC_30)*dZH1_QED2/2d0 + coupl(nGC_30)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_4595)
    coupl(nGC_6680) = coupl(nGC_6485) + coupl(nGC_6487) + coupl(nGC_6678)
    coupl(nGC_9359) = coupl(nGC_4669) + coupl(nGC_9351)
    coupl(nGC_9358) = coupl(nGC_9350) + coupl(nGC_9357)
    coupl(nGC_12788) = -coupl(nGC_4292)
    coupl(nGC_6413) = coupl(nGC_6346) + coupl(nGC_6408) + coupl(nGC_6411)
    coupl(nGC_6688) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_28)*dZZ_QED2 +   &
                      coupl(nGC_43)*dZAZ_QED2 + coupl(nGC_4619)
    coupl(nGC_4361) = coupl(nGC_34)*(coupl(nGC_38)*coupl(nGC_53) + coupl(      &
                      nGC_388)*coupl(nGC_8) + coupl(nGC_53)*coupl(nGC_736) +   &
                      coupl(nGC_736)*coupl(nGC_788))/(8d0*pi**2d0)
    coupl(nGC_4487) = (18d0*Nc*cima*coupl(nGC_316)**2d0*coupl(nGC_34)**2d0 -   &
                      30d0*Nc*cima*coupl(nGC_316)*coupl(nGC_338)*coupl(nGC_34  &
                      )**2d0 + 18d0*Nc*cima*coupl(nGC_338)**2d0*coupl(nGC_34)**&
                      2d0 + 6d0*cima*coupl(nGC_22)*coupl(nGC_286) + 18d0*cima* &
                      coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - 30d0*cima*coupl( &
                      nGC_34)**2d0*coupl(nGC_53)*coupl(nGC_736) + 18d0*cima*   &
                      coupl(nGC_34)**2d0*coupl(nGC_736)**2d0 - 16d0*cima*coupl(&
                      nGC_38)**2d0*coupl(nGC_388)**2d0 - 16d0*cima*coupl(nGC_38&
                      )**2d0*coupl(nGC_788)**2d0 + 9d0*coupl(nGC_22)*coupl(    &
                      nGC_38)**2d0 + 9d0*coupl(nGC_22)*coupl(nGC_788)**2d0 +   &
                      6d0*coupl(nGC_27)*coupl(nGC_38)*coupl(nGC_788) + 9d0*    &
                      coupl(nGC_286)*coupl(nGC_388)**2d0 + 9d0*coupl(nGC_286)* &
                      coupl(nGC_788)**2d0 + 6d0*coupl(nGC_38)*coupl(nGC_388)*  &
                      coupl(nGC_518))/(48d0*pi**2d0)
    coupl(nGC_6775) = -coupl(nGC_6774)
    coupl(nGC_8056) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_4531) + coupl(nGC_54)*&
                      dZZA_QED2
    coupl(nGC_7278) = coupl(nGC_6336) + coupl(nGC_6346) + coupl(nGC_7276)
    coupl(nGC_7175) = -coupl(nGC_7174)
    coupl(nGC_4478) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_68)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_70)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_74)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_34)**2d0*coupl(nGC_83)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_34)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_34)**2d0*coupl(nGC_91)**2d0 + 24d0*cima*coupl( &
                      nGC_21)*coupl(nGC_22) + 12d0*cima*coupl(nGC_286)*coupl(  &
                      nGC_58) + 8d0*cima*coupl(nGC_29)*coupl(nGC_30)*coupl(    &
                      nGC_708)*coupl(nGC_866) + 4d0*cima*coupl(nGC_29)*coupl(  &
                      nGC_33)*coupl(nGC_708)*coupl(nGC_772) + 9d0*cima*coupl(  &
                      nGC_29)*coupl(nGC_38)**2d0*coupl(nGC_708) + 9d0*cima*    &
                      coupl(nGC_29)*coupl(nGC_7)**2d0*coupl(nGC_708) + 8d0*cima&
                      *coupl(nGC_290)*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_772&
                      ) + 9d0*cima*coupl(nGC_290)*coupl(nGC_38)**2d0*coupl(    &
                      nGC_51) + 9d0*cima*coupl(nGC_290)*coupl(nGC_51)*coupl(   &
                      nGC_788)**2d0 + 4d0*cima*coupl(nGC_30)*coupl(nGC_33)*    &
                      coupl(nGC_772)*coupl(nGC_866) + 9d0*cima*coupl(nGC_30)*  &
                      coupl(nGC_388)**2d0*coupl(nGC_866) + 9d0*cima*coupl(     &
                      nGC_30)*coupl(nGC_788)**2d0*coupl(nGC_866) - 32d0*cima*  &
                      coupl(nGC_34)**2d0*coupl(nGC_77)**2d0 - 32d0*cima*coupl( &
                      nGC_34)**2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_34 &
                      )**2d0*coupl(nGC_89)**2d0 - 6d0*coupl(nGC_12)*coupl(     &
                      nGC_29)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(nGC_30)* &
                      coupl(nGC_788) - 6d0*coupl(nGC_12)*coupl(nGC_38)*coupl(  &
                      nGC_708) - 6d0*coupl(nGC_12)*coupl(nGC_788)*coupl(nGC_866&
                      ) + 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_708) + 6d0*&
                      coupl(nGC_21)*coupl(nGC_290)*coupl(nGC_51) + 6d0*coupl(  &
                      nGC_21)*coupl(nGC_30)*coupl(nGC_866) + 36d0*coupl(nGC_21 &
                      )*coupl(nGC_388)**2d0 + 36d0*coupl(nGC_21)*coupl(nGC_788 &
                      )**2d0 - 6d0*coupl(nGC_22)*coupl(nGC_29)*coupl(nGC_708   &
                      ) - 6d0*coupl(nGC_22)*coupl(nGC_30)*coupl(nGC_866) - 6d0*&
                      coupl(nGC_286)*coupl(nGC_290)*coupl(nGC_51) - 6d0*coupl( &
                      nGC_29)*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_30)*  &
                      coupl(nGC_388)*coupl(nGC_40) + 36d0*coupl(nGC_38)**2d0*  &
                      coupl(nGC_58) - 6d0*coupl(nGC_388)*coupl(nGC_40)*coupl(  &
                      nGC_866) - 6d0*coupl(nGC_40)*coupl(nGC_7)*coupl(nGC_708  &
                      ))/(192d0*pi**2d0)
    coupl(nGC_6969) = -coupl(nGC_4573) - coupl(nGC_6968)
    coupl(nGC_10101) = -coupl(nGC_10100)
    coupl(nGC_4428) = (4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_66)*   &
                      coupl(nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*coupl(nGC_83) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84)*   &
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_66)*coupl(nGC_68) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_69)*coupl(nGC_70) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72)*   &
                      coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(nGC_91) + &
                      24d0*cima*coupl(nGC_12)*coupl(nGC_518) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_33)**2d0*coupl(nGC_708) + 4d0*cima*   &
                      coupl(nGC_244)*coupl(nGC_708)*coupl(nGC_866)**2d0 + 9d0* &
                      cima*coupl(nGC_29)*coupl(nGC_38)*coupl(nGC_388)*coupl(   &
                      nGC_52) + 9d0*cima*coupl(nGC_29)*coupl(nGC_388)*coupl(   &
                      nGC_7)*coupl(nGC_8) + 4d0*cima*coupl(nGC_290)*coupl(     &
                      nGC_566)*coupl(nGC_772)*coupl(nGC_8) + 4d0*cima*coupl(   &
                      nGC_34)*coupl(nGC_75)*coupl(nGC_77)*coupl(nGC_8) + 4d0*  &
                      cima*coupl(nGC_34)*coupl(nGC_78)*coupl(nGC_8)*coupl(     &
                      nGC_80) + 4d0*cima*coupl(nGC_34)*coupl(nGC_8)*coupl(     &
                      nGC_87)*coupl(nGC_89) + 24d0*cima*coupl(nGC_40)*coupl(   &
                      nGC_9) + 9d0*cima*coupl(nGC_51)*coupl(nGC_7)*coupl(      &
                      nGC_772)*coupl(nGC_788) - 6d0*coupl(nGC_10)*coupl(nGC_29 &
                      )*coupl(nGC_7) + 36d0*coupl(nGC_12)*coupl(nGC_7)*coupl(  &
                      nGC_788) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_388 &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_7) - 6d0*  &
                      coupl(nGC_244)*coupl(nGC_388)*coupl(nGC_40) - 6d0*coupl( &
                      nGC_29)*coupl(nGC_38)*coupl(nGC_54) - 6d0*coupl(nGC_29)* &
                      coupl(nGC_518)*coupl(nGC_52) - 6d0*coupl(nGC_29)*coupl(  &
                      nGC_8)*coupl(nGC_9) + 6d0*coupl(nGC_290)*coupl(nGC_39)*  &
                      coupl(nGC_566) + 6d0*coupl(nGC_33)*coupl(nGC_39)*coupl(  &
                      nGC_708) + 36d0*coupl(nGC_388)*coupl(nGC_40)*coupl(nGC_7 &
                      ) - 6d0*coupl(nGC_39)*coupl(nGC_51)*coupl(nGC_788) - 6d0*&
                      coupl(nGC_40)*coupl(nGC_566)*coupl(nGC_788) + 6d0*coupl( &
                      nGC_40)*coupl(nGC_708)*coupl(nGC_866) - 6d0*coupl(nGC_51 &
                      )*coupl(nGC_518)*coupl(nGC_772))/(192d0*pi**2d0)
    coupl(nGC_4294) = coupl(nGC_15)**2d0*coupl(nGC_254)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4349) = (-coupl(nGC_290)*coupl(nGC_338)*coupl(nGC_578) + 8d0*    &
                      coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_85) - coupl(     &
                      nGC_336)*coupl(nGC_51)*coupl(nGC_578) - coupl(nGC_34)*   &
                      coupl(nGC_84)*coupl(nGC_866) - coupl(nGC_578)**2d0*coupl(&
                      nGC_85) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_85) - coupl(   &
                      nGC_66)*coupl(nGC_68)*coupl(nGC_84) - coupl(nGC_85)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_11757) = -coupl(nGC_4324)
    coupl(nGC_6595) = coupl(nGC_6501) + coupl(nGC_6589)
    coupl(nGC_9539) = -coupl(nGC_6784)
    coupl(nGC_4341) = (coupl(nGC_290)*coupl(nGC_644)*coupl(nGC_734) + coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_75) + coupl(nGC_51)*coupl&
                      (nGC_644)*coupl(nGC_736) - coupl(nGC_644)**2d0*coupl(    &
                      nGC_77) + 8d0*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_77 &
                      ) - coupl(nGC_77)**3d0 + 8d0*coupl(nGC_77)*coupl(nGC_8)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4340) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_76) + coupl(    &
                      nGC_34)*coupl(nGC_75)*coupl(nGC_866) + coupl(nGC_51)*    &
                      coupl(nGC_734)*coupl(nGC_76) + 8d0*coupl(nGC_734)*coupl( &
                      nGC_736)*coupl(nGC_77) - coupl(nGC_76)**2d0*coupl(nGC_77 &
                      ) - coupl(nGC_77)**3d0 + 8d0*coupl(nGC_77)*coupl(nGC_8)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4343) = (coupl(nGC_290)*coupl(nGC_494)*coupl(nGC_734) + coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_78) - coupl(nGC_494)**2d0&
                      *coupl(nGC_80) + coupl(nGC_494)*coupl(nGC_51)*coupl(     &
                      nGC_736) + 8d0*coupl(nGC_734)*coupl(nGC_736)*coupl(nGC_80&
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_80) - coupl(nGC_80)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_4342) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_79) + coupl(    &
                      nGC_34)*coupl(nGC_78)*coupl(nGC_866) + coupl(nGC_51)*    &
                      coupl(nGC_734)*coupl(nGC_79) + 8d0*coupl(nGC_734)*coupl( &
                      nGC_736)*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80 &
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_80) - coupl(nGC_80)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_7931) = coupl(nGC_38)*dZWMinus_QED2 + coupl(nGC_38)*dZZ_QED2/2d0 &
                       + coupl(nGC_4537) + coupl(nGC_7)*dZAZ_QED2/2d0
    coupl(nGC_4346) = (-coupl(nGC_290)*coupl(nGC_316)*coupl(nGC_558) + 8d0*    &
                      coupl(nGC_314)*coupl(nGC_316)*coupl(nGC_83) - coupl(     &
                      nGC_314)*coupl(nGC_51)*coupl(nGC_558) - coupl(nGC_34)*   &
                      coupl(nGC_708)*coupl(nGC_81) + 8d0*coupl(nGC_5)**2d0*    &
                      coupl(nGC_83) - coupl(nGC_558)**2d0*coupl(nGC_83) - coupl&
                      (nGC_69)*coupl(nGC_70)*coupl(nGC_81) - coupl(nGC_83)**3d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_4187) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_34)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_34)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_34&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_34)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_34)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_38)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_388)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_7)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_788)**2d0 - 4d0*cMW**2d0*coupl(nGC_22) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_38)**2d0 + 3d0*cMZ**2d0*cima*    &
                      coupl(nGC_788)**2d0 - 2d0*cMZ**2d0*coupl(nGC_286))/(32d0*&
                      pi**2d0)
    coupl(nGC_4186) = cima*(coupl(nGC_38)**2d0 + coupl(nGC_388)**2d0 + coupl(  &
                      nGC_7)**2d0 + coupl(nGC_788)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4438) = (4d0*cima*coupl(nGC_244)*coupl(nGC_260)*coupl(nGC_31)*   &
                      coupl(nGC_808) + 12d0*cima*coupl(nGC_25)*coupl(nGC_44) + &
                      4d0*cima*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_37)*coupl&
                      (nGC_8) + 9d0*cima*coupl(nGC_276)*coupl(nGC_32)*coupl(   &
                      nGC_38)*coupl(nGC_7) + 9d0*cima*coupl(nGC_31)*coupl(     &
                      nGC_388)*coupl(nGC_788)*coupl(nGC_808) + 18d0*coupl(     &
                      nGC_25)*coupl(nGC_38)*coupl(nGC_7) + 18d0*coupl(nGC_25)* &
                      coupl(nGC_388)*coupl(nGC_788) - 3d0*coupl(nGC_26)*coupl( &
                      nGC_276)*coupl(nGC_7) - 3d0*coupl(nGC_26)*coupl(nGC_31)* &
                      coupl(nGC_388) - 3d0*coupl(nGC_26)*coupl(nGC_32)*coupl(  &
                      nGC_7) - 3d0*coupl(nGC_26)*coupl(nGC_388)*coupl(nGC_808  &
                      ) + 3d0*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_43) - 3d0*&
                      coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_44) - 6d0*coupl(  &
                      nGC_276)*coupl(nGC_38)*coupl(nGC_41) + 3d0*coupl(nGC_31)*&
                      coupl(nGC_43)*coupl(nGC_808) - 3d0*coupl(nGC_31)*coupl(  &
                      nGC_44)*coupl(nGC_808) - 6d0*coupl(nGC_41)*coupl(nGC_788 &
                      )*coupl(nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4184) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_254)*coupl(nGC_67) - 8d0&
                      *Nc*cMC**2d0*cima*coupl(nGC_462)*coupl(nGC_71) - 8d0*Nc* &
                      cMD**2d0*cima*coupl(nGC_1168)*coupl(nGC_73) - 8d0*Nc*cMS &
                      **2d0*cima*coupl(nGC_558)*coupl(nGC_82) - 8d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_578)*coupl(nGC_86) - 8d0*Nc*cMU**2d0*cima&
                      *coupl(nGC_400)*coupl(nGC_92) - 8d0*cME**2d0*cima*coupl( &
                      nGC_644)*coupl(nGC_76) - cMH1**2d0*cima*coupl(nGC_290)*  &
                      coupl(nGC_51) - 8d0*cMM**2d0*cima*coupl(nGC_494)*coupl(  &
                      nGC_79) - 8d0*cMTA**2d0*cima*coupl(nGC_452)*coupl(nGC_88 &
                      ) - 4d0*cMW**2d0*cima*coupl(nGC_33)*coupl(nGC_772) - 4d0*&
                      cMW**2d0*coupl(nGC_21) - cMZ**2d0*cima*coupl(nGC_290)*   &
                      coupl(nGC_51) - 2d0*cMZ**2d0*coupl(nGC_58))/(32d0*pi**2d0&
                      )
    coupl(nGC_6376) = coupl(nGC_6372) + coupl(nGC_6375)
    coupl(nGC_4264) = (-coupl(nGC_244)*coupl(nGC_5)*coupl(nGC_66) - coupl(     &
                      nGC_254)*coupl(nGC_34)*coupl(nGC_772) - coupl(nGC_254)*  &
                      coupl(nGC_578)*coupl(nGC_84) - coupl(nGC_29)*coupl(nGC_34&
                      )*coupl(nGC_68) + 8d0*coupl(nGC_314)*coupl(nGC_338)*coupl&
                      (nGC_66) - coupl(nGC_314)*coupl(nGC_566)*coupl(nGC_66) - &
                      coupl(nGC_338)*coupl(nGC_52)*coupl(nGC_66) + 8d0*coupl(  &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_66) - coupl(nGC_6)*coupl(  &
                      nGC_66)*coupl(nGC_8) - coupl(nGC_68)*coupl(nGC_84)*coupl(&
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_6374) = coupl(nGC_4588) + coupl(nGC_6373)
    coupl(nGC_6520) = coupl(nGC_6501) + coupl(nGC_6514)
    coupl(nGC_4388) = -coupl(nGC_15)*sq2*(coupl(nGC_254)*coupl(nGC_67) + 4d0*  &
                      coupl(nGC_316)**2d0 + 4d0*coupl(nGC_34)**2d0 + 4d0*coupl(&
                      nGC_5)**2d0 + coupl(nGC_68)**2d0 + coupl(nGC_84)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_12422) = -coupl(nGC_4326)
    coupl(nGC_6348) = coupl(nGC_6336) + 4d0*coupl(nGC_6339) + 4d0*coupl(       &
                      nGC_6346)
    coupl(nGC_4347) = (-coupl(nGC_29)*coupl(nGC_34)*coupl(nGC_81) - coupl(     &
                      nGC_290)*coupl(nGC_314)*coupl(nGC_82) + 8d0*coupl(nGC_314&
                      )*coupl(nGC_316)*coupl(nGC_83) - coupl(nGC_316)*coupl(   &
                      nGC_51)*coupl(nGC_82) + 8d0*coupl(nGC_5)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4261) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_400)*coupl(nGC_90) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_462)*coupl(nGC_69) + 4d0*Nc*  &
                      coupl(nGC_34)*coupl(nGC_578)*coupl(nGC_84) - 4d0*Nc*coupl&
                      (nGC_34)*coupl(nGC_66)*coupl(nGC_67) - 4d0*Nc*coupl(     &
                      nGC_34)*coupl(nGC_72)*coupl(nGC_73) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_81)*coupl(nGC_82) - 6d0*coupl(nGC_29)*coupl( &
                      nGC_290)*coupl(nGC_788) + coupl(nGC_29)*coupl(nGC_51)*   &
                      coupl(nGC_566) + coupl(nGC_33)**3d0 + coupl(nGC_33)*coupl&
                      (nGC_866)**2d0 - 4d0*coupl(nGC_34)*coupl(nGC_75)*coupl(  &
                      nGC_76) - 4d0*coupl(nGC_34)*coupl(nGC_78)*coupl(nGC_79   &
                      ) - 4d0*coupl(nGC_34)*coupl(nGC_87)*coupl(nGC_88) - 6d0* &
                      coupl(nGC_38)*coupl(nGC_52)*coupl(nGC_772) - 6d0*coupl(  &
                      nGC_7)*coupl(nGC_772)*coupl(nGC_8))/(96d0*pi**2d0)
    coupl(nGC_6276) = coupl(nGC_12)*dZH1_QED2/2d0 + coupl(nGC_12)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_12)*dZZ_QED2/2d0 + coupl(nGC_40)*       &
                      dZAZ_QED2/2d0 + coupl(nGC_4612)
    coupl(nGC_4357) = (12d0*Nc*coupl(nGC_316)*coupl(nGC_34)**2d0 - 12d0*Nc*    &
                      coupl(nGC_338)*coupl(nGC_34)**2d0 - 12d0*coupl(nGC_34)** &
                      2d0*coupl(nGC_53) + 12d0*coupl(nGC_34)**2d0*coupl(nGC_736&
                      ) - 11d0*coupl(nGC_38)*coupl(nGC_388)**2d0 - 11d0*coupl( &
                      nGC_38)*coupl(nGC_788)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4288) = (coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_77) + coupl(nGC_34&
                      )*coupl(nGC_76)*coupl(nGC_772) + coupl(nGC_52)*coupl(    &
                      nGC_734)*coupl(nGC_75) + coupl(nGC_53)*coupl(nGC_566)*   &
                      coupl(nGC_75) + 8d0*coupl(nGC_53)*coupl(nGC_734)*coupl(  &
                      nGC_75) + coupl(nGC_75)*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4289) = (coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_80) + coupl(nGC_34&
                      )*coupl(nGC_772)*coupl(nGC_79) + coupl(nGC_52)*coupl(    &
                      nGC_734)*coupl(nGC_78) + coupl(nGC_53)*coupl(nGC_566)*   &
                      coupl(nGC_78) + 8d0*coupl(nGC_53)*coupl(nGC_734)*coupl(  &
                      nGC_78) + coupl(nGC_78)*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4284) = (-coupl(nGC_244)*coupl(nGC_5)*coupl(nGC_69) - coupl(     &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_70) + 8d0*coupl(nGC_316)*&
                      coupl(nGC_336)*coupl(nGC_69) - coupl(nGC_316)*coupl(     &
                      nGC_566)*coupl(nGC_69) - coupl(nGC_336)*coupl(nGC_52)*   &
                      coupl(nGC_69) - coupl(nGC_34)*coupl(nGC_462)*coupl(      &
                      nGC_772) - coupl(nGC_462)*coupl(nGC_558)*coupl(nGC_81) + &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_69) - coupl(nGC_6&
                      )*coupl(nGC_69)*coupl(nGC_8) - coupl(nGC_70)*coupl(nGC_81&
                      )*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_4285) = (-coupl(nGC_244)*coupl(nGC_5)*coupl(nGC_81) + 8d0*coupl( &
                      nGC_314)*coupl(nGC_338)*coupl(nGC_81) - coupl(nGC_314)*  &
                      coupl(nGC_566)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_34&
                      )*coupl(nGC_82) - coupl(nGC_338)*coupl(nGC_52)*coupl(    &
                      nGC_81) - coupl(nGC_34)*coupl(nGC_708)*coupl(nGC_83) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_81) - coupl(nGC_6&
                      )*coupl(nGC_8)*coupl(nGC_81) - coupl(nGC_69)*coupl(nGC_70&
                      )*coupl(nGC_83) - coupl(nGC_69)*coupl(nGC_71)*coupl(     &
                      nGC_82))/(32d0*pi**2d0)
    coupl(nGC_4286) = (coupl(nGC_244)*coupl(nGC_6)*coupl(nGC_72) + coupl(nGC_30&
                      )*coupl(nGC_34)*coupl(nGC_74) + 8d0*coupl(nGC_314)*coupl(&
                      nGC_338)*coupl(nGC_72) + coupl(nGC_314)*coupl(nGC_52)*   &
                      coupl(nGC_72) + coupl(nGC_338)*coupl(nGC_566)*coupl(     &
                      nGC_72) + coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_772) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_72) + coupl(nGC_5&
                      )*coupl(nGC_72)*coupl(nGC_8) - coupl(nGC_73)*coupl(nGC_90&
                      )*coupl(nGC_92) - coupl(nGC_74)*coupl(nGC_90)*coupl(     &
                      nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4287) = (-coupl(nGC_1168)*coupl(nGC_400)*coupl(nGC_72) + coupl(  &
                      nGC_244)*coupl(nGC_6)*coupl(nGC_90) + 8d0*coupl(nGC_316)*&
                      coupl(nGC_336)*coupl(nGC_90) + coupl(nGC_316)*coupl(     &
                      nGC_52)*coupl(nGC_90) + coupl(nGC_33)*coupl(nGC_34)*coupl&
                      (nGC_400) + coupl(nGC_336)*coupl(nGC_566)*coupl(nGC_90   &
                      ) + coupl(nGC_34)*coupl(nGC_708)*coupl(nGC_91) + 8d0*    &
                      coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_90) + coupl(nGC_5)*  &
                      coupl(nGC_8)*coupl(nGC_90) - coupl(nGC_72)*coupl(nGC_74)*&
                      coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4280) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) - 4d0* &
                      Nc*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_84)*coupl(nGC_85) - 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) - 6d0*coupl(nGC_244)*coupl(  &
                      nGC_30)*coupl(nGC_388) + coupl(nGC_290)*coupl(nGC_52)*   &
                      coupl(nGC_772) - 6d0*coupl(nGC_30)*coupl(nGC_566)*coupl( &
                      nGC_788) + coupl(nGC_33)**2d0*coupl(nGC_866) + 4d0*coupl(&
                      nGC_34)*coupl(nGC_75)*coupl(nGC_77) + 4d0*coupl(nGC_34)* &
                      coupl(nGC_78)*coupl(nGC_80) + 4d0*coupl(nGC_34)*coupl(   &
                      nGC_87)*coupl(nGC_89) - 6d0*coupl(nGC_38)*coupl(nGC_51)* &
                      coupl(nGC_772) + coupl(nGC_708)**2d0*coupl(nGC_866))/(   &
                      96d0*pi**2d0)
    coupl(nGC_4281) = (2d0*Nc*cMB*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_66) - &
                      2d0*Nc*cMB*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_66) -  &
                      2d0*Nc*cMB*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_69) +  &
                      2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_69) -  &
                      2d0*Nc*cMC*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_69) +  &
                      2d0*Nc*cMD*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_72) -  &
                      2d0*Nc*cMD*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_72) -  &
                      2d0*Nc*cMD*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_72) +  &
                      2d0*Nc*cMS*coupl(nGC_314)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMS*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMS*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_81) -  &
                      2d0*Nc*cMT*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_84) +  &
                      2d0*Nc*cMT*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_84) -  &
                      2d0*Nc*cMT*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_84) -  &
                      2d0*Nc*cMU*coupl(nGC_316)*coupl(nGC_34)*coupl(nGC_90) +  &
                      2d0*Nc*cMU*coupl(nGC_336)*coupl(nGC_34)*coupl(nGC_90) -  &
                      2d0*Nc*cMU*coupl(nGC_338)*coupl(nGC_34)*coupl(nGC_90) -  &
                      2d0*cME*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75) + 2d0* &
                      cME*coupl(nGC_34)*coupl(nGC_734)*coupl(nGC_75) - 2d0*cME*&
                      coupl(nGC_34)*coupl(nGC_736)*coupl(nGC_75) - 2d0*cMM*    &
                      coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78) + 2d0*cMM*coupl&
                      (nGC_34)*coupl(nGC_734)*coupl(nGC_78) - 2d0*cMM*coupl(   &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_78) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_87) + 2d0*cMTA*coupl(    &
                      nGC_34)*coupl(nGC_734)*coupl(nGC_87) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_736)*coupl(nGC_87) + 4d0*cima*coupl(   &
                      nGC_27)*coupl(nGC_60) + 4d0*cima*coupl(nGC_518)*coupl(   &
                      nGC_64) - coupl(nGC_30)*coupl(nGC_63)*coupl(nGC_788) -   &
                      coupl(nGC_38)*coupl(nGC_52)*coupl(nGC_60) + 6d0*coupl(   &
                      nGC_38)*coupl(nGC_60)*coupl(nGC_788) - coupl(nGC_60)*    &
                      coupl(nGC_7)*coupl(nGC_8) + 6d0*coupl(nGC_64)*coupl(nGC_7&
                      )*coupl(nGC_788) - coupl(nGC_65)*coupl(nGC_708)*coupl(   &
                      nGC_788))/(32d0*pi**2d0)
    coupl(nGC_4282) = (coupl(nGC_244)*coupl(nGC_6)*coupl(nGC_66) + coupl(nGC_30&
                      )*coupl(nGC_34)*coupl(nGC_68) + 8d0*coupl(nGC_314)*coupl(&
                      nGC_338)*coupl(nGC_66) + coupl(nGC_314)*coupl(nGC_52)*   &
                      coupl(nGC_66) + coupl(nGC_338)*coupl(nGC_566)*coupl(     &
                      nGC_66) + coupl(nGC_34)*coupl(nGC_67)*coupl(nGC_772) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_66) + coupl(nGC_5&
                      )*coupl(nGC_66)*coupl(nGC_8) - coupl(nGC_67)*coupl(nGC_84&
                      )*coupl(nGC_86) - coupl(nGC_68)*coupl(nGC_84)*coupl(     &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4283) = (coupl(nGC_244)*coupl(nGC_6)*coupl(nGC_84) - coupl(      &
                      nGC_254)*coupl(nGC_578)*coupl(nGC_66) + 8d0*coupl(nGC_316&
                      )*coupl(nGC_336)*coupl(nGC_84) + coupl(nGC_316)*coupl(   &
                      nGC_52)*coupl(nGC_84) + coupl(nGC_33)*coupl(nGC_34)*coupl&
                      (nGC_578) + coupl(nGC_336)*coupl(nGC_566)*coupl(nGC_84   &
                      ) + coupl(nGC_34)*coupl(nGC_708)*coupl(nGC_85) + 8d0*    &
                      coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_84) + coupl(nGC_5)*  &
                      coupl(nGC_8)*coupl(nGC_84) - coupl(nGC_66)*coupl(nGC_68)*&
                      coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_6437) = -coupl(nGC_4574) - coupl(nGC_6436)
    coupl(nGC_4448) = (20d0*Nc*cima*coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_66)**2d0*coupl(nGC_85)**2d0 + 40d0&
                      *Nc*cima*coupl(nGC_66)*coupl(nGC_68)*coupl(nGC_84)*coupl(&
                      nGC_85) + 20d0*Nc*cima*coupl(nGC_68)**2d0*coupl(nGC_84)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_69)**2d0*coupl(nGC_70)**2d0 &
                       + 20d0*Nc*cima*coupl(nGC_69)**2d0*coupl(nGC_83)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81)*  &
                      coupl(nGC_83) + 20d0*Nc*cima*coupl(nGC_70)**2d0*coupl(   &
                      nGC_81)**2d0 + 20d0*Nc*cima*coupl(nGC_72)**2d0*coupl(    &
                      nGC_74)**2d0 + 20d0*Nc*cima*coupl(nGC_72)**2d0*coupl(    &
                      nGC_91)**2d0 + 40d0*Nc*cima*coupl(nGC_72)*coupl(nGC_74)* &
                      coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*coupl(nGC_74  &
                      )**2d0*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_81)** &
                      2d0*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(nGC_84)**2d0*&
                      coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*    &
                      coupl(nGC_91)**2d0 + 24d0*cima*coupl(nGC_12)**2d0 + 12d0*&
                      cima*coupl(nGC_21)**2d0 - 10d0*cima*coupl(nGC_244)**2d0* &
                      coupl(nGC_30)*coupl(nGC_866) - 10d0*cima*coupl(nGC_29)*  &
                      coupl(nGC_30)*coupl(nGC_708)*coupl(nGC_866) - 5d0*cima*  &
                      coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_52)*coupl(nGC_772  &
                      ) - 10d0*cima*coupl(nGC_290)*coupl(nGC_33)*coupl(nGC_51)*&
                      coupl(nGC_772) - 5d0*cima*coupl(nGC_290)*coupl(nGC_33)*  &
                      coupl(nGC_52)*coupl(nGC_708) - 5d0*cima*coupl(nGC_290)*  &
                      coupl(nGC_33)*coupl(nGC_566)*coupl(nGC_866) - 10d0*cima* &
                      coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_52)**2d0 - 10d0*  &
                      cima*coupl(nGC_30)*coupl(nGC_33)*coupl(nGC_772)*coupl(   &
                      nGC_866) - 5d0*cima*coupl(nGC_30)*coupl(nGC_51)*coupl(   &
                      nGC_566)*coupl(nGC_772) - 10d0*cima*coupl(nGC_30)*coupl( &
                      nGC_566)**2d0*coupl(nGC_866) + 24d0*cima*coupl(nGC_40)** &
                      2d0 + 6d0*cima*coupl(nGC_57)*coupl(nGC_58) + 20d0*cima*  &
                      coupl(nGC_75)**2d0*coupl(nGC_77)**2d0 + 20d0*cima*coupl( &
                      nGC_78)**2d0*coupl(nGC_80)**2d0 + 20d0*cima*coupl(nGC_87 &
                      )**2d0*coupl(nGC_89)**2d0 - 6d0*coupl(nGC_12)*coupl(     &
                      nGC_290)*coupl(nGC_33) - 6d0*coupl(nGC_12)*coupl(nGC_30)*&
                      coupl(nGC_566) - 6d0*coupl(nGC_12)*coupl(nGC_51)*coupl(  &
                      nGC_772) - 6d0*coupl(nGC_12)*coupl(nGC_566)*coupl(nGC_866&
                      ) + 3d0*coupl(nGC_17)*coupl(nGC_244)**2d0 + 6d0*coupl(   &
                      nGC_17)*coupl(nGC_29)*coupl(nGC_30) + 3d0*coupl(nGC_17)* &
                      coupl(nGC_290)*coupl(nGC_51) + 3d0*coupl(nGC_17)*coupl(  &
                      nGC_33)*coupl(nGC_772) + 3d0*coupl(nGC_17)*coupl(nGC_566 &
                      )**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_708)*coupl(nGC_866  &
                      ) + 3d0*coupl(nGC_18)*coupl(nGC_29)*coupl(nGC_708) + 3d0*&
                      coupl(nGC_18)*coupl(nGC_30)*coupl(nGC_866) + 3d0*coupl(  &
                      nGC_19)*coupl(nGC_30)*coupl(nGC_866) - 6d0*coupl(nGC_21)*&
                      coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_21)*coupl(  &
                      nGC_30)*coupl(nGC_866) - 3d0*coupl(nGC_21)*coupl(nGC_33)*&
                      coupl(nGC_772) - 6d0*coupl(nGC_244)*coupl(nGC_30)*coupl( &
                      nGC_40) - 6d0*coupl(nGC_244)*coupl(nGC_40)*coupl(nGC_866 &
                      ) - 3d0*coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_57) - 3d0*&
                      coupl(nGC_52)**2d0*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4449) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_66)**2d0 -   &
                      16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_69)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_72)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_34)**2d0*coupl(nGC_81)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_34)**2d0*coupl(nGC_84)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_34)**2d0*coupl(nGC_90)**2d0 + 12d0*cima*coupl( &
                      nGC_10)*coupl(nGC_272) + 24d0*cima*coupl(nGC_21)*coupl(  &
                      nGC_22) + 4d0*cima*coupl(nGC_244)**2d0*coupl(nGC_29)*    &
                      coupl(nGC_708) + 4d0*cima*coupl(nGC_244)**2d0*coupl(     &
                      nGC_33)*coupl(nGC_772) + 12d0*cima*coupl(nGC_286)*coupl( &
                      nGC_57) + 4d0*cima*coupl(nGC_29)*coupl(nGC_30)*coupl(    &
                      nGC_33)**2d0 + 4d0*cima*coupl(nGC_29)*coupl(nGC_30)*coupl&
                      (nGC_708)*coupl(nGC_866) + 9d0*cima*coupl(nGC_29)*coupl( &
                      nGC_388)**2d0*coupl(nGC_708) + 4d0*cima*coupl(nGC_29)*   &
                      coupl(nGC_566)**2d0*coupl(nGC_708) + 9d0*cima*coupl(     &
                      nGC_29)*coupl(nGC_708)*coupl(nGC_788)**2d0 + 4d0*cima*   &
                      coupl(nGC_30)**2d0*coupl(nGC_33)**2d0 + 4d0*cima*coupl(  &
                      nGC_30)**2d0*coupl(nGC_866)**2d0 + 8d0*cima*coupl(nGC_33 &
                      )**2d0*coupl(nGC_772)**2d0 + 9d0*cima*coupl(nGC_33)*coupl&
                      (nGC_388)**2d0*coupl(nGC_772) + 4d0*cima*coupl(nGC_33)*  &
                      coupl(nGC_566)**2d0*coupl(nGC_772) + 9d0*cima*coupl(     &
                      nGC_33)*coupl(nGC_772)*coupl(nGC_788)**2d0 - 16d0*cima*  &
                      coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 - 16d0*cima*coupl( &
                      nGC_34)**2d0*coupl(nGC_78)**2d0 - 16d0*cima*coupl(nGC_34 &
                      )**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_38)**2d0* &
                      coupl(nGC_52)**2d0 + 18d0*cima*coupl(nGC_38)*coupl(nGC_52&
                      )*coupl(nGC_7)*coupl(nGC_8) + 9d0*cima*coupl(nGC_388)**  &
                      2d0*coupl(nGC_8)**2d0 + 18d0*cima*coupl(nGC_388)*coupl(  &
                      nGC_52)*coupl(nGC_788)*coupl(nGC_8) + 24d0*cima*coupl(   &
                      nGC_44)*coupl(nGC_54) + 9d0*cima*coupl(nGC_52)**2d0*coupl&
                      (nGC_788)**2d0 + 9d0*cima*coupl(nGC_7)**2d0*coupl(nGC_8  &
                      )**2d0 + 4d0*cima*coupl(nGC_708)*coupl(nGC_772)**2d0*    &
                      coupl(nGC_866) + 4d0*cima*coupl(nGC_772)**2d0*coupl(     &
                      nGC_866)**2d0 + 36d0*coupl(nGC_10)*coupl(nGC_7)**2d0 -   &
                      6d0*coupl(nGC_11)*coupl(nGC_33)*coupl(nGC_788) - 6d0*    &
                      coupl(nGC_12)*coupl(nGC_29)*coupl(nGC_788) - 6d0*coupl(  &
                      nGC_12)*coupl(nGC_708)*coupl(nGC_788) - 6d0*coupl(nGC_13 &
                      )*coupl(nGC_772)*coupl(nGC_788) + 6d0*coupl(nGC_21)*coupl&
                      (nGC_244)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_30)*coupl(  &
                      nGC_866) + 6d0*coupl(nGC_21)*coupl(nGC_33)*coupl(nGC_772 &
                      ) - 12d0*coupl(nGC_21)*coupl(nGC_38)*coupl(nGC_52) + 36d0&
                      *coupl(nGC_21)*coupl(nGC_388)**2d0 - 12d0*coupl(nGC_21)* &
                      coupl(nGC_388)*coupl(nGC_8) - 12d0*coupl(nGC_21)*coupl(  &
                      nGC_52)*coupl(nGC_788) + 6d0*coupl(nGC_21)*coupl(nGC_566 &
                      )**2d0 - 12d0*coupl(nGC_21)*coupl(nGC_7)*coupl(nGC_8) +  &
                      36d0*coupl(nGC_21)*coupl(nGC_788)**2d0 - 6d0*coupl(nGC_22&
                      )*coupl(nGC_29)*coupl(nGC_708) - 6d0*coupl(nGC_22)*coupl(&
                      nGC_33)*coupl(nGC_772) - 6d0*coupl(nGC_272)*coupl(nGC_8  &
                      )**2d0 - 6d0*coupl(nGC_286)*coupl(nGC_52)**2d0 - 6d0*    &
                      coupl(nGC_29)*coupl(nGC_388)*coupl(nGC_40) - 6d0*coupl(  &
                      nGC_33)*coupl(nGC_388)*coupl(nGC_39) + 36d0*coupl(nGC_38 &
                      )**2d0*coupl(nGC_57) + 72d0*coupl(nGC_38)*coupl(nGC_54)* &
                      coupl(nGC_7) - 6d0*coupl(nGC_388)*coupl(nGC_40)*coupl(   &
                      nGC_708) - 6d0*coupl(nGC_388)*coupl(nGC_42)*coupl(nGC_772&
                      ) - 12d0*coupl(nGC_44)*coupl(nGC_52)*coupl(nGC_8))/(192d0&
                      *pi**2d0)
    coupl(nGC_4446) = (-12d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)*coupl(nGC_68  &
                      )**2d0 - 12d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)*coupl( &
                      nGC_74)**2d0 - 12d0*Nc*cima*coupl(nGC_314)*coupl(nGC_5)* &
                      coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl(nGC_316)*coupl(  &
                      nGC_5)*coupl(nGC_68)**2d0 - 12d0*Nc*cima*coupl(nGC_316)* &
                      coupl(nGC_5)*coupl(nGC_74)**2d0 - 12d0*Nc*cima*coupl(    &
                      nGC_316)*coupl(nGC_5)*coupl(nGC_83)**2d0 - 12d0*Nc*cima* &
                      coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_70)**2d0 - 12d0*Nc*&
                      cima*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_85)**2d0 -    &
                      12d0*Nc*cima*coupl(nGC_336)*coupl(nGC_6)*coupl(nGC_91)** &
                      2d0 - 12d0*Nc*cima*coupl(nGC_338)*coupl(nGC_6)*coupl(    &
                      nGC_70)**2d0 - 12d0*Nc*cima*coupl(nGC_338)*coupl(nGC_6)* &
                      coupl(nGC_85)**2d0 - 12d0*Nc*cima*coupl(nGC_338)*coupl(  &
                      nGC_6)*coupl(nGC_91)**2d0 + 12d0*cima*coupl(nGC_21)*coupl&
                      (nGC_44) + 4d0*cima*coupl(nGC_244)*coupl(nGC_29)*coupl(  &
                      nGC_566)*coupl(nGC_708) + 9d0*cima*coupl(nGC_29)*coupl(  &
                      nGC_388)*coupl(nGC_708)*coupl(nGC_788) + 9d0*cima*coupl( &
                      nGC_30)*coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_866) + 4d0* &
                      cima*coupl(nGC_30)*coupl(nGC_52)*coupl(nGC_8)*coupl(     &
                      nGC_866) - 12d0*cima*coupl(nGC_734)*coupl(nGC_77)**2d0*  &
                      coupl(nGC_8) - 12d0*cima*coupl(nGC_734)*coupl(nGC_8)*    &
                      coupl(nGC_80)**2d0 - 12d0*cima*coupl(nGC_734)*coupl(nGC_8&
                      )*coupl(nGC_89)**2d0 - 12d0*cima*coupl(nGC_736)*coupl(   &
                      nGC_77)**2d0*coupl(nGC_8) - 12d0*cima*coupl(nGC_736)*    &
                      coupl(nGC_8)*coupl(nGC_80)**2d0 - 12d0*cima*coupl(nGC_736&
                      )*coupl(nGC_8)*coupl(nGC_89)**2d0 - 3d0*coupl(nGC_12)*   &
                      coupl(nGC_29)*coupl(nGC_388) - 3d0*coupl(nGC_12)*coupl(  &
                      nGC_30)*coupl(nGC_7) - 3d0*coupl(nGC_12)*coupl(nGC_388)* &
                      coupl(nGC_708) - 3d0*coupl(nGC_12)*coupl(nGC_7)*coupl(   &
                      nGC_866) + 18d0*coupl(nGC_21)*coupl(nGC_38)*coupl(nGC_7  &
                      ) + 18d0*coupl(nGC_21)*coupl(nGC_388)*coupl(nGC_788) -   &
                      6d0*coupl(nGC_29)*coupl(nGC_40)*coupl(nGC_788) - 3d0*    &
                      coupl(nGC_29)*coupl(nGC_44)*coupl(nGC_708) + 3d0*coupl(  &
                      nGC_29)*coupl(nGC_54)*coupl(nGC_708) - 6d0*coupl(nGC_30)*&
                      coupl(nGC_38)*coupl(nGC_40) - 3d0*coupl(nGC_30)*coupl(   &
                      nGC_44)*coupl(nGC_866) + 3d0*coupl(nGC_30)*coupl(nGC_54)*&
                      coupl(nGC_866))/(96d0*pi**2d0)
    coupl(nGC_4447) = (12d0*cima*coupl(nGC_21)*coupl(nGC_25) - 10d0*cima*coupl(&
                      nGC_276)*coupl(nGC_29)*coupl(nGC_32)*coupl(nGC_708) -    &
                      10d0*cima*coupl(nGC_276)*coupl(nGC_32)*coupl(nGC_33)*    &
                      coupl(nGC_772) + 3d0*coupl(nGC_1)*coupl(nGC_244)**2d0 +  &
                      3d0*coupl(nGC_1)*coupl(nGC_276)*coupl(nGC_32) + 3d0*coupl&
                      (nGC_1)*coupl(nGC_30)*coupl(nGC_866) + 3d0*coupl(nGC_1)* &
                      coupl(nGC_31)*coupl(nGC_808) + 3d0*coupl(nGC_1)*coupl(   &
                      nGC_33)*coupl(nGC_772) + 3d0*coupl(nGC_1)*coupl(nGC_566  &
                      )**2d0 - 3d0*coupl(nGC_21)*coupl(nGC_276)*coupl(nGC_32   &
                      ) - 3d0*coupl(nGC_21)*coupl(nGC_31)*coupl(nGC_808) - 3d0*&
                      coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(  &
                      nGC_25)*coupl(nGC_33)*coupl(nGC_772))/(96d0*pi**2d0)
    coupl(nGC_4444) = (20d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_400)*coupl(nGC_72&
                      )*coupl(nGC_90) + 20d0*Nc*cima*coupl(nGC_1168)*coupl(    &
                      nGC_72)**2d0*coupl(nGC_73) + 20d0*Nc*cima*coupl(nGC_1168 &
                      )*coupl(nGC_73)*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl( &
                      nGC_254)*coupl(nGC_578)*coupl(nGC_66)*coupl(nGC_84) +    &
                      20d0*Nc*cima*coupl(nGC_254)*coupl(nGC_66)**2d0*coupl(    &
                      nGC_67) + 20d0*Nc*cima*coupl(nGC_254)*coupl(nGC_67)*coupl&
                      (nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_400)*coupl(nGC_72 &
                      )**2d0*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_400)*coupl(&
                      nGC_90)**2d0*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_462)*&
                      coupl(nGC_558)*coupl(nGC_69)*coupl(nGC_81) + 20d0*Nc*cima&
                      *coupl(nGC_462)*coupl(nGC_69)**2d0*coupl(nGC_71) + 20d0* &
                      Nc*cima*coupl(nGC_462)*coupl(nGC_71)*coupl(nGC_81)**2d0  &
                       + 20d0*Nc*cima*coupl(nGC_558)*coupl(nGC_69)**2d0*coupl( &
                      nGC_82) + 20d0*Nc*cima*coupl(nGC_558)*coupl(nGC_81)**2d0*&
                      coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_578)*coupl(nGC_66 &
                      )**2d0*coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_578)*coupl(&
                      nGC_84)**2d0*coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_66)* &
                      coupl(nGC_67)*coupl(nGC_84)*coupl(nGC_86) + 20d0*Nc*cima*&
                      coupl(nGC_69)*coupl(nGC_71)*coupl(nGC_81)*coupl(nGC_82   &
                      ) + 20d0*Nc*cima*coupl(nGC_72)*coupl(nGC_73)*coupl(nGC_90&
                      )*coupl(nGC_92) + 24d0*cima*coupl(nGC_11)*coupl(nGC_13   &
                      ) + 12d0*cima*coupl(nGC_21)**2d0 - 10d0*cima*coupl(      &
                      nGC_244)**2d0*coupl(nGC_33)*coupl(nGC_772) - 5d0*cima*   &
                      coupl(nGC_29)*coupl(nGC_290)*coupl(nGC_566)*coupl(nGC_772&
                      ) - 10d0*cima*coupl(nGC_29)*coupl(nGC_33)*coupl(nGC_708)*&
                      coupl(nGC_772) - 10d0*cima*coupl(nGC_290)*coupl(nGC_30)* &
                      coupl(nGC_51)*coupl(nGC_866) - 5d0*cima*coupl(nGC_290)*  &
                      coupl(nGC_30)*coupl(nGC_52)*coupl(nGC_772) - 10d0*cima*  &
                      coupl(nGC_290)*coupl(nGC_51)*coupl(nGC_52)**2d0 - 10d0*  &
                      cima*coupl(nGC_33)**2d0*coupl(nGC_772)**2d0 - 5d0*cima*  &
                      coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_52)*coupl(nGC_866  &
                      ) - 5d0*cima*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_566)* &
                      coupl(nGC_708) - 10d0*cima*coupl(nGC_33)*coupl(nGC_566)**&
                      2d0*coupl(nGC_772) + 24d0*cima*coupl(nGC_39)*coupl(nGC_42&
                      ) + 20d0*cima*coupl(nGC_452)*coupl(nGC_87)**2d0*coupl(   &
                      nGC_88) + 20d0*cima*coupl(nGC_494)*coupl(nGC_78)**2d0*   &
                      coupl(nGC_79) + 6d0*cima*coupl(nGC_57)*coupl(nGC_58) +   &
                      20d0*cima*coupl(nGC_644)*coupl(nGC_75)**2d0*coupl(nGC_76 &
                      ) - 6d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_30) - 6d0*&
                      coupl(nGC_11)*coupl(nGC_566)*coupl(nGC_772) - 6d0*coupl( &
                      nGC_13)*coupl(nGC_33)*coupl(nGC_566) - 6d0*coupl(nGC_13)*&
                      coupl(nGC_51)*coupl(nGC_866) + 3d0*coupl(nGC_17)*coupl(  &
                      nGC_244)**2d0 + 3d0*coupl(nGC_17)*coupl(nGC_290)*coupl(  &
                      nGC_51) + 3d0*coupl(nGC_17)*coupl(nGC_30)*coupl(nGC_866  &
                      ) + 6d0*coupl(nGC_17)*coupl(nGC_33)**2d0 + 3d0*coupl(    &
                      nGC_17)*coupl(nGC_566)**2d0 + 6d0*coupl(nGC_17)*coupl(   &
                      nGC_772)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_33)*coupl(   &
                      nGC_772) + 3d0*coupl(nGC_19)*coupl(nGC_33)*coupl(nGC_772 &
                      ) - 3d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_708) - 9d0*&
                      coupl(nGC_21)*coupl(nGC_33)*coupl(nGC_772) - 6d0*coupl(  &
                      nGC_244)*coupl(nGC_33)*coupl(nGC_42) - 6d0*coupl(nGC_244 &
                      )*coupl(nGC_39)*coupl(nGC_772) - 3d0*coupl(nGC_290)*coupl&
                      (nGC_51)*coupl(nGC_57) - 3d0*coupl(nGC_52)**2d0*coupl(   &
                      nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4445) = (6d0*cima*coupl(nGC_10)**2d0 + 12d0*cima*coupl(nGC_21)*  &
                      coupl(nGC_23) - 5d0*cima*coupl(nGC_244)**2d0*coupl(nGC_8 &
                      )**2d0 - 10d0*cima*coupl(nGC_244)*coupl(nGC_260)*coupl(  &
                      nGC_52)*coupl(nGC_8) - 5d0*cima*coupl(nGC_260)**2d0*coupl&
                      (nGC_52)**2d0 + 6d0*cima*coupl(nGC_28)*coupl(nGC_57) -   &
                      5d0*cima*coupl(nGC_29)*coupl(nGC_31)*coupl(nGC_708)*coupl&
                      (nGC_808) - 5d0*cima*coupl(nGC_31)*coupl(nGC_33)*coupl(  &
                      nGC_772)*coupl(nGC_808) - 5d0*cima*coupl(nGC_37)**2d0*   &
                      coupl(nGC_52)**2d0 - 10d0*cima*coupl(nGC_37)*coupl(nGC_52&
                      )*coupl(nGC_8)**2d0 + 12d0*cima*coupl(nGC_43)*coupl(     &
                      nGC_54) - 5d0*cima*coupl(nGC_8)**4d0 + 6d0*coupl(nGC_1)* &
                      coupl(nGC_244)**2d0 + 6d0*coupl(nGC_1)*coupl(nGC_244)*   &
                      coupl(nGC_8) + 3d0*coupl(nGC_1)*coupl(nGC_260)**2d0 + 6d0&
                      *coupl(nGC_1)*coupl(nGC_260)*coupl(nGC_52) + 3d0*coupl(  &
                      nGC_1)*coupl(nGC_276)*coupl(nGC_32) + 3d0*coupl(nGC_1)*  &
                      coupl(nGC_30)*coupl(nGC_866) + 3d0*coupl(nGC_1)*coupl(   &
                      nGC_33)*coupl(nGC_772) + 6d0*coupl(nGC_1)*coupl(nGC_37)* &
                      coupl(nGC_52) + 3d0*coupl(nGC_1)*coupl(nGC_566)**2d0 +   &
                      6d0*coupl(nGC_1)*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_10)*  &
                      coupl(nGC_8)**2d0 - 3d0*coupl(nGC_21)*coupl(nGC_31)*coupl&
                      (nGC_808) - 3d0*coupl(nGC_23)*coupl(nGC_29)*coupl(nGC_708&
                      ) - 3d0*coupl(nGC_23)*coupl(nGC_33)*coupl(nGC_772) - 3d0*&
                      coupl(nGC_28)*coupl(nGC_52)**2d0 - 3d0*coupl(nGC_37)**2d0&
                      *coupl(nGC_57) - 6d0*coupl(nGC_37)*coupl(nGC_54)*coupl(  &
                      nGC_8) - 6d0*coupl(nGC_43)*coupl(nGC_52)*coupl(nGC_8))/( &
                      96d0*pi**2d0)
    coupl(nGC_4442) = (-4d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0*coupl(   &
                      nGC_5) + 6d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0*  &
                      coupl(nGC_6) + 6d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)**&
                      2d0*coupl(nGC_5) - 4d0*Nc*cima*coupl(nGC_338)*coupl(     &
                      nGC_34)**2d0*coupl(nGC_6) + 4d0*cima*coupl(nGC_27)*coupl(&
                      nGC_518) + 6d0*cima*coupl(nGC_34)**2d0*coupl(nGC_53)*    &
                      coupl(nGC_8) - 4d0*cima*coupl(nGC_34)**2d0*coupl(nGC_736 &
                      )*coupl(nGC_8) - 8d0*cima*coupl(nGC_38)*coupl(nGC_388)** &
                      2d0*coupl(nGC_7) - 8d0*cima*coupl(nGC_38)*coupl(nGC_7)*  &
                      coupl(nGC_788)**2d0 + 4d0*cima*coupl(nGC_518)*coupl(nGC_9&
                      ) + coupl(nGC_22)*coupl(nGC_38)*coupl(nGC_7) + 6d0*coupl(&
                      nGC_27)*coupl(nGC_7)*coupl(nGC_788) + coupl(nGC_272)*    &
                      coupl(nGC_7)*coupl(nGC_788) + coupl(nGC_286)*coupl(nGC_7 &
                      )*coupl(nGC_788) + 6d0*coupl(nGC_38)*coupl(nGC_388)*coupl&
                      (nGC_9) + coupl(nGC_38)*coupl(nGC_44)*coupl(nGC_788) +   &
                      6d0*coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_788) + coupl( &
                      nGC_388)**2d0*coupl(nGC_518) + coupl(nGC_388)*coupl(     &
                      nGC_44)*coupl(nGC_7) + coupl(nGC_388)*coupl(nGC_468)*    &
                      coupl(nGC_788) + 6d0*coupl(nGC_388)*coupl(nGC_518)*coupl(&
                      nGC_7) + coupl(nGC_518)*coupl(nGC_788)**2d0)/(32d0*pi**  &
                      2d0)
    coupl(nGC_4443) = (-4d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0*coupl(   &
                      nGC_5) + 6d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0*  &
                      coupl(nGC_6) + 6d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34)**&
                      2d0*coupl(nGC_5) - 4d0*Nc*cima*coupl(nGC_338)*coupl(     &
                      nGC_34)**2d0*coupl(nGC_6) + 4d0*cima*coupl(nGC_27)*coupl(&
                      nGC_518) + 6d0*cima*coupl(nGC_34)**2d0*coupl(nGC_53)*    &
                      coupl(nGC_8) - 4d0*cima*coupl(nGC_34)**2d0*coupl(nGC_736 &
                      )*coupl(nGC_8) - 8d0*cima*coupl(nGC_38)*coupl(nGC_388)** &
                      2d0*coupl(nGC_7) - 8d0*cima*coupl(nGC_38)*coupl(nGC_7)*  &
                      coupl(nGC_788)**2d0 + 4d0*cima*coupl(nGC_518)*coupl(nGC_9&
                      ) + coupl(nGC_22)*coupl(nGC_388)*coupl(nGC_788) + 6d0*   &
                      coupl(nGC_27)*coupl(nGC_7)*coupl(nGC_788) + coupl(nGC_272&
                      )*coupl(nGC_38)*coupl(nGC_388) + coupl(nGC_286)*coupl(   &
                      nGC_7)*coupl(nGC_788) + coupl(nGC_38)*coupl(nGC_44)*coupl&
                      (nGC_788) + coupl(nGC_38)*coupl(nGC_468)*coupl(nGC_7) +  &
                      6d0*coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_788) + coupl( &
                      nGC_388)**2d0*coupl(nGC_518) + coupl(nGC_388)*coupl(     &
                      nGC_44)*coupl(nGC_7) + 6d0*coupl(nGC_388)*coupl(nGC_518)*&
                      coupl(nGC_7) + coupl(nGC_518)*coupl(nGC_788)**2d0 + 6d0* &
                      coupl(nGC_7)*coupl(nGC_788)*coupl(nGC_9))/(32d0*pi**2d0)
    coupl(nGC_4440) = (20d0*Nc*cima*coupl(nGC_66)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_69)**4d0 + 20d0*Nc*cima*coupl(nGC_72)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_81)**4d0 + 20d0*Nc*cima*coupl(nGC_84)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_90)**4d0 + 12d0*cima*coupl(    &
                      nGC_10)**2d0 + 24d0*cima*coupl(nGC_21)**2d0 - 5d0*cima*  &
                      coupl(nGC_244)**4d0 - 10d0*cima*coupl(nGC_244)**2d0*coupl&
                      (nGC_566)**2d0 - 10d0*cima*coupl(nGC_244)**2d0*coupl(    &
                      nGC_8)**2d0 - 20d0*cima*coupl(nGC_244)*coupl(nGC_52)*    &
                      coupl(nGC_566)*coupl(nGC_8) - 5d0*cima*coupl(nGC_29)**2d0&
                      *coupl(nGC_708)**2d0 - 10d0*cima*coupl(nGC_29)*coupl(    &
                      nGC_30)*coupl(nGC_708)*coupl(nGC_866) - 10d0*cima*coupl( &
                      nGC_29)*coupl(nGC_33)*coupl(nGC_708)*coupl(nGC_772) -    &
                      10d0*cima*coupl(nGC_29)*coupl(nGC_33)*coupl(nGC_772)*    &
                      coupl(nGC_866) - 5d0*cima*coupl(nGC_30)**2d0*coupl(      &
                      nGC_866)**2d0 - 10d0*cima*coupl(nGC_30)*coupl(nGC_33)*   &
                      coupl(nGC_708)*coupl(nGC_772) - 10d0*cima*coupl(nGC_30)* &
                      coupl(nGC_33)*coupl(nGC_772)*coupl(nGC_866) - 20d0*cima* &
                      coupl(nGC_33)**2d0*coupl(nGC_772)**2d0 - 5d0*cima*coupl( &
                      nGC_52)**4d0 - 10d0*cima*coupl(nGC_52)**2d0*coupl(nGC_566&
                      )**2d0 - 10d0*cima*coupl(nGC_52)**2d0*coupl(nGC_8)**2d0  &
                       + 24d0*cima*coupl(nGC_54)**2d0 - 5d0*cima*coupl(nGC_566 &
                      )**4d0 + 12d0*cima*coupl(nGC_57)**2d0 + 20d0*cima*coupl( &
                      nGC_75)**4d0 + 20d0*cima*coupl(nGC_78)**4d0 - 5d0*cima*  &
                      coupl(nGC_8)**4d0 + 20d0*cima*coupl(nGC_87)**4d0 - 6d0*  &
                      coupl(nGC_10)*coupl(nGC_244)**2d0 - 6d0*coupl(nGC_10)*   &
                      coupl(nGC_8)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_29)*coupl&
                      (nGC_708) + 6d0*coupl(nGC_17)*coupl(nGC_30)*coupl(nGC_866&
                      ) + 12d0*coupl(nGC_17)*coupl(nGC_33)*coupl(nGC_772) + 6d0&
                      *coupl(nGC_18)*coupl(nGC_244)**2d0 + 6d0*coupl(nGC_18)*  &
                      coupl(nGC_244)*coupl(nGC_8) + 6d0*coupl(nGC_18)*coupl(   &
                      nGC_52)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_52)*coupl(    &
                      nGC_566) + 6d0*coupl(nGC_18)*coupl(nGC_566)**2d0 + 6d0*  &
                      coupl(nGC_18)*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_21)*coupl&
                      (nGC_29)*coupl(nGC_708) - 6d0*coupl(nGC_21)*coupl(nGC_30 &
                      )*coupl(nGC_866) - 12d0*coupl(nGC_21)*coupl(nGC_33)*coupl&
                      (nGC_772) - 12d0*coupl(nGC_244)*coupl(nGC_54)*coupl(     &
                      nGC_566) - 6d0*coupl(nGC_52)**2d0*coupl(nGC_57) - 12d0*  &
                      coupl(nGC_52)*coupl(nGC_54)*coupl(nGC_8) - 6d0*coupl(    &
                      nGC_566)**2d0*coupl(nGC_57))/(96d0*pi**2d0)
    coupl(nGC_4441) = (36d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0*coupl(   &
                      nGC_5) - 30d0*Nc*cima*coupl(nGC_316)*coupl(nGC_34)**2d0* &
                      coupl(nGC_6) - 30d0*Nc*cima*coupl(nGC_338)*coupl(nGC_34  &
                      )**2d0*coupl(nGC_5) + 36d0*Nc*cima*coupl(nGC_338)*coupl( &
                      nGC_34)**2d0*coupl(nGC_6) + 12d0*cima*coupl(nGC_22)*coupl&
                      (nGC_44) - 30d0*cima*coupl(nGC_34)**2d0*coupl(nGC_53)*   &
                      coupl(nGC_8) + 36d0*cima*coupl(nGC_34)**2d0*coupl(nGC_736&
                      )*coupl(nGC_8) - 32d0*cima*coupl(nGC_38)*coupl(nGC_388)**&
                      2d0*coupl(nGC_7) - 32d0*cima*coupl(nGC_38)*coupl(nGC_7)* &
                      coupl(nGC_788)**2d0 + 18d0*coupl(nGC_22)*coupl(nGC_38)*  &
                      coupl(nGC_7) + 18d0*coupl(nGC_22)*coupl(nGC_388)*coupl(  &
                      nGC_788) + 6d0*coupl(nGC_27)*coupl(nGC_7)*coupl(nGC_788  &
                      ) + 3d0*coupl(nGC_38)*coupl(nGC_388)*coupl(nGC_9) + 6d0* &
                      coupl(nGC_38)*coupl(nGC_518)*coupl(nGC_788) + 18d0*coupl(&
                      nGC_388)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_388)*coupl(  &
                      nGC_518)*coupl(nGC_7) + 18d0*coupl(nGC_44)*coupl(nGC_788 &
                      )**2d0 + 3d0*coupl(nGC_7)*coupl(nGC_788)*coupl(nGC_9))/( &
                      96d0*pi**2d0)
    coupl(nGC_9409) = coupl(nGC_9401) + coupl(nGC_9408)
    coupl(nGC_4464) = (-32d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_34)**2d0*coupl( &
                      nGC_73) - 32d0*Nc*cima*coupl(nGC_254)*coupl(nGC_34)**2d0*&
                      coupl(nGC_67) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_400)*coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_34)**2d0*&
                      coupl(nGC_462)*coupl(nGC_71) - 32d0*Nc*cima*coupl(nGC_34 &
                      )**2d0*coupl(nGC_558)*coupl(nGC_82) - 32d0*Nc*cima*coupl(&
                      nGC_34)**2d0*coupl(nGC_578)*coupl(nGC_86) + 24d0*cima*   &
                      coupl(nGC_21)*coupl(nGC_22) + 12d0*cima*coupl(nGC_286)*  &
                      coupl(nGC_58) + 4d0*cima*coupl(nGC_29)*coupl(nGC_290)*   &
                      coupl(nGC_51)*coupl(nGC_708) + 4d0*cima*coupl(nGC_29)*   &
                      coupl(nGC_33)*coupl(nGC_708)*coupl(nGC_772) + 4d0*cima*  &
                      coupl(nGC_290)*coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_866 &
                      ) + 9d0*cima*coupl(nGC_290)*coupl(nGC_38)**2d0*coupl(    &
                      nGC_51) + 9d0*cima*coupl(nGC_290)*coupl(nGC_51)*coupl(   &
                      nGC_788)**2d0 + 4d0*cima*coupl(nGC_30)*coupl(nGC_33)*    &
                      coupl(nGC_772)*coupl(nGC_866) + 8d0*cima*coupl(nGC_33)** &
                      2d0*coupl(nGC_772)**2d0 + 9d0*cima*coupl(nGC_33)*coupl(  &
                      nGC_38)**2d0*coupl(nGC_772) + 9d0*cima*coupl(nGC_33)*    &
                      coupl(nGC_388)**2d0*coupl(nGC_772) + 9d0*cima*coupl(     &
                      nGC_33)*coupl(nGC_7)**2d0*coupl(nGC_772) + 9d0*cima*coupl&
                      (nGC_33)*coupl(nGC_772)*coupl(nGC_788)**2d0 - 32d0*cima* &
                      coupl(nGC_34)**2d0*coupl(nGC_452)*coupl(nGC_88) - 32d0*  &
                      cima*coupl(nGC_34)**2d0*coupl(nGC_494)*coupl(nGC_79) -   &
                      32d0*cima*coupl(nGC_34)**2d0*coupl(nGC_644)*coupl(nGC_76 &
                      ) - 6d0*coupl(nGC_11)*coupl(nGC_33)*coupl(nGC_38) - 6d0* &
                      coupl(nGC_11)*coupl(nGC_772)*coupl(nGC_788) - 6d0*coupl( &
                      nGC_13)*coupl(nGC_33)*coupl(nGC_788) - 6d0*coupl(nGC_13)*&
                      coupl(nGC_38)*coupl(nGC_772) + 6d0*coupl(nGC_21)*coupl(  &
                      nGC_290)*coupl(nGC_51) + 12d0*coupl(nGC_21)*coupl(nGC_33 &
                      )*coupl(nGC_772) + 36d0*coupl(nGC_21)*coupl(nGC_388)**2d0&
                       + 36d0*coupl(nGC_21)*coupl(nGC_788)**2d0 - 12d0*coupl(  &
                      nGC_22)*coupl(nGC_33)*coupl(nGC_772) - 6d0*coupl(nGC_286 &
                      )*coupl(nGC_290)*coupl(nGC_51) - 6d0*coupl(nGC_33)*coupl(&
                      nGC_388)*coupl(nGC_42) - 6d0*coupl(nGC_33)*coupl(nGC_39)*&
                      coupl(nGC_7) + 36d0*coupl(nGC_38)**2d0*coupl(nGC_58) -   &
                      6d0*coupl(nGC_388)*coupl(nGC_39)*coupl(nGC_772) - 6d0*   &
                      coupl(nGC_42)*coupl(nGC_7)*coupl(nGC_772))/(192d0*pi**2d0&
                      )
    coupl(nGC_4181) = cima*(4d0*Nc*coupl(nGC_66)**2d0 + 4d0*Nc*coupl(nGC_69)** &
                      2d0 + 4d0*Nc*coupl(nGC_72)**2d0 + 4d0*Nc*coupl(nGC_81)** &
                      2d0 + 4d0*Nc*coupl(nGC_84)**2d0 + 4d0*Nc*coupl(nGC_90)** &
                      2d0 + coupl(nGC_244)**2d0 + coupl(nGC_29)*coupl(nGC_708  &
                      ) + coupl(nGC_30)*coupl(nGC_866) + 2d0*coupl(nGC_33)*    &
                      coupl(nGC_772) + coupl(nGC_52)**2d0 + coupl(nGC_566)**2d0&
                       + 4d0*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_78)**2d0 +     &
                      coupl(nGC_8)**2d0 + 4d0*coupl(nGC_87)**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_4429) = (4d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_72) - 16d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_34&
                      )*coupl(nGC_6)*coupl(nGC_72) + 4d0*Nc*cima*coupl(nGC_254 &
                      )*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_66) - 16d0*Nc*cima&
                      *coupl(nGC_254)*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_66  &
                      ) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_558 &
                      )*coupl(nGC_81) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5 &
                      )*coupl(nGC_69)*coupl(nGC_71) - 16d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_5)*coupl(nGC_84)*coupl(nGC_86) - 16d0*Nc*cima&
                      *coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_90)*coupl(nGC_92   &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_558)*coupl(nGC_6&
                      )*coupl(nGC_81) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)*&
                      coupl(nGC_69)*coupl(nGC_71) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_86) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(nGC_92) + &
                      24d0*cima*coupl(nGC_13)*coupl(nGC_518) + 4d0*cima*coupl( &
                      nGC_244)*coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_52) + 9d0*&
                      cima*coupl(nGC_244)*coupl(nGC_388)*coupl(nGC_7)*coupl(   &
                      nGC_772) + 9d0*cima*coupl(nGC_290)*coupl(nGC_30)*coupl(  &
                      nGC_38)*coupl(nGC_388) + 4d0*cima*coupl(nGC_33)**3d0*    &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_33)*coupl(nGC_708)**2d0&
                      *coupl(nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_452)*   &
                      coupl(nGC_8)*coupl(nGC_87) + 4d0*cima*coupl(nGC_34)*coupl&
                      (nGC_494)*coupl(nGC_78)*coupl(nGC_8) + 4d0*cima*coupl(   &
                      nGC_34)*coupl(nGC_644)*coupl(nGC_75)*coupl(nGC_8) + 24d0*&
                      cima*coupl(nGC_42)*coupl(nGC_9) + 9d0*cima*coupl(nGC_566 &
                      )*coupl(nGC_7)*coupl(nGC_772)*coupl(nGC_788) - 6d0*coupl(&
                      nGC_10)*coupl(nGC_388)*coupl(nGC_772) + 36d0*coupl(nGC_13&
                      )*coupl(nGC_38)*coupl(nGC_388) - 6d0*coupl(nGC_21)*coupl(&
                      nGC_388)*coupl(nGC_772) - 6d0*coupl(nGC_21)*coupl(nGC_7)*&
                      coupl(nGC_772) - 6d0*coupl(nGC_244)*coupl(nGC_772)*coupl(&
                      nGC_9) - 6d0*coupl(nGC_290)*coupl(nGC_30)*coupl(nGC_518  &
                      ) - 6d0*coupl(nGC_290)*coupl(nGC_38)*coupl(nGC_40) + 6d0*&
                      coupl(nGC_33)**2d0*coupl(nGC_42) + 6d0*coupl(nGC_33)*    &
                      coupl(nGC_40)*coupl(nGC_708) - 6d0*coupl(nGC_38)*coupl(  &
                      nGC_42)*coupl(nGC_52) + 36d0*coupl(nGC_388)*coupl(nGC_42 &
                      )*coupl(nGC_7) + 6d0*coupl(nGC_40)*coupl(nGC_51)*coupl(  &
                      nGC_52) - 6d0*coupl(nGC_42)*coupl(nGC_7)*coupl(nGC_8) -  &
                      6d0*coupl(nGC_518)*coupl(nGC_566)*coupl(nGC_772) - 6d0*  &
                      coupl(nGC_54)*coupl(nGC_772)*coupl(nGC_788))/(192d0*pi** &
                      2d0)
    coupl(nGC_4199) = cMB*cima*(-coupl(nGC_314)*coupl(nGC_316) - coupl(nGC_5)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_6381) = coupl(nGC_4674) + coupl(nGC_MZ)*dZZ_QED2 + coupl(        &
                      nGC_TS_GC_65_H1)
    coupl(nGC_6305) = coupl(nGC_6214) + coupl(nGC_6302) + coupl(nGC_6303)
    coupl(nGC_6304) = -2d0*coupl(nGC_6214) + coupl(nGC_6296) + coupl(nGC_6302)
    coupl(nGC_6309) = -2d0*coupl(nGC_6308)
    coupl(nGC_4461) = (20d0*Nc*cima*coupl(nGC_1168)**2d0*coupl(nGC_73)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_254)**2d0*coupl(nGC_67)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_400)**2d0*coupl(nGC_92)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_462)**2d0*coupl(nGC_71)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_558)**2d0*coupl(nGC_82)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_578)**2d0*coupl(nGC_86)**2d0 + 6d0&
                      *cima*coupl(nGC_21)**2d0 - 5d0*cima*coupl(nGC_290)**2d0* &
                      coupl(nGC_51)**2d0 - 10d0*cima*coupl(nGC_33)**2d0*coupl( &
                      nGC_772)**2d0 + 20d0*cima*coupl(nGC_452)**2d0*coupl(     &
                      nGC_88)**2d0 + 20d0*cima*coupl(nGC_494)**2d0*coupl(nGC_79&
                      )**2d0 + 3d0*cima*coupl(nGC_58)**2d0 + 20d0*cima*coupl(  &
                      nGC_644)**2d0*coupl(nGC_76)**2d0 + 3d0*coupl(nGC_17)*    &
                      coupl(nGC_290)*coupl(nGC_51) + 6d0*coupl(nGC_17)*coupl(  &
                      nGC_33)*coupl(nGC_772) - 6d0*coupl(nGC_21)*coupl(nGC_33)*&
                      coupl(nGC_772) - 3d0*coupl(nGC_290)*coupl(nGC_51)*coupl( &
                      nGC_58))/(16d0*pi**2d0)
    coupl(nGC_12877) = -coupl(nGC_4262)
    coupl(nGC_7308) = -coupl(nGC_7306)/2d0 + coupl(nGC_7307)
    coupl(nGC_7309) = coupl(nGC_7306) - 2d0*coupl(nGC_7307)
    coupl(nGC_12094) = -coupl(nGC_4357)
    coupl(nGC_12831) = -coupl(nGC_4280)
    coupl(nGC_8867) = -coupl(nGC_7931)
    coupl(nGC_7946) = coupl(nGC_6346) + coupl(nGC_6408) + coupl(nGC_7944)
    coupl(nGC_7108) = -coupl(nGC_7107)
    coupl(nGC_12696) = -coupl(nGC_4279)
    coupl(nGC_6848) = coupl(nGC_6843) + coupl(nGC_6847)
    coupl(nGC_7647) = -coupl(nGC_7372)
    coupl(nGC_11932) = -coupl(nGC_4261)
    coupl(nGC_6983) = coupl(nGC_6979) + coupl(nGC_6982)
    coupl(nGC_6611) = coupl(nGC_6604) + coupl(nGC_6610)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
